!******************************************************************************!
!                                                                              !
!    fill_ctcouplings15.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings15.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings15
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl15()
    coupl(nGC_15829) = coupl(nGC_17)*dZg_QCD2/2d0 + coupl(nGC_9660)
    coupl(nGC_9728) = coupl(nGC_9083)*dZee_QED2 + coupl(nGC_9084)*dcw_QED2 +   &
                      coupl(nGC_9085)*dvev_QED1
    coupl(nGC_9483) = coupl(nGC_138)*(-coupl(nGC_138)**2d0 + 8d0*coupl(nGC_4)**&
                      2d0 - coupl(nGC_724)**2d0 + 8d0*coupl(nGC_80)*coupl(     &
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_9720) = coupl(nGC_9236)*dZee_QED2
    coupl(nGC_9336) = (Nc*cMB**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMC**2d0*cima* &
                      coupl(nGC_62)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_62)**2d0 &
                       + Nc*cMS**2d0*cima*coupl(nGC_62)**2d0 + Nc*cMT**2d0*cima&
                      *coupl(nGC_62)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_62)**2d0&
                       + cME**2d0*cima*coupl(nGC_62)**2d0 + cMM**2d0*cima*coupl&
                      (nGC_62)**2d0 + cMTA**2d0*cima*coupl(nGC_62)**2d0 + cMW**&
                      2d0*cima*coupl(nGC_266)*coupl(nGC_4) + cMW**2d0*cima*    &
                      coupl(nGC_3)*coupl(nGC_786) + cMW**2d0*cima*coupl(nGC_356&
                      )*coupl(nGC_64) + cMW**2d0*cima*coupl(nGC_63)*coupl(     &
                      nGC_680) - 2d0*cMW**2d0*coupl(nGC_3084) + cMZ**2d0*cima* &
                      coupl(nGC_356)*coupl(nGC_64) + cMZ**2d0*cima*coupl(nGC_63&
                      )*coupl(nGC_680) - cMZ**2d0*coupl(nGC_56))/(16d0*pi**2d0)
    coupl(nGC_9335) = cima*(coupl(nGC_266)*coupl(nGC_4) + coupl(nGC_3)*coupl(  &
                      nGC_786) + coupl(nGC_356)*coupl(nGC_64) + coupl(nGC_63)* &
                      coupl(nGC_680))/(48d0*pi**2d0)
    coupl(nGC_9723) = coupl(nGC_9089)*dZee_QED2 + coupl(nGC_9090)*dsw_QED2 +   &
                      coupl(nGC_9091)*dcw_QED2
    coupl(nGC_9724) = coupl(nGC_9301)*dZee_QED2 + coupl(nGC_9302)*dsw_QED2 +   &
                      coupl(nGC_9303)*dcw_QED2
    coupl(nGC_9725) = coupl(nGC_9326)*dZee_QED2 + coupl(nGC_9327)*dsw_QED2 +   &
                      coupl(nGC_9328)*dcw_QED2
    coupl(nGC_9726) = coupl(nGC_9125)*dZee_QED2 + coupl(nGC_9126)*dcw_QED2
    coupl(nGC_9727) = coupl(nGC_9226)*dZee_QED2 + coupl(nGC_9227)*dsw_QED2 +   &
                      coupl(nGC_9228)*dcw_QED2
    coupl(nGC_14034) = -2d0*coupl(nGC_14027) + coupl(nGC_14031) + coupl(       &
                       nGC_14032)
    coupl(nGC_14033) = coupl(nGC_14027) + coupl(nGC_14030) - coupl(nGC_14032)/ &
                       2d0
    coupl(nGC_15526) = coupl(nGC_126)*dZH_QED2/2d0 + coupl(nGC_9684)
    coupl(nGC_15527) = coupl(nGC_15523) + coupl(nGC_15526)
    coupl(nGC_15525) = coupl(nGC_15524) + coupl(nGC_9683)
    coupl(nGC_19626) = 2d0*coupl(nGC_24)*dZH_QED2 + coupl(nGC_9638) + coupl(   &
                       nGC_HHHH)
    coupl(nGC_14749) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZbR_QED2 +  &
                       coupl(nGC_9742)
    coupl(nGC_14748) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZbL_QED2 +  &
                       coupl(nGC_9741)
    coupl(nGC_17492) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*        &
                       dZeMinusL_QED2/2d0 + coupl(nGC_62)*dZnu_eL_QED2/2d0 +   &
                       coupl(nGC_9738)
    coupl(nGC_14740) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_9728) + coupl( &
                       nGC_99)*dZWMinus_QED2/2d0 + coupl(nGC_99)*dZZ_QED2/2d0
    coupl(nGC_16558) = coupl(nGC_9638) + coupl(nGC_HHHH)
    coupl(nGC_9552) = coupl(nGC_19)*sq2*(coupl(nGC_124)**2d0 + coupl(nGC_143)**&
                      2d0 + coupl(nGC_144)*coupl(nGC_656) + 4d0*coupl(nGC_2)** &
                      2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_9550) = coupl(nGC_19)*sq2*(-coupl(nGC_124)**2d0 - coupl(nGC_143  &
                      )**2d0 - coupl(nGC_144)*coupl(nGC_656) - 4d0*coupl(nGC_2 &
                      )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0 &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_9498) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(    &
                      nGC_1)*coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_266) - coupl&
                      (nGC_64)*coupl(nGC_82) - coupl(nGC_680)*coupl(nGC_83) +  &
                      2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0)
    coupl(nGC_9499) = coupl(nGC_62)*(coupl(nGC_266)*coupl(nGC_4) + coupl(nGC_64&
                      )*coupl(nGC_86) + coupl(nGC_680)*coupl(nGC_85) + 2d0*    &
                      coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
    coupl(nGC_15452) = coupl(nGC_128)*dZH_QED2/2d0 + coupl(nGC_9703)
    coupl(nGC_9497) = (3d0*Nc*coupl(nGC_62)**2d0*coupl(nGC_82) - 3d0*Nc*coupl( &
                      nGC_62)**2d0*coupl(nGC_83) - coupl(nGC_266)*coupl(nGC_4)*&
                      coupl(nGC_64) + 3d0*coupl(nGC_62)**2d0*coupl(nGC_85) -   &
                      3d0*coupl(nGC_62)**2d0*coupl(nGC_86) - coupl(nGC_63)*    &
                      coupl(nGC_64)*coupl(nGC_680))/(24d0*pi**2d0)
    coupl(nGC_9495) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(    &
                      nGC_1)*coupl(nGC_266) + coupl(nGC_2)*coupl(nGC_3) + coupl&
                      (nGC_64)*coupl(nGC_83) + coupl(nGC_680)*coupl(nGC_82) +  &
                      2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0)
    coupl(nGC_9491) = coupl(nGC_147)*(-coupl(nGC_147)**2d0 - coupl(nGC_2514)** &
                      2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(   &
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_15489) = -coupl(nGC_15488)
    coupl(nGC_21449) = -coupl(nGC_9383)
    coupl(nGC_16824) = coupl(nGC_122)*dZH_QED2/2d0 + coupl(nGC_9647)
    coupl(nGC_14323) = coupl(nGC_14321) + coupl(nGC_9688)
    coupl(nGC_14322) = -coupl(nGC_14321) - coupl(nGC_9688)
    coupl(nGC_9385) = (3d0*Nc*coupl(nGC_1)*coupl(nGC_62)**2d0 - 3d0*Nc*coupl(  &
                      nGC_2)*coupl(nGC_62)**2d0 - coupl(nGC_266)*coupl(nGC_3)* &
                      coupl(nGC_4) - coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_680  &
                      ) + 3d0*coupl(nGC_4)*coupl(nGC_62)**2d0)/(24d0*pi**2d0)
    coupl(nGC_14845) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*        &
                       dZnu_tauL_QED2/2d0 + coupl(nGC_62)*dZtauMinusL_QED2/2d0 &
                        + coupl(nGC_9738)
    coupl(nGC_14970) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*             &
                       dZmuMinusR_QED2 + coupl(nGC_9744)
    coupl(nGC_14971) = coupl(nGC_14077) + coupl(nGC_14970)
    coupl(nGC_15091) = coupl(nGC_14615) + coupl(nGC_15089)
    coupl(nGC_14637) = coupl(nGC_14631) + coupl(nGC_9759)
    coupl(nGC_21610) = -coupl(nGC_9426)
    coupl(nGC_14525) = coupl(nGC_14005) + coupl(nGC_14524)
    coupl(nGC_22440) = -coupl(nGC_9405)
    coupl(nGC_14403) = coupl(nGC_4)*dZAZ_QED2/2d0 + coupl(nGC_85)*dZZ_QED2/2d0 &
                        + coupl(nGC_9725)
    coupl(nGC_14138) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*        &
                       dZdL_QED2/2d0 + coupl(nGC_62)*dZuL_QED2/2d0 + coupl(    &
                       nGC_9738)
    coupl(nGC_14314) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_9736)
    coupl(nGC_9471) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_78)**2d0 + 2d0*Nc* &
                      cMB*coupl(nGC_126)*coupl(nGC_78)*coupl(nGC_82) - 2d0*Nc* &
                      cMB*coupl(nGC_126)*coupl(nGC_82)**2d0 - 2d0*Nc*cMC*coupl(&
                      nGC_128)*coupl(nGC_79)**2d0 + 2d0*Nc*cMC*coupl(nGC_128)* &
                      coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMC*coupl(nGC_128)* &
                      coupl(nGC_83)**2d0 - 2d0*Nc*cMD*coupl(nGC_132)*coupl(    &
                      nGC_78)**2d0 + 2d0*Nc*cMD*coupl(nGC_132)*coupl(nGC_78)*  &
                      coupl(nGC_82) - 2d0*Nc*cMD*coupl(nGC_132)*coupl(nGC_82)**&
                      2d0 - 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_78)**2d0 + 2d0*&
                      Nc*cMS*coupl(nGC_141)*coupl(nGC_78)*coupl(nGC_82) - 2d0* &
                      Nc*cMS*coupl(nGC_141)*coupl(nGC_82)**2d0 - 2d0*Nc*cMT*   &
                      coupl(nGC_143)*coupl(nGC_79)**2d0 + 2d0*Nc*cMT*coupl(    &
                      nGC_143)*coupl(nGC_79)*coupl(nGC_83) - 2d0*Nc*cMT*coupl( &
                      nGC_143)*coupl(nGC_83)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)* &
                      coupl(nGC_79)**2d0 + 2d0*Nc*cMU*coupl(nGC_149)*coupl(    &
                      nGC_79)*coupl(nGC_83) - 2d0*Nc*cMU*coupl(nGC_149)*coupl( &
                      nGC_83)**2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_80)**2d0 &
                       + 2d0*cME*coupl(nGC_135)*coupl(nGC_80)*coupl(nGC_85) -  &
                      2d0*cME*coupl(nGC_135)*coupl(nGC_85)**2d0 - 2d0*cMM*coupl&
                      (nGC_138)*coupl(nGC_80)**2d0 + 2d0*cMM*coupl(nGC_138)*   &
                      coupl(nGC_80)*coupl(nGC_85) - 2d0*cMM*coupl(nGC_138)*    &
                      coupl(nGC_85)**2d0 - 2d0*cMTA*coupl(nGC_147)*coupl(nGC_80&
                      )**2d0 + 2d0*cMTA*coupl(nGC_147)*coupl(nGC_80)*coupl(    &
                      nGC_85) - 2d0*cMTA*coupl(nGC_147)*coupl(nGC_85)**2d0 +   &
                      cima*coupl(nGC_107)*coupl(nGC_56) + coupl(nGC_107)*coupl(&
                      nGC_64)**2d0 + coupl(nGC_107)*coupl(nGC_680)**2d0)/(8d0* &
                      pi**2d0)
    coupl(nGC_15261) = -coupl(nGC_15260)
    coupl(nGC_14969) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*             &
                       dZmuMinusL_QED2 + coupl(nGC_9725)
  end subroutine fill_CTcouplings_mdl15
end module fill_ctcouplings15
