!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl16()
    coupl(nGC_14733) = coupl(nGC_90)*dZAZ_QED2 + coupl(nGC_95)*dZZ_QED2 + coupl&
                       (nGC_9731)
    coupl(nGC_14819) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*        &
                       dZcL_QED2/2d0 + coupl(nGC_62)*dZsL_QED2/2d0 + coupl(    &
                       nGC_9738)
    coupl(nGC_9579) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(     &
                      nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*   &
                      coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)** &
                      2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62&
                      )**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_266)*coupl(    &
                      nGC_3)*coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*coupl(nGC_3 &
                      )*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_680) - 6d0*cima* &
                      coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*cima*&
                      coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*cima*&
                      coupl(nGC_55)*coupl(nGC_74) + 6d0*cima*coupl(nGC_562)*   &
                      coupl(nGC_594) + 6d0*coupl(nGC_3)*coupl(nGC_4)*coupl(    &
                      nGC_562) + 6d0*coupl(nGC_3)*coupl(nGC_55)*coupl(nGC_63   &
                      ) + 6d0*coupl(nGC_3)*coupl(nGC_594)*coupl(nGC_680) + 6d0*&
                      coupl(nGC_64)*coupl(nGC_680)*coupl(nGC_74))/(48d0*pi**2d0&
                      )
    coupl(nGC_9578) = (-6d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(     &
                      nGC_82) + 9d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*   &
                      coupl(nGC_83) + 9d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)** &
                      2d0*coupl(nGC_82) - 6d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62&
                      )**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_266)*coupl(    &
                      nGC_3)*coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*coupl(nGC_3 &
                      )*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_680) - 6d0*cima* &
                      coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) + 9d0*cima*&
                      coupl(nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*cima*&
                      coupl(nGC_55)*coupl(nGC_74) + 6d0*cima*coupl(nGC_562)*   &
                      coupl(nGC_594) + 6d0*coupl(nGC_266)*coupl(nGC_3)*coupl(  &
                      nGC_562) + 6d0*coupl(nGC_3)*coupl(nGC_55)*coupl(nGC_680  &
                      ) + 6d0*coupl(nGC_4)*coupl(nGC_594)*coupl(nGC_64) + 6d0* &
                      coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_74))/(48d0*pi**2d0)
    coupl(nGC_9571) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima* &
                      coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl(    &
                      nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)**  &
                      2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_266)**2d0*   &
                      coupl(nGC_680)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(  &
                      nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**2d0 &
                       + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*coupl&
                      (nGC_77)**2d0 + 2d0*coupl(nGC_266)*coupl(nGC_680)*coupl( &
                      nGC_77) + 2d0*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_77))/(&
                      8d0*pi**2d0)
    coupl(nGC_9570) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_78)**2d0 + Nc*cima* &
                      coupl(nGC_1)**2d0*coupl(nGC_82)**2d0 + Nc*cima*coupl(    &
                      nGC_2)**2d0*coupl(nGC_79)**2d0 + Nc*cima*coupl(nGC_2)**  &
                      2d0*coupl(nGC_83)**2d0 - 2d0*cima*coupl(nGC_266)**2d0*   &
                      coupl(nGC_680)**2d0 - 2d0*cima*coupl(nGC_3)**2d0*coupl(  &
                      nGC_64)**2d0 + cima*coupl(nGC_4)**2d0*coupl(nGC_80)**2d0 &
                       + cima*coupl(nGC_4)**2d0*coupl(nGC_85)**2d0 + cima*coupl&
                      (nGC_56)*coupl(nGC_9) + coupl(nGC_266)**2d0*coupl(nGC_56 &
                      ) + coupl(nGC_3)**2d0*coupl(nGC_56) + coupl(nGC_64)**2d0*&
                      coupl(nGC_9) + coupl(nGC_680)**2d0*coupl(nGC_9))/(8d0*pi &
                      **2d0)
    coupl(nGC_9573) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_78) + Nc*cima*coupl(&
                      nGC_1)**3d0*coupl(nGC_82) + Nc*cima*coupl(nGC_2)**3d0*   &
                      coupl(nGC_79) + Nc*cima*coupl(nGC_2)**3d0*coupl(nGC_83   &
                      ) - 2d0*cima*coupl(nGC_266)**3d0*coupl(nGC_680) - 2d0*   &
                      cima*coupl(nGC_3)**3d0*coupl(nGC_64) + cima*coupl(nGC_4  &
                      )**3d0*coupl(nGC_80) + cima*coupl(nGC_4)**3d0*coupl(     &
                      nGC_85) + cima*coupl(nGC_77)*coupl(nGC_9) + coupl(nGC_266&
                      )**2d0*coupl(nGC_77) + coupl(nGC_266)*coupl(nGC_680)*    &
                      coupl(nGC_9) + coupl(nGC_3)**2d0*coupl(nGC_77) + coupl(  &
                      nGC_3)*coupl(nGC_64)*coupl(nGC_9))/(8d0*pi**2d0)
    coupl(nGC_9572) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*coupl&
                      (nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*coupl(&
                      nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*coupl(     &
                      nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima*coupl(   &
                      nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62) - 4d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_143)*coupl(&
                      nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)*coupl( &
                      nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_124)*coupl&
                      (nGC_126)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*coupl(    &
                      nGC_127)*coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_62) - 4d0*&
                      Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_2)*coupl(&
                      nGC_62) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl&
                      (nGC_2)*coupl(nGC_62) + Nc*cima*coupl(nGC_142)*coupl(    &
                      nGC_143)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*coupl(     &
                      nGC_148)*coupl(nGC_149)*coupl(nGC_2)*coupl(nGC_62) + cima&
                      *coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_62 &
                      ) + cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_4)*coupl&
                      (nGC_62) + 6d0*cima*coupl(nGC_14)*coupl(nGC_74) + cima*  &
                      coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_4)*coupl(nGC_62  &
                      ) + 6d0*cima*coupl(nGC_594)*coupl(nGC_69) + 6d0*coupl(   &
                      nGC_14)*coupl(nGC_266)*coupl(nGC_64) + 6d0*coupl(nGC_266 &
                      )*coupl(nGC_3)*coupl(nGC_69))/(48d0*pi**2d0)
    coupl(nGC_9577) = (18d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*coupl(     &
                      nGC_82) - 15d0*Nc*cima*coupl(nGC_1)*coupl(nGC_62)**2d0*  &
                      coupl(nGC_83) - 15d0*Nc*cima*coupl(nGC_2)*coupl(nGC_62)**&
                      2d0*coupl(nGC_82) + 18d0*Nc*cima*coupl(nGC_2)*coupl(     &
                      nGC_62)**2d0*coupl(nGC_83) - 8d0*cima*coupl(nGC_266)*    &
                      coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_64) - 8d0*cima*coupl(&
                      nGC_3)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_680) + 6d0* &
                      cima*coupl(nGC_3084)*coupl(nGC_77) + 18d0*cima*coupl(    &
                      nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_85) - 15d0*cima*coupl&
                      (nGC_4)*coupl(nGC_62)**2d0*coupl(nGC_86) + 6d0*coupl(    &
                      nGC_266)*coupl(nGC_3084)*coupl(nGC_680) + 6d0*coupl(     &
                      nGC_266)*coupl(nGC_4)*coupl(nGC_77) + 6d0*coupl(nGC_3)*  &
                      coupl(nGC_3084)*coupl(nGC_64) + 6d0*coupl(nGC_63)*coupl( &
                      nGC_680)*coupl(nGC_77))/(48d0*pi**2d0)
    coupl(nGC_22490) = -coupl(nGC_9425)
    coupl(nGC_14008) = coupl(nGC_14005) + coupl(nGC_14007)
    coupl(nGC_13965) = coupl(nGC_13959) + coupl(nGC_9758)
    coupl(nGC_16726) = coupl(nGC_138)*dZH_QED2/2d0 + coupl(nGC_9692)
    coupl(nGC_16282) = coupl(nGC_123)*dZH_QED2/2d0 + coupl(nGC_123)*dZZ_QED2 + &
                       coupl(nGC_9732)
    coupl(nGC_9596) = cima*(20d0*Nc*coupl(nGC_1168)**2d0*coupl(nGC_131)**2d0 + &
                      20d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_1368)**2d0 + 20d0* &
                      Nc*coupl(nGC_129)**2d0*coupl(nGC_706)**2d0 + 20d0*Nc*    &
                      coupl(nGC_140)**2d0*coupl(nGC_686)**2d0 + 20d0*Nc*coupl( &
                      nGC_144)**2d0*coupl(nGC_656)**2d0 + 20d0*Nc*coupl(nGC_150&
                      )**2d0*coupl(nGC_780)**2d0 + 20d0*coupl(nGC_1022)**2d0*  &
                      coupl(nGC_134)**2d0 + 20d0*coupl(nGC_137)**2d0*coupl(    &
                      nGC_724)**2d0 + 20d0*coupl(nGC_146)**2d0*coupl(nGC_2514  &
                      )**2d0 + 6d0*coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0 &
                      )/(16d0*pi**2d0)
    coupl(nGC_14623) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZdL_QED2 +  &
                       coupl(nGC_9741)
    coupl(nGC_15984) = -coupl(nGC_15982) - coupl(nGC_9695)
    coupl(nGC_15985) = coupl(nGC_15982) + coupl(nGC_9695)
    coupl(nGC_15986) = -coupl(nGC_15983) - coupl(nGC_9694)
    coupl(nGC_15987) = coupl(nGC_15983) + coupl(nGC_9694)
    coupl(nGC_9566) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*coupl(    &
                      nGC_78) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_124)**2d0*  &
                      coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)**&
                      2d0*coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(      &
                      nGC_127)**2d0*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_130)**2d0*coupl(nGC_78) + 5d0*Nc*cima*coupl(   &
                      nGC_1)*coupl(nGC_130)**2d0*coupl(nGC_83) - 8d0*Nc*cima*  &
                      coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_78) + 5d0*Nc* &
                      cima*coupl(nGC_1)*coupl(nGC_139)**2d0*coupl(nGC_83) + 5d0&
                      *Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(nGC_79   &
                      ) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_142)**2d0*coupl(  &
                      nGC_82) + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)**2d0*  &
                      coupl(nGC_79) - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)**&
                      2d0*coupl(nGC_82) + 5d0*Nc*cima*coupl(nGC_124)**2d0*coupl&
                      (nGC_2)*coupl(nGC_78) - 8d0*Nc*cima*coupl(nGC_124)**2d0* &
                      coupl(nGC_2)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_127)**&
                      2d0*coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*cima*coupl(      &
                      nGC_127)**2d0*coupl(nGC_2)*coupl(nGC_82) + 5d0*Nc*cima*  &
                      coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(nGC_78) - 8d0*Nc* &
                      cima*coupl(nGC_130)**2d0*coupl(nGC_2)*coupl(nGC_83) + 5d0&
                      *Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_2)*coupl(nGC_78   &
                      ) - 8d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_2)*coupl(  &
                      nGC_83) - 8d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_2)*  &
                      coupl(nGC_79) + 5d0*Nc*cima*coupl(nGC_142)**2d0*coupl(   &
                      nGC_2)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_148)**2d0*  &
                      coupl(nGC_2)*coupl(nGC_79) + 5d0*Nc*cima*coupl(nGC_148)**&
                      2d0*coupl(nGC_2)*coupl(nGC_82) - 8d0*cima*coupl(nGC_133  &
                      )**2d0*coupl(nGC_4)*coupl(nGC_80) + 5d0*cima*coupl(      &
                      nGC_133)**2d0*coupl(nGC_4)*coupl(nGC_86) - 8d0*cima*coupl&
                      (nGC_136)**2d0*coupl(nGC_4)*coupl(nGC_80) + 5d0*cima*    &
                      coupl(nGC_136)**2d0*coupl(nGC_4)*coupl(nGC_86) - 8d0*cima&
                      *coupl(nGC_145)**2d0*coupl(nGC_4)*coupl(nGC_80) + 5d0*   &
                      cima*coupl(nGC_145)**2d0*coupl(nGC_4)*coupl(nGC_86) + 6d0&
                      *cima*coupl(nGC_47)*coupl(nGC_77) + 6d0*coupl(nGC_266)*  &
                      coupl(nGC_47)*coupl(nGC_680) + 6d0*coupl(nGC_3)*coupl(   &
                      nGC_47)*coupl(nGC_64))/(48d0*pi**2d0)
    coupl(nGC_9567) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_125)*coupl&
                      (nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*coupl(&
                      nGC_62)*coupl(nGC_706) + Nc*cima*coupl(nGC_1)*coupl(     &
                      nGC_130)*coupl(nGC_131)*coupl(nGC_62) + Nc*cima*coupl(   &
                      nGC_1)*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62) - 4d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_62)*coupl( &
                      nGC_656) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)*coupl(&
                      nGC_62)*coupl(nGC_780) - 4d0*Nc*cima*coupl(nGC_124)*coupl&
                      (nGC_125)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*coupl(    &
                      nGC_127)*coupl(nGC_2)*coupl(nGC_62)*coupl(nGC_706) - 4d0*&
                      Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_2)*coupl(&
                      nGC_62) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl&
                      (nGC_2)*coupl(nGC_62) + Nc*cima*coupl(nGC_142)*coupl(    &
                      nGC_2)*coupl(nGC_62)*coupl(nGC_656) + Nc*cima*coupl(     &
                      nGC_148)*coupl(nGC_2)*coupl(nGC_62)*coupl(nGC_780) + 6d0*&
                      cima*coupl(nGC_13)*coupl(nGC_74) + cima*coupl(nGC_133)*  &
                      coupl(nGC_134)*coupl(nGC_4)*coupl(nGC_62) + cima*coupl(  &
                      nGC_136)*coupl(nGC_137)*coupl(nGC_4)*coupl(nGC_62) + cima&
                      *coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_4)*coupl(nGC_62 &
                      ) + 6d0*cima*coupl(nGC_594)*coupl(nGC_68) + 6d0*coupl(   &
                      nGC_13)*coupl(nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_3)*   &
                      coupl(nGC_4)*coupl(nGC_68))/(48d0*pi**2d0)
    coupl(nGC_9564) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_1168)*coupl(   &
                      nGC_131) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_125)* &
                      coupl(nGC_1368) - 2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(   &
                      nGC_140)*coupl(nGC_686) - 2d0*Nc*cima*coupl(nGC_129)*    &
                      coupl(nGC_2)**2d0*coupl(nGC_706) - 2d0*Nc*cima*coupl(    &
                      nGC_144)*coupl(nGC_2)**2d0*coupl(nGC_656) - 2d0*Nc*cima* &
                      coupl(nGC_150)*coupl(nGC_2)**2d0*coupl(nGC_780) - 2d0*   &
                      cima*coupl(nGC_1022)*coupl(nGC_134)*coupl(nGC_4)**2d0 -  &
                      2d0*cima*coupl(nGC_137)*coupl(nGC_4)**2d0*coupl(nGC_724  &
                      ) - 2d0*cima*coupl(nGC_146)*coupl(nGC_2514)*coupl(nGC_4  &
                      )**2d0 + cima*coupl(nGC_47)*coupl(nGC_9) + coupl(nGC_266 &
                      )**2d0*coupl(nGC_47) + coupl(nGC_3)**2d0*coupl(nGC_47))/(&
                      8d0*pi**2d0)
    coupl(nGC_9562) = (9d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 - 15d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 +   &
                      9d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0*  &
                      cima*coupl(nGC_266)**2d0*coupl(nGC_3)*coupl(nGC_786) -   &
                      2d0*cima*coupl(nGC_266)**2d0*coupl(nGC_356)*coupl(nGC_64 &
                      ) - 2d0*cima*coupl(nGC_266)*coupl(nGC_3)**2d0*coupl(nGC_4&
                      ) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(      &
                      nGC_680) + 3d0*cima*coupl(nGC_3084)*coupl(nGC_9) + 9d0*  &
                      cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 + 3d0*coupl(   &
                      nGC_266)**2d0*coupl(nGC_3084) + 3d0*coupl(nGC_266)*coupl(&
                      nGC_4)*coupl(nGC_9) + 3d0*coupl(nGC_3)**2d0*coupl(       &
                      nGC_3084) + 3d0*coupl(nGC_63)*coupl(nGC_680)*coupl(nGC_9 &
                      ))/(24d0*pi**2d0)
    coupl(nGC_9563) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 + 9d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 -   &
                      3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0*  &
                      cima*coupl(nGC_266)**2d0*coupl(nGC_3)*coupl(nGC_786) -   &
                      2d0*cima*coupl(nGC_266)**2d0*coupl(nGC_356)*coupl(nGC_64 &
                      ) - 2d0*cima*coupl(nGC_266)*coupl(nGC_3)**2d0*coupl(nGC_4&
                      ) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(      &
                      nGC_680) - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 &
                       + 3d0*cima*coupl(nGC_594)**2d0 + 3d0*cima*coupl(nGC_74  &
                      )**2d0 + 3d0*coupl(nGC_266)*coupl(nGC_3)*coupl(nGC_594   &
                      ) + 3d0*coupl(nGC_266)*coupl(nGC_356)*coupl(nGC_74) + 3d0&
                      *coupl(nGC_266)*coupl(nGC_594)*coupl(nGC_786) + 3d0*coupl&
                      (nGC_266)*coupl(nGC_64)*coupl(nGC_74))/(24d0*pi**2d0)
    coupl(nGC_9561) = (-3d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_62)**2d0 + 9d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_62)**2d0 -   &
                      3d0*Nc*cima*coupl(nGC_2)**2d0*coupl(nGC_62)**2d0 - 2d0*  &
                      cima*coupl(nGC_266)**2d0*coupl(nGC_3)*coupl(nGC_786) -   &
                      2d0*cima*coupl(nGC_266)**2d0*coupl(nGC_356)*coupl(nGC_64 &
                      ) - 2d0*cima*coupl(nGC_266)*coupl(nGC_3)**2d0*coupl(nGC_4&
                      ) - 2d0*cima*coupl(nGC_3)**2d0*coupl(nGC_63)*coupl(      &
                      nGC_680) - 3d0*cima*coupl(nGC_4)**2d0*coupl(nGC_62)**2d0 &
                       + 3d0*cima*coupl(nGC_594)**2d0 + 3d0*cima*coupl(nGC_74  &
                      )**2d0 + 3d0*coupl(nGC_266)*coupl(nGC_3)*coupl(nGC_594   &
                      ) + 3d0*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_594) + 3d0*  &
                      coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_74) + 3d0*coupl(    &
                      nGC_3)*coupl(nGC_680)*coupl(nGC_74))/(24d0*pi**2d0)
    coupl(nGC_9568) = (Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_126)*coupl&
                      (nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_127)*coupl(&
                      nGC_128)*coupl(nGC_62) + Nc*cima*coupl(nGC_1)*coupl(     &
                      nGC_130)*coupl(nGC_132)*coupl(nGC_62) + Nc*cima*coupl(   &
                      nGC_1)*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62) - 4d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_143)*coupl(&
                      nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)*coupl( &
                      nGC_149)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_124)*coupl&
                      (nGC_126)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*coupl(    &
                      nGC_127)*coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_62) - 4d0*&
                      Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_2)*coupl(&
                      nGC_62) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl&
                      (nGC_2)*coupl(nGC_62) + Nc*cima*coupl(nGC_142)*coupl(    &
                      nGC_143)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*coupl(     &
                      nGC_148)*coupl(nGC_149)*coupl(nGC_2)*coupl(nGC_62) + cima&
                      *coupl(nGC_133)*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_62 &
                      ) + cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_4)*coupl&
                      (nGC_62) + 6d0*cima*coupl(nGC_14)*coupl(nGC_74) + cima*  &
                      coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_4)*coupl(nGC_62  &
                      ) + 6d0*cima*coupl(nGC_594)*coupl(nGC_69) + 6d0*coupl(   &
                      nGC_14)*coupl(nGC_3)*coupl(nGC_63) + 6d0*coupl(nGC_3)*   &
                      coupl(nGC_4)*coupl(nGC_69))/(48d0*pi**2d0)
    coupl(nGC_9569) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1168)*coupl(nGC_130)*    &
                      coupl(nGC_62) + Nc*cima*coupl(nGC_1)*coupl(nGC_124)*coupl&
                      (nGC_1368)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                      (nGC_127)*coupl(nGC_129)*coupl(nGC_62) + Nc*cima*coupl(  &
                      nGC_1)*coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_686) - 4d0*&
                      Nc*cima*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_144)*coupl(&
                      nGC_62) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_148)*coupl( &
                      nGC_150)*coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_1168)*    &
                      coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - 4d0*Nc*cima* &
                      coupl(nGC_124)*coupl(nGC_1368)*coupl(nGC_2)*coupl(nGC_62 &
                      ) + Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_2)*  &
                      coupl(nGC_62) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_2)* &
                      coupl(nGC_62)*coupl(nGC_686) + Nc*cima*coupl(nGC_142)*   &
                      coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_62) + Nc*cima*coupl&
                      (nGC_148)*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_62) +    &
                      cima*coupl(nGC_1022)*coupl(nGC_133)*coupl(nGC_4)*coupl(  &
                      nGC_62) + cima*coupl(nGC_136)*coupl(nGC_4)*coupl(nGC_62)*&
                      coupl(nGC_724) + cima*coupl(nGC_145)*coupl(nGC_2514)*    &
                      coupl(nGC_4)*coupl(nGC_62) + 6d0*cima*coupl(nGC_16)*coupl&
                      (nGC_74) + 6d0*cima*coupl(nGC_594)*coupl(nGC_72) + 6d0*  &
                      coupl(nGC_16)*coupl(nGC_266)*coupl(nGC_64) + 6d0*coupl(  &
                      nGC_266)*coupl(nGC_3)*coupl(nGC_72))/(48d0*pi**2d0)
    coupl(nGC_14860) = coupl(nGC_14331) + coupl(nGC_14858)
    coupl(nGC_15628) = coupl(nGC_81)*dZH_QED2/2d0 + coupl(nGC_81)*dZZ_QED2/2d0 &
                        + coupl(nGC_9724)
    coupl(nGC_14158) = coupl(nGC_14)*dZH_QED2/2d0 + coupl(nGC_14)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_14)*dZZ_QED2/2d0 + coupl(nGC_69)*      &
                       dZAZ_QED2/2d0 + coupl(nGC_9726)
    coupl(nGC_9379) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*    &
                      coupl(nGC_1368) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0*&
                      coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_142)**2d0*   &
                      coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0*&
                      coupl(nGC_266)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13973) = coupl(nGC_54)*dZWMinus_QED2/2d0 + coupl(nGC_54)*dZZ_QED2&
                       /2d0 + coupl(nGC_75)*dZAZ_QED2/2d0 + coupl(nGC_9727)
    coupl(nGC_15313) = coupl(nGC_57)*dZZ_QED2 + coupl(nGC_76)*dZAZ_QED2 + coupl&
                       (nGC_9717)
    coupl(nGC_14395) = coupl(nGC_14212) + coupl(nGC_14393)
    coupl(nGC_14019) = coupl(nGC_14017) + coupl(nGC_14018)
    coupl(nGC_9387) = (-Nc*cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_78) - Nc* &
                      cMB*coupl(nGC_1)*coupl(nGC_126)*coupl(nGC_82) - Nc*cMC*  &
                      coupl(nGC_128)*coupl(nGC_2)*coupl(nGC_79) - Nc*cMC*coupl(&
                      nGC_128)*coupl(nGC_2)*coupl(nGC_83) - Nc*cMD*coupl(nGC_1 &
                      )*coupl(nGC_132)*coupl(nGC_78) - Nc*cMD*coupl(nGC_1)*    &
                      coupl(nGC_132)*coupl(nGC_82) - Nc*cMS*coupl(nGC_1)*coupl(&
                      nGC_141)*coupl(nGC_78) - Nc*cMS*coupl(nGC_1)*coupl(      &
                      nGC_141)*coupl(nGC_82) - Nc*cMT*coupl(nGC_143)*coupl(    &
                      nGC_2)*coupl(nGC_79) - Nc*cMT*coupl(nGC_143)*coupl(nGC_2 &
                      )*coupl(nGC_83) - Nc*cMU*coupl(nGC_149)*coupl(nGC_2)*    &
                      coupl(nGC_79) - Nc*cMU*coupl(nGC_149)*coupl(nGC_2)*coupl(&
                      nGC_83) - cME*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_80   &
                      ) - cME*coupl(nGC_135)*coupl(nGC_4)*coupl(nGC_85) - cMM* &
                      coupl(nGC_138)*coupl(nGC_4)*coupl(nGC_80) - cMM*coupl(   &
                      nGC_138)*coupl(nGC_4)*coupl(nGC_85) - cMTA*coupl(nGC_147 &
                      )*coupl(nGC_4)*coupl(nGC_80) - cMTA*coupl(nGC_147)*coupl(&
                      nGC_4)*coupl(nGC_85) + cima*coupl(nGC_107)*coupl(nGC_77  &
                      ) + coupl(nGC_107)*coupl(nGC_266)*coupl(nGC_680) + coupl(&
                      nGC_107)*coupl(nGC_3)*coupl(nGC_64))/(8d0*pi**2d0)
    coupl(nGC_17832) = -coupl(nGC_15628)
    coupl(nGC_9601) = (-8d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_131)*coupl(nGC_78&
                      )**2d0 + 10d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_131)*    &
                      coupl(nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_1168 &
                      )*coupl(nGC_131)*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl( &
                      nGC_125)*coupl(nGC_1368)*coupl(nGC_78)**2d0 + 10d0*Nc*   &
                      cima*coupl(nGC_125)*coupl(nGC_1368)*coupl(nGC_78)*coupl( &
                      nGC_82) - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_1368)*    &
                      coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_129)*coupl(   &
                      nGC_706)*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(nGC_129 &
                      )*coupl(nGC_706)*coupl(nGC_79)*coupl(nGC_83) - 8d0*Nc*   &
                      cima*coupl(nGC_129)*coupl(nGC_706)*coupl(nGC_83)**2d0 -  &
                      8d0*Nc*cima*coupl(nGC_140)*coupl(nGC_686)*coupl(nGC_78)**&
                      2d0 + 10d0*Nc*cima*coupl(nGC_140)*coupl(nGC_686)*coupl(  &
                      nGC_78)*coupl(nGC_82) - 8d0*Nc*cima*coupl(nGC_140)*coupl(&
                      nGC_686)*coupl(nGC_82)**2d0 - 8d0*Nc*cima*coupl(nGC_144)*&
                      coupl(nGC_656)*coupl(nGC_79)**2d0 + 10d0*Nc*cima*coupl(  &
                      nGC_144)*coupl(nGC_656)*coupl(nGC_79)*coupl(nGC_83) - 8d0&
                      *Nc*cima*coupl(nGC_144)*coupl(nGC_656)*coupl(nGC_83)**2d0&
                       - 8d0*Nc*cima*coupl(nGC_150)*coupl(nGC_780)*coupl(nGC_79&
                      )**2d0 + 10d0*Nc*cima*coupl(nGC_150)*coupl(nGC_780)*coupl&
                      (nGC_79)*coupl(nGC_83) - 8d0*Nc*cima*coupl(nGC_150)*coupl&
                      (nGC_780)*coupl(nGC_83)**2d0 - 8d0*cima*coupl(nGC_1022)* &
                      coupl(nGC_134)*coupl(nGC_80)**2d0 + 10d0*cima*coupl(     &
                      nGC_1022)*coupl(nGC_134)*coupl(nGC_80)*coupl(nGC_85) -   &
                      8d0*cima*coupl(nGC_1022)*coupl(nGC_134)*coupl(nGC_85)**  &
                      2d0 - 8d0*cima*coupl(nGC_137)*coupl(nGC_724)*coupl(nGC_80&
                      )**2d0 + 10d0*cima*coupl(nGC_137)*coupl(nGC_724)*coupl(  &
                      nGC_80)*coupl(nGC_85) - 8d0*cima*coupl(nGC_137)*coupl(   &
                      nGC_724)*coupl(nGC_85)**2d0 - 8d0*cima*coupl(nGC_146)*   &
                      coupl(nGC_2514)*coupl(nGC_80)**2d0 + 10d0*cima*coupl(    &
                      nGC_146)*coupl(nGC_2514)*coupl(nGC_80)*coupl(nGC_85) -   &
                      8d0*cima*coupl(nGC_146)*coupl(nGC_2514)*coupl(nGC_85)**  &
                      2d0 + 3d0*cima*coupl(nGC_47)*coupl(nGC_56) + 3d0*coupl(  &
                      nGC_47)*coupl(nGC_64)**2d0 + 3d0*coupl(nGC_47)*coupl(    &
                      nGC_680)**2d0)/(24d0*pi**2d0)
    coupl(nGC_14374) = coupl(nGC_14370) + coupl(nGC_14373)
    coupl(nGC_9513) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_1168)*  &
                      coupl(nGC_131)*coupl(nGC_78) + coupl(nGC_132)**2d0*coupl(&
                      nGC_78) + coupl(nGC_148)**2d0*coupl(nGC_79) + 2d0*coupl( &
                      nGC_62)**2d0*coupl(nGC_680) + 4d0*coupl(nGC_62)**2d0*    &
                      coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
    coupl(nGC_21405) = -coupl(nGC_9559)
    coupl(nGC_21403) = -coupl(nGC_9558)
    coupl(nGC_20468) = coupl(nGC_20464) + coupl(nGC_9756)
    coupl(nGC_14692) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZtR_QED2 +  &
                       coupl(nGC_9739)
    coupl(nGC_9599) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_62)**2d0 -   &
                      8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_62)**2d0 - 8d0*&
                      Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc* &
                      cima*coupl(nGC_141)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc*cima&
                      *coupl(nGC_143)**2d0*coupl(nGC_62)**2d0 - 8d0*Nc*cima*   &
                      coupl(nGC_149)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl( &
                      nGC_135)**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl(nGC_138&
                      )**2d0*coupl(nGC_62)**2d0 - 8d0*cima*coupl(nGC_147)**2d0*&
                      coupl(nGC_62)**2d0 + 6d0*cima*coupl(nGC_3084)*coupl(     &
                      nGC_47) + 3d0*cima*coupl(nGC_56)*coupl(nGC_96) + 6d0*    &
                      coupl(nGC_266)*coupl(nGC_4)*coupl(nGC_47) + 6d0*coupl(   &
                      nGC_356)*coupl(nGC_64)*coupl(nGC_96) + 6d0*coupl(nGC_47)*&
                      coupl(nGC_63)*coupl(nGC_680))/(48d0*pi**2d0)
    coupl(nGC_9598) = cima*(10d0*Nc*coupl(nGC_1168)**2d0*coupl(nGC_132)**2d0 + &
                      40d0*Nc*coupl(nGC_1168)*coupl(nGC_131)*coupl(nGC_132)**  &
                      2d0 + 10d0*Nc*coupl(nGC_125)**2d0*coupl(nGC_126)**2d0 +  &
                      40d0*Nc*coupl(nGC_125)*coupl(nGC_126)**2d0*coupl(nGC_1368&
                      ) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_1368)**2d0 +   &
                      10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_129)**2d0 + 40d0*Nc&
                      *coupl(nGC_128)**2d0*coupl(nGC_129)*coupl(nGC_706) + 10d0&
                      *Nc*coupl(nGC_128)**2d0*coupl(nGC_706)**2d0 + 10d0*Nc*   &
                      coupl(nGC_131)**2d0*coupl(nGC_132)**2d0 + 10d0*Nc*coupl( &
                      nGC_140)**2d0*coupl(nGC_141)**2d0 + 40d0*Nc*coupl(nGC_140&
                      )*coupl(nGC_141)**2d0*coupl(nGC_686) + 10d0*Nc*coupl(    &
                      nGC_141)**2d0*coupl(nGC_686)**2d0 + 10d0*Nc*coupl(nGC_143&
                      )**2d0*coupl(nGC_144)**2d0 + 40d0*Nc*coupl(nGC_143)**2d0*&
                      coupl(nGC_144)*coupl(nGC_656) + 10d0*Nc*coupl(nGC_143)** &
                      2d0*coupl(nGC_656)**2d0 + 10d0*Nc*coupl(nGC_149)**2d0*   &
                      coupl(nGC_150)**2d0 + 40d0*Nc*coupl(nGC_149)**2d0*coupl( &
                      nGC_150)*coupl(nGC_780) + 10d0*Nc*coupl(nGC_149)**2d0*   &
                      coupl(nGC_780)**2d0 + 10d0*coupl(nGC_1022)**2d0*coupl(   &
                      nGC_135)**2d0 + 40d0*coupl(nGC_1022)*coupl(nGC_134)*coupl&
                      (nGC_135)**2d0 + 10d0*coupl(nGC_134)**2d0*coupl(nGC_135  &
                      )**2d0 + 10d0*coupl(nGC_137)**2d0*coupl(nGC_138)**2d0 +  &
                      40d0*coupl(nGC_137)*coupl(nGC_138)**2d0*coupl(nGC_724) + &
                      10d0*coupl(nGC_138)**2d0*coupl(nGC_724)**2d0 + 10d0*coupl&
                      (nGC_146)**2d0*coupl(nGC_147)**2d0 + 40d0*coupl(nGC_146)*&
                      coupl(nGC_147)**2d0*coupl(nGC_2514) + 10d0*coupl(nGC_147 &
                      )**2d0*coupl(nGC_2514)**2d0 + 6d0*coupl(nGC_47)**2d0 +   &
                      3d0*coupl(nGC_96)**2d0)/(48d0*pi**2d0)
    coupl(nGC_9610) = (9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 - 15d0&
                      *Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(nGC_83   &
                      ) + 9d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**2d0 -  &
                      4d0*cima*coupl(nGC_266)*coupl(nGC_4)*coupl(nGC_64)**2d0  &
                       + 3d0*cima*coupl(nGC_3084)*coupl(nGC_56) + 9d0*cima*    &
                      coupl(nGC_62)**2d0*coupl(nGC_85)**2d0 - 15d0*cima*coupl( &
                      nGC_62)**2d0*coupl(nGC_85)*coupl(nGC_86) + 9d0*cima*coupl&
                      (nGC_62)**2d0*coupl(nGC_86)**2d0 - 4d0*cima*coupl(nGC_63 &
                      )*coupl(nGC_64)**2d0*coupl(nGC_680) + 3d0*coupl(nGC_266)*&
                      coupl(nGC_4)*coupl(nGC_56) + 3d0*coupl(nGC_3084)*coupl(  &
                      nGC_64)**2d0 + 3d0*coupl(nGC_3084)*coupl(nGC_680)**2d0 + &
                      3d0*coupl(nGC_56)*coupl(nGC_63)*coupl(nGC_680))/(24d0*pi &
                      **2d0)
    coupl(nGC_9592) = (5d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_130)*coupl(nGC_62 &
                      )*coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_1168)*coupl(     &
                      nGC_130)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(&
                      nGC_1168)*coupl(nGC_130)*coupl(nGC_62)*coupl(nGC_83) +   &
                      5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_1368)*coupl(nGC_62)*&
                      coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(nGC_1368&
                      )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_124&
                      )*coupl(nGC_1368)*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*  &
                      cima*coupl(nGC_127)*coupl(nGC_129)*coupl(nGC_62)*coupl(  &
                      nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_129)*coupl&
                      (nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)*coupl&
                      (nGC_129)*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl&
                      (nGC_139)*coupl(nGC_62)*coupl(nGC_686)*coupl(nGC_78) -   &
                      4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_62)*coupl(nGC_686)* &
                      coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_62)*&
                      coupl(nGC_686)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_142 &
                      )*coupl(nGC_144)*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*   &
                      cima*coupl(nGC_142)*coupl(nGC_144)*coupl(nGC_62)*coupl(  &
                      nGC_82) - 4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_144)*coupl&
                      (nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl&
                      (nGC_150)*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl&
                      (nGC_148)*coupl(nGC_150)*coupl(nGC_62)*coupl(nGC_82) -   &
                      4d0*Nc*cima*coupl(nGC_148)*coupl(nGC_150)*coupl(nGC_62)* &
                      coupl(nGC_83) + 5d0*cima*coupl(nGC_1022)*coupl(nGC_133)* &
                      coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_1022)*  &
                      coupl(nGC_133)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*   &
                      coupl(nGC_1022)*coupl(nGC_133)*coupl(nGC_62)*coupl(nGC_86&
                      ) + 5d0*cima*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_724)*&
                      coupl(nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_62)*   &
                      coupl(nGC_724)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*  &
                      coupl(nGC_62)*coupl(nGC_724)*coupl(nGC_86) + 5d0*cima*   &
                      coupl(nGC_145)*coupl(nGC_2514)*coupl(nGC_62)*coupl(nGC_80&
                      ) - 4d0*cima*coupl(nGC_145)*coupl(nGC_2514)*coupl(nGC_62 &
                      )*coupl(nGC_85) - 4d0*cima*coupl(nGC_145)*coupl(nGC_2514 &
                      )*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(nGC_16)*  &
                      coupl(nGC_55) + 6d0*cima*coupl(nGC_562)*coupl(nGC_72) +  &
                      6d0*coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_680) + 6d0*    &
                      coupl(nGC_3)*coupl(nGC_680)*coupl(nGC_72))/(48d0*pi**2d0)
    coupl(nGC_9612) = (-30d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(      &
                      nGC_266)**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_266 &
                      )*coupl(nGC_3)*coupl(nGC_356)*coupl(nGC_63) - 8d0*cima*  &
                      coupl(nGC_266)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_786   &
                      ) - 8d0*cima*coupl(nGC_266)*coupl(nGC_4)*coupl(nGC_63)*  &
                      coupl(nGC_680) - 4d0*cima*coupl(nGC_3)**2d0*coupl(nGC_786&
                      )**2d0 - 8d0*cima*coupl(nGC_3)*coupl(nGC_356)*coupl(     &
                      nGC_64)*coupl(nGC_786) - 4d0*cima*coupl(nGC_356)**2d0*   &
                      coupl(nGC_64)**2d0 - 8d0*cima*coupl(nGC_356)*coupl(nGC_63&
                      )*coupl(nGC_64)*coupl(nGC_680) - 8d0*cima*coupl(nGC_4)*  &
                      coupl(nGC_64)*coupl(nGC_680)*coupl(nGC_786) + 3d0*cima*  &
                      coupl(nGC_51)**2d0 - 30d0*cima*coupl(nGC_62)**4d0 - 4d0* &
                      cima*coupl(nGC_63)**2d0*coupl(nGC_680)**2d0 + 6d0*coupl( &
                      nGC_266)*coupl(nGC_3)*coupl(nGC_51) + 6d0*coupl(nGC_356)*&
                      coupl(nGC_51)*coupl(nGC_63) + 6d0*coupl(nGC_4)*coupl(    &
                      nGC_51)*coupl(nGC_786) + 6d0*coupl(nGC_51)*coupl(nGC_64)*&
                      coupl(nGC_680))/(48d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
