!******************************************************************************!
!                                                                              !
!    fill_ctcouplings17.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings17.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings17
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl17()
    coupl(nGC_14786) = -coupl(nGC_14785)
    coupl(nGC_14780) = coupl(nGC_14777) + coupl(nGC_14778)
    coupl(nGC_9616) = (Nc*cima*coupl(nGC_78)**4d0 + Nc*cima*coupl(nGC_79)**4d0 &
                       + Nc*cima*coupl(nGC_82)**4d0 + Nc*cima*coupl(nGC_83)**  &
                      4d0 + cima*coupl(nGC_56)**2d0 - 2d0*cima*coupl(nGC_64)** &
                      4d0 - 2d0*cima*coupl(nGC_680)**4d0 + cima*coupl(nGC_80)**&
                      4d0 + cima*coupl(nGC_85)**4d0 + cima*coupl(nGC_86)**4d0  &
                       + 2d0*coupl(nGC_56)*coupl(nGC_64)**2d0 + 2d0*coupl(     &
                      nGC_56)*coupl(nGC_680)**2d0)/(8d0*pi**2d0)
    coupl(nGC_14683) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*        &
                       dZbL_QED2/2d0 + coupl(nGC_62)*dZtL_QED2/2d0 + coupl(    &
                       nGC_9738)
    coupl(nGC_14047) = coupl(nGC_22)*dZH_QED2 + coupl(nGC_9639) + coupl(       &
                       nGC_HHGG)
    coupl(nGC_15006) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*             &
                       dZtauMinusL_QED2 + coupl(nGC_9725)
    coupl(nGC_14043) = coupl(nGC_9639) + coupl(nGC_HHGG)
    coupl(nGC_14040) = coupl(nGC_49)*dZWMinus_QED2 + coupl(nGC_9716)
    coupl(nGC_13982) = coupl(nGC_21)*dZg_QCD2 + coupl(nGC_9659)
    coupl(nGC_15453) = coupl(nGC_15449) + coupl(nGC_15452)
    coupl(nGC_14062) = coupl(nGC_70)*dZH_QED2/2d0 + coupl(nGC_9645)
    coupl(nGC_15090) = coupl(nGC_14615) + coupl(nGC_15088)
    coupl(nGC_14172) = coupl(nGC_59)*dZH_QED2/2d0 + coupl(nGC_59)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_9714)
    coupl(nGC_14173) = -coupl(nGC_14172)
    coupl(nGC_9613) = (18d0*Nc*cima*coupl(nGC_62)**4d0 - 4d0*cima*coupl(nGC_266&
                      )**2d0*coupl(nGC_4)**2d0 - 8d0*cima*coupl(nGC_266)*coupl(&
                      nGC_3)*coupl(nGC_356)*coupl(nGC_63) - 8d0*cima*coupl(    &
                      nGC_266)*coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_786) - 8d0* &
                      cima*coupl(nGC_266)*coupl(nGC_4)*coupl(nGC_63)*coupl(    &
                      nGC_680) - 4d0*cima*coupl(nGC_3)**2d0*coupl(nGC_786)**2d0&
                       - 8d0*cima*coupl(nGC_3)*coupl(nGC_356)*coupl(nGC_64)*   &
                      coupl(nGC_786) + 6d0*cima*coupl(nGC_3084)**2d0 - 4d0*cima&
                      *coupl(nGC_356)**2d0*coupl(nGC_64)**2d0 - 8d0*cima*coupl(&
                      nGC_356)*coupl(nGC_63)*coupl(nGC_64)*coupl(nGC_680) - 8d0&
                      *cima*coupl(nGC_4)*coupl(nGC_64)*coupl(nGC_680)*coupl(   &
                      nGC_786) + 3d0*cima*coupl(nGC_56)**2d0 + 18d0*cima*coupl(&
                      nGC_62)**4d0 - 4d0*cima*coupl(nGC_63)**2d0*coupl(nGC_680 &
                      )**2d0 + 6d0*cima*coupl(nGC_77)**2d0 + 3d0*cima*coupl(   &
                      nGC_9)**2d0 + 6d0*coupl(nGC_266)*coupl(nGC_3084)*coupl(  &
                      nGC_4) + 6d0*coupl(nGC_266)*coupl(nGC_4)*coupl(nGC_9) +  &
                      6d0*coupl(nGC_266)*coupl(nGC_63)*coupl(nGC_77) + 6d0*    &
                      coupl(nGC_3)*coupl(nGC_3084)*coupl(nGC_786) + 6d0*coupl( &
                      nGC_3)*coupl(nGC_356)*coupl(nGC_77) + 6d0*coupl(nGC_3)*  &
                      coupl(nGC_786)*coupl(nGC_9) + 6d0*coupl(nGC_3084)*coupl( &
                      nGC_356)*coupl(nGC_64) + 6d0*coupl(nGC_3084)*coupl(nGC_63&
                      )*coupl(nGC_680) + 6d0*coupl(nGC_356)*coupl(nGC_56)*coupl&
                      (nGC_64) + 6d0*coupl(nGC_4)*coupl(nGC_680)*coupl(nGC_77  &
                      ) + 6d0*coupl(nGC_56)*coupl(nGC_63)*coupl(nGC_680) + 6d0*&
                      coupl(nGC_64)*coupl(nGC_77)*coupl(nGC_786))/(48d0*pi**2d0&
                      )
    coupl(nGC_9427) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc* &
                      cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMB* &
                      coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC*coupl&
                      (nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*coupl(    &
                      nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*coupl(     &
                      nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*coupl(     &
                      nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*coupl(     &
                      nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*coupl(     &
                      nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*coupl(     &
                      nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*coupl(     &
                      nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*coupl(     &
                      nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*coupl(     &
                      nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*coupl(     &
                      nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*coupl(     &
                      nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*coupl(     &
                      nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*coupl(     &
                      nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*coupl(     &
                      nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl(nGC_133 &
                      )*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(nGC_133)*coupl(&
                      nGC_62)*coupl(nGC_85) - cME*coupl(nGC_133)*coupl(nGC_62)*&
                      coupl(nGC_86) + cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(  &
                      nGC_80) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_85  &
                      ) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_86) + cMTA&
                      *coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) - cMTA*coupl(&
                      nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA*coupl(nGC_145&
                      )*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*coupl(nGC_110)* &
                      coupl(nGC_562) + 2d0*cima*coupl(nGC_55)*coupl(nGC_99) +  &
                      2d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_680) + 2d0*    &
                      coupl(nGC_64)*coupl(nGC_680)*coupl(nGC_99))/(16d0*pi**2d0&
                      )
    coupl(nGC_9597) = (-8d0*Nc*cima*coupl(nGC_1168)*coupl(nGC_131)*coupl(nGC_62&
                      )**2d0 - 8d0*Nc*cima*coupl(nGC_125)*coupl(nGC_1368)*coupl&
                      (nGC_62)**2d0 - 8d0*Nc*cima*coupl(nGC_129)*coupl(nGC_62  &
                      )**2d0*coupl(nGC_706) - 8d0*Nc*cima*coupl(nGC_140)*coupl(&
                      nGC_62)**2d0*coupl(nGC_686) - 8d0*Nc*cima*coupl(nGC_144)*&
                      coupl(nGC_62)**2d0*coupl(nGC_656) - 8d0*Nc*cima*coupl(   &
                      nGC_150)*coupl(nGC_62)**2d0*coupl(nGC_780) - 8d0*cima*   &
                      coupl(nGC_1022)*coupl(nGC_134)*coupl(nGC_62)**2d0 - 8d0* &
                      cima*coupl(nGC_137)*coupl(nGC_62)**2d0*coupl(nGC_724) -  &
                      8d0*cima*coupl(nGC_146)*coupl(nGC_2514)*coupl(nGC_62)**  &
                      2d0 + 6d0*cima*coupl(nGC_3084)*coupl(nGC_47) + 3d0*cima* &
                      coupl(nGC_56)*coupl(nGC_96) + 6d0*coupl(nGC_266)*coupl(  &
                      nGC_4)*coupl(nGC_47) + 6d0*coupl(nGC_356)*coupl(nGC_64)* &
                      coupl(nGC_96) + 6d0*coupl(nGC_47)*coupl(nGC_63)*coupl(   &
                      nGC_680))/(48d0*pi**2d0)
    coupl(nGC_14446) = coupl(nGC_14005) + coupl(nGC_14443)
    coupl(nGC_9350) = cima*(coupl(nGC_64)**2d0 + coupl(nGC_680)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_14445) = coupl(nGC_14005) + coupl(nGC_14444)
    coupl(nGC_15568) = coupl(nGC_14314) + coupl(nGC_15566)
    coupl(nGC_15569) = coupl(nGC_14314) + coupl(nGC_15567)
    coupl(nGC_9595) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62)*&
                      coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126 &
                      )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_124&
                      )*coupl(nGC_126)*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*   &
                      cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(  &
                      nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl&
                      (nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)*coupl&
                      (nGC_128)*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_78) -   &
                      4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)* &
                      coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132 &
                      )*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139&
                      )*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*   &
                      cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(  &
                      nGC_82) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl&
                      (nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl&
                      (nGC_143)*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl&
                      (nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_82) -   &
                      4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)* &
                      coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149 &
                      )*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                      )*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*   &
                      cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(  &
                      nGC_83) + 5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(  &
                      nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(   &
                      nGC_135)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(   &
                      nGC_133)*coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) + 5d0&
                      *cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*coupl( &
                      nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(  &
                      nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(   &
                      nGC_138)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(   &
                      nGC_14)*coupl(nGC_55) + 5d0*cima*coupl(nGC_145)*coupl(   &
                      nGC_147)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(   &
                      nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_85) - 4d0&
                      *cima*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl( &
                      nGC_86) + 6d0*cima*coupl(nGC_562)*coupl(nGC_69) + 6d0*   &
                      coupl(nGC_14)*coupl(nGC_64)*coupl(nGC_680) + 6d0*coupl(  &
                      nGC_3)*coupl(nGC_680)*coupl(nGC_69))/(48d0*pi**2d0)
    coupl(nGC_14779) = coupl(nGC_55)*dZWMinus_QED2 + coupl(nGC_55)*dZZ_QED2 +  &
                       coupl(nGC_9733)
    coupl(nGC_9585) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_62)**2d0 -   &
                      4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_62)**2d0 - 4d0*&
                      Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc* &
                      cima*coupl(nGC_139)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc*cima&
                      *coupl(nGC_142)**2d0*coupl(nGC_62)**2d0 - 4d0*Nc*cima*   &
                      coupl(nGC_148)**2d0*coupl(nGC_62)**2d0 + 3d0*cima*coupl( &
                      nGC_10)*coupl(nGC_9) - 4d0*cima*coupl(nGC_133)**2d0*coupl&
                      (nGC_62)**2d0 - 4d0*cima*coupl(nGC_136)**2d0*coupl(nGC_62&
                      )**2d0 - 4d0*cima*coupl(nGC_145)**2d0*coupl(nGC_62)**2d0 &
                       + 6d0*cima*coupl(nGC_3084)*coupl(nGC_47) + 3d0*cima*    &
                      coupl(nGC_56)*coupl(nGC_95) + 6d0*cima*coupl(nGC_77)*    &
                      coupl(nGC_90) + 6d0*coupl(nGC_10)*coupl(nGC_3)*coupl(    &
                      nGC_786) + 6d0*coupl(nGC_266)*coupl(nGC_4)*coupl(nGC_47  &
                      ) + 6d0*coupl(nGC_3)*coupl(nGC_356)*coupl(nGC_90) + 6d0* &
                      coupl(nGC_356)*coupl(nGC_64)*coupl(nGC_95) + 6d0*coupl(  &
                      nGC_47)*coupl(nGC_63)*coupl(nGC_680) + 6d0*coupl(nGC_64)*&
                      coupl(nGC_786)*coupl(nGC_90))/(48d0*pi**2d0)
    coupl(nGC_15184) = 2d0*coupl(nGC_15182)
    coupl(nGC_14694) = coupl(nGC_14331) + coupl(nGC_14691)
    coupl(nGC_14693) = coupl(nGC_14331) + coupl(nGC_14692)
    coupl(nGC_15462) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*             &
                       dZnu_tauL_QED2 + coupl(nGC_9743)
    coupl(nGC_14859) = coupl(nGC_14331) + coupl(nGC_14857)
    coupl(nGC_9535) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                      nGC_124)**2d0 - coupl(nGC_125)*coupl(nGC_1368) - coupl(  &
                      nGC_126)**2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9530) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_125&
                      )*coupl(nGC_1368) + coupl(nGC_126)**2d0 + coupl(nGC_142  &
                      )**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_82)**2d0 &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_9533) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                      nGC_125)*coupl(nGC_1368) - coupl(nGC_126)**2d0 - coupl(  &
                      nGC_142)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_82&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_9532) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_124&
                      )**2d0 + coupl(nGC_125)*coupl(nGC_1368) + coupl(nGC_126  &
                      )**2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_15179) = -coupl(nGC_15178)
    coupl(nGC_14166) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_90)*dZA_QED2/2d0&
                        + coupl(nGC_90)*dZZ_QED2/2d0 + coupl(nGC_95)*dZZA_QED2/&
                       2d0 + coupl(nGC_9723)
    coupl(nGC_17768) = -coupl(nGC_17764)
    coupl(nGC_14514) = coupl(nGC_14508) + coupl(nGC_9677)
    coupl(nGC_14511) = -coupl(nGC_14507) - coupl(nGC_9678)
    coupl(nGC_14512) = coupl(nGC_14507) + coupl(nGC_9678)
    coupl(nGC_14513) = -coupl(nGC_14508) - coupl(nGC_9677)
    coupl(nGC_13977) = coupl(nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2 +    &
                       coupl(nGC_9720)
    coupl(nGC_15193) = -2d0*coupl(nGC_15182)
    coupl(nGC_14083) = coupl(nGC_85)*dZZ_QED2/2d0 + coupl(nGC_85)*             &
                       dZeMinusL_QED2 + coupl(nGC_9725)
    coupl(nGC_9522) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_127)**  &
                      2d0*coupl(nGC_79) + coupl(nGC_140)*coupl(nGC_686)*coupl( &
                      nGC_78) + coupl(nGC_141)**2d0*coupl(nGC_78) + 2d0*coupl( &
                      nGC_62)**2d0*coupl(nGC_680) + 4d0*coupl(nGC_62)**2d0*    &
                      coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9526) = (coupl(nGC_145)**2d0*coupl(nGC_86) + coupl(nGC_146)*coupl&
                      (nGC_2514)*coupl(nGC_85) + coupl(nGC_147)**2d0*coupl(    &
                      nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*coupl&
                      (nGC_80)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9527) = (coupl(nGC_146)*coupl(nGC_2514)*coupl(nGC_80) + coupl(   &
                      nGC_147)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*   &
                      coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85)**3d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_9409) = (Nc*cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_78) - Nc* &
                      cMB*coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMB* &
                      coupl(nGC_124)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMC*coupl&
                      (nGC_127)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMC*coupl(    &
                      nGC_127)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMC*coupl(     &
                      nGC_127)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMD*coupl(     &
                      nGC_130)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMD*coupl(     &
                      nGC_130)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMD*coupl(     &
                      nGC_130)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMS*coupl(     &
                      nGC_139)*coupl(nGC_62)*coupl(nGC_78) - Nc*cMS*coupl(     &
                      nGC_139)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMS*coupl(     &
                      nGC_139)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMT*coupl(     &
                      nGC_142)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMT*coupl(     &
                      nGC_142)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMT*coupl(     &
                      nGC_142)*coupl(nGC_62)*coupl(nGC_83) + Nc*cMU*coupl(     &
                      nGC_148)*coupl(nGC_62)*coupl(nGC_79) - Nc*cMU*coupl(     &
                      nGC_148)*coupl(nGC_62)*coupl(nGC_82) - Nc*cMU*coupl(     &
                      nGC_148)*coupl(nGC_62)*coupl(nGC_83) + cME*coupl(nGC_133 &
                      )*coupl(nGC_62)*coupl(nGC_80) - cME*coupl(nGC_133)*coupl(&
                      nGC_62)*coupl(nGC_85) - cME*coupl(nGC_133)*coupl(nGC_62)*&
                      coupl(nGC_86) + cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(  &
                      nGC_80) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_85  &
                      ) - cMM*coupl(nGC_136)*coupl(nGC_62)*coupl(nGC_86) + cMTA&
                      *coupl(nGC_145)*coupl(nGC_62)*coupl(nGC_80) - cMTA*coupl(&
                      nGC_145)*coupl(nGC_62)*coupl(nGC_85) - cMTA*coupl(nGC_145&
                      )*coupl(nGC_62)*coupl(nGC_86) + 2d0*cima*coupl(nGC_110)* &
                      coupl(nGC_562) + 2d0*cima*coupl(nGC_55)*coupl(nGC_99) +  &
                      2d0*coupl(nGC_110)*coupl(nGC_4)*coupl(nGC_64) + 2d0*coupl&
                      (nGC_63)*coupl(nGC_64)*coupl(nGC_99))/(16d0*pi**2d0)
    coupl(nGC_9401) = coupl(nGC_4)*(coupl(nGC_146)*coupl(nGC_2514) + coupl(    &
                      nGC_147)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80 &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_18354) = -coupl(nGC_14403)
  end subroutine fill_CTcouplings_mdl17
end module fill_ctcouplings17
