!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl18()
    coupl(nGC_9402) = (coupl(nGC_146)*coupl(nGC_2514)*coupl(nGC_4) + coupl(    &
                      nGC_147)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(     &
                      nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)* &
                      coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_14292) = coupl(nGC_14285) + coupl(nGC_14291)
    coupl(nGC_14115) = -coupl(nGC_14111)
    coupl(nGC_14750) = coupl(nGC_14615) + coupl(nGC_14749)
    coupl(nGC_14751) = coupl(nGC_14615) + coupl(nGC_14748)
    coupl(nGC_14123) = coupl(nGC_19)*dZg_QCD2/2d0 + coupl(nGC_9737)
    coupl(nGC_15689) = coupl(nGC_14314) + coupl(nGC_15686)
    coupl(nGC_15688) = coupl(nGC_14314) + coupl(nGC_15687)
    coupl(nGC_14316) = coupl(nGC_14313) + coupl(nGC_14314)
    coupl(nGC_14317) = coupl(nGC_14314) + coupl(nGC_14315)
    coupl(nGC_22211) = -coupl(nGC_9497)
    coupl(nGC_14625) = coupl(nGC_14615) + coupl(nGC_14623)
    coupl(nGC_21944) = -coupl(nGC_9385)
    coupl(nGC_14125) = coupl(nGC_14120) + coupl(nGC_14123)
    coupl(nGC_14124) = coupl(nGC_14122) + coupl(nGC_14123)
    coupl(nGC_14893) = coupl(nGC_14123) + coupl(nGC_14889)
    coupl(nGC_14892) = coupl(nGC_14123) + coupl(nGC_14887)
    coupl(nGC_14411) = coupl(nGC_14123) + coupl(nGC_14408)
    coupl(nGC_14412) = coupl(nGC_14123) + coupl(nGC_14410)
    coupl(nGC_16727) = coupl(nGC_16725) + coupl(nGC_16726)
    coupl(nGC_14347) = coupl(nGC_14123) + coupl(nGC_14343)
    coupl(nGC_14346) = coupl(nGC_14123) + coupl(nGC_14341)
    coupl(nGC_19034) = coupl(nGC_14123) + coupl(nGC_19031)
    coupl(nGC_19035) = coupl(nGC_14123) + coupl(nGC_19029)
    coupl(nGC_14972) = coupl(nGC_14077) + coupl(nGC_14969)
    coupl(nGC_14486) = coupl(nGC_14123) + coupl(nGC_14483)
    coupl(nGC_14487) = coupl(nGC_14123) + coupl(nGC_14481)
    coupl(nGC_14781) = -coupl(nGC_14777)/2d0 + coupl(nGC_14779)
    coupl(nGC_14085) = coupl(nGC_14077) + coupl(nGC_14083)
    coupl(nGC_15009) = coupl(nGC_14077) + coupl(nGC_15006)
    coupl(nGC_13979) = coupl(nGC_13976) - 2d0*coupl(nGC_13977)
    coupl(nGC_13978) = -coupl(nGC_13976)/2d0 + coupl(nGC_13977)
    coupl(nGC_13991) = 2d0*coupl(nGC_13982)
  end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
