!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_9702) = coupl(nGC_9151)*dyc_QED1_QCD2
    coupl(nGC_14888) = coupl(nGC_19)*dZcL_QED2
    coupl(nGC_14889) = coupl(nGC_19)*dZcL_QCD2
    coupl(nGC_14886) = coupl(nGC_19)*dZcR_QED2
    coupl(nGC_14887) = coupl(nGC_19)*dZcR_QCD2
    coupl(nGC_14120) = coupl(nGC_19)*dZuL_QCD2
    coupl(nGC_18911) = coupl(nGC_I)*dZH_QED2
    coupl(nGC_9678) = coupl(nGC_9149)*dyb_QED3
    coupl(nGC_9679) = coupl(nGC_9171)*dydo_QED1_QCD2
    coupl(nGC_9676) = coupl(nGC_9179)*dys_QED3
    coupl(nGC_9674) = coupl(nGC_9170)*dydo_QED3
    coupl(nGC_9675) = coupl(nGC_9179)*dys_QED1_QCD2
    coupl(nGC_9672) = cima*dyt_QED3
    coupl(nGC_9673) = coupl(nGC_9170)*dydo_QED1_QCD2
    coupl(nGC_9670) = -cima*dyb_QED3
    coupl(nGC_9671) = cima*dyt_QED1_QCD2
    coupl(nGC_9680) = coupl(nGC_9171)*dydo_QED3
    coupl(nGC_14308) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_9682) = coupl(nGC_9180)*dys_QED3
    coupl(nGC_18253) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_9681) = coupl(nGC_9180)*dys_QED1_QCD2
    coupl(nGC_9665) = -cima*dys_QED1_QCD2
    coupl(nGC_19028) = coupl(nGC_19)*dZsL_QED2
    coupl(nGC_14392) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_79)*dZZA_QED2/2d0
    coupl(nGC_14390) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_9512) = coupl(nGC_19)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9455) = coupl(nGC_140)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9688) = coupl(nGC_9172)*dye_QED3
    coupl(nGC_14575) = coupl(nGC_135)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_15397) = coupl(nGC_132)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_9602) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_9372) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_9377) = (coupl(nGC_1)*coupl(nGC_127)**2d0 + coupl(nGC_128)**2d0* &
                      coupl(nGC_2) + coupl(nGC_129)*coupl(nGC_2)*coupl(nGC_706 &
                      ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_79&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_9353) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_9646) = coupl(nGC_9080)*dZee_QED2 + coupl(nGC_9081)*dcw_QED2 +   &
                      coupl(nGC_9082)*dvev_QED1
    coupl(nGC_15162) = coupl(nGC_140)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_15163) = coupl(nGC_140)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_15169) = coupl(nGC_15162) + coupl(nGC_9676)
    coupl(nGC_14690) = coupl(nGC_79)*dZtR_QCD2
    coupl(nGC_14599) = coupl(nGC_133)*dZeMinusR_QED2/2d0 + coupl(nGC_133)*     &
                       dZnu_eL_QED2/2d0 + coupl(nGC_9685)
    coupl(nGC_9689) = coupl(nGC_9174)*dym_QED3
    coupl(nGC_18254) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_9632) = coupl(nGC_9101)*dZee_QED2 + coupl(nGC_9102)*dsw_QED2 +   &
                      coupl(nGC_9103)*dcw_QED2
    coupl(nGC_9633) = coupl(nGC_9241)*dZee_QED2 + coupl(nGC_9242)*dcw_QED2
    coupl(nGC_9630) = cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_9631) = -3d0*cima*coupl(nGC_19)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_9635) = coupl(nGC_9240)*dZee_QED2
    coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
    coupl(nGC_19029) = coupl(nGC_19)*dZsL_QCD2
    coupl(nGC_9730) = coupl(nGC_9095)*dZee_QED2 + coupl(nGC_9096)*dsw_QED2 +   &
                      coupl(nGC_9097)*dcw_QED2
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
