!******************************************************************************!
!                                                                              !
!    currents_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info3
  implicit none
  contains
  subroutine fill_current_3(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_t, P_bAnti, P_WQMinus, 2110, check)
    call createCurrent(P_AQ, P_WPlus, P_WMinus, P_ZQ, 850, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_ghWp, 3737, check)
    call createCurrent(P_G0, P_ghZ, P_ghWmAnti, P_GMinus, 3690, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 3978, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 433, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 3918, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_H, 1703, check)
    call createCurrent(P_AQ, P_GMinus, P_GPlus, P_AQ, 1075, check)
    call createCurrent(P_WMinus, P_ghWm, P_WPlus, P_ghWmAnti, 2258, check)
    call createCurrent(P_g, P_g, P_A, P_A, 3995, check)
    call createCurrent(P_A, P_WPlus, P_ghZAnti, P_ghWm, 3213, check)
    call createCurrent(P_ghWmAnti, P_Z, P_WMinus, P_ghZ, 764, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_A, P_WMinus, 1423, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 1991, check)
  end subroutine fill_current_3
end module currents_info3
