!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  implicit none
  contains
  subroutine fill_vertices_mdl5()
    use class_vertices
    use class_couplings
    allocate(vertices(3200)%branch(0:0))
    call av(3200, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_71])

    allocate(vertices(3201)%branch(0:0))
    call av(3201, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_9])

    allocate(vertices(3202)%branch(0:0))
    call av(3202, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_15])

    allocate(vertices(3203)%branch(0:0))
    call av(3203, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_81])

    allocate(vertices(3204)%branch(0:0))
    call av(3204, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_46])

    allocate(vertices(3205)%branch(0:0))
    call av(3205, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_119])

    allocate(vertices(3206)%branch(0:0))
    call av(3206, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3207)%branch(0:0))
    call av(3207, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_66])

    allocate(vertices(3208)%branch(0:0))
    call av(3208, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_76])

    allocate(vertices(3209)%branch(0:0))
    call av(3209, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3210)%branch(0:0))
    call av(3210, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_89])

    allocate(vertices(3211)%branch(0:0))
    call av(3211, 0, 1, 1, 0, FSFa1, 0, [0, 1], [nGC_136])

    allocate(vertices(3212)%branch(0:0))
    call av(3212, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3213)%branch(0:0))
    call av(3213, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3214)%branch(0:0))
    call av(3214, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3215)%branch(0:0))
    call av(3215, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_147, nGC_147])

    allocate(vertices(3216)%branch(0:0))
    call av(3216, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3217)%branch(0:0))
    call av(3217, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_95])

    allocate(vertices(3218)%branch(0:0))
    call av(3218, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3219)%branch(0:0))
    call av(3219, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_64])

    allocate(vertices(3220)%branch(0:0))
    call av(3220, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_90])

    allocate(vertices(3221)%branch(0:0))
    call av(3221, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_47])

    allocate(vertices(3222)%branch(0:0))
    call av(3222, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_36])

    allocate(vertices(3223)%branch(0:0))
    call av(3223, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(3224)%branch(0:0))
    call av(3224, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_49])

    allocate(vertices(3225)%branch(0:0))
    call av(3225, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3226)%branch(0:0))
    call av(3226, 0, 1, 1, 0, FaSF2, 0, [0, 1], [nGC_145])

    allocate(vertices(3227)%branch(0:0))
    call av(3227, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_72])

    allocate(vertices(3228)%branch(0:0))
    call av(3228, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(3229)%branch(0:0))
    call av(3229, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3230)%branch(0:0))
    call av(3230, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_69])

    allocate(vertices(3231)%branch(0:0))
    call av(3231, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_47])

    allocate(vertices(3232)%branch(0:0))
    call av(3232, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_13])

    allocate(vertices(3233)%branch(0:0))
    call av(3233, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(3234)%branch(0:0))
    call av(3234, 0, 21, 1, 0, FaSF0, 0, [0, 1], [nGC_126, nGC_126])

    allocate(vertices(3235)%branch(0:0))
    call av(3235, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_9])

    allocate(vertices(3236)%branch(0:0))
    call av(3236, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_40])

    allocate(vertices(3237)%branch(0:0))
    call av(3237, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_70])

    allocate(vertices(3238)%branch(0:0))
    call av(3238, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_147, nGC_147])

    allocate(vertices(3239)%branch(0:0))
    call av(3239, 0, 1, 1, 0, FaVF0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(3240)%branch(0:0))
    call av(3240, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3241)%branch(0:0))
    call av(3241, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_70])

    allocate(vertices(3242)%branch(0:0))
    call av(3242, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_74])

    allocate(vertices(3243)%branch(0:0))
    call av(3243, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

    allocate(vertices(3244)%branch(0:0))
    call av(3244, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_1168, nGC_131])

    allocate(vertices(3245)%branch(0:0))
    call av(3245, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_46])

    allocate(vertices(3246)%branch(0:0))
    call av(3246, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3247)%branch(0:0))
    call av(3247, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_46])

    allocate(vertices(3248)%branch(0:0))
    call av(3248, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(3249)%branch(0:0))
    call av(3249, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

    allocate(vertices(3250)%branch(0:0))
    call av(3250, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_54])

    allocate(vertices(3251)%branch(0:0))
    call av(3251, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(3252)%branch(0:0))
    call av(3252, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_45])

    allocate(vertices(3253)%branch(0:0))
    call av(3253, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_680])

    allocate(vertices(3254)%branch(0:1))
    call av(3254, 0, 11, 6, 0, FFaV1, 0, [1, 0], [nGC_19, nGC_19])

    call av(3254, 1, 12, 7, 0, FFaV1, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(3255)%branch(0:0))
    call av(3255, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

    allocate(vertices(3256)%branch(0:0))
    call av(3256, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(3257)%branch(0:0))
    call av(3257, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3258)%branch(0:0))
    call av(3258, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_121])

    allocate(vertices(3259)%branch(0:0))
    call av(3259, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3260)%branch(0:0))
    call av(3260, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_105])

    allocate(vertices(3261)%branch(0:0))
    call av(3261, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(3262)%branch(0:0))
    call av(3262, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3263)%branch(0:0))
    call av(3263, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3264)%branch(0:0))
    call av(3264, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_93])

    allocate(vertices(3265)%branch(0:0))
    call av(3265, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

    allocate(vertices(3266)%branch(0:0))
    call av(3266, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_57])

    allocate(vertices(3267)%branch(0:0))
    call av(3267, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_91])

    allocate(vertices(3268)%branch(0:0))
    call av(3268, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3269)%branch(0:0))
    call av(3269, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_77, nGC_562, nGC_562])

    allocate(vertices(3270)%branch(0:0))
    call av(3270, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_74, nGC_76, nGC_77])

    allocate(vertices(3271)%branch(0:0))
    call av(3271, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_107])

    allocate(vertices(3272)%branch(0:0))
    call av(3272, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_122])

    allocate(vertices(3273)%branch(0:0))
    call av(3273, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_62])

    allocate(vertices(3274)%branch(0:0))
    call av(3274, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_46])

    allocate(vertices(3275)%branch(0:0))
    call av(3275, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_96])

    allocate(vertices(3276)%branch(0:0))
    call av(3276, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(3277)%branch(0:0))
    call av(3277, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_47])

    allocate(vertices(3278)%branch(0:0))
    call av(3278, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_72])

    allocate(vertices(3279)%branch(0:0))
    call av(3279, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_56])

    allocate(vertices(3280)%branch(0:0))
    call av(3280, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3281)%branch(0:0))
    call av(3281, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3282)%branch(0:0))
    call av(3282, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_81])

    allocate(vertices(3283)%branch(0:0))
    call av(3283, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_46])

    allocate(vertices(3284)%branch(0:0))
    call av(3284, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(3285)%branch(0:0))
    call av(3285, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_39])

    allocate(vertices(3286)%branch(0:0))
    call av(3286, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_40])

    allocate(vertices(3287)%branch(0:0))
    call av(3287, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_93])

    allocate(vertices(3288)%branch(0:0))
    call av(3288, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_55, nGC_57, nGC_56])

    allocate(vertices(3289)%branch(0:0))
    call av(3289, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_96])

    allocate(vertices(3290)%branch(0:0))
    call av(3290, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_50])

    allocate(vertices(3291)%branch(0:0))
    call av(3291, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_10])

    allocate(vertices(3292)%branch(0:0))
    call av(3292, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_1168, nGC_131])

    allocate(vertices(3293)%branch(0:0))
    call av(3293, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_54])

    allocate(vertices(3294)%branch(0:0))
    call av(3294, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3295)%branch(0:0))
    call av(3295, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_95])

    allocate(vertices(3296)%branch(0:0))
    call av(3296, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_39])

    allocate(vertices(3297)%branch(0:3))
    call av(3297, 0, 4, 2, 0, VVUaU0, 0, [2, 0], [nGC_21])

    call av(3297, 1, 5, 2, 0, VVUaU0, 0, [2, 0], [nGC_21])

    call av(3297, 2, 7, 3, 0, VVUaU0, 0, [2, 0], [nGC_21])

    call av(3297, 3, 9, 3, 0, VVUaU0, 0, [2, 0], [nGC_21])

    allocate(vertices(3298)%branch(0:0))
    call av(3298, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_46])

    allocate(vertices(3299)%branch(0:0))
    call av(3299, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3300)%branch(0:0))
    call av(3300, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3301)%branch(0:0))
    call av(3301, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_86])

    allocate(vertices(3302)%branch(0:0))
    call av(3302, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3303)%branch(0:0))
    call av(3303, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_2320, nGC_48, nGC_48])

    allocate(vertices(3304)%branch(0:0))
    call av(3304, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_786])

    allocate(vertices(3305)%branch(0:0))
    call av(3305, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3306)%branch(0:0))
    call av(3306, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_143, nGC_143])

    allocate(vertices(3307)%branch(0:0))
    call av(3307, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3308)%branch(0:0))
    call av(3308, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_69])

    allocate(vertices(3309)%branch(0:0))
    call av(3309, 0, 1, 1, 0, SFaF1, 0, [0, 1], [nGC_145])

    allocate(vertices(3310)%branch(0:0))
    call av(3310, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_3])

    allocate(vertices(3311)%branch(0:0))
    call av(3311, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3312)%branch(0:0))
    call av(3312, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(3313)%branch(0:0))
    call av(3313, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_96])

    allocate(vertices(3314)%branch(0:0))
    call av(3314, 0, 20, 1, 0, FSFa0, 0, [0, 1], [nGC_139, nGC_127])

    allocate(vertices(3315)%branch(0:0))
    call av(3315, 0, 19, 1, 0, VFaF1, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(3316)%branch(0:0))
    call av(3316, 0, 1, 1, 0, FSFa2, 0, [0, 1], [nGC_136])

    allocate(vertices(3317)%branch(0:0))
    call av(3317, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(3318)%branch(0:0))
    call av(3318, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3319)%branch(0:0))
    call av(3319, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3320)%branch(0:0))
    call av(3320, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3321)%branch(0:0))
    call av(3321, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(3322)%branch(0:0))
    call av(3322, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_594, nGC_10, nGC_596])

    allocate(vertices(3323)%branch(0:0))
    call av(3323, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_49])

    allocate(vertices(3324)%branch(0:0))
    call av(3324, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

    allocate(vertices(3325)%branch(0:0))
    call av(3325, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_5])

    allocate(vertices(3326)%branch(0:0))
    call av(3326, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_562, nGC_562, nGC_77])

    allocate(vertices(3327)%branch(0:0))
    call av(3327, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_60])

    allocate(vertices(3328)%branch(0:0))
    call av(3328, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_7])

    allocate(vertices(3329)%branch(0:0))
    call av(3329, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_40])

    allocate(vertices(3330)%branch(0:1))
    call av(3330, 0, 28, 6, 0, FVFa0, 0, [1, 0], [nGC_19, nGC_19])

    call av(3330, 1, 29, 7, 0, FVFa0, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(3331)%branch(0:0))
    call av(3331, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_10])

    allocate(vertices(3332)%branch(0:0))
    call av(3332, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3333)%branch(0:3))
    call av(3333, 0, 4, 3, 0, VUaVU0, 0, [2, 0], [nGC_21])

    call av(3333, 1, 5, 3, 0, VUaVU0, 0, [2, 0], [nGC_21])

    call av(3333, 2, 7, 2, 0, VUaVU0, 0, [2, 0], [nGC_21])

    call av(3333, 3, 9, 2, 0, VUaVU0, 0, [2, 0], [nGC_21])

    allocate(vertices(3334)%branch(0:0))
    call av(3334, 0, 1, 1, 0, SUaU0, 0, [0, 1], [nGC_106])

    allocate(vertices(3335)%branch(0:0))
    call av(3335, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_50])

    allocate(vertices(3336)%branch(0:0))
    call av(3336, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3337)%branch(0:0))
    call av(3337, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3338)%branch(0:0))
    call av(3338, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_36])

    allocate(vertices(3339)%branch(0:0))
    call av(3339, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3340)%branch(0:0))
    call av(3340, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(3341)%branch(0:0))
    call av(3341, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_76])

    allocate(vertices(3342)%branch(0:0))
    call av(3342, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_57])

    allocate(vertices(3343)%branch(0:0))
    call av(3343, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_94])

    allocate(vertices(3344)%branch(0:0))
    call av(3344, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_40])

    allocate(vertices(3345)%branch(0:0))
    call av(3345, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3346)%branch(0:0))
    call av(3346, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_39])

    allocate(vertices(3347)%branch(0:0))
    call av(3347, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3348)%branch(0:0))
    call av(3348, 0, 20, 1, 0, FVFa0, 0, [0, 1], [nGC_78, nGC_82])

    allocate(vertices(3349)%branch(0:0))
    call av(3349, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3350)%branch(0:0))
    call av(3350, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_50])

    allocate(vertices(3351)%branch(0:0))
    call av(3351, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_66])

    allocate(vertices(3352)%branch(0:0))
    call av(3352, 0, 1, 1, 0, SFFa0, 0, [0, 1], [nGC_2514, nGC_146])

    allocate(vertices(3353)%branch(0:0))
    call av(3353, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3354)%branch(0:0))
    call av(3354, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_54])

    allocate(vertices(3355)%branch(0:1))
    call av(3355, 0, 2, 4, 0, VUaU1, 0, [1, 0], [nGC_17])

    call av(3355, 1, 3, 5, 0, VUaU1, 0, [1, 0], [nGC_17])

    allocate(vertices(3356)%branch(0:0))
    call av(3356, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_40])

    allocate(vertices(3357)%branch(0:0))
    call av(3357, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3358)%branch(0:0))
    call av(3358, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(3359)%branch(0:0))
    call av(3359, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3360)%branch(0:1))
    call av(3360, 0, 26, 6, 0, VFFa0, 0, [1, 0], [nGC_19, nGC_19])

    call av(3360, 1, 27, 7, 0, VFFa0, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(3361)%branch(0:0))
    call av(3361, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_786])

    allocate(vertices(3362)%branch(0:0))
    call av(3362, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_118])

    allocate(vertices(3363)%branch(0:0))
    call av(3363, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3364)%branch(0:0))
    call av(3364, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_88])

    allocate(vertices(3365)%branch(0:0))
    call av(3365, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_16])

    allocate(vertices(3366)%branch(0:0))
    call av(3366, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3367)%branch(0:0))
    call av(3367, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(3368)%branch(0:0))
    call av(3368, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3369)%branch(0:0))
    call av(3369, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3370)%branch(0:0))
    call av(3370, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3371)%branch(0:0))
    call av(3371, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_107])

    allocate(vertices(3372)%branch(0:0))
    call av(3372, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(3373)%branch(0:0))
    call av(3373, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_7])

    allocate(vertices(3374)%branch(0:0))
    call av(3374, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_47])

    allocate(vertices(3375)%branch(0:0))
    call av(3375, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_147, nGC_147])

    allocate(vertices(3376)%branch(0:0))
    call av(3376, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_111])

    allocate(vertices(3377)%branch(0:0))
    call av(3377, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3378)%branch(0:0))
    call av(3378, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_62])

    allocate(vertices(3379)%branch(0:0))
    call av(3379, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_88])

    allocate(vertices(3380)%branch(0:0))
    call av(3380, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3381)%branch(0:0))
    call av(3381, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_89])

    allocate(vertices(3382)%branch(0:0))
    call av(3382, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3383)%branch(0:0))
    call av(3383, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3384)%branch(0:0))
    call av(3384, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_47])

    allocate(vertices(3385)%branch(0:0))
    call av(3385, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(3386)%branch(0:0))
    call av(3386, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_54])

    allocate(vertices(3387)%branch(0:0))
    call av(3387, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_49])

    allocate(vertices(3388)%branch(0:0))
    call av(3388, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(3389)%branch(0:0))
    call av(3389, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_47])

    allocate(vertices(3390)%branch(0:0))
    call av(3390, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_70])

    allocate(vertices(3391)%branch(0:0))
    call av(3391, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_16])

    allocate(vertices(3392)%branch(0:0))
    call av(3392, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_656, nGC_144])

    allocate(vertices(3393)%branch(0:0))
    call av(3393, 0, 1, 1, 0, UaSU0, 0, [0, 1], [nGC_111])

    allocate(vertices(3394)%branch(0:0))
    call av(3394, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_49])

    allocate(vertices(3395)%branch(0:0))
    call av(3395, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_100])

    allocate(vertices(3396)%branch(0:0))
    call av(3396, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(3397)%branch(0:0))
    call av(3397, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_49])

    allocate(vertices(3398)%branch(0:0))
    call av(3398, 0, 1, 1, 0, UUaV0, 0, [0, 1], [nGC_66])

    allocate(vertices(3399)%branch(0:0))
    call av(3399, 0, 1, 1, 0, SVV0, 0, [0, 1], [nGC_112])

    allocate(vertices(3400)%branch(0:0))
    call av(3400, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3401)%branch(0:0))
    call av(3401, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_100])

    allocate(vertices(3402)%branch(0:1))
    call av(3402, 0, 24, 6, 0, VFaF1, 0, [1, 0], [nGC_19, nGC_19])

    call av(3402, 1, 25, 7, 0, VFaF1, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(3403)%branch(0:0))
    call av(3403, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

    allocate(vertices(3404)%branch(0:0))
    call av(3404, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_95])

    allocate(vertices(3405)%branch(0:0))
    call av(3405, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

    allocate(vertices(3406)%branch(0:0))
    call av(3406, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_76])

    allocate(vertices(3407)%branch(0:0))
    call av(3407, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_13])

    allocate(vertices(3408)%branch(0:0))
    call av(3408, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3409)%branch(0:0))
    call av(3409, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_56])

    allocate(vertices(3410)%branch(0:0))
    call av(3410, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_92])

    allocate(vertices(3411)%branch(0:0))
    call av(3411, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_123])

    allocate(vertices(3412)%branch(0:0))
    call av(3412, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_46])

    allocate(vertices(3413)%branch(0:0))
    call av(3413, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3414)%branch(0:0))
    call av(3414, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_138, nGC_138])

    allocate(vertices(3415)%branch(0:0))
    call av(3415, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3416)%branch(0:0))
    call av(3416, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3417)%branch(0:0))
    call av(3417, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3418)%branch(0:0))
    call av(3418, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_74])

    allocate(vertices(3419)%branch(0:0))
    call av(3419, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(3420)%branch(0:0))
    call av(3420, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_139, nGC_127])

    allocate(vertices(3421)%branch(0:0))
    call av(3421, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_16])

    allocate(vertices(3422)%branch(0:0))
    call av(3422, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_93])

    allocate(vertices(3423)%branch(0:3))
    call av(3423, 0, 6, 3, 0, UaVUV0, 0, [2, 0], [nGC_21])

    call av(3423, 1, 7, 2, 0, UaVUV0, 0, [2, 0], [nGC_21])

    call av(3423, 2, 8, 3, 0, UaVUV0, 0, [2, 0], [nGC_21])

    call av(3423, 3, 9, 2, 0, UaVUV0, 0, [2, 0], [nGC_21])

    allocate(vertices(3424)%branch(0:0))
    call av(3424, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3425)%branch(0:0))
    call av(3425, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_89])

    allocate(vertices(3426)%branch(0:0))
    call av(3426, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3427)%branch(0:0))
    call av(3427, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_62])

    allocate(vertices(3428)%branch(0:0))
    call av(3428, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3429)%branch(0:0))
    call av(3429, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_138, nGC_138])

    allocate(vertices(3430)%branch(0:0))
    call av(3430, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_89])

    allocate(vertices(3431)%branch(0:0))
    call av(3431, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(3432)%branch(0:0))
    call av(3432, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_86])

    allocate(vertices(3433)%branch(0:0))
    call av(3433, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

    allocate(vertices(3434)%branch(0:0))
    call av(3434, 0, 1, 1, 0, FaFS2, 0, [0, 1], [nGC_145])

    allocate(vertices(3435)%branch(0:0))
    call av(3435, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3436)%branch(0:0))
    call av(3436, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_95])

    allocate(vertices(3437)%branch(0:0))
    call av(3437, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3438)%branch(0:0))
    call av(3438, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3439)%branch(0:0))
    call av(3439, 0, 17, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

    allocate(vertices(3440)%branch(0:0))
    call av(3440, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_96])

    allocate(vertices(3441)%branch(0:0))
    call av(3441, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3442)%branch(0:0))
    call av(3442, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_89])

    allocate(vertices(3443)%branch(0:0))
    call av(3443, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(3444)%branch(0:0))
    call av(3444, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3445)%branch(0:0))
    call av(3445, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_86])

    allocate(vertices(3446)%branch(0:0))
    call av(3446, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_70])

    allocate(vertices(3447)%branch(0:0))
    call av(3447, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_54])

    allocate(vertices(3448)%branch(0:0))
    call av(3448, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_49])

    allocate(vertices(3449)%branch(0:0))
    call av(3449, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

    allocate(vertices(3450)%branch(0:0))
    call av(3450, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_69])

    allocate(vertices(3451)%branch(0:0))
    call av(3451, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3452)%branch(0:0))
    call av(3452, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_46])

    allocate(vertices(3453)%branch(0:0))
    call av(3453, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_54])

    allocate(vertices(3454)%branch(0:0))
    call av(3454, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_139, nGC_127])

    allocate(vertices(3455)%branch(0:0))
    call av(3455, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(3456)%branch(0:0))
    call av(3456, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_107])

    allocate(vertices(3457)%branch(0:0))
    call av(3457, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_10])

    allocate(vertices(3458)%branch(0:0))
    call av(3458, 0, 1, 1, 0, VFFa0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(3459)%branch(0:0))
    call av(3459, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_31])

    allocate(vertices(3460)%branch(0:0))
    call av(3460, 0, 1, 1, 0, UaVU0, 0, [0, 1], [nGC_6])

    allocate(vertices(3461)%branch(0:0))
    call av(3461, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3462)%branch(0:0))
    call av(3462, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_128, nGC_128])

    allocate(vertices(3463)%branch(0:0))
    call av(3463, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(3464)%branch(0:0))
    call av(3464, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

    allocate(vertices(3465)%branch(0:0))
    call av(3465, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_88])

    allocate(vertices(3466)%branch(0:0))
    call av(3466, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(3467)%branch(0:0))
    call av(3467, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_50])

    allocate(vertices(3468)%branch(0:1))
    call av(3468, 0, 22, 6, 0, FaFV0, 0, [1, 0], [nGC_19, nGC_19])

    call av(3468, 1, 23, 7, 0, FaFV0, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(3469)%branch(0:0))
    call av(3469, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_47])

    allocate(vertices(3470)%branch(0:0))
    call av(3470, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3471)%branch(0:0))
    call av(3471, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3472)%branch(0:0))
    call av(3472, 0, 1, 1, 0, VFaF0, 0, [0, 1], [nGC_62])

    allocate(vertices(3473)%branch(0:0))
    call av(3473, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_48])

    allocate(vertices(3474)%branch(0:0))
    call av(3474, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_40])

    allocate(vertices(3475)%branch(0:0))
    call av(3475, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3476)%branch(0:0))
    call av(3476, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3477)%branch(0:0))
    call av(3477, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_50])

    allocate(vertices(3478)%branch(0:0))
    call av(3478, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_39])

    allocate(vertices(3479)%branch(0:0))
    call av(3479, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3480)%branch(0:0))
    call av(3480, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_47])

    allocate(vertices(3481)%branch(0:1))
    call av(3481, 0, 2, 5, 0, VUUa0, 0, [1, 0], [nGC_17])

    call av(3481, 1, 3, 4, 0, VUUa0, 0, [1, 0], [nGC_17])

    allocate(vertices(3482)%branch(0:0))
    call av(3482, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_91])

    allocate(vertices(3483)%branch(0:0))
    call av(3483, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(3484)%branch(0:0))
    call av(3484, 0, 19, 1, 0, VFaF0, 0, [0, 1], [nGC_62])

    allocate(vertices(3485)%branch(0:0))
    call av(3485, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_1022, nGC_134])

    allocate(vertices(3486)%branch(0:0))
    call av(3486, 0, 1, 1, 0, VSS0, 0, [0, 1], [nGC_59])

    allocate(vertices(3487)%branch(0:0))
    call av(3487, 0, 19, 1, 0, VFaF1, 0, [0, 1], [nGC_78, nGC_82])

    allocate(vertices(3488)%branch(0:0))
    call av(3488, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_11])

    allocate(vertices(3489)%branch(0:0))
    call av(3489, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_77, nGC_562, nGC_562])

    allocate(vertices(3490)%branch(0:0))
    call av(3490, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3491)%branch(0:0))
    call av(3491, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_72])

    allocate(vertices(3492)%branch(0:0))
    call av(3492, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3493)%branch(0:0))
    call av(3493, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_76])

    allocate(vertices(3494)%branch(0:0))
    call av(3494, 0, 20, 1, 0, FSFa0, 0, [0, 1], [nGC_132, nGC_132])

    allocate(vertices(3495)%branch(0:0))
    call av(3495, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_69])

    allocate(vertices(3496)%branch(0:0))
    call av(3496, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_149, nGC_149])

    allocate(vertices(3497)%branch(0:0))
    call av(3497, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3498)%branch(0:0))
    call av(3498, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_72])

    allocate(vertices(3499)%branch(0:0))
    call av(3499, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_6])

    allocate(vertices(3500)%branch(0:0))
    call av(3500, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_35])

    allocate(vertices(3501)%branch(0:0))
    call av(3501, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3502)%branch(0:0))
    call av(3502, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_35])

    allocate(vertices(3503)%branch(0:0))
    call av(3503, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_74])

    allocate(vertices(3504)%branch(0:0))
    call av(3504, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_89])

    allocate(vertices(3505)%branch(0:0))
    call av(3505, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(3506)%branch(0:0))
    call av(3506, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_49])

    allocate(vertices(3507)%branch(0:0))
    call av(3507, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_74])

    allocate(vertices(3508)%branch(0:5))
    call av(3508, 0, 4, 2, 0, VVUUa0, 0, [2, 0], [nGC_836])

    call av(3508, 1, 5, 2, 0, VVUUa0, 0, [2, 0], [nGC_836])

    call av(3508, 2, 6, 3, 0, VVUUa0, 0, [2, 0], [nGC_21])

    call av(3508, 3, 7, 3, 0, VVUUa0, 0, [2, 0], [nGC_21])

    call av(3508, 4, 8, 3, 0, VVUUa0, 0, [2, 0], [nGC_21])

    call av(3508, 5, 9, 3, 0, VVUUa0, 0, [2, 0], [nGC_21])

    allocate(vertices(3509)%branch(0:0))
    call av(3509, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_76])

    allocate(vertices(3510)%branch(0:0))
    call av(3510, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3511)%branch(0:0))
    call av(3511, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_67])

    allocate(vertices(3512)%branch(0:0))
    call av(3512, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_69])

    allocate(vertices(3513)%branch(0:0))
    call av(3513, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3514)%branch(0:0))
    call av(3514, 0, 21, 1, 0, FaVF0, 0, [0, 1], [nGC_78, nGC_82])

    allocate(vertices(3515)%branch(0:0))
    call av(3515, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3516)%branch(0:0))
    call av(3516, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3517)%branch(0:0))
    call av(3517, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_86])

    allocate(vertices(3518)%branch(0:1))
    call av(3518, 0, 26, 6, 0, VFFa0, 0, [1, 0], [nGC_19, nGC_19])

    call av(3518, 1, 27, 7, 0, VFFa0, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(3519)%branch(0:3))
    call av(3519, 0, 4, 2, 0, UUaVV0, 0, [2, 0], [nGC_21])

    call av(3519, 1, 5, 2, 0, UUaVV0, 0, [2, 0], [nGC_21])

    call av(3519, 2, 7, 3, 0, UUaVV0, 0, [2, 0], [nGC_21])

    call av(3519, 3, 9, 3, 0, UUaVV0, 0, [2, 0], [nGC_21])

    allocate(vertices(3520)%branch(0:0))
    call av(3520, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_3])

    allocate(vertices(3521)%branch(0:0))
    call av(3521, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_76])

    allocate(vertices(3522)%branch(0:0))
    call av(3522, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_9])

    allocate(vertices(3523)%branch(0:0))
    call av(3523, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(3524)%branch(0:0))
    call av(3524, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_99])

    allocate(vertices(3525)%branch(0:0))
    call av(3525, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_46])

    allocate(vertices(3526)%branch(0:0))
    call av(3526, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_36])

    allocate(vertices(3527)%branch(0:0))
    call av(3527, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_7])

    allocate(vertices(3528)%branch(0:0))
    call av(3528, 0, 1, 1, 0, FaVF1, 0, [0, 1], [nGC_62])

    allocate(vertices(3529)%branch(0:0))
    call av(3529, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_49])

    allocate(vertices(3530)%branch(0:0))
    call av(3530, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_23])

    allocate(vertices(3531)%branch(0:0))
    call av(3531, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3532)%branch(0:0))
    call av(3532, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_62])

    allocate(vertices(3533)%branch(0:5))
    call av(3533, 0, 4, 3, 0, UVVUa0, 0, [2, 0], [nGC_21])

    call av(3533, 1, 5, 3, 0, UVVUa0, 0, [2, 0], [nGC_21])

    call av(3533, 2, 6, 2, 0, UVVUa0, 0, [2, 0], [nGC_836])

    call av(3533, 3, 7, 3, 0, UVVUa0, 0, [2, 0], [nGC_21])

    call av(3533, 4, 8, 2, 0, UVVUa0, 0, [2, 0], [nGC_836])

    call av(3533, 5, 9, 3, 0, UVVUa0, 0, [2, 0], [nGC_21])

    allocate(vertices(3534)%branch(0:0))
    call av(3534, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_786])

    allocate(vertices(3535)%branch(0:0))
    call av(3535, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_135, nGC_135])

    allocate(vertices(3536)%branch(0:0))
    call av(3536, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_49])

    allocate(vertices(3537)%branch(0:0))
    call av(3537, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_70])

    allocate(vertices(3538)%branch(0:0))
    call av(3538, 0, 1, 1, 0, SFaF0, 0, [0, 1], [nGC_1022, nGC_134])

    allocate(vertices(3539)%branch(0:0))
    call av(3539, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_92])

    allocate(vertices(3540)%branch(0:0))
    call av(3540, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_106])

    allocate(vertices(3541)%branch(0:0))
    call av(3541, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3542)%branch(0:0))
    call av(3542, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_89])

    allocate(vertices(3543)%branch(0:0))
    call av(3543, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3544)%branch(0:0))
    call av(3544, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_13])

    allocate(vertices(3545)%branch(0:0))
    call av(3545, 0, 18, 1, 0, VFFa0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(3546)%branch(0:0))
    call av(3546, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_35])

    allocate(vertices(3547)%branch(0:0))
    call av(3547, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(3548)%branch(0:0))
    call av(3548, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_61])

    allocate(vertices(3549)%branch(0:0))
    call av(3549, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3550)%branch(0:0))
    call av(3550, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_33])

    allocate(vertices(3551)%branch(0:0))
    call av(3551, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_89])

    allocate(vertices(3552)%branch(0:0))
    call av(3552, 0, 1, 1, 0, USUa0, 0, [0, 1], [nGC_106])

    allocate(vertices(3553)%branch(0:0))
    call av(3553, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_2250])

    allocate(vertices(3554)%branch(0:0))
    call av(3554, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_101])

    allocate(vertices(3555)%branch(0:0))
    call av(3555, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_46])

    allocate(vertices(3556)%branch(0:0))
    call av(3556, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_76])

    allocate(vertices(3557)%branch(0:0))
    call av(3557, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_74])

    allocate(vertices(3558)%branch(0:0))
    call av(3558, 0, 1, 1, 0, UaUV1, 0, [0, 1], [nGC_356])

    allocate(vertices(3559)%branch(0:0))
    call av(3559, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

    allocate(vertices(3560)%branch(0:0))
    call av(3560, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_71])

    allocate(vertices(3561)%branch(0:0))
    call av(3561, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_72])

    allocate(vertices(3562)%branch(0:0))
    call av(3562, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3563)%branch(0:0))
    call av(3563, 0, 21, 1, 0, FaVF1, 0, [0, 1], [nGC_62])

    allocate(vertices(3564)%branch(0:0))
    call av(3564, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_90])

    allocate(vertices(3565)%branch(0:0))
    call av(3565, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3566)%branch(0:0))
    call av(3566, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_90])

    allocate(vertices(3567)%branch(0:0))
    call av(3567, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(3568)%branch(0:0))
    call av(3568, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_79, nGC_83])

    allocate(vertices(3569)%branch(0:0))
    call av(3569, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_47])

    allocate(vertices(3570)%branch(0:0))
    call av(3570, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

    allocate(vertices(3571)%branch(0:0))
    call av(3571, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_49])

    allocate(vertices(3572)%branch(0:0))
    call av(3572, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_10])

    allocate(vertices(3573)%branch(0:0))
    call av(3573, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_88])

    allocate(vertices(3574)%branch(0:0))
    call av(3574, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_122])

    allocate(vertices(3575)%branch(0:0))
    call av(3575, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3576)%branch(0:0))
    call av(3576, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_47])

    allocate(vertices(3577)%branch(0:0))
    call av(3577, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_724, nGC_137])

    allocate(vertices(3578)%branch(0:0))
    call av(3578, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_46])

    allocate(vertices(3579)%branch(0:0))
    call av(3579, 0, 21, 1, 0, FaSF0, 0, [0, 1], [nGC_128, nGC_128])

    allocate(vertices(3580)%branch(0:0))
    call av(3580, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

    allocate(vertices(3581)%branch(0:0))
    call av(3581, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_72])

    allocate(vertices(3582)%branch(0:0))
    call av(3582, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_66])

    allocate(vertices(3583)%branch(0:0))
    call av(3583, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_680])

    allocate(vertices(3584)%branch(0:0))
    call av(3584, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3585)%branch(0:0))
    call av(3585, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_74])

    allocate(vertices(3586)%branch(0:0))
    call av(3586, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(3587)%branch(0:0))
    call av(3587, 0, 20, 1, 0, FSFa0, 0, [0, 1], [nGC_124, nGC_142])

    allocate(vertices(3588)%branch(0:0))
    call av(3588, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_68])

    allocate(vertices(3589)%branch(0:0))
    call av(3589, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_77])

    allocate(vertices(3590)%branch(0:0))
    call av(3590, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_95])

    allocate(vertices(3591)%branch(0:0))
    call av(3591, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(3592)%branch(0:0))
    call av(3592, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(3593)%branch(0:0))
    call av(3593, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3594)%branch(0:0))
    call av(3594, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_86])

    allocate(vertices(3595)%branch(0:0))
    call av(3595, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(3596)%branch(0:0))
    call av(3596, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_68])

    allocate(vertices(3597)%branch(0:0))
    call av(3597, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_101])

    allocate(vertices(3598)%branch(0:0))
    call av(3598, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_91])

    allocate(vertices(3599)%branch(0:0))
    call av(3599, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_70])

    allocate(vertices(3600)%branch(0:0))
    call av(3600, 0, 1, 1, 0, VSS1, 0, [0, 1], [nGC_2718])

    allocate(vertices(3601)%branch(0:0))
    call av(3601, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3602)%branch(0:0))
    call av(3602, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(3603)%branch(0:0))
    call av(3603, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_562, nGC_77, nGC_564])

    allocate(vertices(3604)%branch(0:0))
    call av(3604, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_135, nGC_135])

    allocate(vertices(3605)%branch(0:0))
    call av(3605, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_73])

    allocate(vertices(3606)%branch(0:0))
    call av(3606, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_10])

    allocate(vertices(3607)%branch(0:0))
    call av(3607, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_8])

    allocate(vertices(3608)%branch(0:0))
    call av(3608, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_15])

    allocate(vertices(3609)%branch(0:0))
    call av(3609, 0, 1, 1, 0, SUUa0, 0, [0, 1], [nGC_111])

    allocate(vertices(3610)%branch(0:0))
    call av(3610, 0, 1, 1, 0, VVS0, 0, [0, 1], [nGC_110])

    allocate(vertices(3611)%branch(0:0))
    call av(3611, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_53])

    allocate(vertices(3612)%branch(0:0))
    call av(3612, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3613)%branch(0:0))
    call av(3613, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_73])

    allocate(vertices(3614)%branch(0:0))
    call av(3614, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_54])

    allocate(vertices(3615)%branch(0:0))
    call av(3615, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_33])

    allocate(vertices(3616)%branch(0:0))
    call av(3616, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_74, nGC_77, nGC_76])

    allocate(vertices(3617)%branch(0:0))
    call av(3617, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_71])

    allocate(vertices(3618)%branch(0:0))
    call av(3618, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3619)%branch(0:0))
    call av(3619, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_141, nGC_141])

    allocate(vertices(3620)%branch(0:0))
    call av(3620, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_13])

    allocate(vertices(3621)%branch(0:0))
    call av(3621, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_95])

    allocate(vertices(3622)%branch(0:0))
    call av(3622, 0, 1, 1, 0, VSV0, 0, [0, 1], [nGC_110])

    allocate(vertices(3623)%branch(0:0))
    call av(3623, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_36])

    allocate(vertices(3624)%branch(0:0))
    call av(3624, 0, 1, 1, 0, FVFa1, 0, [0, 1], [nGC_62])

    allocate(vertices(3625)%branch(0:0))
    call av(3625, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3626)%branch(0:0))
    call av(3626, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_93])

    allocate(vertices(3627)%branch(0:0))
    call av(3627, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3628)%branch(0:0))
    call av(3628, 0, 18, 1, 0, VFFa0, 0, [0, 1], [nGC_78, nGC_82])

    allocate(vertices(3629)%branch(0:0))
    call av(3629, 0, 1, 1, 0, UaUS0, 0, [0, 1], [nGC_106])

    allocate(vertices(3630)%branch(0:0))
    call av(3630, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_78, nGC_82])

    allocate(vertices(3631)%branch(0:0))
    call av(3631, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_141, nGC_141])

    allocate(vertices(3632)%branch(0:0))
    call av(3632, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3633)%branch(0:1))
    call av(3633, 0, 26, 6, 0, VFFa0, 0, [1, 0], [nGC_19, nGC_19])

    call av(3633, 1, 27, 7, 0, VFFa0, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(3634)%branch(0:0))
    call av(3634, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_13])

    allocate(vertices(3635)%branch(0:0))
    call av(3635, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3636)%branch(0:0))
    call av(3636, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3637)%branch(0:0))
    call av(3637, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_39])

    allocate(vertices(3638)%branch(0:0))
    call av(3638, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_72])

    allocate(vertices(3639)%branch(0:0))
    call av(3639, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_62])

    allocate(vertices(3640)%branch(0:0))
    call av(3640, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_36])

    allocate(vertices(3641)%branch(0:0))
    call av(3641, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_96])

    allocate(vertices(3642)%branch(0:0))
    call av(3642, 0, 1, 1, 0, SSV0, 0, [0, 1], [nGC_3])

    allocate(vertices(3643)%branch(0:0))
    call av(3643, 0, 10, 1, 0, FFaS1, 0, [0, 1], [nGC_656, nGC_144])

    allocate(vertices(3644)%branch(0:0))
    call av(3644, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_55, nGC_55, nGC_56])

    allocate(vertices(3645)%branch(0:0))
    call av(3645, 0, 21, 1, 0, FaSF0, 0, [0, 1], [nGC_148, nGC_130])

    allocate(vertices(3646)%branch(0:0))
    call av(3646, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3647)%branch(0:0))
    call av(3647, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_33])

    allocate(vertices(3648)%branch(0:0))
    call av(3648, 0, 1, 1, 0, FSFa1, 0, [0, 1], [nGC_145])

    allocate(vertices(3649)%branch(0:0))
    call av(3649, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3650)%branch(0:0))
    call av(3650, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_138, nGC_138])

    allocate(vertices(3651)%branch(0:0))
    call av(3651, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_90])

    allocate(vertices(3652)%branch(0:0))
    call av(3652, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_47])

    allocate(vertices(3653)%branch(0:0))
    call av(3653, 0, 0, 1, 0, UVVUa0, 0, [0, 2], [nGC_57])

    allocate(vertices(3654)%branch(0:0))
    call av(3654, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3655)%branch(0:0))
    call av(3655, 0, 1, 1, 0, UUaS0, 0, [0, 1], [nGC_100])

    allocate(vertices(3656)%branch(0:0))
    call av(3656, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_10])

    allocate(vertices(3657)%branch(0:0))
    call av(3657, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3658)%branch(0:0))
    call av(3658, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_266])

    allocate(vertices(3659)%branch(0:0))
    call av(3659, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(3660)%branch(0:0))
    call av(3660, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_70])

    allocate(vertices(3661)%branch(0:0))
    call av(3661, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3662)%branch(0:0))
    call av(3662, 0, 18, 1, 0, VFFa0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(3663)%branch(0:0))
    call av(3663, 0, 19, 1, 0, VFaF1, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(3664)%branch(0:0))
    call av(3664, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_149, nGC_149])

    allocate(vertices(3665)%branch(0:0))
    call av(3665, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3666)%branch(0:0))
    call av(3666, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_266])

    allocate(vertices(3667)%branch(0:0))
    call av(3667, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3668)%branch(0:0))
    call av(3668, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3669)%branch(0:0))
    call av(3669, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_40])

    allocate(vertices(3670)%branch(0:0))
    call av(3670, 0, 1, 1, 0, VUaU1, 0, [0, 1], [nGC_66])

    allocate(vertices(3671)%branch(0:0))
    call av(3671, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_54])

    allocate(vertices(3672)%branch(0:0))
    call av(3672, 0, 20, 1, 0, FSFa0, 0, [0, 1], [nGC_141, nGC_141])

    allocate(vertices(3673)%branch(0:0))
    call av(3673, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_10])

    allocate(vertices(3674)%branch(0:0))
    call av(3674, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_48])

    allocate(vertices(3675)%branch(0:0))
    call av(3675, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_44])

    allocate(vertices(3676)%branch(0:0))
    call av(3676, 0, 0, 1, 0, SUaUS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3677)%branch(0:0))
    call av(3677, 0, 0, 1, 0, UaSSU0, 0, [0, 2], [nGC_15])

    allocate(vertices(3678)%branch(0:0))
    call av(3678, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3679)%branch(0:0))
    call av(3679, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(3680)%branch(0:0))
    call av(3680, 0, 1, 1, 0, UVUa0, 0, [0, 1], [nGC_66])

    allocate(vertices(3681)%branch(0:0))
    call av(3681, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_16])

    allocate(vertices(3682)%branch(0:0))
    call av(3682, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_50])

    allocate(vertices(3683)%branch(0:0))
    call av(3683, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_14])

    allocate(vertices(3684)%branch(0:0))
    call av(3684, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3685)%branch(0:0))
    call av(3685, 0, 1, 1, 0, FFaV1, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(3686)%branch(0:0))
    call av(3686, 0, 18, 1, 0, SFFa0, 0, [0, 1], [nGC_124, nGC_142])

    allocate(vertices(3687)%branch(0:0))
    call av(3687, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3688)%branch(0:0))
    call av(3688, 0, 1, 1, 0, VVV1, 0, [0, 1], [nGC_680])

    allocate(vertices(3689)%branch(0:0))
    call av(3689, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_14])

    allocate(vertices(3690)%branch(0:0))
    call av(3690, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3691)%branch(0:0))
    call av(3691, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_4190])

    allocate(vertices(3692)%branch(0:0))
    call av(3692, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_90])

    allocate(vertices(3693)%branch(0:0))
    call av(3693, 0, 1, 1, 0, FaFS1, 0, [0, 1], [nGC_145])

    allocate(vertices(3694)%branch(0:0))
    call av(3694, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_72])

    allocate(vertices(3695)%branch(0:0))
    call av(3695, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_57])

    allocate(vertices(3696)%branch(0:0))
    call av(3696, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_67])

    allocate(vertices(3697)%branch(0:0))
    call av(3697, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(3698)%branch(0:0))
    call av(3698, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_594, nGC_596, nGC_10])

    allocate(vertices(3699)%branch(0:0))
    call av(3699, 0, 19, 1, 0, VFaF1, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(3700)%branch(0:0))
    call av(3700, 0, 18, 1, 0, VFFa0, 0, [0, 1], [nGC_78, nGC_82])

    allocate(vertices(3701)%branch(0:0))
    call av(3701, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3702)%branch(0:0))
    call av(3702, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_7])

    allocate(vertices(3703)%branch(0:0))
    call av(3703, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_724, nGC_137])

    allocate(vertices(3704)%branch(0:0))
    call av(3704, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_88])

    allocate(vertices(3705)%branch(0:0))
    call av(3705, 0, 1, 1, 0, FFaV0, 0, [0, 1], [nGC_62])

    allocate(vertices(3706)%branch(0:0))
    call av(3706, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3707)%branch(0:0))
    call av(3707, 0, 0, 1, 0, VVVV1, 0, [0, 2], [nGC_56])

    allocate(vertices(3708)%branch(0:0))
    call av(3708, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_52])

    allocate(vertices(3709)%branch(0:0))
    call av(3709, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_79, nGC_83])

    allocate(vertices(3710)%branch(0:0))
    call av(3710, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3711)%branch(0:0))
    call av(3711, 0, 1, 1, 0, FaFV0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(3712)%branch(0:0))
    call av(3712, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3713)%branch(0:0))
    call av(3713, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_50])

    allocate(vertices(3714)%branch(0:0))
    call av(3714, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_45])

    allocate(vertices(3715)%branch(0:0))
    call av(3715, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3716)%branch(0:0))
    call av(3716, 0, 0, 1, 0, UUaVV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3717)%branch(0:0))
    call av(3717, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3718)%branch(0:0))
    call av(3718, 0, 17, 1, 0, FaFV0, 0, [0, 1], [nGC_79, nGC_83])

    allocate(vertices(3719)%branch(0:0))
    call av(3719, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_74])

    allocate(vertices(3720)%branch(0:0))
    call av(3720, 0, 1, 1, 0, UUaV1, 0, [0, 1], [nGC_680])

    allocate(vertices(3721)%branch(0:0))
    call av(3721, 0, 0, 1, 0, VSVS0, 0, [0, 2], [nGC_71])

    allocate(vertices(3722)%branch(0:0))
    call av(3722, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_92])

    allocate(vertices(3723)%branch(0:0))
    call av(3723, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_7])

    allocate(vertices(3724)%branch(0:0))
    call av(3724, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_47])

    allocate(vertices(3725)%branch(0:0))
    call av(3725, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3726)%branch(0:0))
    call av(3726, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3727)%branch(0:0))
    call av(3727, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3728)%branch(0:0))
    call av(3728, 0, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(3729)%branch(0:0))
    call av(3729, 0, 20, 1, 0, FVFa1, 0, [0, 1], [nGC_62])

    allocate(vertices(3730)%branch(0:0))
    call av(3730, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_70])

    allocate(vertices(3731)%branch(0:0))
    call av(3731, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_69])

    allocate(vertices(3732)%branch(0:0))
    call av(3732, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_54])

    allocate(vertices(3733)%branch(0:0))
    call av(3733, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_15])

    allocate(vertices(3734)%branch(0:0))
    call av(3734, 0, 21, 1, 0, FaSF0, 0, [0, 1], [nGC_130, nGC_148])

    allocate(vertices(3735)%branch(0:0))
    call av(3735, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3736)%branch(0:0))
    call av(3736, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_74])

    allocate(vertices(3737)%branch(0:0))
    call av(3737, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_680])

    allocate(vertices(3738)%branch(0:0))
    call av(3738, 0, 1, 1, 0, FaFV1, 0, [0, 1], [nGC_86])

    allocate(vertices(3739)%branch(0:0))
    call av(3739, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_16])

    allocate(vertices(3740)%branch(0:0))
    call av(3740, 0, 1, 1, 0, VFFa1, 0, [0, 1], [nGC_62])

    allocate(vertices(3741)%branch(0:0))
    call av(3741, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_72])

    allocate(vertices(3742)%branch(0:0))
    call av(3742, 0, 1, 1, 0, VUUa0, 0, [0, 1], [nGC_5])

    allocate(vertices(3743)%branch(0:0))
    call av(3743, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3744)%branch(0:0))
    call av(3744, 0, 18, 1, 0, VFFa0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(3745)%branch(0:0))
    call av(3745, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_26])

    allocate(vertices(3746)%branch(0:0))
    call av(3746, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_45])

    allocate(vertices(3747)%branch(0:0))
    call av(3747, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_22])

    allocate(vertices(3748)%branch(0:0))
    call av(3748, 0, 0, 1, 0, VVUUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(3749)%branch(0:5))
    call av(3749, 0, 4, 3, 0, UaVUV0, 0, [2, 0], [nGC_21])

    call av(3749, 1, 5, 3, 0, UaVUV0, 0, [2, 0], [nGC_21])

    call av(3749, 2, 6, 3, 0, UaVUV0, 0, [2, 0], [nGC_21])

    call av(3749, 3, 7, 2, 0, UaVUV0, 0, [2, 0], [nGC_836])

    call av(3749, 4, 8, 3, 0, UaVUV0, 0, [2, 0], [nGC_21])

    call av(3749, 5, 9, 2, 0, UaVUV0, 0, [2, 0], [nGC_836])

    allocate(vertices(3750)%branch(0:0))
    call av(3750, 0, 1, 1, 0, SVS0, 0, [0, 1], [nGC_786])

    allocate(vertices(3751)%branch(0:0))
    call av(3751, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_75])

    allocate(vertices(3752)%branch(0:0))
    call av(3752, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_52])

    allocate(vertices(3753)%branch(0:0))
    call av(3753, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3754)%branch(0:0))
    call av(3754, 0, 0, 1, 0, UaUVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(3755)%branch(0:0))
    call av(3755, 0, 17, 1, 0, FaFS0, 0, [0, 1], [nGC_1168, nGC_131])

    allocate(vertices(3756)%branch(0:0))
    call av(3756, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_142, nGC_124])

    allocate(vertices(3757)%branch(0:0))
    call av(3757, 0, 0, 1, 0, VUUaV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3758)%branch(0:0))
    call av(3758, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_15])

    allocate(vertices(3759)%branch(0:0))
    call av(3759, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_70])

    allocate(vertices(3760)%branch(0:0))
    call av(3760, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_780, nGC_150])

    allocate(vertices(3761)%branch(0:0))
    call av(3761, 0, 0, 1, 0, VUVUa0, 0, [0, 2], [nGC_55])

    allocate(vertices(3762)%branch(0:0))
    call av(3762, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_35])

    allocate(vertices(3763)%branch(0:0))
    call av(3763, 0, 1, 1, 0, UaUV0, 0, [0, 1], [nGC_5])

    allocate(vertices(3764)%branch(0:0))
    call av(3764, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_76])

    allocate(vertices(3765)%branch(0:0))
    call av(3765, 0, 1, 1, 0, VUaU0, 0, [0, 1], [nGC_266])

    allocate(vertices(3766)%branch(0:0))
    call av(3766, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_96])

    allocate(vertices(3767)%branch(0:0))
    call av(3767, 0, 1, 1, 0, SSS0, 0, [0, 1], [nGC_97])

    allocate(vertices(3768)%branch(0:0))
    call av(3768, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_15])

    allocate(vertices(3769)%branch(0:0))
    call av(3769, 0, 1, 1, 0, VUUa1, 0, [0, 1], [nGC_786])

    allocate(vertices(3770)%branch(0:0))
    call av(3770, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_95])

    allocate(vertices(3771)%branch(0:0))
    call av(3771, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_75])

    allocate(vertices(3772)%branch(0:0))
    call av(3772, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_45])

    allocate(vertices(3773)%branch(0:0))
    call av(3773, 0, 1, 1, 0, FFaS1, 0, [0, 1], [nGC_1022, nGC_134])

    allocate(vertices(3774)%branch(0:0))
    call av(3774, 0, 0, 1, 0, UaVUV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3775)%branch(0:0))
    call av(3775, 0, 19, 1, 0, SFaF0, 0, [0, 1], [nGC_141, nGC_141])

    allocate(vertices(3776)%branch(0:0))
    call av(3776, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_52])

    allocate(vertices(3777)%branch(0:0))
    call av(3777, 0, 0, 1, 0, VVUaU0, 0, [0, 2], [nGC_7])

    allocate(vertices(3778)%branch(0:0))
    call av(3778, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3779)%branch(0:0))
    call av(3779, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_72])

    allocate(vertices(3780)%branch(0:0))
    call av(3780, 0, 0, 1, 0, SSVV0, 0, [0, 2], [nGC_90])

    allocate(vertices(3781)%branch(0:0))
    call av(3781, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_95])

    allocate(vertices(3782)%branch(0:0))
    call av(3782, 0, 0, 1, 0, SSSS0, 0, [0, 2], [nGC_12])

    allocate(vertices(3783)%branch(0:0))
    call av(3783, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(3784)%branch(0:0))
    call av(3784, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_75])

    allocate(vertices(3785)%branch(0:0))
    call av(3785, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_37])

    allocate(vertices(3786)%branch(0:0))
    call av(3786, 0, 0, 1, 0, SVSV0, 0, [0, 2], [nGC_69])

    allocate(vertices(3787)%branch(0:0))
    call av(3787, 0, 0, 1, 0, VUaUV0, 0, [0, 2], [nGC_57])

    allocate(vertices(3788)%branch(0:0))
    call av(3788, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_16])

    allocate(vertices(3789)%branch(0:0))
    call av(3789, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_72])

    allocate(vertices(3790)%branch(0:0))
    call av(3790, 0, 0, 1, 0, UaUSS0, 0, [0, 2], [nGC_88])

    allocate(vertices(3791)%branch(0:0))
    call av(3791, 0, 1, 1, 0, FaFS0, 0, [0, 1], [nGC_2514, nGC_146])

    allocate(vertices(3792)%branch(0:0))
    call av(3792, 0, 0, 1, 0, USUaS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3793)%branch(0:0))
    call av(3793, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(3794)%branch(0:0))
    call av(3794, 0, 1, 1, 0, VFaF1, 0, [0, 1], [nGC_80, nGC_85])

    allocate(vertices(3795)%branch(0:0))
    call av(3795, 0, 0, 1, 0, VUaVU0, 0, [0, 2], [nGC_54])

    allocate(vertices(3796)%branch(0:0))
    call av(3796, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_70])

    allocate(vertices(3797)%branch(0:0))
    call av(3797, 0, 0, 1, 0, VVSS0, 0, [0, 2], [nGC_69])

    allocate(vertices(3798)%branch(0:0))
    call av(3798, 0, 1, 1, 0, FVFa0, 0, [0, 1], [nGC_80, nGC_85])

    allocate(vertices(3799)%branch(0:0))
    call av(3799, 0, 0, 1, 0, SUUaS0, 0, [0, 2], [nGC_68])

    allocate(vertices(3800)%branch(0:0))
    call av(3800, 0, 0, 1, 0, VVVV0, 0, [0, 2], [nGC_77, nGC_562, nGC_562])

    allocate(vertices(3801)%branch(0:0))
    call av(3801, 0, 0, 1, 0, SSUUa0, 0, [0, 2], [nGC_46])

    allocate(vertices(3802)%branch(0:0))
    call av(3802, 0, 0, 1, 0, SUaSU0, 0, [0, 2], [nGC_36])

    allocate(vertices(3803)%branch(0:0))
    call av(3803, 0, 0, 1, 0, VSSV0, 0, [0, 2], [nGC_14])

    allocate(vertices(3804)%branch(0:0))
    call av(3804, 0, 0, 1, 0, SSUaU0, 0, [0, 2], [nGC_46])

    allocate(vertices(3805)%branch(0:0))
    call av(3805, 0, 1, 1, 0, SFaF2, 0, [0, 1], [nGC_136])

    allocate(vertices(3806)%branch(0:0))
    call av(3806, 0, 0, 1, 0, SVVS0, 0, [0, 2], [nGC_13])

    allocate(vertices(3807)%branch(0:0))
    call av(3807, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_70])

    allocate(vertices(3808)%branch(0:0))
    call av(3808, 0, 0, 1, 0, UaVVU0, 0, [0, 2], [nGC_7])

    allocate(vertices(3809)%branch(0:1))
    call av(3809, 0, 11, 6, 0, FFaV1, 0, [1, 0], [nGC_19, nGC_19])

    call av(3809, 1, 12, 7, 0, FFaV1, 0, [1, 0], [nGC_19, nGC_19])

    allocate(vertices(3810)%branch(0:0))
    call av(3810, 0, 0, 1, 0, UaSUS0, 0, [0, 2], [nGC_89])

    allocate(vertices(3811)%branch(0:0))
    call av(3811, 0, 0, 1, 0, UVUaV0, 0, [0, 2], [nGC_54])

    allocate(vertices(3812)%branch(0:0))
    call av(3812, 0, 0, 1, 0, USSUa0, 0, [0, 2], [nGC_46])

    allocate(vertices(3813)%branch(0:0))
    call av(3813, 0, 0, 1, 0, SUSUa0, 0, [0, 2], [nGC_88])

    allocate(vertices(3814)%branch(0:0))
    call av(3814, 0, 1, 1, 0, SSV1, 0, [0, 1], [nGC_60])

    allocate(vertices(3815)%branch(0:0))
    call av(3815, 0, 0, 1, 0, UUaSS0, 0, [0, 2], [nGC_92])

    allocate(vertices(3816)%branchCT(0:1))
    call avCT(3816, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_13962, nGC_13956,       &
    nGC_13964, nGC_13964])

    call avCT(3816, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_13963, nGC_13957,       &
    nGC_13965, nGC_13965])

    allocate(vertices(2)%branchCT(0:0))
    call avCT(2, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(30)%branchCT(0:0))
    call avCT(30, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_13969])

    allocate(vertices(3250)%branchCT(0:0))
    call avCT(3250, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(6)%branchCT(0:0))
    call avCT(6, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13978, nGC_13979, nGC_13978&
    ])

    allocate(vertices(9)%branchCT(0:5))
    call avCT(9, 0, 4, 2, 0, VVUaU0, 0, [4, 0], [nGC_13991])

    call avCT(9, 1, 5, 2, 0, VVUaU0, 0, [4, 0], [nGC_13991])

    call avCT(9, 2, 6, 3, 0, VVUaU0, 0, [4, 0], [nGC_13982])

    call avCT(9, 3, 7, 3, 0, VVUaU0, 0, [4, 0], [nGC_13982])

    call avCT(9, 4, 8, 3, 0, VVUaU0, 0, [4, 0], [nGC_13982])

    call avCT(9, 5, 9, 3, 0, VVUaU0, 0, [4, 0], [nGC_13982])

    allocate(vertices(3398)%branchCT(0:0))
    call avCT(3398, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_13996])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

    allocate(vertices(3817)%branchCT(0:0))
    call avCT(3817, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13998])

    allocate(vertices(15)%branchCT(0:0))
    call avCT(15, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14008, nGC_14009])

    allocate(vertices(3013)%branchCT(0:0))
    call avCT(3013, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(21)%branchCT(0:0))
    call avCT(21, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14019, nGC_14019])

    allocate(vertices(116)%branchCT(0:0))
    call avCT(116, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(2440)%branchCT(0:0))
    call avCT(2440, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2011)%branchCT(0:0))
    call avCT(2011, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14034,       &
    nGC_14033])

    allocate(vertices(25)%branchCT(0:0))
    call avCT(25, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(27)%branchCT(0:0))
    call avCT(27, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(28)%branchCT(0:0))
    call avCT(28, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(159)%branchCT(0:0))
    call avCT(159, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(31)%branchCT(0:1))
    call avCT(31, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14056, nGC_14057])

    call avCT(31, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14058, nGC_14059])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(36)%branchCT(0:0))
    call avCT(36, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2000)%branchCT(0:0))
    call avCT(2000, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(38)%branchCT(0:0))
    call avCT(38, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(39)%branchCT(0:0))
    call avCT(39, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14084, nGC_14085])

    allocate(vertices(44)%branchCT(0:1))
    call avCT(44, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_14092, nGC_14093])

    call avCT(44, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_14094, nGC_14095])

    allocate(vertices(3818)%branchCT(0:0))
    call avCT(3818, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(2062)%branchCT(0:0))
    call avCT(2062, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9632])

    allocate(vertices(47)%branchCT(0:0))
    call avCT(47, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14037])

    allocate(vertices(1802)%branchCT(0:0))
    call avCT(1802, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13978, nGC_13979,       &
    nGC_13978])

    allocate(vertices(50)%branchCT(0:0))
    call avCT(50, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3367)%branchCT(0:0))
    call avCT(3367, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(1201)%branchCT(0:0))
    call avCT(1201, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3819)%branchCT(0:0))
    call avCT(3819, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_14115, nGC_14111,        &
    nGC_14114])

    allocate(vertices(55)%branchCT(0:0))
    call avCT(55, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(56)%branchCT(0:3))
    call avCT(56, 0, 22, 6, 0, FaFV0, 0, [1, 2], [nGC_14121, nGC_14119])

    call avCT(56, 1, 22, 6, 0, FaFV0, 0, [3, 0], [nGC_14124, nGC_14125])

    call avCT(56, 2, 23, 7, 0, FaFV0, 0, [1, 2], [nGC_14121, nGC_14119])

    call avCT(56, 3, 23, 7, 0, FaFV0, 0, [3, 0], [nGC_14124, nGC_14125])

    allocate(vertices(58)%branchCT(0:0))
    call avCT(58, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(60)%branchCT(0:1))
    call avCT(60, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_14138])

    call avCT(60, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_14137])

    allocate(vertices(2518)%branchCT(0:0))
    call avCT(2518, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(62)%branchCT(0:0))
    call avCT(62, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(65)%branchCT(0:0))
    call avCT(65, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(66)%branchCT(0:0))
    call avCT(66, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(614)%branchCT(0:0))
    call avCT(614, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14154])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(3255)%branchCT(0:0))
    call avCT(3255, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2517)%branchCT(0:0))
    call avCT(2517, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1381)%branchCT(0:0))
    call avCT(1381, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14166])

    allocate(vertices(75)%branchCT(0:0))
    call avCT(75, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14169])

    allocate(vertices(77)%branchCT(0:0))
    call avCT(77, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14173])

    allocate(vertices(454)%branchCT(0:0))
    call avCT(454, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(468)%branchCT(0:0))
    call avCT(468, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2450)%branchCT(0:0))
    call avCT(2450, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(89)%branchCT(0:3))
    call avCT(89, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_14121, nGC_14119])

    call avCT(89, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_14124, nGC_14125])

    call avCT(89, 2, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_14121, nGC_14119])

    call avCT(89, 3, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_14124, nGC_14125])

    allocate(vertices(524)%branchCT(0:0))
    call avCT(524, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

    allocate(vertices(91)%branchCT(0:0))
    call avCT(91, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(3801)%branchCT(0:0))
    call avCT(3801, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(95)%branchCT(0:0))
    call avCT(95, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(96)%branchCT(0:1))
    call avCT(96, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14209, nGC_14204])

    call avCT(96, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14214, nGC_14215])

    allocate(vertices(97)%branchCT(0:0))
    call avCT(97, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14034, nGC_14033,         &
    nGC_14033])

    allocate(vertices(99)%branchCT(0:1))
    call avCT(99, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_14230, nGC_14229])

    call avCT(99, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_14232, nGC_14231])

    allocate(vertices(100)%branchCT(0:0))
    call avCT(100, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(101)%branchCT(0:0))
    call avCT(101, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9635])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

    allocate(vertices(108)%branchCT(0:0))
    call avCT(108, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(110)%branchCT(0:0))
    call avCT(110, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1211)%branchCT(0:0))
    call avCT(1211, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(112)%branchCT(0:0))
    call avCT(112, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14252])

    allocate(vertices(113)%branchCT(0:0))
    call avCT(113, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(114)%branchCT(0:0))
    call avCT(114, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14169])

    allocate(vertices(624)%branchCT(0:0))
    call avCT(624, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9632])

    allocate(vertices(2557)%branchCT(0:0))
    call avCT(2557, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(117)%branchCT(0:0))
    call avCT(117, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(748)%branchCT(0:0))
    call avCT(748, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(3114)%branchCT(0:0))
    call avCT(3114, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(3820)%branchCT(0:0))
    call avCT(3820, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(124)%branchCT(0:0))
    call avCT(124, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1344)%branchCT(0:0))
    call avCT(1344, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14276])

    allocate(vertices(126)%branchCT(0:0))
    call avCT(126, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14279])

    allocate(vertices(1815)%branchCT(0:0))
    call avCT(1815, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(2820)%branchCT(0:1))
    call avCT(2820, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_14290, nGC_14290])

    call avCT(2820, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_14292, nGC_14292])

    allocate(vertices(1299)%branchCT(0:0))
    call avCT(1299, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14295])

    allocate(vertices(132)%branchCT(0:0))
    call avCT(132, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(133)%branchCT(0:0))
    call avCT(133, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_13969])

    allocate(vertices(134)%branchCT(0:0))
    call avCT(134, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(135)%branchCT(0:1))
    call avCT(135, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_14316, nGC_14317])

    call avCT(135, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_14308, nGC_14311])

    allocate(vertices(2026)%branchCT(0:0))
    call avCT(2026, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(137)%branchCT(0:0))
    call avCT(137, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14322, nGC_14323])

    allocate(vertices(846)%branchCT(0:0))
    call avCT(846, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(139)%branchCT(0:1))
    call avCT(139, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_14334, nGC_14335])

    call avCT(139, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_14330, nGC_14327])

    allocate(vertices(140)%branchCT(0:0))
    call avCT(140, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(875)%branchCT(0:0))
    call avCT(875, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(145)%branchCT(0:3))
    call avCT(145, 0, 24, 6, 0, VFaF1, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(145, 1, 24, 6, 0, VFaF1, 0, [3, 0], [nGC_14346, nGC_14347])

    call avCT(145, 2, 25, 7, 0, VFaF1, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(145, 3, 25, 7, 0, VFaF1, 0, [3, 0], [nGC_14346, nGC_14347])

    allocate(vertices(146)%branchCT(0:0))
    call avCT(146, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(149)%branchCT(0:0))
    call avCT(149, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(934)%branchCT(0:0))
    call avCT(934, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(155)%branchCT(0:1))
    call avCT(155, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14372, nGC_14372])

    call avCT(155, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14374, nGC_14374])

    allocate(vertices(157)%branchCT(0:0))
    call avCT(157, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14033,        &
    nGC_14034])

    allocate(vertices(158)%branchCT(0:0))
    call avCT(158, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(3821)%branchCT(0:0))
    call avCT(3821, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(975)%branchCT(0:0))
    call avCT(975, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(2570)%branchCT(0:1))
    call avCT(2570, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_14394, nGC_14395])

    call avCT(2570, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_14387, nGC_14390])

    allocate(vertices(163)%branchCT(0:0))
    call avCT(163, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14398])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14403])

    allocate(vertices(169)%branchCT(0:0))
    call avCT(169, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(170)%branchCT(0:3))
    call avCT(170, 0, 28, 6, 0, FVFa0, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(170, 1, 28, 6, 0, FVFa0, 0, [3, 0], [nGC_14411, nGC_14412])

    call avCT(170, 2, 29, 7, 0, FVFa0, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(170, 3, 29, 7, 0, FVFa0, 0, [3, 0], [nGC_14411, nGC_14412])

    allocate(vertices(171)%branchCT(0:0))
    call avCT(171, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14421, nGC_14421,        &
    nGC_14422])

    allocate(vertices(174)%branchCT(0:0))
    call avCT(174, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1821)%branchCT(0:0))
    call avCT(1821, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14427])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14430])

    allocate(vertices(465)%branchCT(0:0))
    call avCT(465, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14445, nGC_14446])

    allocate(vertices(184)%branchCT(0:5))
    call avCT(184, 0, 4, 3, 0, VUaVU0, 0, [4, 0], [nGC_13982])

    call avCT(184, 1, 5, 3, 0, VUaVU0, 0, [4, 0], [nGC_13982])

    call avCT(184, 2, 6, 3, 0, VUaVU0, 0, [4, 0], [nGC_13982])

    call avCT(184, 3, 7, 2, 0, VUaVU0, 0, [4, 0], [nGC_13991])

    call avCT(184, 4, 8, 3, 0, VUaVU0, 0, [4, 0], [nGC_13982])

    call avCT(184, 5, 9, 2, 0, VUaVU0, 0, [4, 0], [nGC_13991])

    allocate(vertices(2694)%branchCT(0:0))
    call avCT(2694, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(187)%branchCT(0:1))
    call avCT(187, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_14214, nGC_14215])

    call avCT(187, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_14209, nGC_14204])

    allocate(vertices(3064)%branchCT(0:0))
    call avCT(3064, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14471])

    allocate(vertices(3599)%branchCT(0:0))
    call avCT(3599, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3536)%branchCT(0:0))
    call avCT(3536, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(198)%branchCT(0:0))
    call avCT(198, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1346)%branchCT(0:0))
    call avCT(1346, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(3360)%branchCT(0:3))
    call avCT(3360, 0, 26, 6, 0, VFFa0, 0, [1, 2], [nGC_14482, nGC_14480])

    call avCT(3360, 1, 26, 6, 0, VFFa0, 0, [3, 0], [nGC_14486, nGC_14487])

    call avCT(3360, 2, 27, 7, 0, VFFa0, 0, [1, 2], [nGC_14482, nGC_14480])

    call avCT(3360, 3, 27, 7, 0, VFFa0, 0, [3, 0], [nGC_14486, nGC_14487])

    allocate(vertices(37)%branchCT(0:0))
    call avCT(37, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14497])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(1230)%branchCT(0:0))
    call avCT(1230, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(755)%branchCT(0:0))
    call avCT(755, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(293)%branchCT(0:1))
    call avCT(293, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_14511, nGC_14512])

    call avCT(293, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_14513, nGC_14514])

    allocate(vertices(1250)%branchCT(0:0))
    call avCT(1250, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1610)%branchCT(0:0))
    call avCT(1610, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14525, nGC_14526])

    allocate(vertices(216)%branchCT(0:0))
    call avCT(216, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1285)%branchCT(0:0))
    call avCT(1285, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1295)%branchCT(0:0))
    call avCT(1295, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2936)%branchCT(0:0))
    call avCT(2936, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

    allocate(vertices(3717)%branchCT(0:0))
    call avCT(3717, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(223)%branchCT(0:1))
    call avCT(223, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14229, nGC_14230])

    call avCT(223, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14231, nGC_14232])

    allocate(vertices(2477)%branchCT(0:0))
    call avCT(2477, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14552])

    allocate(vertices(2049)%branchCT(0:0))
    call avCT(2049, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14173])

    allocate(vertices(230)%branchCT(0:0))
    call avCT(230, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(231)%branchCT(0:0))
    call avCT(231, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(646)%branchCT(0:0))
    call avCT(646, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14166])

    allocate(vertices(235)%branchCT(0:1))
    call avCT(235, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_14394, nGC_14395])

    call avCT(235, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_14387, nGC_14390])

    allocate(vertices(236)%branchCT(0:0))
    call avCT(236, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14577, nGC_14577])

    allocate(vertices(1393)%branchCT(0:0))
    call avCT(1393, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14580])

    allocate(vertices(239)%branchCT(0:0))
    call avCT(239, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_14583])

    allocate(vertices(240)%branchCT(0:1))
    call avCT(240, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_14229, nGC_14230])

    call avCT(240, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_14231, nGC_14232])

    allocate(vertices(241)%branchCT(0:0))
    call avCT(241, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(243)%branchCT(0:0))
    call avCT(243, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_14599])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14606])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14497])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14471])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14614])

    allocate(vertices(249)%branchCT(0:1))
    call avCT(249, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_14624, nGC_14625])

    call avCT(249, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_14618, nGC_14621])

    allocate(vertices(3822)%branchCT(0:0))
    call avCT(3822, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_14626])

    allocate(vertices(3823)%branchCT(0:1))
    call avCT(3823, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_14635, nGC_14629,       &
    nGC_14637, nGC_14637])

    call avCT(3823, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_14636, nGC_14630,       &
    nGC_14638, nGC_14638])

    allocate(vertices(253)%branchCT(0:0))
    call avCT(253, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1519)%branchCT(0:0))
    call avCT(1519, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1530)%branchCT(0:0))
    call avCT(1530, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1236)%branchCT(0:0))
    call avCT(1236, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14166])

    allocate(vertices(1538)%branchCT(0:0))
    call avCT(1538, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(260)%branchCT(0:0))
    call avCT(260, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_14019, nGC_14019])

    allocate(vertices(652)%branchCT(0:0))
    call avCT(652, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

    allocate(vertices(3824)%branchCT(0:1))
    call avCT(3824, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_14667, nGC_14663,       &
    nGC_14669, nGC_14669])

    call avCT(3824, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_14668, nGC_14664,       &
    nGC_14670, nGC_14670])

    allocate(vertices(1572)%branchCT(0:0))
    call avCT(1572, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(265)%branchCT(0:0))
    call avCT(265, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14398])

    allocate(vertices(3825)%branchCT(0:0))
    call avCT(3825, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13998])

    allocate(vertices(1587)%branchCT(0:0))
    call avCT(1587, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(270)%branchCT(0:1))
    call avCT(270, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_14683])

    call avCT(270, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_14682])

    allocate(vertices(271)%branchCT(0:1))
    call avCT(271, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14693, nGC_14694])

    call avCT(271, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14690, nGC_14686])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_14698, nGC_14699])

    allocate(vertices(275)%branchCT(0:0))
    call avCT(275, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(277)%branchCT(0:0))
    call avCT(277, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14158])

  end subroutine fill_vertices_mdl5
end module vertices_info5
