!******************************************************************************!
!                                                                              !
!    vertices_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info6
  implicit none
  contains
  subroutine fill_vertices_mdl6()
    use class_vertices
    use class_couplings
    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(280)%branchCT(0:0))
    call avCT(280, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2468)%branchCT(0:0))
    call avCT(2468, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(284)%branchCT(0:0))
    call avCT(284, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1731)%branchCT(0:0))
    call avCT(1731, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14729])

    allocate(vertices(292)%branchCT(0:0))
    call avCT(292, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14733])

    allocate(vertices(294)%branchCT(0:0))
    call avCT(294, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(295)%branchCT(0:0))
    call avCT(295, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(296)%branchCT(0:0))
    call avCT(296, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14740])

    allocate(vertices(299)%branchCT(0:1))
    call avCT(299, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14750, nGC_14751])

    call avCT(299, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14747, nGC_14743])

    allocate(vertices(301)%branchCT(0:0))
    call avCT(301, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14169])

    allocate(vertices(307)%branchCT(0:1))
    call avCT(307, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_14334, nGC_14335])

    call avCT(307, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_14330, nGC_14327])

    allocate(vertices(312)%branchCT(0:1))
    call avCT(312, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14683])

    call avCT(312, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14682])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(316)%branchCT(0:0))
    call avCT(316, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14780, nGC_14781,        &
    nGC_14781])

    allocate(vertices(318)%branchCT(0:0))
    call avCT(318, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14786])

    allocate(vertices(319)%branchCT(0:0))
    call avCT(319, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14244])

    allocate(vertices(323)%branchCT(0:0))
    call avCT(323, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(1938)%branchCT(0:0))
    call avCT(1938, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14276])

    allocate(vertices(197)%branchCT(0:1))
    call avCT(197, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_14804, nGC_14805])

    call avCT(197, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_14797, nGC_14800])

    allocate(vertices(2085)%branchCT(0:0))
    call avCT(2085, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(331)%branchCT(0:0))
    call avCT(331, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2883)%branchCT(0:0))
    call avCT(2883, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(2198)%branchCT(0:0))
    call avCT(2198, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(333)%branchCT(0:1))
    call avCT(333, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14819])

    call avCT(333, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14818])

    allocate(vertices(72)%branchCT(0:0))
    call avCT(72, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2117)%branchCT(0:0))
    call avCT(2117, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(337)%branchCT(0:0))
    call avCT(337, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(338)%branchCT(0:0))
    call avCT(338, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_14827])

    allocate(vertices(682)%branchCT(0:0))
    call avCT(682, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(2064)%branchCT(0:0))
    call avCT(2064, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(2075)%branchCT(0:0))
    call avCT(2075, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(349)%branchCT(0:0))
    call avCT(349, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(352)%branchCT(0:0))
    call avCT(352, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14276])

    allocate(vertices(355)%branchCT(0:0))
    call avCT(355, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14845])

    allocate(vertices(1251)%branchCT(0:0))
    call avCT(1251, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(357)%branchCT(0:0))
    call avCT(357, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14849])

    allocate(vertices(358)%branchCT(0:1))
    call avCT(358, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_14859, nGC_14860])

    call avCT(358, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_14853, nGC_14856])

    allocate(vertices(2409)%branchCT(0:0))
    call avCT(2409, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14614])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(364)%branchCT(0:0))
    call avCT(364, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14869])

    allocate(vertices(1855)%branchCT(0:0))
    call avCT(1855, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(367)%branchCT(0:0))
    call avCT(367, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14874])

    allocate(vertices(1254)%branchCT(0:0))
    call avCT(1254, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(371)%branchCT(0:0))
    call avCT(371, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14781, nGC_14781,        &
    nGC_14780])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(376)%branchCT(0:3))
    call avCT(376, 0, 24, 6, 0, VFaF1, 0, [1, 2], [nGC_14886, nGC_14888])

    call avCT(376, 1, 24, 6, 0, VFaF1, 0, [3, 0], [nGC_14892, nGC_14893])

    call avCT(376, 2, 25, 7, 0, VFaF1, 0, [1, 2], [nGC_14886, nGC_14888])

    call avCT(376, 3, 25, 7, 0, VFaF1, 0, [3, 0], [nGC_14892, nGC_14893])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(380)%branchCT(0:5))
    call avCT(380, 0, 4, 2, 0, UUaVV0, 0, [4, 0], [nGC_13991])

    call avCT(380, 1, 5, 2, 0, UUaVV0, 0, [4, 0], [nGC_13991])

    call avCT(380, 2, 6, 3, 0, UUaVV0, 0, [4, 0], [nGC_13982])

    call avCT(380, 3, 7, 3, 0, UUaVV0, 0, [4, 0], [nGC_13982])

    call avCT(380, 4, 8, 3, 0, UUaVV0, 0, [4, 0], [nGC_13982])

    call avCT(380, 5, 9, 3, 0, UUaVV0, 0, [4, 0], [nGC_13982])

    allocate(vertices(2298)%branchCT(0:0))
    call avCT(2298, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14398])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14733])

    allocate(vertices(386)%branchCT(0:0))
    call avCT(386, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1968)%branchCT(0:0))
    call avCT(1968, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(69)%branchCT(0:0))
    call avCT(69, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14927])

    allocate(vertices(388)%branchCT(0:0))
    call avCT(388, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2356)%branchCT(0:0))
    call avCT(2356, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14276])

    allocate(vertices(3421)%branchCT(0:0))
    call avCT(3421, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(393)%branchCT(0:0))
    call avCT(393, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2934)%branchCT(0:0))
    call avCT(2934, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(396)%branchCT(0:0))
    call avCT(396, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(3826)%branchCT(0:0))
    call avCT(3826, 0, 13, 1, 0, VV1, 0, [0, 2], [nGC_14115, nGC_14111,        &
    nGC_14114])

    allocate(vertices(3269)%branchCT(0:0))
    call avCT(3269, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14034, nGC_14033,       &
    nGC_14033])

    allocate(vertices(3827)%branchCT(0:0))
    call avCT(3827, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14951])

    allocate(vertices(405)%branchCT(0:0))
    call avCT(405, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2692)%branchCT(0:0))
    call avCT(2692, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(3012)%branchCT(0:0))
    call avCT(3012, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(413)%branchCT(0:0))
    call avCT(413, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14971, nGC_14972])

    allocate(vertices(416)%branchCT(0:0))
    call avCT(416, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2561)%branchCT(0:0))
    call avCT(2561, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14780, nGC_14781,       &
    nGC_14781])

    allocate(vertices(3590)%branchCT(0:0))
    call avCT(3590, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14733])

    allocate(vertices(2604)%branchCT(0:0))
    call avCT(2604, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9636])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(427)%branchCT(0:0))
    call avCT(427, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(429)%branchCT(0:0))
    call avCT(429, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14869])

    allocate(vertices(3032)%branchCT(0:0))
    call avCT(3032, 0, 1, 1, 0, SFaF1, 0, [0, 3], [nGC_14827])

    allocate(vertices(432)%branchCT(0:0))
    call avCT(432, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(433)%branchCT(0:0))
    call avCT(433, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_15008, nGC_15009])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14295])

    allocate(vertices(2672)%branchCT(0:0))
    call avCT(2672, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14034, nGC_14033,       &
    nGC_14033])

    allocate(vertices(2704)%branchCT(0:0))
    call avCT(2704, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2716)%branchCT(0:0))
    call avCT(2716, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2730)%branchCT(0:0))
    call avCT(2730, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(448)%branchCT(0:0))
    call avCT(448, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14173])

    allocate(vertices(449)%branchCT(0:0))
    call avCT(449, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9635])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(452)%branchCT(0:0))
    call avCT(452, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(453)%branchCT(0:0))
    call avCT(453, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(913)%branchCT(0:0))
    call avCT(913, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2812)%branchCT(0:0))
    call avCT(2812, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(456)%branchCT(0:3))
    call avCT(456, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14886, nGC_14888])

    call avCT(456, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14892, nGC_14893])

    call avCT(456, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14886, nGC_14888])

    call avCT(456, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14892, nGC_14893])

    allocate(vertices(457)%branchCT(0:0))
    call avCT(457, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2828)%branchCT(0:0))
    call avCT(2828, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14971, nGC_14972])

    allocate(vertices(460)%branchCT(0:0))
    call avCT(460, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(462)%branchCT(0:0))
    call avCT(462, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14169])

    allocate(vertices(3828)%branchCT(0:0))
    call avCT(3828, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_15065, nGC_15062,       &
    nGC_15066, nGC_15066])

    allocate(vertices(464)%branchCT(0:0))
    call avCT(464, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_15069])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1933)%branchCT(0:0))
    call avCT(1933, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

    allocate(vertices(473)%branchCT(0:0))
    call avCT(473, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(475)%branchCT(0:0))
    call avCT(475, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(501)%branchCT(0:1))
    call avCT(501, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_15090, nGC_15091])

    call avCT(501, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_15083, nGC_15086])

    allocate(vertices(1874)%branchCT(0:0))
    call avCT(1874, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2940)%branchCT(0:0))
    call avCT(2940, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(482)%branchCT(0:0))
    call avCT(482, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(486)%branchCT(0:0))
    call avCT(486, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14427])

    allocate(vertices(487)%branchCT(0:0))
    call avCT(487, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(1298)%branchCT(0:0))
    call avCT(1298, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(494)%branchCT(0:1))
    call avCT(494, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_14511, nGC_14512])

    call avCT(494, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_14513, nGC_14514])

    allocate(vertices(496)%branchCT(0:1))
    call avCT(496, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_14819])

    call avCT(496, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_14818])

    allocate(vertices(3829)%branchCT(0:0))
    call avCT(3829, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(510)%branchCT(0:0))
    call avCT(510, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(503)%branchCT(0:0))
    call avCT(503, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14295])

    allocate(vertices(3113)%branchCT(0:0))
    call avCT(3113, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14295])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_13969])

    allocate(vertices(509)%branchCT(0:0))
    call avCT(509, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1016)%branchCT(0:0))
    call avCT(1016, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(515)%branchCT(0:0))
    call avCT(515, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14244])

    allocate(vertices(698)%branchCT(0:0))
    call avCT(698, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(519)%branchCT(0:0))
    call avCT(519, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14244])

    allocate(vertices(520)%branchCT(0:1))
    call avCT(520, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_14214, nGC_14215])

    call avCT(520, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_14209, nGC_14204])

    allocate(vertices(1883)%branchCT(0:0))
    call avCT(1883, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(523)%branchCT(0:1))
    call avCT(523, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_15166, nGC_15167])

    call avCT(523, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_15168, nGC_15169])

    allocate(vertices(3246)%branchCT(0:0))
    call avCT(3246, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14869])

    allocate(vertices(526)%branchCT(0:0))
    call avCT(526, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(527)%branchCT(0:0))
    call avCT(527, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

    allocate(vertices(529)%branchCT(0:0))
    call avCT(529, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15179])

    allocate(vertices(530)%branchCT(0:5))
    call avCT(530, 0, 4, 2, 0, VVVV0, 0, [4, 0], [nGC_15182, nGC_15182,        &
    nGC_15193])

    call avCT(530, 1, 5, 2, 0, VVVV0, 0, [4, 0], [nGC_15182, nGC_15182,        &
    nGC_15193])

    call avCT(530, 2, 6, 3, 0, VVVV0, 0, [4, 0], [nGC_15184, nGC_15183,        &
    nGC_15183])

    call avCT(530, 3, 7, 3, 0, VVVV0, 0, [4, 0], [nGC_15183, nGC_15184,        &
    nGC_15183])

    call avCT(530, 4, 8, 3, 0, VVVV0, 0, [4, 0], [nGC_15184, nGC_15183,        &
    nGC_15183])

    call avCT(530, 5, 9, 3, 0, VVVV0, 0, [4, 0], [nGC_15183, nGC_15184,        &
    nGC_15183])

    allocate(vertices(531)%branchCT(0:0))
    call avCT(531, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(533)%branchCT(0:0))
    call avCT(533, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(534)%branchCT(0:0))
    call avCT(534, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2030)%branchCT(0:0))
    call avCT(2030, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(3289)%branchCT(0:0))
    call avCT(3289, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14279])

    allocate(vertices(538)%branchCT(0:0))
    call avCT(538, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14471])

    allocate(vertices(3194)%branchCT(0:0))
    call avCT(3194, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(744)%branchCT(0:0))
    call avCT(744, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(541)%branchCT(0:0))
    call avCT(541, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2539)%branchCT(0:0))
    call avCT(2539, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14849])

    allocate(vertices(1887)%branchCT(0:0))
    call avCT(1887, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1888)%branchCT(0:0))
    call avCT(1888, 0, 1, 1, 0, SFaF2, 0, [0, 3], [nGC_14599])

    allocate(vertices(549)%branchCT(0:5))
    call avCT(549, 0, 4, 3, 0, UVUaV0, 0, [4, 0], [nGC_13982])

    call avCT(549, 1, 5, 3, 0, UVUaV0, 0, [4, 0], [nGC_13982])

    call avCT(549, 2, 6, 3, 0, UVUaV0, 0, [4, 0], [nGC_13982])

    call avCT(549, 3, 7, 2, 0, UVUaV0, 0, [4, 0], [nGC_13991])

    call avCT(549, 4, 8, 3, 0, UVUaV0, 0, [4, 0], [nGC_13982])

    call avCT(549, 5, 9, 2, 0, UVUaV0, 0, [4, 0], [nGC_13991])

    allocate(vertices(550)%branchCT(0:0))
    call avCT(550, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_15008, nGC_15009])

    allocate(vertices(2067)%branchCT(0:0))
    call avCT(2067, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14580])

    allocate(vertices(3326)%branchCT(0:0))
    call avCT(3326, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14033,       &
    nGC_14034])

    allocate(vertices(3436)%branchCT(0:0))
    call avCT(3436, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14733])

    allocate(vertices(1889)%branchCT(0:0))
    call avCT(1889, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

    allocate(vertices(558)%branchCT(0:0))
    call avCT(558, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14471])

    allocate(vertices(561)%branchCT(0:0))
    call avCT(561, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13979, nGC_13978,        &
    nGC_13978])

    allocate(vertices(562)%branchCT(0:0))
    call avCT(562, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14497])

    allocate(vertices(563)%branchCT(0:0))
    call avCT(563, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_15261])

    allocate(vertices(2140)%branchCT(0:0))
    call avCT(2140, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(567)%branchCT(0:0))
    call avCT(567, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(568)%branchCT(0:0))
    call avCT(568, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14276])

    allocate(vertices(569)%branchCT(0:0))
    call avCT(569, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(3549)%branchCT(0:0))
    call avCT(3549, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3566)%branchCT(0:0))
    call avCT(3566, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14166])

    allocate(vertices(3592)%branchCT(0:0))
    call avCT(3592, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(575)%branchCT(0:0))
    call avCT(575, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(3620)%branchCT(0:0))
    call avCT(3620, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1290)%branchCT(0:0))
    call avCT(1290, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(580)%branchCT(0:0))
    call avCT(580, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2546)%branchCT(0:0))
    call avCT(2546, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(3673)%branchCT(0:0))
    call avCT(3673, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14497])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14166])

    allocate(vertices(3689)%branchCT(0:0))
    call avCT(3689, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(3701)%branchCT(0:0))
    call avCT(3701, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1293)%branchCT(0:0))
    call avCT(1293, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(588)%branchCT(0:0))
    call avCT(588, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(3476)%branchCT(0:0))
    call avCT(3476, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(591)%branchCT(0:0))
    call avCT(591, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14084, nGC_14085])

    allocate(vertices(3653)%branchCT(0:0))
    call avCT(3653, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_15313])

    allocate(vertices(594)%branchCT(0:0))
    call avCT(594, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

    allocate(vertices(595)%branchCT(0:0))
    call avCT(595, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14781, nGC_14780,        &
    nGC_14781])

    allocate(vertices(596)%branchCT(0:0))
    call avCT(596, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(597)%branchCT(0:0))
    call avCT(597, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14927])

    allocate(vertices(3787)%branchCT(0:0))
    call avCT(3787, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_15313])

    allocate(vertices(601)%branchCT(0:0))
    call avCT(601, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(602)%branchCT(0:0))
    call avCT(602, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(603)%branchCT(0:0))
    call avCT(603, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_13996])

    allocate(vertices(605)%branchCT(0:0))
    call avCT(605, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(609)%branchCT(0:0))
    call avCT(609, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(57)%branchCT(0:0))
    call avCT(57, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(68)%branchCT(0:0))
    call avCT(68, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2747)%branchCT(0:0))
    call avCT(2747, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(617)%branchCT(0:0))
    call avCT(617, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(619)%branchCT(0:0))
    call avCT(619, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3208)%branchCT(0:0))
    call avCT(3208, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(115)%branchCT(0:0))
    call avCT(115, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(625)%branchCT(0:0))
    call avCT(625, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(629)%branchCT(0:0))
    call avCT(629, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13978, nGC_13978,        &
    nGC_13979])

    allocate(vertices(630)%branchCT(0:0))
    call avCT(630, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14552])

    allocate(vertices(633)%branchCT(0:0))
    call avCT(633, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(634)%branchCT(0:1))
    call avCT(634, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_14057, nGC_14056])

    call avCT(634, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_14059, nGC_14058])

    allocate(vertices(635)%branchCT(0:0))
    call avCT(635, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(637)%branchCT(0:0))
    call avCT(637, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(194)%branchCT(0:0))
    call avCT(194, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14525, nGC_14526])

    allocate(vertices(723)%branchCT(0:0))
    call avCT(723, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(640)%branchCT(0:0))
    call avCT(640, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(642)%branchCT(0:0))
    call avCT(642, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14845])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(233)%branchCT(0:0))
    call avCT(233, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2878)%branchCT(0:1))
    call avCT(2878, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_15402, nGC_15402])

    call avCT(2878, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_15404, nGC_15404])

    allocate(vertices(649)%branchCT(0:0))
    call avCT(649, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_13996])

    allocate(vertices(2844)%branchCT(0:0))
    call avCT(2844, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3830)%branchCT(0:0))
    call avCT(3830, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_15409])

    allocate(vertices(3831)%branchCT(0:0))
    call avCT(3831, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15409])

    allocate(vertices(655)%branchCT(0:1))
    call avCT(655, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_14693, nGC_14694])

    call avCT(655, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_14690, nGC_14686])

    allocate(vertices(657)%branchCT(0:0))
    call avCT(657, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(658)%branchCT(0:0))
    call avCT(658, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15260])

    allocate(vertices(659)%branchCT(0:0))
    call avCT(659, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(306)%branchCT(0:0))
    call avCT(306, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14427])

    allocate(vertices(661)%branchCT(0:0))
    call avCT(661, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(662)%branchCT(0:1))
    call avCT(662, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_14138])

    call avCT(662, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_14137])

    allocate(vertices(663)%branchCT(0:0))
    call avCT(663, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14497])

    allocate(vertices(669)%branchCT(0:0))
    call avCT(669, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(670)%branchCT(0:1))
    call avCT(670, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_14819])

    call avCT(670, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_14818])

    allocate(vertices(671)%branchCT(0:0))
    call avCT(671, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(672)%branchCT(0:1))
    call avCT(672, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_15451, nGC_15451])

    call avCT(672, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_15453, nGC_15453])

    allocate(vertices(2010)%branchCT(0:0))
    call avCT(2010, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(675)%branchCT(0:0))
    call avCT(675, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(676)%branchCT(0:0))
    call avCT(676, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_15462])

    allocate(vertices(678)%branchCT(0:0))
    call avCT(678, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(679)%branchCT(0:0))
    call avCT(679, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14154])

    allocate(vertices(680)%branchCT(0:0))
    call avCT(680, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(3547)%branchCT(0:0))
    call avCT(3547, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14033,        &
    nGC_14034])

    allocate(vertices(3391)%branchCT(0:0))
    call avCT(3391, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(3658)%branchCT(0:0))
    call avCT(3658, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15489])

    allocate(vertices(690)%branchCT(0:0))
    call avCT(690, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(694)%branchCT(0:0))
    call avCT(694, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(500)%branchCT(0:0))
    call avCT(500, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(696)%branchCT(0:1))
    call avCT(696, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14057, nGC_14056])

    call avCT(696, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14059, nGC_14058])

    allocate(vertices(3832)%branchCT(0:1))
    call avCT(3832, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_13962, nGC_13956,       &
    nGC_13964, nGC_13964])

    call avCT(3832, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_13963, nGC_13957,       &
    nGC_13965, nGC_13965])

    allocate(vertices(2071)%branchCT(0:0))
    call avCT(2071, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_13996])

    allocate(vertices(700)%branchCT(0:0))
    call avCT(700, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(701)%branchCT(0:1))
    call avCT(701, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_15525, nGC_15525])

    call avCT(701, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_15527, nGC_15527])

    allocate(vertices(703)%branchCT(0:0))
    call avCT(703, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9635])

    allocate(vertices(704)%branchCT(0:0))
    call avCT(704, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14008, nGC_14009])

    allocate(vertices(706)%branchCT(0:0))
    call avCT(706, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14845])

    allocate(vertices(2475)%branchCT(0:0))
    call avCT(2475, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(709)%branchCT(0:0))
    call avCT(709, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(713)%branchCT(0:0))
    call avCT(713, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(716)%branchCT(0:0))
    call avCT(716, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(607)%branchCT(0:1))
    call avCT(607, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14092, nGC_14093])

    call avCT(607, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14094, nGC_14095])

    allocate(vertices(615)%branchCT(0:0))
    call avCT(615, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14166])

    allocate(vertices(720)%branchCT(0:1))
    call avCT(720, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_15568, nGC_15569])

    call avCT(720, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_15561, nGC_15564])

    allocate(vertices(721)%branchCT(0:0))
    call avCT(721, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(722)%branchCT(0:3))
    call avCT(722, 0, 28, 6, 0, FVFa0, 0, [1, 2], [nGC_14482, nGC_14480])

    call avCT(722, 1, 28, 6, 0, FVFa0, 0, [3, 0], [nGC_14486, nGC_14487])

    call avCT(722, 2, 29, 7, 0, FVFa0, 0, [1, 2], [nGC_14482, nGC_14480])

    call avCT(722, 3, 29, 7, 0, FVFa0, 0, [3, 0], [nGC_14486, nGC_14487])

    allocate(vertices(639)%branchCT(0:0))
    call avCT(639, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2566)%branchCT(0:0))
    call avCT(2566, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(725)%branchCT(0:0))
    call avCT(725, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(673)%branchCT(0:0))
    call avCT(673, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14849])

    allocate(vertices(733)%branchCT(0:0))
    call avCT(733, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(734)%branchCT(0:0))
    call avCT(734, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_15069])

    allocate(vertices(737)%branchCT(0:0))
    call avCT(737, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3833)%branchCT(0:0))
    call avCT(3833, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13998])

    allocate(vertices(3834)%branchCT(0:0))
    call avCT(3834, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14951])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(741)%branchCT(0:0))
    call avCT(741, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(743)%branchCT(0:0))
    call avCT(743, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15261])

    allocate(vertices(3676)%branchCT(0:0))
    call avCT(3676, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(745)%branchCT(0:0))
    call avCT(745, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2393)%branchCT(0:0))
    call avCT(2393, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(803)%branchCT(0:0))
    call avCT(803, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(817)%branchCT(0:0))
    call avCT(817, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(753)%branchCT(0:0))
    call avCT(753, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(832)%branchCT(0:0))
    call avCT(832, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(757)%branchCT(0:0))
    call avCT(757, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15628])

    allocate(vertices(759)%branchCT(0:0))
    call avCT(759, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(761)%branchCT(0:0))
    call avCT(761, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(3648)%branchCT(0:0))
    call avCT(3648, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_14583])

    allocate(vertices(882)%branchCT(0:0))
    call avCT(882, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14034, nGC_14033,        &
    nGC_14033])

    allocate(vertices(766)%branchCT(0:0))
    call avCT(766, 0, 1, 1, 0, FFaS0, 0, [0, 3], [nGC_14599])

    allocate(vertices(905)%branchCT(0:0))
    call avCT(905, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14849])

    allocate(vertices(919)%branchCT(0:0))
    call avCT(919, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(771)%branchCT(0:0))
    call avCT(771, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(773)%branchCT(0:0))
    call avCT(773, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9636])

    allocate(vertices(774)%branchCT(0:0))
    call avCT(774, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

    allocate(vertices(776)%branchCT(0:0))
    call avCT(776, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14785])

    allocate(vertices(3524)%branchCT(0:0))
    call avCT(3524, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14740])

    allocate(vertices(779)%branchCT(0:0))
    call avCT(779, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(781)%branchCT(0:0))
    call avCT(781, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14497])

    allocate(vertices(782)%branchCT(0:0))
    call avCT(782, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(783)%branchCT(0:0))
    call avCT(783, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14729])

    allocate(vertices(2737)%branchCT(0:1))
    call avCT(2737, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_14513, nGC_14514])

    call avCT(2737, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_14511, nGC_14512])

    allocate(vertices(785)%branchCT(0:0))
    call avCT(785, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(787)%branchCT(0:0))
    call avCT(787, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(788)%branchCT(0:0))
    call avCT(788, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_14583])

    allocate(vertices(2421)%branchCT(0:1))
    call avCT(2421, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_15688, nGC_15689])

    call avCT(2421, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_15682, nGC_15679])

    allocate(vertices(1063)%branchCT(0:0))
    call avCT(1063, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(793)%branchCT(0:0))
    call avCT(793, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1070)%branchCT(0:0))
    call avCT(1070, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(796)%branchCT(0:0))
    call avCT(796, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(797)%branchCT(0:0))
    call avCT(797, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14276])

    allocate(vertices(798)%branchCT(0:0))
    call avCT(798, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(799)%branchCT(0:0))
    call avCT(799, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1322)%branchCT(0:0))
    call avCT(1322, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(749)%branchCT(0:0))
    call avCT(749, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(804)%branchCT(0:0))
    call avCT(804, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(2044)%branchCT(0:0))
    call avCT(2044, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2579)%branchCT(0:0))
    call avCT(2579, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1167)%branchCT(0:0))
    call avCT(1167, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(811)%branchCT(0:0))
    call avCT(811, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1179)%branchCT(0:0))
    call avCT(1179, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14729])

    allocate(vertices(814)%branchCT(0:0))
    call avCT(814, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(751)%branchCT(0:0))
    call avCT(751, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14421, nGC_14422,        &
    nGC_14421])

    allocate(vertices(1215)%branchCT(0:0))
    call avCT(1215, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1422)%branchCT(0:0))
    call avCT(1422, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(822)%branchCT(0:0))
    call avCT(822, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(823)%branchCT(0:1))
    call avCT(823, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_15404, nGC_15404])

    call avCT(823, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_15402, nGC_15402])

    allocate(vertices(824)%branchCT(0:0))
    call avCT(824, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14169])

    allocate(vertices(825)%branchCT(0:0))
    call avCT(825, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2488)%branchCT(0:0))
    call avCT(2488, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(828)%branchCT(0:1))
    call avCT(828, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_14683])

    call avCT(828, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_14682])

    allocate(vertices(830)%branchCT(0:0))
    call avCT(830, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(831)%branchCT(0:0))
    call avCT(831, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14740])

    allocate(vertices(756)%branchCT(0:0))
    call avCT(756, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1718)%branchCT(0:1))
    call avCT(1718, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_14290, nGC_14290])

    call avCT(1718, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_14292, nGC_14292])

    allocate(vertices(834)%branchCT(0:0))
    call avCT(834, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(836)%branchCT(0:0))
    call avCT(836, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9632])

    allocate(vertices(837)%branchCT(0:0))
    call avCT(837, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14614])

    allocate(vertices(1329)%branchCT(0:0))
    call avCT(1329, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1574)%branchCT(0:1))
    call avCT(1574, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15568, nGC_15569])

    call avCT(1574, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15561, nGC_15564])

    allocate(vertices(2725)%branchCT(0:0))
    call avCT(2725, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(843)%branchCT(0:0))
    call avCT(843, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(844)%branchCT(0:3))
    call avCT(844, 0, 22, 6, 0, FaFV0, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(844, 1, 22, 6, 0, FaFV0, 0, [3, 0], [nGC_14346, nGC_14347])

    call avCT(844, 2, 23, 7, 0, FaFV0, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(844, 3, 23, 7, 0, FaFV0, 0, [3, 0], [nGC_14346, nGC_14347])

    allocate(vertices(1396)%branchCT(0:0))
    call avCT(1396, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(847)%branchCT(0:0))
    call avCT(847, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1418)%branchCT(0:0))
    call avCT(1418, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1869)%branchCT(0:0))
    call avCT(1869, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(852)%branchCT(0:0))
    call avCT(852, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14827])

    allocate(vertices(853)%branchCT(0:0))
    call avCT(853, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(855)%branchCT(0:0))
    call avCT(855, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(856)%branchCT(0:1))
    call avCT(856, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_15402, nGC_15402])

    call avCT(856, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_15404, nGC_15404])

    allocate(vertices(857)%branchCT(0:0))
    call avCT(857, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(3490)%branchCT(0:0))
    call avCT(3490, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1332)%branchCT(0:0))
    call avCT(1332, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2467)%branchCT(0:0))
    call avCT(2467, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(860)%branchCT(0:0))
    call avCT(860, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2358)%branchCT(0:0))
    call avCT(2358, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(863)%branchCT(0:0))
    call avCT(863, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(864)%branchCT(0:1))
    call avCT(864, 0, 2, 4, 0, UVUa0, 0, [3, 0], [nGC_15829])

    call avCT(864, 1, 3, 5, 0, UVUa0, 0, [3, 0], [nGC_15829])

    allocate(vertices(763)%branchCT(0:0))
    call avCT(763, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1943)%branchCT(0:0))
    call avCT(1943, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(868)%branchCT(0:0))
    call avCT(868, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1546)%branchCT(0:0))
    call avCT(1546, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(872)%branchCT(0:0))
    call avCT(872, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1581)%branchCT(0:0))
    call avCT(1581, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2290)%branchCT(0:0))
    call avCT(2290, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14740])

    allocate(vertices(3481)%branchCT(0:1))
    call avCT(3481, 0, 2, 5, 0, VUUa0, 0, [3, 0], [nGC_15829])

    call avCT(3481, 1, 3, 4, 0, VUUa0, 0, [3, 0], [nGC_15829])

    allocate(vertices(764)%branchCT(0:0))
    call avCT(764, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(884)%branchCT(0:0))
    call avCT(884, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14422, nGC_14421,        &
    nGC_14421])

    allocate(vertices(2227)%branchCT(0:0))
    call avCT(2227, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(886)%branchCT(0:1))
    call avCT(886, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_15867, nGC_15868])

    call avCT(886, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_15869, nGC_15870])

    allocate(vertices(887)%branchCT(0:0))
    call avCT(887, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14244])

    allocate(vertices(888)%branchCT(0:0))
    call avCT(888, 0, 1, 1, 0, SFFa2, 0, [0, 3], [nGC_14827])

    allocate(vertices(889)%branchCT(0:0))
    call avCT(889, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14034, nGC_14033,        &
    nGC_14033])

    allocate(vertices(1688)%branchCT(0:0))
    call avCT(1688, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14740])

    allocate(vertices(1812)%branchCT(0:0))
    call avCT(1812, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(893)%branchCT(0:0))
    call avCT(893, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(894)%branchCT(0:0))
    call avCT(894, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_15008, nGC_15009])

    allocate(vertices(1715)%branchCT(0:0))
    call avCT(1715, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14037])

    allocate(vertices(1719)%branchCT(0:1))
    call avCT(1719, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_15561, nGC_15564])

    call avCT(1719, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_15568, nGC_15569])

    allocate(vertices(2961)%branchCT(0:0))
    call avCT(2961, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(900)%branchCT(0:0))
    call avCT(900, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3259)%branchCT(0:0))
    call avCT(3259, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1861)%branchCT(0:0))
    call avCT(1861, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14166])

    allocate(vertices(3201)%branchCT(0:0))
    call avCT(3201, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9635])

    allocate(vertices(668)%branchCT(0:0))
    call avCT(668, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(906)%branchCT(0:0))
    call avCT(906, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(907)%branchCT(0:0))
    call avCT(907, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15489])

    allocate(vertices(1831)%branchCT(0:0))
    call avCT(1831, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3835)%branchCT(0:0))
    call avCT(3835, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14951])

    allocate(vertices(911)%branchCT(0:0))
    call avCT(911, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(912)%branchCT(0:0))
    call avCT(912, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14869])

    allocate(vertices(1852)%branchCT(0:1))
    call avCT(1852, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_14138])

    call avCT(1852, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_14137])

    allocate(vertices(914)%branchCT(0:0))
    call avCT(914, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(915)%branchCT(0:0))
    call avCT(915, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(916)%branchCT(0:0))
    call avCT(916, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_14583])

    allocate(vertices(917)%branchCT(0:0))
    call avCT(917, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1909)%branchCT(0:0))
    call avCT(1909, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(922)%branchCT(0:0))
    call avCT(922, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(923)%branchCT(0:1))
    call avCT(923, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_14372, nGC_14372])

    call avCT(923, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_14374, nGC_14374])

    allocate(vertices(924)%branchCT(0:0))
    call avCT(924, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(925)%branchCT(0:0))
    call avCT(925, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(926)%branchCT(0:0))
    call avCT(926, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(927)%branchCT(0:0))
    call avCT(927, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(928)%branchCT(0:5))
    call avCT(928, 0, 4, 3, 0, VUUaV0, 0, [4, 0], [nGC_13982])

    call avCT(928, 1, 5, 3, 0, VUUaV0, 0, [4, 0], [nGC_13982])

    call avCT(928, 2, 6, 2, 0, VUUaV0, 0, [4, 0], [nGC_13991])

    call avCT(928, 3, 7, 3, 0, VUUaV0, 0, [4, 0], [nGC_13982])

    call avCT(928, 4, 8, 2, 0, VUUaV0, 0, [4, 0], [nGC_13991])

    call avCT(928, 5, 9, 3, 0, VUUaV0, 0, [4, 0], [nGC_13982])

    allocate(vertices(930)%branchCT(0:1))
    call avCT(930, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_14693, nGC_14694])

    call avCT(930, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_14690, nGC_14686])

    allocate(vertices(1992)%branchCT(0:1))
    call avCT(1992, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_15984, nGC_15985])

    call avCT(1992, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_15986, nGC_15987])

    allocate(vertices(153)%branchCT(0:0))
    call avCT(153, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(935)%branchCT(0:0))
    call avCT(935, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14927])

    allocate(vertices(2016)%branchCT(0:0))
    call avCT(2016, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(938)%branchCT(0:1))
    call avCT(938, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_14138])

    call avCT(938, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_14137])

    allocate(vertices(3555)%branchCT(0:0))
    call avCT(3555, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(941)%branchCT(0:0))
    call avCT(941, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(942)%branchCT(0:0))
    call avCT(942, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3836)%branchCT(0:1))
    call avCT(3836, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_16012, nGC_16006,       &
    nGC_16014, nGC_16014])

    call avCT(3836, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_16013, nGC_16007,       &
    nGC_16015, nGC_16015])

    allocate(vertices(945)%branchCT(0:0))
    call avCT(945, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14421, nGC_14421,        &
    nGC_14422])

    allocate(vertices(3686)%branchCT(0:1))
    call avCT(3686, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_14230, nGC_14229])

    call avCT(3686, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_14232, nGC_14231])

    allocate(vertices(949)%branchCT(0:3))
    call avCT(949, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(949, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_14346, nGC_14347])

    call avCT(949, 2, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(949, 3, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_14346, nGC_14347])

    allocate(vertices(950)%branchCT(0:0))
    call avCT(950, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(2128)%branchCT(0:0))
    call avCT(2128, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2369)%branchCT(0:1))
    call avCT(2369, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_15868, nGC_15867])

    call avCT(2369, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_15870, nGC_15869])

    allocate(vertices(953)%branchCT(0:0))
    call avCT(953, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(954)%branchCT(0:0))
    call avCT(954, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_15261])

    allocate(vertices(955)%branchCT(0:1))
    call avCT(955, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_14624, nGC_14625])

    call avCT(955, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_14618, nGC_14621])

    allocate(vertices(1347)%branchCT(0:0))
    call avCT(1347, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(957)%branchCT(0:0))
    call avCT(957, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14252])

    allocate(vertices(959)%branchCT(0:0))
    call avCT(959, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(960)%branchCT(0:0))
    call avCT(960, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(961)%branchCT(0:0))
    call avCT(961, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(963)%branchCT(0:0))
    call avCT(963, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2205)%branchCT(0:0))
    call avCT(2205, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14034,       &
    nGC_14033])

    allocate(vertices(3100)%branchCT(0:0))
    call avCT(3100, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(3197)%branchCT(0:0))
    call avCT(3197, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14084, nGC_14085])

    allocate(vertices(1350)%branchCT(0:0))
    call avCT(1350, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(970)%branchCT(0:0))
    call avCT(970, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_13996])

    allocate(vertices(971)%branchCT(0:0))
    call avCT(971, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14295])

    allocate(vertices(2264)%branchCT(0:0))
    call avCT(2264, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(974)%branchCT(0:1))
    call avCT(974, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_14819])

    call avCT(974, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_14818])

    allocate(vertices(976)%branchCT(0:0))
    call avCT(976, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(161)%branchCT(0:1))
    call avCT(161, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_15867, nGC_15868])

    call avCT(161, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_15869, nGC_15870])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14614])

    allocate(vertices(3273)%branchCT(0:1))
    call avCT(3273, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14138])

    call avCT(3273, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14137])

    allocate(vertices(3237)%branchCT(0:0))
    call avCT(3237, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(983)%branchCT(0:0))
    call avCT(983, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14252])

    allocate(vertices(3837)%branchCT(0:0))
    call avCT(3837, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

    allocate(vertices(989)%branchCT(0:1))
    call avCT(989, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14290, nGC_14290])

    call avCT(989, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14292, nGC_14292])

    allocate(vertices(991)%branchCT(0:3))
    call avCT(991, 0, 26, 6, 0, VFFa0, 0, [1, 2], [nGC_14886, nGC_14888])

    call avCT(991, 1, 26, 6, 0, VFFa0, 0, [3, 0], [nGC_14892, nGC_14893])

    call avCT(991, 2, 27, 7, 0, VFFa0, 0, [1, 2], [nGC_14886, nGC_14888])

    call avCT(991, 3, 27, 7, 0, VFFa0, 0, [3, 0], [nGC_14892, nGC_14893])

    allocate(vertices(993)%branchCT(0:0))
    call avCT(993, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_14599])

    allocate(vertices(2615)%branchCT(0:0))
    call avCT(2615, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(3694)%branchCT(0:0))
    call avCT(3694, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2410)%branchCT(0:0))
    call avCT(2410, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14740])

    allocate(vertices(999)%branchCT(0:0))
    call avCT(999, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2145)%branchCT(0:0))
    call avCT(2145, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2429)%branchCT(0:0))
    call avCT(2429, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1002)%branchCT(0:0))
    call avCT(1002, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1003)%branchCT(0:0))
    call avCT(1003, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1004)%branchCT(0:1))
    call avCT(1004, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_15867, nGC_15868])

    call avCT(1004, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_15869, nGC_15870])

    allocate(vertices(1005)%branchCT(0:1))
    call avCT(1005, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_15868, nGC_15867])

    call avCT(1005, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_15870, nGC_15869])

    allocate(vertices(708)%branchCT(0:0))
    call avCT(708, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9636])

    allocate(vertices(1007)%branchCT(0:0))
    call avCT(1007, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1010)%branchCT(0:0))
    call avCT(1010, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1011)%branchCT(0:0))
    call avCT(1011, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(1012)%branchCT(0:1))
    call avCT(1012, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_15868, nGC_15867])

    call avCT(1012, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_15870, nGC_15869])

    allocate(vertices(2538)%branchCT(0:0))
    call avCT(2538, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(1020)%branchCT(0:0))
    call avCT(1020, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1021)%branchCT(0:5))
    call avCT(1021, 0, 4, 2, 0, UaUVV0, 0, [4, 0], [nGC_13991])

    call avCT(1021, 1, 5, 2, 0, UaUVV0, 0, [4, 0], [nGC_13991])

    call avCT(1021, 2, 6, 3, 0, UaUVV0, 0, [4, 0], [nGC_13982])

    call avCT(1021, 3, 7, 3, 0, UaUVV0, 0, [4, 0], [nGC_13982])

    call avCT(1021, 4, 8, 3, 0, UaUVV0, 0, [4, 0], [nGC_13982])

    call avCT(1021, 5, 9, 3, 0, UaUVV0, 0, [4, 0], [nGC_13982])

    allocate(vertices(1023)%branchCT(0:0))
    call avCT(1023, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1025)%branchCT(0:0))
    call avCT(1025, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2600)%branchCT(0:0))
    call avCT(2600, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1027)%branchCT(0:0))
    call avCT(1027, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1029)%branchCT(0:0))
    call avCT(1029, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(1030)%branchCT(0:0))
    call avCT(1030, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15178])

    allocate(vertices(1356)%branchCT(0:0))
    call avCT(1356, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(3442)%branchCT(0:0))
    call avCT(3442, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

    allocate(vertices(3475)%branchCT(0:0))
    call avCT(3475, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(1033)%branchCT(0:0))
    call avCT(1033, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14733])

    allocate(vertices(1036)%branchCT(0:0))
    call avCT(1036, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9636])

    allocate(vertices(175)%branchCT(0:1))
    call avCT(175, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_15867, nGC_15868])

    call avCT(175, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_15869, nGC_15870])

    allocate(vertices(1039)%branchCT(0:0))
    call avCT(1039, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

    allocate(vertices(3190)%branchCT(0:0))
    call avCT(3190, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2217)%branchCT(0:0))
    call avCT(2217, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(3393)%branchCT(0:0))
    call avCT(3393, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1481)%branchCT(0:0))
    call avCT(1481, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1046)%branchCT(0:0))
    call avCT(1046, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2753)%branchCT(0:0))
    call avCT(2753, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14252])

    allocate(vertices(1048)%branchCT(0:0))
    call avCT(1048, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2767)%branchCT(0:1))
    call avCT(2767, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_14334, nGC_14335])

    call avCT(2767, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_14330, nGC_14327])

    allocate(vertices(3287)%branchCT(0:0))
    call avCT(3287, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14849])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_15313])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13978, nGC_13979,       &
    nGC_13978])

    allocate(vertices(790)%branchCT(0:0))
    call avCT(790, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14430])

    allocate(vertices(1057)%branchCT(0:0))
    call avCT(1057, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15489])

    allocate(vertices(2822)%branchCT(0:0))
    call avCT(2822, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1982)%branchCT(0:0))
    call avCT(1982, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_16282])

    allocate(vertices(1062)%branchCT(0:0))
    call avCT(1062, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(792)%branchCT(0:0))
    call avCT(792, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14874])

    allocate(vertices(1064)%branchCT(0:0))
    call avCT(1064, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(2875)%branchCT(0:0))
    call avCT(2875, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(616)%branchCT(0:0))
    call avCT(616, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2897)%branchCT(0:0))
    call avCT(2897, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9636])

    allocate(vertices(1178)%branchCT(0:0))
    call avCT(1178, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1071)%branchCT(0:0))
    call avCT(1071, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1072)%branchCT(0:0))
    call avCT(1072, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1073)%branchCT(0:0))
    call avCT(1073, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(2122)%branchCT(0:0))
    call avCT(2122, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2973)%branchCT(0:0))
    call avCT(2973, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1077)%branchCT(0:0))
    call avCT(1077, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2994)%branchCT(0:0))
    call avCT(2994, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1079)%branchCT(0:0))
    call avCT(1079, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(1080)%branchCT(0:0))
    call avCT(1080, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14471])

    allocate(vertices(1084)%branchCT(0:1))
    call avCT(1084, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_15525, nGC_15525])

    call avCT(1084, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_15527, nGC_15527])

    allocate(vertices(1085)%branchCT(0:0))
    call avCT(1085, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15178])

    allocate(vertices(1087)%branchCT(0:1))
    call avCT(1087, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_16335, nGC_16335])

    call avCT(1087, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_16337, nGC_16337])

    allocate(vertices(1088)%branchCT(0:0))
    call avCT(1088, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(3838)%branchCT(0:0))
    call avCT(3838, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14951])

    allocate(vertices(1839)%branchCT(0:0))
    call avCT(1839, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1092)%branchCT(0:0))
    call avCT(1092, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1093)%branchCT(0:0))
    call avCT(1093, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_15261])

    allocate(vertices(1991)%branchCT(0:0))
    call avCT(1991, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1095)%branchCT(0:0))
    call avCT(1095, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1365)%branchCT(0:0))
    call avCT(1365, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1099)%branchCT(0:0))
    call avCT(1099, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1101)%branchCT(0:0))
    call avCT(1101, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2366)%branchCT(0:1))
    call avCT(2366, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_14683])

    call avCT(2366, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_14682])

    allocate(vertices(2855)%branchCT(0:0))
    call avCT(2855, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1105)%branchCT(0:0))
    call avCT(1105, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(1106)%branchCT(0:1))
    call avCT(1106, 0, 2, 4, 0, VVV1, 0, [3, 0], [nGC_16365])

    call avCT(1106, 1, 3, 5, 0, VVV1, 0, [3, 0], [nGC_16365])

    allocate(vertices(1108)%branchCT(0:0))
    call avCT(1108, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(3228)%branchCT(0:0))
    call avCT(3228, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1113)%branchCT(0:0))
    call avCT(1113, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

    allocate(vertices(2492)%branchCT(0:0))
    call avCT(2492, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(1115)%branchCT(0:0))
    call avCT(1115, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14034,       &
    nGC_14033])

    allocate(vertices(3274)%branchCT(0:0))
    call avCT(3274, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1121)%branchCT(0:0))
    call avCT(1121, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1123)%branchCT(0:0))
    call avCT(1123, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(192)%branchCT(0:1))
    call avCT(192, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_15451, nGC_15451])

    call avCT(192, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_15453, nGC_15453])

    allocate(vertices(1129)%branchCT(0:1))
    call avCT(1129, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_14138])

    call avCT(1129, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_14137])

    allocate(vertices(1369)%branchCT(0:0))
    call avCT(1369, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1130)%branchCT(0:0))
    call avCT(1130, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1133)%branchCT(0:0))
    call avCT(1133, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_14583])

    allocate(vertices(3363)%branchCT(0:0))
    call avCT(3363, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1137)%branchCT(0:0))
    call avCT(1137, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1140)%branchCT(0:1))
    call avCT(1140, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_14859, nGC_14860])

    call avCT(1140, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_14853, nGC_14856])

    allocate(vertices(3396)%branchCT(0:0))
    call avCT(3396, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(2293)%branchCT(0:0))
    call avCT(2293, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_16416])

    allocate(vertices(1146)%branchCT(0:0))
    call avCT(1146, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14874])

    allocate(vertices(1040)%branchCT(0:0))
    call avCT(1040, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1691)%branchCT(0:0))
    call avCT(1691, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14740])

    allocate(vertices(2400)%branchCT(0:0))
    call avCT(2400, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14497])

    allocate(vertices(3443)%branchCT(0:0))
    call avCT(3443, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2523)%branchCT(0:0))
    call avCT(2523, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_13969])

    allocate(vertices(1155)%branchCT(0:0))
    call avCT(1155, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2865)%branchCT(0:0))
    call avCT(2865, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2823)%branchCT(0:1))
    call avCT(2823, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_14693, nGC_14694])

    call avCT(2823, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_14690, nGC_14686])

    allocate(vertices(1159)%branchCT(0:0))
    call avCT(1159, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(1160)%branchCT(0:0))
    call avCT(1160, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14084, nGC_14085])

    allocate(vertices(1161)%branchCT(0:0))
    call avCT(1161, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1162)%branchCT(0:0))
    call avCT(1162, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_15008, nGC_15009])

    allocate(vertices(3561)%branchCT(0:0))
    call avCT(3561, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1165)%branchCT(0:0))
    call avCT(1165, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14427])

    allocate(vertices(1166)%branchCT(0:0))
    call avCT(1166, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14421, nGC_14422,       &
    nGC_14421])

    allocate(vertices(1168)%branchCT(0:0))
    call avCT(1168, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3601)%branchCT(0:0))
    call avCT(3601, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1170)%branchCT(0:1))
    call avCT(1170, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_14229, nGC_14230])

    call avCT(1170, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_14231, nGC_14232])

    allocate(vertices(1171)%branchCT(0:0))
    call avCT(1171, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1172)%branchCT(0:0))
    call avCT(1172, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1175)%branchCT(0:0))
    call avCT(1175, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(3164)%branchCT(0:0))
    call avCT(3164, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1176)%branchCT(0:0))
    call avCT(1176, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(1177)%branchCT(0:1))
    call avCT(1177, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_16492, nGC_16493])

    call avCT(1177, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_16494, nGC_16495])

    allocate(vertices(1180)%branchCT(0:0))
    call avCT(1180, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14166])

    allocate(vertices(1755)%branchCT(0:0))
    call avCT(1755, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(1184)%branchCT(0:0))
    call avCT(1184, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14927])

    allocate(vertices(1185)%branchCT(0:0))
    call avCT(1185, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1186)%branchCT(0:0))
    call avCT(1186, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1187)%branchCT(0:0))
    call avCT(1187, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1188)%branchCT(0:1))
    call avCT(1188, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_14138])

    call avCT(1188, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_14137])

    allocate(vertices(1190)%branchCT(0:0))
    call avCT(1190, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1192)%branchCT(0:0))
    call avCT(1192, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1193)%branchCT(0:0))
    call avCT(1193, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14927])

    allocate(vertices(1195)%branchCT(0:0))
    call avCT(1195, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_15313])

    allocate(vertices(3214)%branchCT(0:0))
    call avCT(3214, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(19)%branchCT(0:0))
    call avCT(19, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14849])

    allocate(vertices(1198)%branchCT(0:1))
    call avCT(1198, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_14819])

    call avCT(1198, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_14818])

    allocate(vertices(41)%branchCT(0:0))
    call avCT(41, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13979, nGC_13978,         &
    nGC_13978])

    allocate(vertices(3441)%branchCT(0:0))
    call avCT(3441, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2534)%branchCT(0:1))
    call avCT(2534, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_16544, nGC_16545])

    call avCT(2534, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_16546, nGC_16547])

    allocate(vertices(94)%branchCT(0:0))
    call avCT(94, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1209)%branchCT(0:0))
    call avCT(1209, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1792)%branchCT(0:0))
    call avCT(1792, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_13996])

    allocate(vertices(111)%branchCT(0:0))
    call avCT(111, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(131)%branchCT(0:0))
    call avCT(131, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_16558])

    allocate(vertices(1218)%branchCT(0:0))
    call avCT(1218, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2827)%branchCT(0:0))
    call avCT(2827, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1219)%branchCT(0:0))
    call avCT(1219, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1221)%branchCT(0:0))
    call avCT(1221, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1223)%branchCT(0:0))
    call avCT(1223, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1224)%branchCT(0:0))
    call avCT(1224, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(1225)%branchCT(0:1))
    call avCT(1225, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_15090, nGC_15091])

    call avCT(1225, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_15083, nGC_15086])

    allocate(vertices(2073)%branchCT(0:0))
    call avCT(2073, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1228)%branchCT(0:0))
    call avCT(1228, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1233)%branchCT(0:0))
    call avCT(1233, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1237)%branchCT(0:0))
    call avCT(1237, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14785])

    allocate(vertices(1238)%branchCT(0:0))
    call avCT(1238, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1239)%branchCT(0:0))
    call avCT(1239, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1241)%branchCT(0:0))
    call avCT(1241, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_14322, nGC_14323])

    allocate(vertices(1242)%branchCT(0:1))
    call avCT(1242, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_14229, nGC_14230])

    call avCT(1242, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_14231, nGC_14232])

    allocate(vertices(1243)%branchCT(0:0))
    call avCT(1243, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(1244)%branchCT(0:0))
    call avCT(1244, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3839)%branchCT(0:0))
    call avCT(3839, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14951])

    allocate(vertices(1246)%branchCT(0:0))
    call avCT(1246, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1247)%branchCT(0:0))
    call avCT(1247, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3155)%branchCT(0:0))
    call avCT(3155, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(446)%branchCT(0:0))
    call avCT(446, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(370)%branchCT(0:0))
    call avCT(370, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1255)%branchCT(0:1))
    call avCT(1255, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14819])

    call avCT(1255, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14818])

    allocate(vertices(1257)%branchCT(0:0))
    call avCT(1257, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(1258)%branchCT(0:1))
    call avCT(1258, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_14624, nGC_14625])

    call avCT(1258, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_14618, nGC_14621])

    allocate(vertices(1259)%branchCT(0:0))
    call avCT(1259, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14295])

    allocate(vertices(1261)%branchCT(0:0))
    call avCT(1261, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1263)%branchCT(0:0))
    call avCT(1263, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1264)%branchCT(0:0))
    call avCT(1264, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1265)%branchCT(0:3))
    call avCT(1265, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_14886, nGC_14888])

    call avCT(1265, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_14892, nGC_14893])

    call avCT(1265, 2, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_14886, nGC_14888])

    call avCT(1265, 3, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_14892, nGC_14893])

    allocate(vertices(1266)%branchCT(0:0))
    call avCT(1266, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1395)%branchCT(0:0))
    call avCT(1395, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14166])

    allocate(vertices(537)%branchCT(0:0))
    call avCT(537, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1270)%branchCT(0:0))
    call avCT(1270, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1271)%branchCT(0:0))
    call avCT(1271, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_14827])

    allocate(vertices(1997)%branchCT(0:0))
    call avCT(1997, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14244])

    allocate(vertices(3840)%branchCT(0:0))
    call avCT(3840, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_16679])

    allocate(vertices(1276)%branchCT(0:0))
    call avCT(1276, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1657)%branchCT(0:0))
    call avCT(1657, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14497])

    allocate(vertices(497)%branchCT(0:0))
    call avCT(497, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1281)%branchCT(0:1))
    call avCT(1281, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_15868, nGC_15867])

    call avCT(1281, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_15870, nGC_15869])

    allocate(vertices(2667)%branchCT(0:0))
    call avCT(2667, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1286)%branchCT(0:0))
    call avCT(1286, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1287)%branchCT(0:0))
    call avCT(1287, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(1288)%branchCT(0:0))
    call avCT(1288, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1289)%branchCT(0:3))
    call avCT(1289, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(1289, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14411, nGC_14412])

    call avCT(1289, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(1289, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14411, nGC_14412])

    allocate(vertices(578)%branchCT(0:0))
    call avCT(578, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2045)%branchCT(0:0))
    call avCT(2045, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_16727, nGC_16727])

    allocate(vertices(1127)%branchCT(0:0))
    call avCT(1127, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(1724)%branchCT(0:0))
    call avCT(1724, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2685)%branchCT(0:1))
    call avCT(2685, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_15568, nGC_15569])

    call avCT(2685, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_15561, nGC_15564])

    allocate(vertices(2500)%branchCT(0:0))
    call avCT(2500, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(623)%branchCT(0:0))
    call avCT(623, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(835)%branchCT(0:0))
    call avCT(835, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1300)%branchCT(0:0))
    call avCT(1300, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

    allocate(vertices(3382)%branchCT(0:0))
    call avCT(3382, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1302)%branchCT(0:0))
    call avCT(1302, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1303)%branchCT(0:0))
    call avCT(1303, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1304)%branchCT(0:0))
    call avCT(1304, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(1306)%branchCT(0:0))
    call avCT(1306, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1307)%branchCT(0:0))
    call avCT(1307, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1309)%branchCT(0:0))
    call avCT(1309, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_15069])

    allocate(vertices(1311)%branchCT(0:0))
    call avCT(1311, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_16416])

    allocate(vertices(1312)%branchCT(0:1))
    call avCT(1312, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_14056, nGC_14057])

    call avCT(1312, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_14058, nGC_14059])

    allocate(vertices(1313)%branchCT(0:0))
    call avCT(1313, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(1314)%branchCT(0:0))
    call avCT(1314, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_16785, nGC_16786])

    allocate(vertices(1315)%branchCT(0:0))
    call avCT(1315, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2759)%branchCT(0:0))
    call avCT(2759, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1319)%branchCT(0:0))
    call avCT(1319, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1320)%branchCT(0:0))
    call avCT(1320, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_14445, nGC_14446])

    allocate(vertices(3464)%branchCT(0:0))
    call avCT(3464, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(802)%branchCT(0:0))
    call avCT(802, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14869])

    allocate(vertices(813)%branchCT(0:0))
    call avCT(813, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1326)%branchCT(0:0))
    call avCT(1326, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1327)%branchCT(0:0))
    call avCT(1327, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_16416])

    allocate(vertices(1328)%branchCT(0:0))
    call avCT(1328, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(3841)%branchCT(0:0))
    call avCT(3841, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_16817])

    allocate(vertices(1331)%branchCT(0:0))
    call avCT(1331, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(2294)%branchCT(0:0))
    call avCT(2294, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1333)%branchCT(0:0))
    call avCT(1333, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_16824])

    allocate(vertices(1335)%branchCT(0:0))
    call avCT(1335, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(3728)%branchCT(0:1))
    call avCT(3728, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14387, nGC_14390])

    call avCT(3728, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14394, nGC_14395])

    allocate(vertices(1340)%branchCT(0:0))
    call avCT(1340, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14244])

    allocate(vertices(1341)%branchCT(0:0))
    call avCT(1341, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1342)%branchCT(0:0))
    call avCT(1342, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1343)%branchCT(0:0))
    call avCT(1343, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(3842)%branchCT(0:0))
    call avCT(3842, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13998])

    allocate(vertices(1348)%branchCT(0:0))
    call avCT(1348, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(968)%branchCT(0:0))
    call avCT(968, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1351)%branchCT(0:0))
    call avCT(1351, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1353)%branchCT(0:0))
    call avCT(1353, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1354)%branchCT(0:0))
    call avCT(1354, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_14019, nGC_14019])

    allocate(vertices(1355)%branchCT(0:0))
    call avCT(1355, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(3185)%branchCT(0:1))
    call avCT(3185, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_15984, nGC_15985])

    call avCT(3185, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_15986, nGC_15987])

    allocate(vertices(1031)%branchCT(0:0))
    call avCT(1031, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1358)%branchCT(0:0))
    call avCT(1358, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14971, nGC_14972])

    allocate(vertices(1361)%branchCT(0:0))
    call avCT(1361, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(1410)%branchCT(0:0))
    call avCT(1410, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1362)%branchCT(0:0))
    call avCT(1362, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(1363)%branchCT(0:0))
    call avCT(1363, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14845])

    allocate(vertices(1098)%branchCT(0:0))
    call avCT(1098, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1366)%branchCT(0:0))
    call avCT(1366, 0, 1, 1, 0, VFaF1, 0, [0, 3], [nGC_14445, nGC_14446])

    allocate(vertices(1367)%branchCT(0:0))
    call avCT(1367, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(3843)%branchCT(0:1))
    call avCT(3843, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_14635, nGC_14629,       &
    nGC_14637, nGC_14637])

    call avCT(3843, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_14636, nGC_14630,       &
    nGC_14638, nGC_14638])

    allocate(vertices(1143)%branchCT(0:0))
    call avCT(1143, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14295])

    allocate(vertices(1372)%branchCT(0:0))
    call avCT(1372, 0, 1, 1, 0, VFFa0, 0, [0, 3], [nGC_15008, nGC_15009])

    allocate(vertices(1373)%branchCT(0:0))
    call avCT(1373, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(3315)%branchCT(0:1))
    call avCT(3315, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_15688, nGC_15689])

    call avCT(3315, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_15682, nGC_15679])

    allocate(vertices(1376)%branchCT(0:0))
    call avCT(1376, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1377)%branchCT(0:1))
    call avCT(1377, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_14683])

    call avCT(1377, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_14682])

    allocate(vertices(1378)%branchCT(0:0))
    call avCT(1378, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1379)%branchCT(0:0))
    call avCT(1379, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_14599])

    allocate(vertices(3357)%branchCT(0:0))
    call avCT(3357, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1383)%branchCT(0:0))
    call avCT(1383, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(1384)%branchCT(0:0))
    call avCT(1384, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14398])

    allocate(vertices(1387)%branchCT(0:0))
    call avCT(1387, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1388)%branchCT(0:0))
    call avCT(1388, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2180)%branchCT(0:1))
    call avCT(2180, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_14316, nGC_14317])

    call avCT(2180, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_14308, nGC_14311])

    allocate(vertices(1017)%branchCT(0:0))
    call avCT(1017, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1391)%branchCT(0:0))
    call avCT(1391, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1394)%branchCT(0:0))
    call avCT(1394, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13978, nGC_13979,       &
    nGC_13978])

    allocate(vertices(1267)%branchCT(0:0))
    call avCT(1267, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2687)%branchCT(0:0))
    call avCT(2687, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1398)%branchCT(0:0))
    call avCT(1398, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1399)%branchCT(0:0))
    call avCT(1399, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14403])

    allocate(vertices(1305)%branchCT(0:0))
    call avCT(1305, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1403)%branchCT(0:0))
    call avCT(1403, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1404)%branchCT(0:1))
    call avCT(1404, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_14819])

    call avCT(1404, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_14818])

    allocate(vertices(1406)%branchCT(0:0))
    call avCT(1406, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14552])

    allocate(vertices(3844)%branchCT(0:0))
    call avCT(3844, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(2959)%branchCT(0:0))
    call avCT(2959, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1415)%branchCT(0:0))
    call avCT(1415, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9646])

    allocate(vertices(1416)%branchCT(0:0))
    call avCT(1416, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1417)%branchCT(0:1))
    call avCT(1417, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_14624, nGC_14625])

    call avCT(1417, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_14618, nGC_14621])

    allocate(vertices(1420)%branchCT(0:0))
    call avCT(1420, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14033,       &
    nGC_14034])

    allocate(vertices(1421)%branchCT(0:0))
    call avCT(1421, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1423)%branchCT(0:0))
    call avCT(1423, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1965)%branchCT(0:0))
    call avCT(1965, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2609)%branchCT(0:0))
    call avCT(2609, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1426)%branchCT(0:1))
    call avCT(1426, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_15168, nGC_15169])

    call avCT(1426, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_15166, nGC_15167])

    allocate(vertices(1427)%branchCT(0:0))
    call avCT(1427, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2305)%branchCT(0:0))
    call avCT(2305, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3845)%branchCT(0:0))
    call avCT(3845, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_17019, nGC_17017,       &
    nGC_17020, nGC_17020])

    allocate(vertices(1492)%branchCT(0:0))
    call avCT(1492, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1431)%branchCT(0:0))
    call avCT(1431, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1433)%branchCT(0:0))
    call avCT(1433, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1434)%branchCT(0:0))
    call avCT(1434, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1436)%branchCT(0:0))
    call avCT(1436, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15260])

    allocate(vertices(1542)%branchCT(0:0))
    call avCT(1542, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(1442)%branchCT(0:1))
    call avCT(1442, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_14819])

    call avCT(1442, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_14818])

    allocate(vertices(3512)%branchCT(0:0))
    call avCT(3512, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2058)%branchCT(0:0))
    call avCT(2058, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2149)%branchCT(0:0))
    call avCT(2149, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(1636)%branchCT(0:0))
    call avCT(1636, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14497])

    allocate(vertices(1450)%branchCT(0:0))
    call avCT(1450, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15261])

    allocate(vertices(1451)%branchCT(0:0))
    call avCT(1451, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1646)%branchCT(0:0))
    call avCT(1646, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14034,       &
    nGC_14033])

    allocate(vertices(1453)%branchCT(0:0))
    call avCT(1453, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_13969])

    allocate(vertices(1454)%branchCT(0:0))
    call avCT(1454, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1455)%branchCT(0:1))
    call avCT(1455, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_14230, nGC_14229])

    call avCT(1455, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_14232, nGC_14231])

    allocate(vertices(2504)%branchCT(0:0))
    call avCT(2504, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1458)%branchCT(0:0))
    call avCT(1458, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(3846)%branchCT(0:0))
    call avCT(3846, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(1694)%branchCT(0:0))
    call avCT(1694, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1706)%branchCT(0:0))
    call avCT(1706, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(3715)%branchCT(0:0))
    call avCT(3715, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1468)%branchCT(0:0))
    call avCT(1468, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1469)%branchCT(0:0))
    call avCT(1469, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_15069])

    allocate(vertices(1472)%branchCT(0:0))
    call avCT(1472, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1760)%branchCT(0:0))
    call avCT(1760, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(1773)%branchCT(0:0))
    call avCT(1773, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_15313])

    allocate(vertices(1475)%branchCT(0:0))
    call avCT(1475, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14740])

    allocate(vertices(3847)%branchCT(0:0))
    call avCT(3847, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_17102])

    allocate(vertices(250)%branchCT(0:0))
    call avCT(250, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1478)%branchCT(0:0))
    call avCT(1478, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1479)%branchCT(0:0))
    call avCT(1479, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3848)%branchCT(0:0))
    call avCT(3848, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_17114, nGC_17112,       &
    nGC_17115, nGC_17115])

    allocate(vertices(1480)%branchCT(0:0))
    call avCT(1480, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(1482)%branchCT(0:0))
    call avCT(1482, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1484)%branchCT(0:0))
    call avCT(1484, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9635])

    allocate(vertices(3167)%branchCT(0:0))
    call avCT(3167, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2066)%branchCT(0:0))
    call avCT(2066, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1488)%branchCT(0:0))
    call avCT(1488, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14166])

    allocate(vertices(1489)%branchCT(0:0))
    call avCT(1489, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1490)%branchCT(0:0))
    call avCT(1490, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2784)%branchCT(0:0))
    call avCT(2784, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

    allocate(vertices(3625)%branchCT(0:0))
    call avCT(3625, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2232)%branchCT(0:0))
    call avCT(2232, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1495)%branchCT(0:0))
    call avCT(1495, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1915)%branchCT(0:0))
    call avCT(1915, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1497)%branchCT(0:0))
    call avCT(1497, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1498)%branchCT(0:0))
    call avCT(1498, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1499)%branchCT(0:0))
    call avCT(1499, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_16727, nGC_16727])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1501)%branchCT(0:0))
    call avCT(1501, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_13969])

    allocate(vertices(1949)%branchCT(0:0))
    call avCT(1949, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1503)%branchCT(0:0))
    call avCT(1503, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1505)%branchCT(0:0))
    call avCT(1505, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14244])

    allocate(vertices(1508)%branchCT(0:0))
    call avCT(1508, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

  end subroutine fill_vertices_mdl6
end module vertices_info6
