!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  implicit none
  contains
  subroutine fill_vertices_mdl7()
    use class_vertices
    use class_couplings
    allocate(vertices(1509)%branchCT(0:0))
    call avCT(1509, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9651])

    allocate(vertices(3453)%branchCT(0:0))
    call avCT(3453, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1515)%branchCT(0:0))
    call avCT(1515, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1516)%branchCT(0:0))
    call avCT(1516, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1517)%branchCT(0:0))
    call avCT(1517, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2079)%branchCT(0:0))
    call avCT(2079, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1522)%branchCT(0:0))
    call avCT(1522, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_14583])

    allocate(vertices(1524)%branchCT(0:0))
    call avCT(1524, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(1525)%branchCT(0:0))
    call avCT(1525, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9632])

    allocate(vertices(2083)%branchCT(0:0))
    call avCT(2083, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14430])

    allocate(vertices(2111)%branchCT(0:0))
    call avCT(2111, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1528)%branchCT(0:0))
    call avCT(1528, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14166])

    allocate(vertices(2137)%branchCT(0:0))
    call avCT(2137, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(3581)%branchCT(0:0))
    call avCT(3581, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(3849)%branchCT(0:0))
    call avCT(3849, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_17198])

    allocate(vertices(2171)%branchCT(0:0))
    call avCT(2171, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1535)%branchCT(0:0))
    call avCT(1535, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1536)%branchCT(0:0))
    call avCT(1536, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14034,       &
    nGC_14033])

    allocate(vertices(1539)%branchCT(0:0))
    call avCT(1539, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14781, nGC_14780,       &
    nGC_14781])

    allocate(vertices(3035)%branchCT(0:0))
    call avCT(3035, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(109)%branchCT(0:0))
    call avCT(109, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(2278)%branchCT(0:1))
    call avCT(2278, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_15688, nGC_15689])

    call avCT(2278, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_15682, nGC_15679])

    allocate(vertices(400)%branchCT(0:0))
    call avCT(400, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(685)%branchCT(0:1))
    call avCT(685, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14624, nGC_14625])

    call avCT(685, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14618, nGC_14621])

    allocate(vertices(1552)%branchCT(0:1))
    call avCT(1552, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_14057, nGC_14056])

    call avCT(1552, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_14059, nGC_14058])

    allocate(vertices(2077)%branchCT(0:0))
    call avCT(2077, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(820)%branchCT(0:0))
    call avCT(820, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(1555)%branchCT(0:0))
    call avCT(1555, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1556)%branchCT(0:0))
    call avCT(1556, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(1557)%branchCT(0:0))
    call avCT(1557, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1558)%branchCT(0:0))
    call avCT(1558, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1560)%branchCT(0:0))
    call avCT(1560, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1561)%branchCT(0:0))
    call avCT(1561, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1562)%branchCT(0:0))
    call avCT(1562, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_13996])

    allocate(vertices(1563)%branchCT(0:0))
    call avCT(1563, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14497])

    allocate(vertices(1566)%branchCT(0:0))
    call avCT(1566, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1567)%branchCT(0:1))
    call avCT(1567, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14804, nGC_14805])

    call avCT(1567, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14797, nGC_14800])

    allocate(vertices(1570)%branchCT(0:0))
    call avCT(1570, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1571)%branchCT(0:0))
    call avCT(1571, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(3727)%branchCT(0:0))
    call avCT(3727, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(3127)%branchCT(0:0))
    call avCT(3127, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1576)%branchCT(0:0))
    call avCT(1576, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2437)%branchCT(0:0))
    call avCT(2437, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(1578)%branchCT(0:0))
    call avCT(1578, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14552])

    allocate(vertices(1579)%branchCT(0:0))
    call avCT(1579, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1580)%branchCT(0:0))
    call avCT(1580, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14580])

    allocate(vertices(873)%branchCT(0:0))
    call avCT(873, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1582)%branchCT(0:0))
    call avCT(1582, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14874])

    allocate(vertices(2470)%branchCT(0:0))
    call avCT(2470, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14497])

    allocate(vertices(80)%branchCT(0:1))
    call avCT(80, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_15984, nGC_15985])

    call avCT(80, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_15986, nGC_15987])

    allocate(vertices(2484)%branchCT(0:0))
    call avCT(2484, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(2176)%branchCT(0:3))
    call avCT(2176, 0, 22, 6, 0, FaFV0, 0, [1, 2], [nGC_14482, nGC_14480])

    call avCT(2176, 1, 22, 6, 0, FaFV0, 0, [3, 0], [nGC_14486, nGC_14487])

    call avCT(2176, 2, 23, 7, 0, FaFV0, 0, [1, 2], [nGC_14482, nGC_14480])

    call avCT(2176, 3, 23, 7, 0, FaFV0, 0, [3, 0], [nGC_14486, nGC_14487])

    allocate(vertices(1590)%branchCT(0:0))
    call avCT(1590, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(1592)%branchCT(0:0))
    call avCT(1592, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2830)%branchCT(0:1))
    call avCT(2830, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_14693, nGC_14694])

    call avCT(2830, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_14690, nGC_14686])

    allocate(vertices(3731)%branchCT(0:0))
    call avCT(3731, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(3050)%branchCT(0:0))
    call avCT(3050, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(878)%branchCT(0:1))
    call avCT(878, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_14387, nGC_14390])

    call avCT(878, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_14394, nGC_14395])

    allocate(vertices(1600)%branchCT(0:0))
    call avCT(1600, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1606)%branchCT(0:0))
    call avCT(1606, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2585)%branchCT(0:0))
    call avCT(2585, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_16824])

    allocate(vertices(1608)%branchCT(0:0))
    call avCT(1608, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1609)%branchCT(0:0))
    call avCT(1609, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_15260])

    allocate(vertices(1612)%branchCT(0:0))
    call avCT(1612, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_14827])

    allocate(vertices(2619)%branchCT(0:0))
    call avCT(2619, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9632])

    allocate(vertices(1615)%branchCT(0:0))
    call avCT(1615, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(874)%branchCT(0:1))
    call avCT(874, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14683])

    call avCT(874, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14682])

    allocate(vertices(2657)%branchCT(0:0))
    call avCT(2657, 0, 1, 1, 0, SFFa0, 0, [0, 3], [nGC_16727, nGC_16727])

    allocate(vertices(1621)%branchCT(0:0))
    call avCT(1621, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13979, nGC_13978,       &
    nGC_13978])

    allocate(vertices(1623)%branchCT(0:0))
    call avCT(1623, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(2696)%branchCT(0:0))
    call avCT(2696, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1625)%branchCT(0:0))
    call avCT(1625, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14740])

    allocate(vertices(1629)%branchCT(0:0))
    call avCT(1629, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_14525, nGC_14526])

    allocate(vertices(1630)%branchCT(0:0))
    call avCT(1630, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2761)%branchCT(0:0))
    call avCT(2761, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1635)%branchCT(0:0))
    call avCT(1635, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2808)%branchCT(0:0))
    call avCT(2808, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14295])

    allocate(vertices(1449)%branchCT(0:0))
    call avCT(1449, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14295])

    allocate(vertices(1638)%branchCT(0:0))
    call avCT(1638, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9636])

    allocate(vertices(1639)%branchCT(0:1))
    call avCT(1639, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_16494, nGC_16495])

    call avCT(1639, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_16492, nGC_16493])

    allocate(vertices(3850)%branchCT(0:0))
    call avCT(3850, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(1641)%branchCT(0:1))
    call avCT(1641, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_15688, nGC_15689])

    call avCT(1641, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_15682, nGC_15679])

    allocate(vertices(1643)%branchCT(0:3))
    call avCT(1643, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14482, nGC_14480])

    call avCT(1643, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14486, nGC_14487])

    call avCT(1643, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14482, nGC_14480])

    call avCT(1643, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14486, nGC_14487])

    allocate(vertices(1644)%branchCT(0:0))
    call avCT(1644, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14497])

    allocate(vertices(1647)%branchCT(0:0))
    call avCT(1647, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2861)%branchCT(0:0))
    call avCT(2861, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14295])

    allocate(vertices(2739)%branchCT(0:0))
    call avCT(2739, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1651)%branchCT(0:0))
    call avCT(1651, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1653)%branchCT(0:0))
    call avCT(1653, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_15313])

    allocate(vertices(1656)%branchCT(0:1))
    call avCT(1656, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_16335, nGC_16335])

    call avCT(1656, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_16337, nGC_16337])

    allocate(vertices(2896)%branchCT(0:0))
    call avCT(2896, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1660)%branchCT(0:0))
    call avCT(1660, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14427])

    allocate(vertices(1661)%branchCT(0:0))
    call avCT(1661, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14172])

    allocate(vertices(1663)%branchCT(0:0))
    call avCT(1663, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

    allocate(vertices(3851)%branchCT(0:0))
    call avCT(3851, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_17457, nGC_17456])

    allocate(vertices(2955)%branchCT(0:0))
    call avCT(2955, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3533)%branchCT(0:5))
    call avCT(3533, 0, 4, 3, 0, UVVUa0, 0, [4, 0], [nGC_13982])

    call avCT(3533, 1, 5, 3, 0, UVVUa0, 0, [4, 0], [nGC_13982])

    call avCT(3533, 2, 6, 2, 0, UVVUa0, 0, [4, 0], [nGC_13991])

    call avCT(3533, 3, 7, 3, 0, UVVUa0, 0, [4, 0], [nGC_13982])

    call avCT(3533, 4, 8, 2, 0, UVVUa0, 0, [4, 0], [nGC_13991])

    call avCT(3533, 5, 9, 3, 0, UVVUa0, 0, [4, 0], [nGC_13982])

    allocate(vertices(1667)%branchCT(0:0))
    call avCT(1667, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1669)%branchCT(0:0))
    call avCT(1669, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1670)%branchCT(0:0))
    call avCT(1670, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(1674)%branchCT(0:0))
    call avCT(1674, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1413)%branchCT(0:0))
    call avCT(1413, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1677)%branchCT(0:0))
    call avCT(1677, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14845])

    allocate(vertices(3036)%branchCT(0:0))
    call avCT(3036, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1679)%branchCT(0:0))
    call avCT(1679, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(10)%branchCT(0:0))
    call avCT(10, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_17492])

    allocate(vertices(3068)%branchCT(0:0))
    call avCT(3068, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(1684)%branchCT(0:0))
    call avCT(1684, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14033,       &
    nGC_14034])

    allocate(vertices(2274)%branchCT(0:0))
    call avCT(2274, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(1687)%branchCT(0:0))
    call avCT(1687, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(890)%branchCT(0:0))
    call avCT(890, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14154])

    allocate(vertices(1689)%branchCT(0:0))
    call avCT(1689, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14497])

    allocate(vertices(1690)%branchCT(0:0))
    call avCT(1690, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1692)%branchCT(0:0))
    call avCT(1692, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1693)%branchCT(0:0))
    call avCT(1693, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14471])

    allocate(vertices(1460)%branchCT(0:0))
    call avCT(1460, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3128)%branchCT(0:0))
    call avCT(3128, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2815)%branchCT(0:0))
    call avCT(2815, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14740])

    allocate(vertices(892)%branchCT(0:0))
    call avCT(892, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_17529])

    allocate(vertices(1700)%branchCT(0:0))
    call avCT(1700, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(3792)%branchCT(0:0))
    call avCT(3792, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1702)%branchCT(0:0))
    call avCT(1702, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1703)%branchCT(0:0))
    call avCT(1703, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(946)%branchCT(0:0))
    call avCT(946, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14577, nGC_14577])

    allocate(vertices(3487)%branchCT(0:1))
    call avCT(3487, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_14750, nGC_14751])

    call avCT(3487, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_14747, nGC_14743])

    allocate(vertices(1707)%branchCT(0:0))
    call avCT(1707, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3212)%branchCT(0:0))
    call avCT(3212, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14497])

    allocate(vertices(1709)%branchCT(0:0))
    call avCT(1709, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1711)%branchCT(0:0))
    call avCT(1711, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(1713)%branchCT(0:1))
    call avCT(1713, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_14334, nGC_14335])

    call avCT(1713, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_14330, nGC_14327])

    allocate(vertices(3852)%branchCT(0:0))
    call avCT(3852, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_17019, nGC_17017,       &
    nGC_17020, nGC_17020])

    allocate(vertices(2511)%branchCT(0:0))
    call avCT(2511, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(1717)%branchCT(0:1))
    call avCT(1717, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_16544, nGC_16545])

    call avCT(1717, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_16546, nGC_16547])

    allocate(vertices(1720)%branchCT(0:1))
    call avCT(1720, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_14316, nGC_14317])

    call avCT(1720, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_14308, nGC_14311])

    allocate(vertices(1721)%branchCT(0:0))
    call avCT(1721, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1722)%branchCT(0:0))
    call avCT(1722, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1725)%branchCT(0:0))
    call avCT(1725, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1726)%branchCT(0:0))
    call avCT(1726, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14698, nGC_14699])

    allocate(vertices(1727)%branchCT(0:0))
    call avCT(1727, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3141)%branchCT(0:1))
    call avCT(3141, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_14138])

    call avCT(3141, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_14137])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14614])

    allocate(vertices(1732)%branchCT(0:0))
    call avCT(1732, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1734)%branchCT(0:0))
    call avCT(1734, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1736)%branchCT(0:0))
    call avCT(1736, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(1737)%branchCT(0:0))
    call avCT(1737, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1739)%branchCT(0:0))
    call avCT(1739, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1741)%branchCT(0:0))
    call avCT(1741, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(1742)%branchCT(0:0))
    call avCT(1742, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(1743)%branchCT(0:0))
    call avCT(1743, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1744)%branchCT(0:0))
    call avCT(1744, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1745)%branchCT(0:0))
    call avCT(1745, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(903)%branchCT(0:0))
    call avCT(903, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(3515)%branchCT(0:0))
    call avCT(3515, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(3678)%branchCT(0:0))
    call avCT(3678, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1754)%branchCT(0:1))
    call avCT(1754, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_15453, nGC_15453])

    call avCT(1754, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_15451, nGC_15451])

    allocate(vertices(1757)%branchCT(0:0))
    call avCT(1757, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(1758)%branchCT(0:0))
    call avCT(1758, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1473)%branchCT(0:0))
    call avCT(1473, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(3156)%branchCT(0:0))
    call avCT(3156, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14497])

    allocate(vertices(1761)%branchCT(0:0))
    call avCT(1761, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1762)%branchCT(0:0))
    call avCT(1762, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14084, nGC_14085])

    allocate(vertices(3584)%branchCT(0:0))
    call avCT(3584, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1766)%branchCT(0:0))
    call avCT(1766, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14874])

    allocate(vertices(3277)%branchCT(0:0))
    call avCT(3277, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1768)%branchCT(0:0))
    call avCT(1768, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2935)%branchCT(0:0))
    call avCT(2935, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1769)%branchCT(0:0))
    call avCT(1769, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14252])

    allocate(vertices(3635)%branchCT(0:0))
    call avCT(3635, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2091)%branchCT(0:0))
    call avCT(2091, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1774)%branchCT(0:0))
    call avCT(1774, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14780, nGC_14781,       &
    nGC_14781])

    allocate(vertices(3660)%branchCT(0:0))
    call avCT(3660, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3677)%branchCT(0:0))
    call avCT(3677, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1780)%branchCT(0:0))
    call avCT(1780, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_16824])

    allocate(vertices(3706)%branchCT(0:0))
    call avCT(3706, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1785)%branchCT(0:1))
    call avCT(1785, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_14372, nGC_14372])

    call avCT(1785, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_14374, nGC_14374])

    allocate(vertices(1786)%branchCT(0:0))
    call avCT(1786, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(3735)%branchCT(0:0))
    call avCT(3735, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1788)%branchCT(0:0))
    call avCT(1788, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1789)%branchCT(0:0))
    call avCT(1789, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_17492])

    allocate(vertices(1790)%branchCT(0:1))
    call avCT(1790, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_14819])

    call avCT(1790, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_14818])

    allocate(vertices(1791)%branchCT(0:0))
    call avCT(1791, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14398])

    allocate(vertices(1793)%branchCT(0:0))
    call avCT(1793, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1797)%branchCT(0:1))
    call avCT(1797, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_14057, nGC_14056])

    call avCT(1797, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_14059, nGC_14058])

    allocate(vertices(1)%branchCT(0:0))
    call avCT(1, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3853)%branchCT(0:0))
    call avCT(3853, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(1801)%branchCT(0:0))
    call avCT(1801, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14430])

    allocate(vertices(49)%branchCT(0:0))
    call avCT(49, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13978, nGC_13978,         &
    nGC_13979])

    allocate(vertices(1804)%branchCT(0:1))
    call avCT(1804, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_14374, nGC_14374])

    call avCT(1804, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_14372, nGC_14372])

    allocate(vertices(1923)%branchCT(0:0))
    call avCT(1923, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

    allocate(vertices(1807)%branchCT(0:0))
    call avCT(1807, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14295])

    allocate(vertices(1809)%branchCT(0:1))
    call avCT(1809, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_15166, nGC_15167])

    call avCT(1809, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_15168, nGC_15169])

    allocate(vertices(1810)%branchCT(0:0))
    call avCT(1810, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14037])

    allocate(vertices(2493)%branchCT(0:0))
    call avCT(2493, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2807)%branchCT(0:0))
    call avCT(2807, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(3559)%branchCT(0:0))
    call avCT(3559, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1816)%branchCT(0:0))
    call avCT(1816, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14295])

    allocate(vertices(2258)%branchCT(0:0))
    call avCT(2258, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1818)%branchCT(0:0))
    call avCT(1818, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(3854)%branchCT(0:0))
    call avCT(3854, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_15409])

    allocate(vertices(1819)%branchCT(0:0))
    call avCT(1819, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9632])

    allocate(vertices(1824)%branchCT(0:0))
    call avCT(1824, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1826)%branchCT(0:0))
    call avCT(1826, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3855)%branchCT(0:0))
    call avCT(3855, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_17768, nGC_17764,        &
    nGC_17767])

    allocate(vertices(1830)%branchCT(0:0))
    call avCT(1830, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1832)%branchCT(0:0))
    call avCT(1832, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(289)%branchCT(0:3))
    call avCT(289, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14121, nGC_14119])

    call avCT(289, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14124, nGC_14125])

    call avCT(289, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14121, nGC_14119])

    call avCT(289, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14124, nGC_14125])

    allocate(vertices(2123)%branchCT(0:0))
    call avCT(2123, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9635])

    allocate(vertices(3232)%branchCT(0:0))
    call avCT(3232, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(274)%branchCT(0:0))
    call avCT(274, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1842)%branchCT(0:0))
    call avCT(1842, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(3317)%branchCT(0:0))
    call avCT(3317, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(1844)%branchCT(0:0))
    call avCT(1844, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9636])

    allocate(vertices(1847)%branchCT(0:0))
    call avCT(1847, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2776)%branchCT(0:0))
    call avCT(2776, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1850)%branchCT(0:1))
    call avCT(1850, 0, 2, 4, 0, UaUV0, 0, [3, 0], [nGC_15829])

    call avCT(1850, 1, 3, 5, 0, UaUV0, 0, [3, 0], [nGC_15829])

    allocate(vertices(3079)%branchCT(0:0))
    call avCT(3079, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1857)%branchCT(0:0))
    call avCT(1857, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1859)%branchCT(0:0))
    call avCT(1859, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1860)%branchCT(0:0))
    call avCT(1860, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14034, nGC_14033,       &
    nGC_14033])

    allocate(vertices(677)%branchCT(0:0))
    call avCT(677, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1863)%branchCT(0:0))
    call avCT(1863, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(1865)%branchCT(0:0))
    call avCT(1865, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14295])

    allocate(vertices(1866)%branchCT(0:0))
    call avCT(1866, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(1867)%branchCT(0:0))
    call avCT(1867, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1868)%branchCT(0:0))
    call avCT(1868, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14927])

    allocate(vertices(1870)%branchCT(0:0))
    call avCT(1870, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_17832])

    allocate(vertices(1642)%branchCT(0:0))
    call avCT(1642, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1875)%branchCT(0:0))
    call avCT(1875, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15179])

    allocate(vertices(1880)%branchCT(0:0))
    call avCT(1880, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1881)%branchCT(0:0))
    call avCT(1881, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14244])

    allocate(vertices(1705)%branchCT(0:1))
    call avCT(1705, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_14683])

    call avCT(1705, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_14682])

    allocate(vertices(2472)%branchCT(0:0))
    call avCT(2472, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1884)%branchCT(0:0))
    call avCT(1884, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_17832])

    allocate(vertices(2782)%branchCT(0:0))
    call avCT(2782, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(545)%branchCT(0:0))
    call avCT(545, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(547)%branchCT(0:1))
    call avCT(547, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_15402, nGC_15402])

    call avCT(547, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_15404, nGC_15404])

    allocate(vertices(557)%branchCT(0:0))
    call avCT(557, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_17860])

    allocate(vertices(1890)%branchCT(0:0))
    call avCT(1890, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1891)%branchCT(0:0))
    call avCT(1891, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(574)%branchCT(0:0))
    call avCT(574, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(618)%branchCT(0:0))
    call avCT(618, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(218)%branchCT(0:0))
    call avCT(218, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1898)%branchCT(0:0))
    call avCT(1898, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1899)%branchCT(0:1))
    call avCT(1899, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_15986, nGC_15987])

    call avCT(1899, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_15984, nGC_15985])

    allocate(vertices(621)%branchCT(0:0))
    call avCT(621, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1487)%branchCT(0:0))
    call avCT(1487, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(3449)%branchCT(0:0))
    call avCT(3449, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1905)%branchCT(0:0))
    call avCT(1905, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9635])

    allocate(vertices(1906)%branchCT(0:0))
    call avCT(1906, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14276])

    allocate(vertices(2141)%branchCT(0:0))
    call avCT(2141, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(1496)%branchCT(0:0))
    call avCT(1496, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9643])

    allocate(vertices(2588)%branchCT(0:0))
    call avCT(2588, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1917)%branchCT(0:1))
    call avCT(1917, 0, 19, 1, 0, VFaF0, 0, [0, 3], [nGC_14819])

    call avCT(1917, 1, 19, 1, 0, VFaF0, 0, [2, 1], [nGC_14818])

    allocate(vertices(1918)%branchCT(0:0))
    call avCT(1918, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(739)%branchCT(0:0))
    call avCT(739, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1921)%branchCT(0:0))
    call avCT(1921, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14497])

    allocate(vertices(1922)%branchCT(0:0))
    call avCT(1922, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1925)%branchCT(0:0))
    call avCT(1925, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(1926)%branchCT(0:1))
    call avCT(1926, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_14138])

    call avCT(1926, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_14137])

    allocate(vertices(1927)%branchCT(0:0))
    call avCT(1927, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1928)%branchCT(0:0))
    call avCT(1928, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1929)%branchCT(0:0))
    call avCT(1929, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3003)%branchCT(0:0))
    call avCT(3003, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1935)%branchCT(0:0))
    call avCT(1935, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(1936)%branchCT(0:1))
    call avCT(1936, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_15453, nGC_15453])

    call avCT(1936, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_15451, nGC_15451])

    allocate(vertices(3856)%branchCT(0:0))
    call avCT(3856, 0, 13, 1, 0, FaF0, 0, [0, 2], [nGC_17934])

    allocate(vertices(3695)%branchCT(0:0))
    call avCT(3695, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_15313])

    allocate(vertices(1698)%branchCT(0:0))
    call avCT(1698, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(867)%branchCT(0:0))
    call avCT(867, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(1945)%branchCT(0:0))
    call avCT(1945, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(885)%branchCT(0:0))
    call avCT(885, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1502)%branchCT(0:0))
    call avCT(1502, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(1950)%branchCT(0:0))
    call avCT(1950, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1951)%branchCT(0:0))
    call avCT(1951, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1952)%branchCT(0:0))
    call avCT(1952, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

    allocate(vertices(1953)%branchCT(0:3))
    call avCT(1953, 0, 30, 6, 0, FaVF0, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(1953, 1, 30, 6, 0, FaVF0, 0, [3, 0], [nGC_14411, nGC_14412])

    call avCT(1953, 2, 31, 7, 0, FaVF0, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(1953, 3, 31, 7, 0, FaVF0, 0, [3, 0], [nGC_14411, nGC_14412])

    allocate(vertices(1954)%branchCT(0:0))
    call avCT(1954, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1955)%branchCT(0:0))
    call avCT(1955, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14781, nGC_14780,       &
    nGC_14781])

    allocate(vertices(1957)%branchCT(0:0))
    call avCT(1957, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2150)%branchCT(0:0))
    call avCT(2150, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14026])

    allocate(vertices(1959)%branchCT(0:0))
    call avCT(1959, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(1960)%branchCT(0:0))
    call avCT(1960, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14733])

    allocate(vertices(1961)%branchCT(0:0))
    call avCT(1961, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1963)%branchCT(0:0))
    call avCT(1963, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14398])

    allocate(vertices(1964)%branchCT(0:5))
    call avCT(1964, 0, 4, 3, 0, VUVUa0, 0, [4, 0], [nGC_13982])

    call avCT(1964, 1, 5, 3, 0, VUVUa0, 0, [4, 0], [nGC_13982])

    call avCT(1964, 2, 6, 3, 0, VUVUa0, 0, [4, 0], [nGC_13982])

    call avCT(1964, 3, 7, 2, 0, VUVUa0, 0, [4, 0], [nGC_13991])

    call avCT(1964, 4, 8, 3, 0, VUVUa0, 0, [4, 0], [nGC_13982])

    call avCT(1964, 5, 9, 2, 0, VUVUa0, 0, [4, 0], [nGC_13991])

    allocate(vertices(1967)%branchCT(0:0))
    call avCT(1967, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_14698, nGC_14699])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14781, nGC_14781,        &
    nGC_14780])

    allocate(vertices(1969)%branchCT(0:0))
    call avCT(1969, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(996)%branchCT(0:0))
    call avCT(996, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14849])

    allocate(vertices(1972)%branchCT(0:0))
    call avCT(1972, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14398])

    allocate(vertices(1973)%branchCT(0:0))
    call avCT(1973, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(1974)%branchCT(0:0))
    call avCT(1974, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1975)%branchCT(0:0))
    call avCT(1975, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_14322, nGC_14323])

    allocate(vertices(1976)%branchCT(0:0))
    call avCT(1976, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(3857)%branchCT(0:0))
    call avCT(3857, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_13998])

    allocate(vertices(1980)%branchCT(0:0))
    call avCT(1980, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9635])

    allocate(vertices(3092)%branchCT(0:0))
    call avCT(3092, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_13996])

    allocate(vertices(3004)%branchCT(0:0))
    call avCT(3004, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(1989)%branchCT(0:0))
    call avCT(1989, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_15260])

    allocate(vertices(2327)%branchCT(0:0))
    call avCT(2327, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1993)%branchCT(0:0))
    call avCT(1993, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14845])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1995)%branchCT(0:0))
    call avCT(1995, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1996)%branchCT(0:0))
    call avCT(1996, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_15313])

    allocate(vertices(3467)%branchCT(0:0))
    call avCT(3467, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14295])

    allocate(vertices(1999)%branchCT(0:3))
    call avCT(1999, 0, 28, 6, 0, FVFa0, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(1999, 1, 28, 6, 0, FVFa0, 0, [3, 0], [nGC_14346, nGC_14347])

    call avCT(1999, 2, 29, 7, 0, FVFa0, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(1999, 3, 29, 7, 0, FVFa0, 0, [3, 0], [nGC_14346, nGC_14347])

    allocate(vertices(2001)%branchCT(0:0))
    call avCT(2001, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2002)%branchCT(0:1))
    call avCT(2002, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14308, nGC_14311])

    call avCT(2002, 1, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14316, nGC_14317])

    allocate(vertices(2005)%branchCT(0:0))
    call avCT(2005, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_16416])

    allocate(vertices(3858)%branchCT(0:0))
    call avCT(3858, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14951])

    allocate(vertices(2155)%branchCT(0:0))
    call avCT(2155, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2007)%branchCT(0:0))
    call avCT(2007, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2008)%branchCT(0:0))
    call avCT(2008, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1189)%branchCT(0:0))
    call avCT(1189, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14614])

    allocate(vertices(2013)%branchCT(0:0))
    call avCT(2013, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2014)%branchCT(0:3))
    call avCT(2014, 0, 24, 6, 0, VFaF1, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(2014, 1, 24, 6, 0, VFaF1, 0, [3, 0], [nGC_14411, nGC_14412])

    call avCT(2014, 2, 25, 7, 0, VFaF1, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(2014, 3, 25, 7, 0, VFaF1, 0, [3, 0], [nGC_14411, nGC_14412])

    allocate(vertices(2015)%branchCT(0:0))
    call avCT(2015, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(3565)%branchCT(0:0))
    call avCT(3565, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2017)%branchCT(0:0))
    call avCT(2017, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2018)%branchCT(0:0))
    call avCT(2018, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2019)%branchCT(0:0))
    call avCT(2019, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(2020)%branchCT(0:0))
    call avCT(2020, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14525, nGC_14526])

    allocate(vertices(2022)%branchCT(0:1))
    call avCT(2022, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_16494, nGC_16495])

    call avCT(2022, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_16492, nGC_16493])

    allocate(vertices(2931)%branchCT(0:0))
    call avCT(2931, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2028)%branchCT(0:0))
    call avCT(2028, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_17529])

    allocate(vertices(2029)%branchCT(0:0))
    call avCT(2029, 0, 1, 1, 0, FaFS2, 0, [0, 3], [nGC_14599])

    allocate(vertices(2031)%branchCT(0:0))
    call avCT(2031, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2032)%branchCT(0:0))
    call avCT(2032, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2033)%branchCT(0:0))
    call avCT(2033, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(1324)%branchCT(0:0))
    call avCT(1324, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(2035)%branchCT(0:0))
    call avCT(2035, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2036)%branchCT(0:0))
    call avCT(2036, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_15488])

    allocate(vertices(2037)%branchCT(0:0))
    call avCT(2037, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2040)%branchCT(0:0))
    call avCT(2040, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2042)%branchCT(0:0))
    call avCT(2042, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

    allocate(vertices(1390)%branchCT(0:0))
    call avCT(1390, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2047)%branchCT(0:0))
    call avCT(2047, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2050)%branchCT(0:0))
    call avCT(2050, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_16416])

    allocate(vertices(2051)%branchCT(0:0))
    call avCT(2051, 0, 1, 1, 0, VUUa0, 0, [0, 3], [nGC_14398])

    allocate(vertices(2053)%branchCT(0:0))
    call avCT(2053, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2054)%branchCT(0:0))
    call avCT(2054, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14037])

    allocate(vertices(2055)%branchCT(0:0))
    call avCT(2055, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(2057)%branchCT(0:3))
    call avCT(2057, 0, 22, 6, 0, FaFV0, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(2057, 1, 22, 6, 0, FaFV0, 0, [3, 0], [nGC_14411, nGC_14412])

    call avCT(2057, 2, 23, 7, 0, FaFV0, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(2057, 3, 23, 7, 0, FaFV0, 0, [3, 0], [nGC_14411, nGC_14412])

    allocate(vertices(1445)%branchCT(0:0))
    call avCT(1445, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(650)%branchCT(0:0))
    call avCT(650, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14295])

    allocate(vertices(2060)%branchCT(0:0))
    call avCT(2060, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1181)%branchCT(0:0))
    call avCT(1181, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9633])

    allocate(vertices(2063)%branchCT(0:0))
    call avCT(2063, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(1470)%branchCT(0:0))
    call avCT(1470, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(891)%branchCT(0:1))
    call avCT(891, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15090, nGC_15091])

    call avCT(891, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15083, nGC_15086])

    allocate(vertices(2068)%branchCT(0:0))
    call avCT(2068, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(3859)%branchCT(0:0))
    call avCT(3859, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_18196])

    allocate(vertices(2072)%branchCT(0:0))
    call avCT(2072, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2074)%branchCT(0:0))
    call avCT(2074, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1370)%branchCT(0:0))
    call avCT(1370, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14614])

    allocate(vertices(167)%branchCT(0:0))
    call avCT(167, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2076)%branchCT(0:0))
    call avCT(2076, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1553)%branchCT(0:0))
    call avCT(1553, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2078)%branchCT(0:0))
    call avCT(2078, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14172])

    allocate(vertices(1521)%branchCT(0:0))
    call avCT(1521, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14849])

    allocate(vertices(2080)%branchCT(0:0))
    call avCT(2080, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14781, nGC_14781,       &
    nGC_14780])

    allocate(vertices(2081)%branchCT(0:0))
    call avCT(2081, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(3450)%branchCT(0:0))
    call avCT(3450, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(1599)%branchCT(0:0))
    call avCT(1599, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2084)%branchCT(0:1))
    call avCT(2084, 0, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_14797, nGC_14800])

    call avCT(2084, 1, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_14804, nGC_14805])

    allocate(vertices(587)%branchCT(0:0))
    call avCT(587, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3680)%branchCT(0:0))
    call avCT(3680, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_13996])

    allocate(vertices(2090)%branchCT(0:0))
    call avCT(2090, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2094)%branchCT(0:0))
    call avCT(2094, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2095)%branchCT(0:1))
    call avCT(2095, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_14057, nGC_14056])

    call avCT(2095, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_14059, nGC_14058])

    allocate(vertices(3860)%branchCT(0:1))
    call avCT(3860, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_18257, nGC_18251,       &
    nGC_18259, nGC_18259])

    call avCT(3860, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_18258, nGC_18252,       &
    nGC_18260, nGC_18260])

    allocate(vertices(2097)%branchCT(0:0))
    call avCT(2097, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(3861)%branchCT(0:0))
    call avCT(3861, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(2098)%branchCT(0:1))
    call avCT(2098, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_14056, nGC_14057])

    call avCT(2098, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_14058, nGC_14059])

    allocate(vertices(3862)%branchCT(0:0))
    call avCT(3862, 0, 13, 1, 0, SV0, 0, [0, 2], [nGC_18273])

    allocate(vertices(2717)%branchCT(0:0))
    call avCT(2717, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(2101)%branchCT(0:0))
    call avCT(2101, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2104)%branchCT(0:0))
    call avCT(2104, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14026])

    allocate(vertices(3863)%branchCT(0:0))
    call avCT(3863, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_17198])

    allocate(vertices(2107)%branchCT(0:0))
    call avCT(2107, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_17492])

    allocate(vertices(3864)%branchCT(0:0))
    call avCT(3864, 0, 13, 1, 0, FaF1, 0, [0, 2], [nGC_15065, nGC_15062,       &
    nGC_15066, nGC_15066])

    allocate(vertices(2655)%branchCT(0:1))
    call avCT(2655, 0, 21, 1, 0, FaVF0, 0, [0, 3], [nGC_14804, nGC_14805])

    call avCT(2655, 1, 21, 1, 0, FaVF0, 0, [2, 1], [nGC_14797, nGC_14800])

    allocate(vertices(1527)%branchCT(0:0))
    call avCT(1527, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2114)%branchCT(0:0))
    call avCT(2114, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2115)%branchCT(0:0))
    call avCT(2115, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(2118)%branchCT(0:0))
    call avCT(2118, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2120)%branchCT(0:0))
    call avCT(2120, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2800)%branchCT(0:0))
    call avCT(2800, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2124)%branchCT(0:0))
    call avCT(2124, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

    allocate(vertices(2126)%branchCT(0:0))
    call avCT(2126, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(2127)%branchCT(0:0))
    call avCT(2127, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_15462])

    allocate(vertices(951)%branchCT(0:0))
    call avCT(951, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14279])

    allocate(vertices(1856)%branchCT(0:0))
    call avCT(1856, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

    allocate(vertices(3651)%branchCT(0:0))
    call avCT(3651, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14166])

    allocate(vertices(2131)%branchCT(0:0))
    call avCT(2131, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(2132)%branchCT(0:0))
    call avCT(2132, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9646])

    allocate(vertices(2134)%branchCT(0:0))
    call avCT(2134, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2136)%branchCT(0:0))
    call avCT(2136, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(3493)%branchCT(0:0))
    call avCT(3493, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2138)%branchCT(0:0))
    call avCT(2138, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2139)%branchCT(0:0))
    call avCT(2139, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_14729])

    allocate(vertices(1911)%branchCT(0:0))
    call avCT(1911, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2142)%branchCT(0:0))
    call avCT(2142, 0, 1, 1, 0, FaSF2, 0, [0, 3], [nGC_14827])

    allocate(vertices(2144)%branchCT(0:1))
    call avCT(2144, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_15166, nGC_15167])

    call avCT(2144, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_15168, nGC_15169])

    allocate(vertices(839)%branchCT(0:0))
    call avCT(839, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_18354])

    allocate(vertices(2147)%branchCT(0:0))
    call avCT(2147, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2148)%branchCT(0:0))
    call avCT(2148, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(1958)%branchCT(0:0))
    call avCT(1958, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(3495)%branchCT(0:0))
    call avCT(3495, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2152)%branchCT(0:0))
    call avCT(2152, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2153)%branchCT(0:0))
    call avCT(2153, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_16727, nGC_16727])

    allocate(vertices(2006)%branchCT(0:0))
    call avCT(2006, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(3865)%branchCT(0:0))
    call avCT(3865, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14951])

    allocate(vertices(2157)%branchCT(0:0))
    call avCT(2157, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(1533)%branchCT(0:0))
    call avCT(1533, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14869])

    allocate(vertices(3429)%branchCT(0:0))
    call avCT(3429, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_16727, nGC_16727])

    allocate(vertices(2166)%branchCT(0:0))
    call avCT(2166, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2168)%branchCT(0:0))
    call avCT(2168, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2169)%branchCT(0:0))
    call avCT(2169, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_18392])

    allocate(vertices(2170)%branchCT(0:0))
    call avCT(2170, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2172)%branchCT(0:0))
    call avCT(2172, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_16785, nGC_16786])

    allocate(vertices(952)%branchCT(0:1))
    call avCT(952, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_14750, nGC_14751])

    call avCT(952, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_14747, nGC_14743])

    allocate(vertices(2175)%branchCT(0:0))
    call avCT(2175, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1338)%branchCT(0:0))
    call avCT(1338, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(3799)%branchCT(0:0))
    call avCT(3799, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(2184)%branchCT(0:3))
    call avCT(2184, 0, 11, 6, 0, FFaV1, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(2184, 1, 11, 6, 0, FFaV1, 0, [3, 0], [nGC_14346, nGC_14347])

    call avCT(2184, 2, 12, 7, 0, FFaV1, 0, [1, 2], [nGC_14340, nGC_14342])

    call avCT(2184, 3, 12, 7, 0, FFaV1, 0, [3, 0], [nGC_14346, nGC_14347])

    allocate(vertices(3370)%branchCT(0:0))
    call avCT(3370, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2186)%branchCT(0:0))
    call avCT(2186, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2187)%branchCT(0:1))
    call avCT(2187, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_16494, nGC_16495])

    call avCT(2187, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_16492, nGC_16493])

    allocate(vertices(2188)%branchCT(0:0))
    call avCT(2188, 0, 1, 1, 0, UaUS0, 0, [0, 3], [nGC_9651])

    allocate(vertices(2024)%branchCT(0:0))
    call avCT(2024, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2190)%branchCT(0:0))
    call avCT(2190, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(3866)%branchCT(0:0))
    call avCT(3866, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_15409])

    allocate(vertices(2192)%branchCT(0:0))
    call avCT(2192, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2194)%branchCT(0:0))
    call avCT(2194, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14580])

    allocate(vertices(2197)%branchCT(0:1))
    call avCT(2197, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_15166, nGC_15167])

    call avCT(2197, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_15168, nGC_15169])

    allocate(vertices(2199)%branchCT(0:0))
    call avCT(2199, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(2203)%branchCT(0:0))
    call avCT(2203, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(964)%branchCT(0:0))
    call avCT(964, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(2341)%branchCT(0:0))
    call avCT(2341, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2209)%branchCT(0:0))
    call avCT(2209, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2210)%branchCT(0:1))
    call avCT(2210, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_14859, nGC_14860])

    call avCT(2210, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_14853, nGC_14856])

    allocate(vertices(2212)%branchCT(0:0))
    call avCT(2212, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9644])

    allocate(vertices(3867)%branchCT(0:0))
    call avCT(3867, 0, 13, 1, 0, FFa0, 0, [0, 2], [nGC_17114, nGC_17112,       &
    nGC_17115, nGC_17115])

    allocate(vertices(2834)%branchCT(0:0))
    call avCT(2834, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14869])

    allocate(vertices(2396)%branchCT(0:0))
    call avCT(2396, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2220)%branchCT(0:0))
    call avCT(2220, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(3510)%branchCT(0:0))
    call avCT(3510, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14497])

    allocate(vertices(2226)%branchCT(0:0))
    call avCT(2226, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2228)%branchCT(0:0))
    call avCT(2228, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2229)%branchCT(0:0))
    call avCT(2229, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2230)%branchCT(0:0))
    call avCT(2230, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2231)%branchCT(0:0))
    call avCT(2231, 0, 1, 1, 0, VUaU1, 0, [0, 3], [nGC_14398])

    allocate(vertices(209)%branchCT(0:1))
    call avCT(209, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14513, nGC_14514])

    call avCT(209, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14511, nGC_14512])

    allocate(vertices(2233)%branchCT(0:0))
    call avCT(2233, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14874])

    allocate(vertices(2235)%branchCT(0:0))
    call avCT(2235, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_14019, nGC_14019])

    allocate(vertices(2542)%branchCT(0:0))
    call avCT(2542, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2240)%branchCT(0:0))
    call avCT(2240, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2241)%branchCT(0:0))
    call avCT(2241, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2242)%branchCT(0:0))
    call avCT(2242, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2243)%branchCT(0:0))
    call avCT(2243, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_9646])

    allocate(vertices(2191)%branchCT(0:3))
    call avCT(2191, 0, 26, 6, 0, VFFa0, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(2191, 1, 26, 6, 0, VFFa0, 0, [3, 0], [nGC_14411, nGC_14412])

    call avCT(2191, 2, 27, 7, 0, VFFa0, 0, [1, 2], [nGC_14407, nGC_14409])

    call avCT(2191, 3, 27, 7, 0, VFFa0, 0, [3, 0], [nGC_14411, nGC_14412])

    allocate(vertices(2245)%branchCT(0:1))
    call avCT(2245, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_14683])

    call avCT(2245, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_14682])

    allocate(vertices(3513)%branchCT(0:0))
    call avCT(3513, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2247)%branchCT(0:0))
    call avCT(2247, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_14740])

    allocate(vertices(2248)%branchCT(0:0))
    call avCT(2248, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2249)%branchCT(0:0))
    call avCT(2249, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_16785, nGC_16786])

    allocate(vertices(2250)%branchCT(0:0))
    call avCT(2250, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2841)%branchCT(0:0))
    call avCT(2841, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2253)%branchCT(0:0))
    call avCT(2253, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(2255)%branchCT(0:0))
    call avCT(2255, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2640)%branchCT(0:0))
    call avCT(2640, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2265)%branchCT(0:0))
    call avCT(2265, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2571)%branchCT(0:0))
    call avCT(2571, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14845])

    allocate(vertices(2269)%branchCT(0:0))
    call avCT(2269, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_14398])

    allocate(vertices(2271)%branchCT(0:0))
    call avCT(2271, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_16282])

    allocate(vertices(3235)%branchCT(0:0))
    call avCT(3235, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9635])

    allocate(vertices(2279)%branchCT(0:0))
    call avCT(2279, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2280)%branchCT(0:0))
    call avCT(2280, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(2281)%branchCT(0:0))
    call avCT(2281, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_17492])

    allocate(vertices(3868)%branchCT(0:1))
    call avCT(3868, 0, 15, 1, 0, VV2, 0, [2, 0], [nGC_18577, nGC_18576])

    call avCT(3868, 1, 16, 8, 0, VV2, 0, [2, 0], [nGC_18577, nGC_18576])

    allocate(vertices(2284)%branchCT(0:0))
    call avCT(2284, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2803)%branchCT(0:0))
    call avCT(2803, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_14614])

    allocate(vertices(978)%branchCT(0:0))
    call avCT(978, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2287)%branchCT(0:0))
    call avCT(2287, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14040])

    allocate(vertices(70)%branchCT(0:0))
    call avCT(70, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(2289)%branchCT(0:0))
    call avCT(2289, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_15069])

    allocate(vertices(3591)%branchCT(0:0))
    call avCT(3591, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2291)%branchCT(0:0))
    call avCT(2291, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2296)%branchCT(0:0))
    call avCT(2296, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(3202)%branchCT(0:0))
    call avCT(3202, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2299)%branchCT(0:0))
    call avCT(2299, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(3869)%branchCT(0:0))
    call avCT(3869, 0, 13, 1, 0, VS0, 0, [0, 2], [nGC_18273])

    allocate(vertices(2303)%branchCT(0:0))
    call avCT(2303, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2307)%branchCT(0:0))
    call avCT(2307, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(3280)%branchCT(0:0))
    call avCT(3280, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2313)%branchCT(0:0))
    call avCT(2313, 0, 1, 1, 0, UUaV0, 0, [0, 3], [nGC_13969])

    allocate(vertices(2316)%branchCT(0:0))
    call avCT(2316, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2318)%branchCT(0:0))
    call avCT(2318, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2320)%branchCT(0:0))
    call avCT(2320, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2321)%branchCT(0:0))
    call avCT(2321, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2323)%branchCT(0:0))
    call avCT(2323, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13978, nGC_13978,       &
    nGC_13979])

    allocate(vertices(1605)%branchCT(0:0))
    call avCT(1605, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2328)%branchCT(0:0))
    call avCT(2328, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14276])

    allocate(vertices(2329)%branchCT(0:0))
    call avCT(2329, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(3103)%branchCT(0:0))
    call avCT(3103, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_14599])

    allocate(vertices(2331)%branchCT(0:0))
    call avCT(2331, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14034,       &
    nGC_14033])

    allocate(vertices(3124)%branchCT(0:0))
    call avCT(3124, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14043])

    allocate(vertices(2334)%branchCT(0:0))
    call avCT(2334, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_14577, nGC_14577])

    allocate(vertices(2335)%branchCT(0:0))
    call avCT(2335, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14299])

    allocate(vertices(2336)%branchCT(0:0))
    call avCT(2336, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_15069])

    allocate(vertices(3157)%branchCT(0:0))
    call avCT(3157, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2339)%branchCT(0:0))
    call avCT(2339, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(2207)%branchCT(0:0))
    call avCT(2207, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2342)%branchCT(0:0))
    call avCT(2342, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2345)%branchCT(0:0))
    call avCT(2345, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14740])

    allocate(vertices(2346)%branchCT(0:0))
    call avCT(2346, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2348)%branchCT(0:0))
    call avCT(2348, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_13996])

    allocate(vertices(3220)%branchCT(0:0))
    call avCT(3220, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14166])

    allocate(vertices(2350)%branchCT(0:0))
    call avCT(2350, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3239)%branchCT(0:0))
    call avCT(3239, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_14008, nGC_14009])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(3256)%branchCT(0:0))
    call avCT(3256, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_16282])

    allocate(vertices(2357)%branchCT(0:0))
    call avCT(2357, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14471])

    allocate(vertices(2360)%branchCT(0:0))
    call avCT(2360, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3302)%branchCT(0:0))
    call avCT(3302, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14252])

    allocate(vertices(2363)%branchCT(0:0))
    call avCT(2363, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2364)%branchCT(0:0))
    call avCT(2364, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2365)%branchCT(0:0))
    call avCT(2365, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(3870)%branchCT(0:0))
    call avCT(3870, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14951])

    allocate(vertices(2367)%branchCT(0:0))
    call avCT(2367, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2368)%branchCT(0:0))
    call avCT(2368, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2371)%branchCT(0:0))
    call avCT(2371, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2372)%branchCT(0:0))
    call avCT(2372, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2375)%branchCT(0:1))
    call avCT(2375, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_15168, nGC_15169])

    call avCT(2375, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_15166, nGC_15167])

    allocate(vertices(2376)%branchCT(0:0))
    call avCT(2376, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(2377)%branchCT(0:0))
    call avCT(2377, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_14276])

    allocate(vertices(345)%branchCT(0:0))
    call avCT(345, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2699)%branchCT(0:0))
    call avCT(2699, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(2380)%branchCT(0:1))
    call avCT(2380, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_14308, nGC_14311])

    call avCT(2380, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_14316, nGC_14317])

    allocate(vertices(2382)%branchCT(0:1))
    call avCT(2382, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_14859, nGC_14860])

    call avCT(2382, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_14853, nGC_14856])

    allocate(vertices(2383)%branchCT(0:0))
    call avCT(2383, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(3508)%branchCT(0:5))
    call avCT(3508, 0, 4, 2, 0, VVUUa0, 0, [4, 0], [nGC_13991])

    call avCT(3508, 1, 5, 2, 0, VVUUa0, 0, [4, 0], [nGC_13991])

    call avCT(3508, 2, 6, 3, 0, VVUUa0, 0, [4, 0], [nGC_13982])

    call avCT(3508, 3, 7, 3, 0, VVUUa0, 0, [4, 0], [nGC_13982])

    call avCT(3508, 4, 8, 3, 0, VVUUa0, 0, [4, 0], [nGC_13982])

    call avCT(3508, 5, 9, 3, 0, VVUUa0, 0, [4, 0], [nGC_13982])

    allocate(vertices(3497)%branchCT(0:0))
    call avCT(3497, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2388)%branchCT(0:0))
    call avCT(2388, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2389)%branchCT(0:1))
    call avCT(2389, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_14057, nGC_14056])

    call avCT(2389, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_14059, nGC_14058])

    allocate(vertices(2391)%branchCT(0:1))
    call avCT(2391, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_16337, nGC_16337])

    call avCT(2391, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_16335, nGC_16335])

    allocate(vertices(2394)%branchCT(0:0))
    call avCT(2394, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2395)%branchCT(0:1))
    call avCT(2395, 0, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_15402, nGC_15402])

    call avCT(2395, 1, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_15404, nGC_15404])

    allocate(vertices(2218)%branchCT(0:0))
    call avCT(2218, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9635])

    allocate(vertices(3554)%branchCT(0:0))
    call avCT(3554, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_14552])

    allocate(vertices(3544)%branchCT(0:0))
    call avCT(3544, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(3580)%branchCT(0:0))
    call avCT(3580, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14874])

    allocate(vertices(2403)%branchCT(0:1))
    call avCT(2403, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_14511, nGC_14512])

    call avCT(2403, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_14513, nGC_14514])

    allocate(vertices(1136)%branchCT(0:0))
    call avCT(1136, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(997)%branchCT(0:0))
    call avCT(997, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2407)%branchCT(0:0))
    call avCT(2407, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14733])

    allocate(vertices(2408)%branchCT(0:0))
    call avCT(2408, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2606)%branchCT(0:0))
    call avCT(2606, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1803)%branchCT(0:0))
    call avCT(1803, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14295])

    allocate(vertices(2411)%branchCT(0:1))
    call avCT(2411, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_14334, nGC_14335])

    call avCT(2411, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_14330, nGC_14327])

    allocate(vertices(3871)%branchCT(0:0))
    call avCT(3871, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_13998])

    allocate(vertices(2415)%branchCT(0:0))
    call avCT(2415, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2418)%branchCT(0:0))
    call avCT(2418, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2419)%branchCT(0:0))
    call avCT(2419, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(3872)%branchCT(0:0))
    call avCT(3872, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13998])

    allocate(vertices(2422)%branchCT(0:0))
    call avCT(2422, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_13969])

    allocate(vertices(3873)%branchCT(0:0))
    call avCT(3873, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_13998])

    allocate(vertices(2423)%branchCT(0:0))
    call avCT(2423, 0, 1, 1, 0, SFaF0, 0, [0, 3], [nGC_14698, nGC_14699])

    allocate(vertices(2424)%branchCT(0:0))
    call avCT(2424, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2686)%branchCT(0:0))
    call avCT(2686, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2426)%branchCT(0:1))
    call avCT(2426, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_15090, nGC_15091])

    call avCT(2426, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_15083, nGC_15086])

    allocate(vertices(147)%branchCT(0:0))
    call avCT(147, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1001)%branchCT(0:0))
    call avCT(1001, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(3771)%branchCT(0:0))
    call avCT(3771, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(3479)%branchCT(0:0))
    call avCT(3479, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(3729)%branchCT(0:1))
    call avCT(3729, 0, 20, 1, 0, FVFa1, 0, [0, 3], [nGC_14138])

    call avCT(3729, 1, 20, 1, 0, FVFa1, 0, [2, 1], [nGC_14137])

    allocate(vertices(2435)%branchCT(0:0))
    call avCT(2435, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

    allocate(vertices(2438)%branchCT(0:0))
    call avCT(2438, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(1037)%branchCT(0:1))
    call avCT(1037, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_16335, nGC_16335])

    call avCT(1037, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_16337, nGC_16337])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_17529])

    allocate(vertices(2442)%branchCT(0:0))
    call avCT(2442, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2445)%branchCT(0:0))
    call avCT(2445, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(3874)%branchCT(0:0))
    call avCT(3874, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_18890])

    allocate(vertices(2447)%branchCT(0:0))
    call avCT(2447, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(87)%branchCT(0:0))
    call avCT(87, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2451)%branchCT(0:0))
    call avCT(2451, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_15260])

    allocate(vertices(3210)%branchCT(0:0))
    call avCT(3210, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9644])

    allocate(vertices(3466)%branchCT(0:1))
    call avCT(3466, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_14316, nGC_14317])

    call avCT(3466, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_14308, nGC_14311])

    allocate(vertices(2461)%branchCT(0:0))
    call avCT(2461, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2462)%branchCT(0:0))
    call avCT(2462, 0, 1, 1, 0, FaFS1, 0, [0, 3], [nGC_14599])

    allocate(vertices(3875)%branchCT(0:0))
    call avCT(3875, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_18914, nGC_18911])

    allocate(vertices(3876)%branchCT(0:0))
    call avCT(3876, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

    allocate(vertices(1182)%branchCT(0:0))
    call avCT(1182, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3537)%branchCT(0:0))
    call avCT(3537, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1738)%branchCT(0:0))
    call avCT(1738, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(211)%branchCT(0:0))
    call avCT(211, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14026])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(3319)%branchCT(0:0))
    call avCT(3319, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9633])

    allocate(vertices(2478)%branchCT(0:0))
    call avCT(2478, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_13969])

    allocate(vertices(2479)%branchCT(0:0))
    call avCT(2479, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14497])

    allocate(vertices(2480)%branchCT(0:1))
    call avCT(2480, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_15525, nGC_15525])

    call avCT(2480, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_15527, nGC_15527])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9635])

    allocate(vertices(2486)%branchCT(0:0))
    call avCT(2486, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2487)%branchCT(0:0))
    call avCT(2487, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(3492)%branchCT(0:0))
    call avCT(3492, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2489)%branchCT(0:0))
    call avCT(2489, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_14583])

    allocate(vertices(2490)%branchCT(0:0))
    call avCT(2490, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2491)%branchCT(0:0))
    call avCT(2491, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2494)%branchCT(0:0))
    call avCT(2494, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_14729])

    allocate(vertices(2495)%branchCT(0:0))
    call avCT(2495, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2496)%branchCT(0:0))
    call avCT(2496, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14252])

    allocate(vertices(2497)%branchCT(0:0))
    call avCT(2497, 0, 1, 1, 0, SUUa0, 0, [0, 3], [nGC_9646])

    allocate(vertices(2499)%branchCT(0:0))
    call avCT(2499, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2502)%branchCT(0:0))
    call avCT(2502, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2503)%branchCT(0:0))
    call avCT(2503, 0, 1, 1, 0, FFaV1, 0, [0, 3], [nGC_14971, nGC_14972])

    allocate(vertices(1126)%branchCT(0:0))
    call avCT(1126, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2507)%branchCT(0:0))
    call avCT(2507, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(1337)%branchCT(0:0))
    call avCT(1337, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(2513)%branchCT(0:0))
    call avCT(2513, 0, 1, 1, 0, UaVU0, 0, [0, 3], [nGC_14154])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 1, 1, 0, FSFa2, 0, [0, 3], [nGC_14599])

    allocate(vertices(2519)%branchCT(0:0))
    call avCT(2519, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2521)%branchCT(0:0))
    call avCT(2521, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2524)%branchCT(0:0))
    call avCT(2524, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2526)%branchCT(0:0))
    call avCT(2526, 0, 1, 1, 0, FaFV1, 0, [0, 3], [nGC_14729])

    allocate(vertices(2527)%branchCT(0:0))
    call avCT(2527, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_14599])

    allocate(vertices(2530)%branchCT(0:0))
    call avCT(2530, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(2531)%branchCT(0:0))
    call avCT(2531, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14580])

    allocate(vertices(2533)%branchCT(0:0))
    call avCT(2533, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(410)%branchCT(0:0))
    call avCT(410, 0, 1, 1, 0, FaFS0, 0, [0, 3], [nGC_16785, nGC_16786])

    allocate(vertices(2536)%branchCT(0:0))
    call avCT(2536, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2537)%branchCT(0:0))
    call avCT(2537, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9651])

    allocate(vertices(881)%branchCT(0:0))
    call avCT(881, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(564)%branchCT(0:0))
    call avCT(564, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(2544)%branchCT(0:0))
    call avCT(2544, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(581)%branchCT(0:0))
    call avCT(581, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2549)%branchCT(0:0))
    call avCT(2549, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(940)%branchCT(0:0))
    call avCT(940, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(2554)%branchCT(0:0))
    call avCT(2554, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2556)%branchCT(0:3))
    call avCT(2556, 0, 26, 6, 0, VFFa0, 0, [1, 2], [nGC_19030, nGC_19028])

    call avCT(2556, 1, 26, 6, 0, VFFa0, 0, [3, 0], [nGC_19034, nGC_19035])

    call avCT(2556, 2, 27, 7, 0, VFFa0, 0, [1, 2], [nGC_19030, nGC_19028])

    call avCT(2556, 3, 27, 7, 0, VFFa0, 0, [3, 0], [nGC_19034, nGC_19035])

    allocate(vertices(3416)%branchCT(0:0))
    call avCT(3416, 0, 0, 1, 0, SUUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2560)%branchCT(0:1))
    call avCT(2560, 0, 20, 1, 0, FVFa0, 0, [0, 3], [nGC_14214, nGC_14215])

    call avCT(2560, 1, 20, 1, 0, FVFa0, 0, [2, 1], [nGC_14209, nGC_14204])

    allocate(vertices(711)%branchCT(0:0))
    call avCT(711, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14037])

    allocate(vertices(2564)%branchCT(0:1))
    call avCT(2564, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_14372, nGC_14372])

    call avCT(2564, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_14374, nGC_14374])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3406)%branchCT(0:0))
    call avCT(3406, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(3877)%branchCT(0:0))
    call avCT(3877, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_13998])

    allocate(vertices(2572)%branchCT(0:0))
    call avCT(2572, 0, 1, 1, 0, FSFa0, 0, [0, 3], [nGC_16727, nGC_16727])

    allocate(vertices(3878)%branchCT(0:1))
    call avCT(3878, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_14667, nGC_14663,       &
    nGC_14669, nGC_14669])

    call avCT(3878, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_14668, nGC_14664,       &
    nGC_14670, nGC_14670])

    allocate(vertices(2575)%branchCT(0:0))
    call avCT(2575, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2970)%branchCT(0:0))
    call avCT(2970, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2577)%branchCT(0:0))
    call avCT(2577, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(2578)%branchCT(0:0))
    call avCT(2578, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(3664)%branchCT(0:1))
    call avCT(3664, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_16335, nGC_16335])

    call avCT(3664, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_16337, nGC_16337])

    allocate(vertices(1226)%branchCT(0:0))
    call avCT(1226, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2582)%branchCT(0:0))
    call avCT(2582, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_14471])

    allocate(vertices(1877)%branchCT(0:0))
    call avCT(1877, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14033,       &
    nGC_14034])

    allocate(vertices(2584)%branchCT(0:0))
    call avCT(2584, 0, 1, 1, 0, UVUa0, 0, [0, 3], [nGC_14154])

    allocate(vertices(2587)%branchCT(0:0))
    call avCT(2587, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2589)%branchCT(0:0))
    call avCT(2589, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(1504)%branchCT(0:0))
    call avCT(1504, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_14276])

    allocate(vertices(2591)%branchCT(0:0))
    call avCT(2591, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2593)%branchCT(0:0))
    call avCT(2593, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9644])

    allocate(vertices(2916)%branchCT(0:0))
    call avCT(2916, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14279])

    allocate(vertices(3879)%branchCT(0:0))
    call avCT(3879, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14951])

    allocate(vertices(1876)%branchCT(0:0))
    call avCT(1876, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14040])

    allocate(vertices(2597)%branchCT(0:0))
    call avCT(2597, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2601)%branchCT(0:0))
    call avCT(2601, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_14849])

    allocate(vertices(3777)%branchCT(0:0))
    call avCT(3777, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2611)%branchCT(0:0))
    call avCT(2611, 0, 1, 1, 0, SUaU0, 0, [0, 3], [nGC_9646])

    allocate(vertices(2614)%branchCT(0:0))
    call avCT(2614, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_14403])

    allocate(vertices(994)%branchCT(0:0))
    call avCT(994, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2616)%branchCT(0:0))
    call avCT(2616, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2618)%branchCT(0:0))
    call avCT(2618, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2620)%branchCT(0:0))
    call avCT(2620, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9643])

    allocate(vertices(2621)%branchCT(0:0))
    call avCT(2621, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(1044)%branchCT(0:0))
    call avCT(1044, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2626)%branchCT(0:0))
    call avCT(2626, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14733])

    allocate(vertices(2627)%branchCT(0:0))
    call avCT(2627, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_14577, nGC_14577])

    allocate(vertices(2629)%branchCT(0:0))
    call avCT(2629, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14023])

    allocate(vertices(2630)%branchCT(0:0))
    call avCT(2630, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14134])

    allocate(vertices(2632)%branchCT(0:0))
    call avCT(2632, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2633)%branchCT(0:1))
    call avCT(2633, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_15688, nGC_15689])

    call avCT(2633, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_15682, nGC_15679])

    allocate(vertices(2635)%branchCT(0:0))
    call avCT(2635, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9642])

    allocate(vertices(611)%branchCT(0:0))
    call avCT(611, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2639)%branchCT(0:1))
    call avCT(2639, 0, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_14138])

    call avCT(2639, 1, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_14137])

    allocate(vertices(2259)%branchCT(0:0))
    call avCT(2259, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2641)%branchCT(0:0))
    call avCT(2641, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_14605])

    allocate(vertices(2642)%branchCT(0:0))
    call avCT(2642, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9632])

    allocate(vertices(430)%branchCT(0:1))
    call avCT(430, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_14056, nGC_14057])

    call avCT(430, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_14058, nGC_14059])

    allocate(vertices(2647)%branchCT(0:0))
    call avCT(2647, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14037])

    allocate(vertices(2648)%branchCT(0:0))
    call avCT(2648, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13979, nGC_13978,       &
    nGC_13978])

    allocate(vertices(2649)%branchCT(0:0))
    call avCT(2649, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2650)%branchCT(0:0))
    call avCT(2650, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14067])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14158])

    allocate(vertices(2653)%branchCT(0:0))
    call avCT(2653, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_17492])

    allocate(vertices(2654)%branchCT(0:0))
    call avCT(2654, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14606])

    allocate(vertices(3595)%branchCT(0:0))
    call avCT(3595, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14071])

    allocate(vertices(2658)%branchCT(0:1))
    call avCT(2658, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_14056, nGC_14057])

    call avCT(2658, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_14058, nGC_14059])

    allocate(vertices(2595)%branchCT(0:0))
    call avCT(2595, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2661)%branchCT(0:0))
    call avCT(2661, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2662)%branchCT(0:0))
    call avCT(2662, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(2664)%branchCT(0:0))
    call avCT(2664, 0, 0, 1, 0, UVUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1272)%branchCT(0:0))
    call avCT(1272, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9636])

    allocate(vertices(1282)%branchCT(0:0))
    call avCT(1282, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14295])

    allocate(vertices(2669)%branchCT(0:0))
    call avCT(2669, 0, 0, 1, 0, SUaUS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2670)%branchCT(0:0))
    call avCT(2670, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2671)%branchCT(0:0))
    call avCT(2671, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9646])

    allocate(vertices(2456)%branchCT(0:0))
    call avCT(2456, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2673)%branchCT(0:0))
    call avCT(2673, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2674)%branchCT(0:0))
    call avCT(2674, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2675)%branchCT(0:0))
    call avCT(2675, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1330)%branchCT(0:0))
    call avCT(1330, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2678)%branchCT(0:0))
    call avCT(2678, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(1249)%branchCT(0:0))
    call avCT(1249, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_13978, nGC_13978,       &
    nGC_13979])

    allocate(vertices(2680)%branchCT(0:1))
    call avCT(2680, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_16494, nGC_16495])

    call avCT(2680, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_16492, nGC_16493])

    allocate(vertices(2681)%branchCT(0:0))
    call avCT(2681, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(3880)%branchCT(0:0))
    call avCT(3880, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_14951])

    allocate(vertices(2266)%branchCT(0:0))
    call avCT(2266, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(2684)%branchCT(0:0))
    call avCT(2684, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(78)%branchCT(0:1))
    call avCT(78, 0, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_14230, nGC_14229])

    call avCT(78, 1, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_14232, nGC_14231])

    allocate(vertices(627)%branchCT(0:0))
    call avCT(627, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1513)%branchCT(0:0))
    call avCT(1513, 0, 1, 1, 0, SFFa1, 0, [0, 3], [nGC_14827])

    allocate(vertices(2983)%branchCT(0:0))
    call avCT(2983, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2691)%branchCT(0:0))
    call avCT(2691, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14729])

    allocate(vertices(2023)%branchCT(0:0))
    call avCT(2023, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2697)%branchCT(0:0))
    call avCT(2697, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(2698)%branchCT(0:0))
    call avCT(2698, 0, 1, 1, 0, USUa0, 0, [0, 3], [nGC_15069])

    allocate(vertices(2700)%branchCT(0:0))
    call avCT(2700, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14067])

    allocate(vertices(2706)%branchCT(0:1))
    call avCT(2706, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_14513, nGC_14514])

    call avCT(2706, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_14511, nGC_14512])

    allocate(vertices(2707)%branchCT(0:0))
    call avCT(2707, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14614])

    allocate(vertices(2709)%branchCT(0:0))
    call avCT(2709, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(3881)%branchCT(0:0))
    call avCT(3881, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_14951])

    allocate(vertices(1042)%branchCT(0:0))
    call avCT(1042, 0, 0, 1, 0, VVUaU0, 0, [0, 4], [nGC_14614])

    allocate(vertices(2714)%branchCT(0:0))
    call avCT(2714, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_14047])

    allocate(vertices(442)%branchCT(0:0))
    call avCT(442, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_14062])

    allocate(vertices(3055)%branchCT(0:0))
    call avCT(3055, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_14845])

    allocate(vertices(608)%branchCT(0:0))
    call avCT(608, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2722)%branchCT(0:0))
    call avCT(2722, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14299])

    allocate(vertices(2726)%branchCT(0:0))
    call avCT(2726, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_14252])

    allocate(vertices(2727)%branchCT(0:0))
    call avCT(2727, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14023])

    allocate(vertices(1620)%branchCT(0:0))
    call avCT(1620, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2734)%branchCT(0:0))
    call avCT(2734, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14244])

    allocate(vertices(2735)%branchCT(0:1))
    call avCT(2735, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_15984, nGC_15985])

    call avCT(2735, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_15986, nGC_15987])

    allocate(vertices(2736)%branchCT(0:0))
    call avCT(2736, 0, 0, 1, 0, VUaUV0, 0, [0, 4], [nGC_13973])

    allocate(vertices(2738)%branchCT(0:0))
    call avCT(2738, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14236])

    allocate(vertices(1648)%branchCT(0:0))
    call avCT(1648, 0, 0, 1, 0, UUaVV0, 0, [0, 4], [nGC_15313])

    allocate(vertices(2741)%branchCT(0:0))
    call avCT(2741, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2742)%branchCT(0:0))
    call avCT(2742, 0, 1, 1, 0, UaUV0, 0, [0, 3], [nGC_17860])

    allocate(vertices(3180)%branchCT(0:0))
    call avCT(3180, 0, 0, 1, 0, VUaVU0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2744)%branchCT(0:0))
    call avCT(2744, 0, 0, 1, 0, USUaS0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2746)%branchCT(0:0))
    call avCT(2746, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_14605])

    allocate(vertices(977)%branchCT(0:0))
    call avCT(977, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2751)%branchCT(0:0))
    call avCT(2751, 0, 0, 1, 0, UaVVU0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2752)%branchCT(0:1))
    call avCT(2752, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_14797, nGC_14800])

    call avCT(2752, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_14804, nGC_14805])

    allocate(vertices(3010)%branchCT(0:0))
    call avCT(3010, 0, 0, 1, 0, UaUVV0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2755)%branchCT(0:0))
    call avCT(2755, 0, 0, 1, 0, UaSUS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2756)%branchCT(0:0))
    call avCT(2756, 0, 1, 1, 0, UaSU0, 0, [0, 3], [nGC_9651])

    allocate(vertices(1914)%branchCT(0:0))
    call avCT(1914, 0, 0, 1, 0, VUVUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2763)%branchCT(0:0))
    call avCT(2763, 0, 1, 1, 0, FaFV0, 0, [0, 3], [nGC_14445, nGC_14446])

    allocate(vertices(2765)%branchCT(0:0))
    call avCT(2765, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9643])

    allocate(vertices(1049)%branchCT(0:0))
    call avCT(1049, 0, 1, 1, 0, UUaS0, 0, [0, 3], [nGC_9651])

    allocate(vertices(2769)%branchCT(0:0))
    call avCT(2769, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14134])

    allocate(vertices(1829)%branchCT(0:0))
    call avCT(1829, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_14559])

    allocate(vertices(3882)%branchCT(0:0))
    call avCT(3882, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_18890])

    allocate(vertices(2775)%branchCT(0:0))
    call avCT(2775, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(1849)%branchCT(0:0))
    call avCT(1849, 0, 0, 1, 0, UaUSS0, 0, [0, 4], [nGC_9641])

    allocate(vertices(2781)%branchCT(0:0))
    call avCT(2781, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_14158])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9644])

    allocate(vertices(2783)%branchCT(0:0))
    call avCT(2783, 0, 0, 1, 0, SUaSU0, 0, [0, 4], [nGC_14062])

    allocate(vertices(2785)%branchCT(0:0))
    call avCT(2785, 0, 0, 1, 0, UUaSS0, 0, [0, 4], [nGC_9636])

    allocate(vertices(2786)%branchCT(0:0))
    call avCT(2786, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2787)%branchCT(0:1))
    call avCT(2787, 0, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_15525, nGC_15525])

    call avCT(2787, 1, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_15527, nGC_15527])

    allocate(vertices(2788)%branchCT(0:0))
    call avCT(2788, 0, 0, 1, 0, UVVUa0, 0, [0, 4], [nGC_14236])

    allocate(vertices(2790)%branchCT(0:0))
    call avCT(2790, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14013])

    allocate(vertices(2791)%branchCT(0:0))
    call avCT(2791, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_14033, nGC_14033,       &
    nGC_14034])

    allocate(vertices(2792)%branchCT(0:0))
    call avCT(2792, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_14110])

    allocate(vertices(3758)%branchCT(0:0))
    call avCT(3758, 0, 0, 1, 0, SSUUa0, 0, [0, 4], [nGC_14110])

    allocate(vertices(2795)%branchCT(0:0))
    call avCT(2795, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_15462])

    allocate(vertices(2796)%branchCT(0:0))
    call avCT(2796, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14559])

    allocate(vertices(3757)%branchCT(0:0))
    call avCT(3757, 0, 0, 1, 0, VUUaV0, 0, [0, 4], [nGC_14026])

    allocate(vertices(2801)%branchCT(0:0))
    call avCT(2801, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_18354])

    allocate(vertices(2802)%branchCT(0:0))
    call avCT(2802, 0, 0, 1, 0, VVUUa0, 0, [0, 4], [nGC_14026])

    allocate(vertices(3245)%branchCT(0:0))
    call avCT(3245, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_14037])

    allocate(vertices(2059)%branchCT(0:0))
    call avCT(2059, 0, 0, 1, 0, SSUaU0, 0, [0, 4], [nGC_9641])

    allocate(vertices(1097)%branchCT(0:1))
    call avCT(1097, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_14230, nGC_14229])

    call avCT(1097, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_14232, nGC_14231])

    allocate(vertices(3626)%branchCT(0:0))
    call avCT(3626, 0, 0, 1, 0, USSUa0, 0, [0, 4], [nGC_9632])

    allocate(vertices(3883)%branchCT(0:0))
    call avCT(3883, 0, 13, 1, 0, SS0, 0, [0, 2], [nGC_GG])

    allocate(vertices(3407)%branchCT(0:0))
    call avCT(3407, 0, 0, 1, 0, UaSSU0, 0, [0, 4], [nGC_9634])

    allocate(vertices(2818)%branchCT(0:0))
    call avCT(2818, 0, 0, 1, 0, SUSUa0, 0, [0, 4], [nGC_9642])

    allocate(vertices(2819)%branchCT(0:0))
    call avCT(2819, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_14075])

    allocate(vertices(2143)%branchCT(0:0))
    call avCT(2143, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_14252])

    allocate(vertices(2825)%branchCT(0:1))
    call avCT(2825, 0, 21, 1, 0, FaVF1, 0, [0, 3], [nGC_14138])

    call avCT(2825, 1, 21, 1, 0, FaVF1, 0, [2, 1], [nGC_14137])

    allocate(vertices(2826)%branchCT(0:0))
    call avCT(2826, 0, 1, 1, 0, FVFa0, 0, [0, 3], [nGC_15008, nGC_15009])

    allocate(vertices(2027)%branchCT(0:0))
    call avCT(2027, 0, 0, 1, 0, UaVUV0, 0, [0, 4], [nGC_13973])

  end subroutine fill_vertices_mdl7
end module vertices_info7
