!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl10()
    coupl(nGC_14427) = coupl(nGC_5)*dZA_QED2/2d0 + coupl(nGC_66)*dZZA_QED2/2d0 &
                        + coupl(nGC_9653)
    coupl(nGC_9507) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_124)**  &
                      2d0*coupl(nGC_83) + coupl(nGC_125)*coupl(nGC_1368)*coupl(&
                      nGC_82) + coupl(nGC_126)**2d0*coupl(nGC_82) + 4d0*coupl( &
                      nGC_78)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9416) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl(   &
                      nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127)* &
                      coupl(nGC_686)*coupl(nGC_706) + 8d0*coupl(nGC_139)*coupl(&
                      nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_9417) = coupl(nGC_139)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9414) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*coupl&
                      (nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(nGC_128)*  &
                      coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_129)*coupl(    &
                      nGC_139)*coupl(nGC_140))/(32d0*pi**2d0)
    coupl(nGC_9415) = coupl(nGC_127)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9412) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(   &
                      nGC_124)*coupl(nGC_125)*coupl(nGC_144) - coupl(nGC_124)* &
                      coupl(nGC_126)*coupl(nGC_143) + 8d0*coupl(nGC_142)*coupl(&
                      nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_17019) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_9410) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*coupl&
                      (nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(nGC_126)*  &
                      coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_1368)*coupl(   &
                      nGC_142)*coupl(nGC_656))/(32d0*pi**2d0)
    coupl(nGC_9411) = coupl(nGC_124)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9395) = (coupl(nGC_136)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*    &
                      coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_17017) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_9418) = (8d0*coupl(nGC_1)*coupl(nGC_130)*coupl(nGC_2) - coupl(   &
                      nGC_1168)*coupl(nGC_148)*coupl(nGC_780) + 8d0*coupl(     &
                      nGC_130)*coupl(nGC_78)*coupl(nGC_83) - coupl(nGC_132)*   &
                      coupl(nGC_148)*coupl(nGC_149))/(32d0*pi**2d0)
    coupl(nGC_9559) = sq2**3d0*(-Nc*cima*coupl(nGC_1066)**3d0 + 12d0*coupl(    &
                      nGC_19)**3d0)/(192d0*pi**2d0)
    coupl(nGC_9558) = sq2**3d0*(Nc*cima*coupl(nGC_1066)**3d0 - 12d0*coupl(     &
                      nGC_19)**3d0)/(192d0*pi**2d0)
    coupl(nGC_9557) = coupl(nGC_19)*sq2*(coupl(nGC_148)**2d0 + coupl(nGC_149)**&
                      2d0 + coupl(nGC_150)*coupl(nGC_780) + 4d0*coupl(nGC_2)** &
                      2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9556) = coupl(nGC_19)*sq2*(coupl(nGC_130)**2d0 + coupl(nGC_149)**&
                      2d0 + coupl(nGC_150)*coupl(nGC_780) + 4d0*coupl(nGC_2)** &
                      2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_83)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_9555) = coupl(nGC_19)*sq2*(-coupl(nGC_148)**2d0 - coupl(nGC_149  &
                      )**2d0 - coupl(nGC_150)*coupl(nGC_780) - 4d0*coupl(nGC_2 &
                      )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9554) = coupl(nGC_19)*sq2*(-coupl(nGC_130)**2d0 - coupl(nGC_149  &
                      )**2d0 - coupl(nGC_150)*coupl(nGC_780) - 4d0*coupl(nGC_2 &
                      )**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_83)**2d0 &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_9553) = coupl(nGC_19)*sq2*(coupl(nGC_142)**2d0 + coupl(nGC_143)**&
                      2d0 + coupl(nGC_144)*coupl(nGC_656) + 4d0*coupl(nGC_2)** &
                      2d0 + 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9551) = coupl(nGC_19)*sq2*(-coupl(nGC_142)**2d0 - coupl(nGC_143  &
                      )**2d0 - coupl(nGC_144)*coupl(nGC_656) - 4d0*coupl(nGC_2 &
                      )**2d0 - 4d0*coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9388) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1168)*   &
                      coupl(nGC_131) + coupl(nGC_1)*coupl(nGC_132)**2d0 + 4d0* &
                      coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_148)**2d0*   &
                      coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0*&
                      coupl(nGC_266)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_13958) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_9386) = (-2d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_126) - 2d0*Nc*  &
                      cMC*coupl(nGC_128)*coupl(nGC_2)**2d0 - 2d0*Nc*cMD*coupl( &
                      nGC_1)**2d0*coupl(nGC_132) - 2d0*Nc*cMS*coupl(nGC_1)**2d0&
                      *coupl(nGC_141) - 2d0*Nc*cMT*coupl(nGC_143)*coupl(nGC_2  &
                      )**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_2)**2d0 -   &
                      2d0*cME*coupl(nGC_135)*coupl(nGC_4)**2d0 - 2d0*cMM*coupl(&
                      nGC_138)*coupl(nGC_4)**2d0 - 2d0*cMTA*coupl(nGC_147)*    &
                      coupl(nGC_4)**2d0 + cima*coupl(nGC_107)*coupl(nGC_9) +   &
                      coupl(nGC_107)*coupl(nGC_266)**2d0 + coupl(nGC_107)*coupl&
                      (nGC_3)**2d0)/(8d0*pi**2d0)
    coupl(nGC_9384) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc* &
                      cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD*  &
                      coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*coupl(&
                      nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*coupl(nGC_1 &
                      )*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*coupl(nGC_1)*    &
                      coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*coupl(nGC_110)*  &
                      coupl(nGC_594) + 2d0*cima*coupl(nGC_74)*coupl(nGC_99) +  &
                      2d0*coupl(nGC_110)*coupl(nGC_3)*coupl(nGC_4) + 2d0*coupl(&
                      nGC_3)*coupl(nGC_63)*coupl(nGC_99))/(16d0*pi**2d0)
    coupl(nGC_9382) = (-Nc*cMB*coupl(nGC_124)*coupl(nGC_2)*coupl(nGC_62) - Nc* &
                      cMC*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_62) - Nc*cMD*  &
                      coupl(nGC_130)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMS*coupl(&
                      nGC_139)*coupl(nGC_2)*coupl(nGC_62) - Nc*cMT*coupl(nGC_1 &
                      )*coupl(nGC_142)*coupl(nGC_62) - Nc*cMU*coupl(nGC_1)*    &
                      coupl(nGC_148)*coupl(nGC_62) + 2d0*cima*coupl(nGC_110)*  &
                      coupl(nGC_594) + 2d0*cima*coupl(nGC_74)*coupl(nGC_99) +  &
                      2d0*coupl(nGC_110)*coupl(nGC_266)*coupl(nGC_3) + 2d0*    &
                      coupl(nGC_266)*coupl(nGC_64)*coupl(nGC_99))/(16d0*pi**2d0&
                      )
    coupl(nGC_9383) = (Nc*coupl(nGC_1)*coupl(nGC_124)**2d0 + Nc*coupl(nGC_1)*  &
                      coupl(nGC_127)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_130)**2d0&
                       + Nc*coupl(nGC_1)*coupl(nGC_139)**2d0 + Nc*coupl(nGC_1)*&
                      coupl(nGC_142)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_148)**2d0&
                       - Nc*coupl(nGC_124)**2d0*coupl(nGC_2) - Nc*coupl(nGC_127&
                      )**2d0*coupl(nGC_2) - Nc*coupl(nGC_130)**2d0*coupl(nGC_2 &
                      ) - Nc*coupl(nGC_139)**2d0*coupl(nGC_2) - Nc*coupl(      &
                      nGC_142)**2d0*coupl(nGC_2) - Nc*coupl(nGC_148)**2d0*coupl&
                      (nGC_2) + coupl(nGC_133)**2d0*coupl(nGC_4) + coupl(      &
                      nGC_136)**2d0*coupl(nGC_4) + coupl(nGC_145)**2d0*coupl(  &
                      nGC_4))/(24d0*pi**2d0)
    coupl(nGC_9380) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_125)*    &
                      coupl(nGC_1368) + coupl(nGC_1)*coupl(nGC_126)**2d0 + 4d0*&
                      coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_124)**2d0*   &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_9626) = (cima*coupl(nGC_1026)**2d0 + 2d0*cima*coupl(nGC_1026)*   &
                      coupl(nGC_20) - cima*coupl(nGC_1066)**4d0*sq2**4d0 + cima&
                      *coupl(nGC_20)**2d0 - 2d0*coupl(nGC_1026)*coupl(nGC_1066 &
                      )**2d0*sq2**2d0 - 2d0*coupl(nGC_1066)**2d0*coupl(nGC_20)*&
                      sq2**2d0)/(32d0*pi**2d0)
    coupl(nGC_16336) = coupl(nGC_149)*dZH_QED2/2d0 + coupl(nGC_9701)
    coupl(nGC_16337) = coupl(nGC_16333) + coupl(nGC_16336)
    coupl(nGC_16335) = coupl(nGC_16334) + coupl(nGC_9700)
    coupl(nGC_14635) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_9703) = coupl(nGC_9151)*dyc_QED3
    coupl(nGC_14636) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_14631) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_9707) = coupl(nGC_9288)*dZee_QED2 + coupl(nGC_9289)*dsw_QED2 +   &
                      coupl(nGC_9290)*dcw_QED2
    coupl(nGC_9704) = coupl(nGC_9181)*dyt_QED1_QCD2
    coupl(nGC_14632) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_9708) = coupl(nGC_9189)*dZee_QED2 + coupl(nGC_9190)*dsw_QED2
    coupl(nGC_9709) = coupl(nGC_9113)*dsw_QED2 + coupl(nGC_9114)*dZee_QED2 +   &
                      coupl(nGC_9115)*dvev_QED1
    coupl(nGC_14638) = coupl(nGC_14632) + coupl(nGC_9760)
    coupl(nGC_14497) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_76)*dZZA_QED2 + coupl&
                       (nGC_9652)
    coupl(nGC_14082) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*             &
                       dZeMinusR_QED2 + coupl(nGC_9744)
    coupl(nGC_14084) = coupl(nGC_14077) + coupl(nGC_14082)
    coupl(nGC_15870) = coupl(nGC_130)*dZdR_QED2/2d0 + coupl(nGC_130)*dZuL_QED2/&
                       2d0 + coupl(nGC_9664)
    coupl(nGC_14088) = coupl(nGC_144)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_14089) = coupl(nGC_144)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_18914) = coupl(nGC_9746) + coupl(nGC_MH)*dZH_QED2
    coupl(nGC_13962) = coupl(nGC_MI)*dZdR_QED2
  end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
