!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl11()
    coupl(nGC_13963) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_13964) = coupl(nGC_13958) + coupl(nGC_9757)
    coupl(nGC_13969) = coupl(nGC_5)*dZWMinus_QED2/2d0 + coupl(nGC_9653)
    coupl(nGC_14622) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZdR_QED2 +  &
                       coupl(nGC_9742)
    coupl(nGC_9714) = coupl(nGC_9229)*dZee_QED2 + coupl(nGC_9230)*dsw_QED2
    coupl(nGC_14067) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_57)*dZZA_QED2/  &
                       2d0 + coupl(nGC_76)*dZA_QED2/2d0 + coupl(nGC_76)*       &
                       dZZ_QED2/2d0 + coupl(nGC_9718)
    coupl(nGC_9588) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_62)*&
                      coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(nGC_125 &
                      )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_124&
                      )*coupl(nGC_125)*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*   &
                      cima*coupl(nGC_127)*coupl(nGC_62)*coupl(nGC_706)*coupl(  &
                      nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_62)*coupl(&
                      nGC_706)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)*coupl&
                      (nGC_62)*coupl(nGC_706)*coupl(nGC_83) + 5d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_131)*coupl(nGC_62)*coupl(nGC_78) -   &
                      4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_62)* &
                      coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_131 &
                      )*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139&
                      )*coupl(nGC_140)*coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*   &
                      cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_62)*coupl(  &
                      nGC_82) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl&
                      (nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl&
                      (nGC_62)*coupl(nGC_656)*coupl(nGC_79) - 4d0*Nc*cima*coupl&
                      (nGC_142)*coupl(nGC_62)*coupl(nGC_656)*coupl(nGC_82) -   &
                      4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_62)*coupl(nGC_656)* &
                      coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_62)*&
                      coupl(nGC_780)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148 &
                      )*coupl(nGC_62)*coupl(nGC_780)*coupl(nGC_82) - 4d0*Nc*   &
                      cima*coupl(nGC_148)*coupl(nGC_62)*coupl(nGC_780)*coupl(  &
                      nGC_83) + 6d0*cima*coupl(nGC_13)*coupl(nGC_55) + 5d0*cima&
                      *coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_62)*coupl(nGC_80&
                      ) - 4d0*cima*coupl(nGC_133)*coupl(nGC_134)*coupl(nGC_62)*&
                      coupl(nGC_85) - 4d0*cima*coupl(nGC_133)*coupl(nGC_134)*  &
                      coupl(nGC_62)*coupl(nGC_86) + 5d0*cima*coupl(nGC_136)*   &
                      coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*   &
                      coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62)*coupl(nGC_85 &
                      ) - 4d0*cima*coupl(nGC_136)*coupl(nGC_137)*coupl(nGC_62)*&
                      coupl(nGC_86) + 5d0*cima*coupl(nGC_145)*coupl(nGC_146)*  &
                      coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_145)*   &
                      coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*   &
                      coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_62)*coupl(nGC_86 &
                      ) + 6d0*cima*coupl(nGC_562)*coupl(nGC_68) + 6d0*coupl(   &
                      nGC_13)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_4)*  &
                      coupl(nGC_64)*coupl(nGC_68))/(48d0*pi**2d0)
    coupl(nGC_14621) = coupl(nGC_82)*dZdL_QCD2
    coupl(nGC_14626) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_9625) = (-cima*coupl(nGC_1066)**4d0*sq2**4d0 + cima*coupl(       &
                      nGC_1934)**2d0 - 2d0*coupl(nGC_1066)**2d0*coupl(nGC_1934 &
                      )*sq2**2d0)/(32d0*pi**2d0)
    coupl(nGC_18259) = coupl(nGC_18253) + coupl(nGC_9751)
    coupl(nGC_18258) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_14624) = coupl(nGC_14615) + coupl(nGC_14622)
    coupl(nGC_18251) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_18257) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_14394) = coupl(nGC_14212) + coupl(nGC_14392)
    coupl(nGC_14018) = coupl(nGC_147)*dZH_QED2/2d0 + coupl(nGC_9693)
    coupl(nGC_14017) = coupl(nGC_147)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_14013) = coupl(nGC_54)*dZZA_QED2/2d0 + coupl(nGC_75)*dZA_QED2/2d0&
                        + coupl(nGC_75)*dZWMinus_QED2/2d0 + coupl(nGC_9707)
    coupl(nGC_9624) = (-Nc*cima*coupl(nGC_1026)*coupl(nGC_1934) + Nc*cima*coupl&
                      (nGC_1066)**4d0*sq2**4d0 - Nc*cima*coupl(nGC_1934)*coupl(&
                      nGC_20) + Nc*coupl(nGC_1026)*coupl(nGC_1066)**2d0*sq2**  &
                      2d0 + Nc*coupl(nGC_1066)**2d0*coupl(nGC_1934)*sq2**2d0 + &
                      Nc*coupl(nGC_1066)**2d0*coupl(nGC_20)*sq2**2d0 - cima*   &
                      coupl(nGC_19)**4d0*sq2**4d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9511) = (coupl(nGC_127)**2d0*coupl(nGC_82) + coupl(nGC_128)**2d0*&
                      coupl(nGC_83) + coupl(nGC_129)*coupl(nGC_706)*coupl(     &
                      nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*coupl&
                      (nGC_79)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9510) = coupl(nGC_19)**2d0*coupl(nGC_83)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9517) = (coupl(nGC_136)**2d0*coupl(nGC_86) + coupl(nGC_137)*coupl&
                      (nGC_724)*coupl(nGC_85) + coupl(nGC_138)**2d0*coupl(     &
                      nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*coupl&
                      (nGC_80)**3d0)/(32d0*pi**2d0)
    coupl(nGC_14009) = coupl(nGC_14005) + coupl(nGC_14006)
    coupl(nGC_9515) = (coupl(nGC_1022)*coupl(nGC_134)*coupl(nGC_85) + coupl(   &
                      nGC_133)**2d0*coupl(nGC_86) + coupl(nGC_135)**2d0*coupl( &
                      nGC_85) + 4d0*coupl(nGC_4)**2d0*coupl(nGC_80) + 4d0*coupl&
                      (nGC_80)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9452) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_686) - coupl(nGC_127)*  &
                      coupl(nGC_129)*coupl(nGC_139) - coupl(nGC_140)*coupl(    &
                      nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_686)**2d0 + 8d0*&
                      coupl(nGC_686)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0&
                      )
    coupl(nGC_20466) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_9450) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_131) - coupl(nGC_1168)* &
                      coupl(nGC_131)**2d0 - coupl(nGC_1168)*coupl(nGC_132)**2d0&
                       - coupl(nGC_130)*coupl(nGC_148)*coupl(nGC_780) + 8d0*   &
                      coupl(nGC_131)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0&
                      )
    coupl(nGC_9518) = (coupl(nGC_137)*coupl(nGC_724)*coupl(nGC_80) + coupl(    &
                      nGC_138)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*   &
                      coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85)**3d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_20463) = coupl(nGC_MT)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_9457) = coupl(nGC_19)**2d0*coupl(nGC_656)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_20461) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_13959) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_9373) = cMTA*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(     &
                      nGC_85))/(8d0*pi**2d0)
    coupl(nGC_9359) = cima*(coupl(nGC_4)**2d0 + coupl(nGC_80)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_9358) = cME*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_80)*coupl(nGC_85&
                      ))/(8d0*pi**2d0)
    coupl(nGC_9429) = (8d0*coupl(nGC_1)*coupl(nGC_142)*coupl(nGC_2) - coupl(   &
                      nGC_124)*coupl(nGC_126)*coupl(nGC_143) - coupl(nGC_124)* &
                      coupl(nGC_1368)*coupl(nGC_656) + 8d0*coupl(nGC_142)*coupl&
                      (nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_9428) = (8d0*coupl(nGC_1)*coupl(nGC_124)*coupl(nGC_2) + 8d0*coupl&
                      (nGC_124)*coupl(nGC_78)*coupl(nGC_83) - coupl(nGC_125)*  &
                      coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_126)*coupl(    &
                      nGC_142)*coupl(nGC_143))/(32d0*pi**2d0)
    coupl(nGC_9355) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_9426) = coupl(nGC_62)*(Nc*coupl(nGC_124)*coupl(nGC_126) - Nc*    &
                      coupl(nGC_127)*coupl(nGC_128) + Nc*coupl(nGC_130)*coupl( &
                      nGC_132) + Nc*coupl(nGC_139)*coupl(nGC_141) - Nc*coupl(  &
                      nGC_142)*coupl(nGC_143) - Nc*coupl(nGC_148)*coupl(nGC_149&
                      ) + coupl(nGC_133)*coupl(nGC_135) + coupl(nGC_136)*coupl(&
                      nGC_138) + coupl(nGC_145)*coupl(nGC_147))/(24d0*pi**2d0)
    coupl(nGC_9425) = coupl(nGC_62)*(Nc*coupl(nGC_1168)*coupl(nGC_130) + Nc*   &
                      coupl(nGC_124)*coupl(nGC_1368) - Nc*coupl(nGC_127)*coupl(&
                      nGC_129) + Nc*coupl(nGC_139)*coupl(nGC_686) - Nc*coupl(  &
                      nGC_142)*coupl(nGC_144) - Nc*coupl(nGC_148)*coupl(nGC_150&
                      ) + coupl(nGC_1022)*coupl(nGC_133) + coupl(nGC_136)*coupl&
                      (nGC_724) + coupl(nGC_145)*coupl(nGC_2514))/(24d0*pi**2d0&
                      )
    coupl(nGC_9424) = coupl(nGC_145)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
    coupl(nGC_9351) = (Nc*cMB**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMB**2d0*cima* &
                      coupl(nGC_82)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_79)**2d0 &
                       + Nc*cMC**2d0*cima*coupl(nGC_83)**2d0 + Nc*cMD**2d0*cima&
                      *coupl(nGC_78)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_82)**2d0&
                       + Nc*cMS**2d0*cima*coupl(nGC_78)**2d0 + Nc*cMS**2d0*cima&
                      *coupl(nGC_82)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_79)**2d0&
                       + Nc*cMT**2d0*cima*coupl(nGC_83)**2d0 + Nc*cMU**2d0*cima&
                      *coupl(nGC_79)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_83)**2d0&
                       + cME**2d0*cima*coupl(nGC_80)**2d0 + cME**2d0*cima*coupl&
                      (nGC_85)**2d0 + cMM**2d0*cima*coupl(nGC_80)**2d0 + cMM** &
                      2d0*cima*coupl(nGC_85)**2d0 + cMTA**2d0*cima*coupl(nGC_80&
                      )**2d0 + cMTA**2d0*cima*coupl(nGC_85)**2d0 + cMW**2d0*   &
                      cima*coupl(nGC_64)**2d0 + cMW**2d0*cima*coupl(nGC_680)** &
                      2d0 - cMW**2d0*coupl(nGC_56))/(8d0*pi**2d0)
    coupl(nGC_9422) = coupl(nGC_133)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
    coupl(nGC_9421) = coupl(nGC_148)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_14849) = coupl(nGC_93)*dZH_QED2 + coupl(nGC_9632)
    coupl(nGC_15166) = -coupl(nGC_15163) - coupl(nGC_9675)
    coupl(nGC_15167) = coupl(nGC_15163) + coupl(nGC_9675)
    coupl(nGC_15089) = coupl(nGC_82)*dZZ_QED2/2d0 + coupl(nGC_82)*dZsL_QED2 +  &
                       coupl(nGC_9741)
    coupl(nGC_15088) = coupl(nGC_78)*dZZ_QED2/2d0 + coupl(nGC_78)*dZsR_QED2 +  &
                       coupl(nGC_9742)
  end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
