!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl12()
    coupl(nGC_9580) = cima*(10d0*Nc*coupl(nGC_1168)*coupl(nGC_130)**2d0*coupl( &
                      nGC_131) + 10d0*Nc*coupl(nGC_1168)*coupl(nGC_130)*coupl( &
                      nGC_148)*coupl(nGC_780) + 10d0*Nc*coupl(nGC_1168)*coupl( &
                      nGC_131)*coupl(nGC_148)**2d0 + 10d0*Nc*coupl(nGC_124)**  &
                      2d0*coupl(nGC_125)*coupl(nGC_1368) + 10d0*Nc*coupl(      &
                      nGC_124)**2d0*coupl(nGC_144)*coupl(nGC_656) + 10d0*Nc*   &
                      coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_142)*coupl(      &
                      nGC_144) + 10d0*Nc*coupl(nGC_124)*coupl(nGC_1368)*coupl( &
                      nGC_142)*coupl(nGC_656) + 10d0*Nc*coupl(nGC_125)*coupl(  &
                      nGC_1368)*coupl(nGC_142)**2d0 + 10d0*Nc*coupl(nGC_127)** &
                      2d0*coupl(nGC_129)*coupl(nGC_706) + 10d0*Nc*coupl(nGC_127&
                      )**2d0*coupl(nGC_140)*coupl(nGC_686) + 10d0*Nc*coupl(    &
                      nGC_127)*coupl(nGC_129)*coupl(nGC_139)*coupl(nGC_140) +  &
                      10d0*Nc*coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_686)*    &
                      coupl(nGC_706) + 10d0*Nc*coupl(nGC_129)*coupl(nGC_139)** &
                      2d0*coupl(nGC_706) + 10d0*Nc*coupl(nGC_130)**2d0*coupl(  &
                      nGC_150)*coupl(nGC_780) + 10d0*Nc*coupl(nGC_130)*coupl(  &
                      nGC_131)*coupl(nGC_148)*coupl(nGC_150) + 10d0*Nc*coupl(  &
                      nGC_139)**2d0*coupl(nGC_140)*coupl(nGC_686) + 10d0*Nc*   &
                      coupl(nGC_142)**2d0*coupl(nGC_144)*coupl(nGC_656) + 10d0*&
                      Nc*coupl(nGC_148)**2d0*coupl(nGC_150)*coupl(nGC_780) +   &
                      10d0*coupl(nGC_1022)*coupl(nGC_133)**2d0*coupl(nGC_134   &
                      ) + 12d0*coupl(nGC_13)*coupl(nGC_16) + 10d0*coupl(nGC_136&
                      )**2d0*coupl(nGC_137)*coupl(nGC_724) + 10d0*coupl(nGC_145&
                      )**2d0*coupl(nGC_146)*coupl(nGC_2514) + 6d0*coupl(nGC_47 &
                      )**2d0 + 12d0*coupl(nGC_68)*coupl(nGC_72) + 3d0*coupl(   &
                      nGC_95)*coupl(nGC_96))/(48d0*pi**2d0)
    coupl(nGC_9581) = cima*(5d0*Nc*coupl(nGC_124)**4d0 + 5d0*Nc*coupl(nGC_127  &
                      )**4d0 + 5d0*Nc*coupl(nGC_130)**4d0 + 5d0*Nc*coupl(      &
                      nGC_139)**4d0 + 5d0*Nc*coupl(nGC_142)**4d0 + 5d0*Nc*coupl&
                      (nGC_148)**4d0 + 3d0*coupl(nGC_10)**2d0 + 5d0*coupl(     &
                      nGC_133)**4d0 + 5d0*coupl(nGC_136)**4d0 + 5d0*coupl(     &
                      nGC_145)**4d0 + 6d0*coupl(nGC_47)**2d0 + 6d0*coupl(nGC_90&
                      )**2d0 + 3d0*coupl(nGC_95)**2d0)/(24d0*pi**2d0)
    coupl(nGC_9582) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_1168)*coupl(nGC_131)*   &
                      coupl(nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_1168)*    &
                      coupl(nGC_131)*coupl(nGC_82) - Nc*cima*coupl(nGC_1)*coupl&
                      (nGC_125)*coupl(nGC_1368)*coupl(nGC_78) - Nc*cima*coupl( &
                      nGC_1)*coupl(nGC_125)*coupl(nGC_1368)*coupl(nGC_82) - Nc*&
                      cima*coupl(nGC_1)*coupl(nGC_140)*coupl(nGC_686)*coupl(   &
                      nGC_78) - Nc*cima*coupl(nGC_1)*coupl(nGC_140)*coupl(     &
                      nGC_686)*coupl(nGC_82) - Nc*cima*coupl(nGC_129)*coupl(   &
                      nGC_2)*coupl(nGC_706)*coupl(nGC_79) - Nc*cima*coupl(     &
                      nGC_129)*coupl(nGC_2)*coupl(nGC_706)*coupl(nGC_83) - Nc* &
                      cima*coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_656)*coupl(   &
                      nGC_79) - Nc*cima*coupl(nGC_144)*coupl(nGC_2)*coupl(     &
                      nGC_656)*coupl(nGC_83) - Nc*cima*coupl(nGC_150)*coupl(   &
                      nGC_2)*coupl(nGC_780)*coupl(nGC_79) - Nc*cima*coupl(     &
                      nGC_150)*coupl(nGC_2)*coupl(nGC_780)*coupl(nGC_83) - cima&
                      *coupl(nGC_1022)*coupl(nGC_134)*coupl(nGC_4)*coupl(nGC_80&
                      ) - cima*coupl(nGC_1022)*coupl(nGC_134)*coupl(nGC_4)*    &
                      coupl(nGC_85) - cima*coupl(nGC_137)*coupl(nGC_4)*coupl(  &
                      nGC_724)*coupl(nGC_80) - cima*coupl(nGC_137)*coupl(nGC_4 &
                      )*coupl(nGC_724)*coupl(nGC_85) - cima*coupl(nGC_146)*    &
                      coupl(nGC_2514)*coupl(nGC_4)*coupl(nGC_80) - cima*coupl( &
                      nGC_146)*coupl(nGC_2514)*coupl(nGC_4)*coupl(nGC_85) +    &
                      cima*coupl(nGC_47)*coupl(nGC_77) + coupl(nGC_266)*coupl( &
                      nGC_47)*coupl(nGC_680) + coupl(nGC_3)*coupl(nGC_47)*coupl&
                      (nGC_64))/(8d0*pi**2d0)
    coupl(nGC_15086) = coupl(nGC_82)*dZsL_QCD2
    coupl(nGC_9584) = cima*(10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_126)**2d0 +  &
                      10d0*Nc*coupl(nGC_124)**2d0*coupl(nGC_143)**2d0 + 20d0*Nc&
                      *coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142)*coupl(     &
                      nGC_143) + 10d0*Nc*coupl(nGC_126)**2d0*coupl(nGC_142)**  &
                      2d0 + 10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_128)**2d0 +  &
                      10d0*Nc*coupl(nGC_127)**2d0*coupl(nGC_141)**2d0 + 20d0*Nc&
                      *coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_139)*coupl(     &
                      nGC_141) + 10d0*Nc*coupl(nGC_128)**2d0*coupl(nGC_139)**  &
                      2d0 + 10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_132)**2d0 +  &
                      10d0*Nc*coupl(nGC_130)**2d0*coupl(nGC_149)**2d0 + 20d0*Nc&
                      *coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148)*coupl(     &
                      nGC_149) + 10d0*Nc*coupl(nGC_132)**2d0*coupl(nGC_148)**  &
                      2d0 + 10d0*Nc*coupl(nGC_139)**2d0*coupl(nGC_141)**2d0 +  &
                      10d0*Nc*coupl(nGC_142)**2d0*coupl(nGC_143)**2d0 + 10d0*Nc&
                      *coupl(nGC_148)**2d0*coupl(nGC_149)**2d0 + 10d0*coupl(   &
                      nGC_133)**2d0*coupl(nGC_135)**2d0 + 10d0*coupl(nGC_136)**&
                      2d0*coupl(nGC_138)**2d0 + 12d0*coupl(nGC_14)**2d0 + 10d0*&
                      coupl(nGC_145)**2d0*coupl(nGC_147)**2d0 + 6d0*coupl(     &
                      nGC_47)**2d0 + 12d0*coupl(nGC_69)**2d0 + 3d0*coupl(nGC_95&
                      )*coupl(nGC_96))/(48d0*pi**2d0)
    coupl(nGC_15168) = -coupl(nGC_15162) - coupl(nGC_9676)
    coupl(nGC_9587) = (-4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)**2d0 +   &
                      5d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_78)*coupl(     &
                      nGC_83) - 4d0*Nc*cima*coupl(nGC_124)**2d0*coupl(nGC_83)**&
                      2d0 - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)**2d0 &
                       + 5d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_79)*coupl(  &
                      nGC_82) - 4d0*Nc*cima*coupl(nGC_127)**2d0*coupl(nGC_82)**&
                      2d0 - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_78)**2d0 &
                       + 5d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_78)*coupl(  &
                      nGC_83) - 4d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_83)**&
                      2d0 - 4d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_78)**2d0 &
                       + 5d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_78)*coupl(  &
                      nGC_83) - 4d0*Nc*cima*coupl(nGC_139)**2d0*coupl(nGC_83)**&
                      2d0 - 4d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_79)**2d0 &
                       + 5d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_79)*coupl(  &
                      nGC_82) - 4d0*Nc*cima*coupl(nGC_142)**2d0*coupl(nGC_82)**&
                      2d0 - 4d0*Nc*cima*coupl(nGC_148)**2d0*coupl(nGC_79)**2d0 &
                       + 5d0*Nc*cima*coupl(nGC_148)**2d0*coupl(nGC_79)*coupl(  &
                      nGC_82) - 4d0*Nc*cima*coupl(nGC_148)**2d0*coupl(nGC_82)**&
                      2d0 - 4d0*cima*coupl(nGC_133)**2d0*coupl(nGC_80)**2d0 +  &
                      5d0*cima*coupl(nGC_133)**2d0*coupl(nGC_80)*coupl(nGC_86  &
                      ) - 4d0*cima*coupl(nGC_133)**2d0*coupl(nGC_86)**2d0 - 4d0&
                      *cima*coupl(nGC_136)**2d0*coupl(nGC_80)**2d0 + 5d0*cima* &
                      coupl(nGC_136)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*   &
                      cima*coupl(nGC_136)**2d0*coupl(nGC_86)**2d0 - 4d0*cima*  &
                      coupl(nGC_145)**2d0*coupl(nGC_80)**2d0 + 5d0*cima*coupl( &
                      nGC_145)**2d0*coupl(nGC_80)*coupl(nGC_86) - 4d0*cima*    &
                      coupl(nGC_145)**2d0*coupl(nGC_86)**2d0 + 3d0*cima*coupl( &
                      nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_47)*coupl(nGC_64)**&
                      2d0 + 3d0*coupl(nGC_47)*coupl(nGC_680)**2d0)/(24d0*pi**  &
                      2d0)
    coupl(nGC_14697) = coupl(nGC_146)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_14691) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZtL_QED2 +  &
                       coupl(nGC_9740)
    coupl(nGC_14699) = coupl(nGC_14697) + coupl(nGC_9690)
    coupl(nGC_14698) = -coupl(nGC_14697) - coupl(nGC_9690)
    coupl(nGC_18890) = -coupl(nGC_17198)
    coupl(nGC_16365) = 3d0*coupl(nGC_18)*dZg_QCD2/2d0 + coupl(nGC_9658)
    coupl(nGC_9636) = coupl(nGC_9122)*dZee_QED2 + coupl(nGC_9123)*dsw_QED2 +   &
                      coupl(nGC_9124)*dcw_QED2
    coupl(nGC_17767) = coupl(nGC_9763) + coupl(nGC_MZ)*dZZ_QED2
    coupl(nGC_9634) = coupl(nGC_9234)*dZee_QED2 + coupl(nGC_9235)*dcw_QED2
    coupl(nGC_14605) = coupl(nGC_60)*dZH_QED2/2d0 + coupl(nGC_60)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_9711)
    coupl(nGC_14606) = -coupl(nGC_14605)
    coupl(nGC_9639) = coupl(nGC_9207)*dlam_QED4
    coupl(nGC_14169) = coupl(nGC_107)*dZH_QED2/2d0 + coupl(nGC_107)*           &
                       dZWMinus_QED2 + coupl(nGC_9719)
    coupl(nGC_15260) = coupl(nGC_61)*dZWMinus_QED2/2d0 + coupl(nGC_9710)
    coupl(nGC_9739) = coupl(nGC_9267)*dZee_QED2 + coupl(nGC_9268)*dsw_QED2 +   &
                      coupl(nGC_9269)*dcw_QED2
    coupl(nGC_9738) = coupl(nGC_9205)*dZee_QED2 + coupl(nGC_9206)*dsw_QED2
    coupl(nGC_9733) = coupl(nGC_9216)*dZee_QED2 + coupl(nGC_9217)*dsw_QED2 +   &
                      coupl(nGC_9218)*dcw_QED2
    coupl(nGC_9732) = coupl(nGC_9163)*dsw_QED2 + coupl(nGC_9164)*dZee_QED2 +   &
                      coupl(nGC_9165)*dcw_QED2 + coupl(nGC_9166)*dvev_QED1
    coupl(nGC_9731) = coupl(nGC_9086)*dZee_QED2 + coupl(nGC_9087)*dsw_QED2 +   &
                      coupl(nGC_9088)*dcw_QED2
    coupl(nGC_9737) = coupl(nGC_174)*dZgs_QCD2
    coupl(nGC_9736) = coupl(nGC_9316)*dZee_QED2
    coupl(nGC_14393) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
    coupl(nGC_17860) = coupl(nGC_5)*dZAZ_QED2/2d0 + coupl(nGC_66)*dZZ_QED2/2d0 &
                        + coupl(nGC_9656)
    coupl(nGC_14026) = coupl(nGC_76)*dZWMinus_QED2 + coupl(nGC_9718)
    coupl(nGC_14023) = coupl(nGC_13)*dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2&
                       /2d0 + coupl(nGC_68)*dZAZ_QED2/2d0 + coupl(nGC_9634)
    coupl(nGC_9462) = (-coupl(nGC_130)*coupl(nGC_131)*coupl(nGC_148) - coupl(  &
                      nGC_149)**2d0*coupl(nGC_150) - coupl(nGC_150)*coupl(     &
                      nGC_780)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_780) +   &
                      8d0*coupl(nGC_780)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi &
                      **2d0)
    coupl(nGC_9352) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_79)*coupl(nGC_83&
                      ))/(8d0*pi**2d0)
    coupl(nGC_14507) = coupl(nGC_125)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_14111) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_9645) = coupl(nGC_9200)*dZee_QED2 + coupl(nGC_9201)*dsw_QED2
    coupl(nGC_14114) = coupl(nGC_9764) + coupl(nGC_MW)*dZWMinus_QED2
    coupl(nGC_9642) = coupl(nGC_9307)*dZee_QED2 + coupl(nGC_9308)*dsw_QED2
    coupl(nGC_14508) = coupl(nGC_125)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_14230) = coupl(nGC_124)*dZbR_QCD2/2d0 + coupl(nGC_124)*dZtL_QCD2/&
                       2d0 + coupl(nGC_9669)
    coupl(nGC_14232) = coupl(nGC_124)*dZbR_QED2/2d0 + coupl(nGC_124)*dZtL_QED2/&
                       2d0 + coupl(nGC_9670)
    coupl(nGC_14236) = coupl(nGC_7)*dZAZ_QED2/2d0 + coupl(nGC_75)*dZWMinus_QED2&
                       /2d0 + coupl(nGC_75)*dZZ_QED2/2d0 + coupl(nGC_9707)
    coupl(nGC_9430) = (8d0*coupl(nGC_1)*coupl(nGC_127)*coupl(nGC_2) + 8d0*coupl&
                      (nGC_127)*coupl(nGC_79)*coupl(nGC_82) - coupl(nGC_128)*  &
                      coupl(nGC_139)*coupl(nGC_141) - coupl(nGC_139)*coupl(    &
                      nGC_686)*coupl(nGC_706))/(32d0*pi**2d0)
    coupl(nGC_14332) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZcL_QED2 +  &
                       coupl(nGC_9740)
    coupl(nGC_14333) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZcR_QED2 +  &
                       coupl(nGC_9739)
    coupl(nGC_14334) = coupl(nGC_14331) + coupl(nGC_14333)
    coupl(nGC_14335) = coupl(nGC_14331) + coupl(nGC_14332)
    coupl(nGC_9347) = cima*(Nc*coupl(nGC_1168)*coupl(nGC_131) + Nc*coupl(      &
                      nGC_125)*coupl(nGC_1368) + Nc*coupl(nGC_129)*coupl(      &
                      nGC_706) + Nc*coupl(nGC_140)*coupl(nGC_686) + Nc*coupl(  &
                      nGC_144)*coupl(nGC_656) + Nc*coupl(nGC_150)*coupl(nGC_780&
                      ) + coupl(nGC_1022)*coupl(nGC_134) + coupl(nGC_137)*coupl&
                      (nGC_724) + coupl(nGC_146)*coupl(nGC_2514))/(24d0*pi**2d0&
                      )
    coupl(nGC_9583) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(nGC_78  &
                      ) - Nc*cima*coupl(nGC_1)*coupl(nGC_126)**2d0*coupl(nGC_82&
                      ) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*coupl(nGC_78&
                      ) - Nc*cima*coupl(nGC_1)*coupl(nGC_132)**2d0*coupl(nGC_82&
                      ) - Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0*coupl(nGC_78&
                      ) - Nc*cima*coupl(nGC_1)*coupl(nGC_141)**2d0*coupl(nGC_82&
                      ) - Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_2)*coupl(nGC_79&
                      ) - Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_2)*coupl(nGC_83&
                      ) - Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_2)*coupl(nGC_79&
                      ) - Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_2)*coupl(nGC_83&
                      ) - Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_2)*coupl(nGC_79&
                      ) - Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_2)*coupl(nGC_83&
                      ) - cima*coupl(nGC_135)**2d0*coupl(nGC_4)*coupl(nGC_80   &
                      ) - cima*coupl(nGC_135)**2d0*coupl(nGC_4)*coupl(nGC_85   &
                      ) - cima*coupl(nGC_138)**2d0*coupl(nGC_4)*coupl(nGC_80   &
                      ) - cima*coupl(nGC_138)**2d0*coupl(nGC_4)*coupl(nGC_85   &
                      ) - cima*coupl(nGC_147)**2d0*coupl(nGC_4)*coupl(nGC_80   &
                      ) - cima*coupl(nGC_147)**2d0*coupl(nGC_4)*coupl(nGC_85   &
                      ) + cima*coupl(nGC_47)*coupl(nGC_77) + coupl(nGC_266)*   &
                      coupl(nGC_47)*coupl(nGC_680) + coupl(nGC_3)*coupl(nGC_47 &
                      )*coupl(nGC_64))/(8d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
