!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl13()
    coupl(nGC_14430) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZnu_eL_QED2 &
                        + coupl(nGC_9743)
    coupl(nGC_14007) = coupl(nGC_4)*dZtauMinusR_QED2 + coupl(nGC_80)*dZZA_QED2/&
                       2d0
    coupl(nGC_14803) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_83)*dZZA_QED2/2d0
    coupl(nGC_9461) = (-coupl(nGC_146)*coupl(nGC_147)**2d0 - coupl(nGC_146)*   &
                      coupl(nGC_2514)**2d0 + 8d0*coupl(nGC_2514)*coupl(nGC_4)**&
                      2d0 + 8d0*coupl(nGC_2514)*coupl(nGC_80)*coupl(nGC_85))/( &
                      32d0*pi**2d0)
    coupl(nGC_9460) = (-coupl(nGC_146)**2d0*coupl(nGC_2514) + 8d0*coupl(nGC_146&
                      )*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_146)*coupl(nGC_80)*  &
                      coupl(nGC_85) - coupl(nGC_147)**2d0*coupl(nGC_2514))/(   &
                      32d0*pi**2d0)
    coupl(nGC_9467) = 3d0*(4d0*Nc*cMB*coupl(nGC_126)**3d0 + 4d0*Nc*cMC*coupl(  &
                      nGC_128)**3d0 + 4d0*Nc*cMD*coupl(nGC_132)**3d0 + 4d0*Nc* &
                      cMS*coupl(nGC_141)**3d0 + 4d0*Nc*cMT*coupl(nGC_143)**3d0 &
                       + 4d0*Nc*cMU*coupl(nGC_149)**3d0 + 4d0*cME*coupl(nGC_135&
                      )**3d0 + 4d0*cMM*coupl(nGC_138)**3d0 + 4d0*cMTA*coupl(   &
                      nGC_147)**3d0 + 2d0*cima*coupl(nGC_107)*coupl(nGC_47) +  &
                      cima*coupl(nGC_123)*coupl(nGC_96))/(16d0*pi**2d0)
    coupl(nGC_9466) = (-2d0*Nc*cMB*coupl(nGC_126)*coupl(nGC_62)**2d0 - 2d0*Nc* &
                      cMC*coupl(nGC_128)*coupl(nGC_62)**2d0 - 2d0*Nc*cMD*coupl(&
                      nGC_132)*coupl(nGC_62)**2d0 - 2d0*Nc*cMS*coupl(nGC_141)* &
                      coupl(nGC_62)**2d0 - 2d0*Nc*cMT*coupl(nGC_143)*coupl(    &
                      nGC_62)**2d0 - 2d0*Nc*cMU*coupl(nGC_149)*coupl(nGC_62)** &
                      2d0 - 2d0*cME*coupl(nGC_135)*coupl(nGC_62)**2d0 - 2d0*cMM&
                      *coupl(nGC_138)*coupl(nGC_62)**2d0 - 2d0*cMTA*coupl(     &
                      nGC_147)*coupl(nGC_62)**2d0 + 2d0*cima*coupl(nGC_107)*   &
                      coupl(nGC_3084) + cima*coupl(nGC_123)*coupl(nGC_56) + 2d0&
                      *coupl(nGC_107)*coupl(nGC_266)*coupl(nGC_4) + 2d0*coupl( &
                      nGC_107)*coupl(nGC_63)*coupl(nGC_680) + 2d0*coupl(nGC_123&
                      )*coupl(nGC_356)*coupl(nGC_64))/(16d0*pi**2d0)
    coupl(nGC_14804) = coupl(nGC_14212) + coupl(nGC_14802)
    coupl(nGC_9464) = (-coupl(nGC_1168)*coupl(nGC_130)*coupl(nGC_148) - coupl( &
                      nGC_149)**2d0*coupl(nGC_780) - coupl(nGC_150)**2d0*coupl(&
                      nGC_780) + 8d0*coupl(nGC_150)*coupl(nGC_2)**2d0 + 8d0*   &
                      coupl(nGC_150)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0&
                      )
    coupl(nGC_9469) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)*  &
                      coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_125)**2d0*coupl&
                      (nGC_126) - coupl(nGC_126)**3d0 + 8d0*coupl(nGC_126)*    &
                      coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_9468) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_126) - coupl(nGC_124)*  &
                      coupl(nGC_142)*coupl(nGC_143) - coupl(nGC_126)**3d0 -    &
                      coupl(nGC_126)*coupl(nGC_1368)**2d0 + 8d0*coupl(nGC_126)*&
                      coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_9548) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_139 &
                      )**2d0 + coupl(nGC_140)*coupl(nGC_686) + coupl(nGC_141)**&
                      2d0 + 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0)
    coupl(nGC_9544) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_127&
                      )**2d0 - coupl(nGC_140)*coupl(nGC_686) - coupl(nGC_141)**&
                      2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_82)**2d0)/( &
                      64d0*pi**2d0*Nc)
    coupl(nGC_9545) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(nGC_139&
                      )**2d0 - coupl(nGC_140)*coupl(nGC_686) - coupl(nGC_141)**&
                      2d0 - 4d0*coupl(nGC_78)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9547) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_127 &
                      )**2d0 + coupl(nGC_140)*coupl(nGC_686) + coupl(nGC_141)**&
                      2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_82)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_9540) = -coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(       &
                      nGC_1168)*coupl(nGC_131) + coupl(nGC_132)**2d0 + coupl(  &
                      nGC_148)**2d0 + 4d0*coupl(nGC_62)**2d0 + 4d0*coupl(nGC_82&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_9458) = (-coupl(nGC_124)*coupl(nGC_1368)*coupl(nGC_142) - coupl( &
                      nGC_143)**2d0*coupl(nGC_656) - coupl(nGC_144)**2d0*coupl(&
                      nGC_656) + 8d0*coupl(nGC_144)*coupl(nGC_2)**2d0 + 8d0*   &
                      coupl(nGC_144)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0&
                      )
    coupl(nGC_9542) = -coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(      &
                      nGC_1168)*coupl(nGC_131) - coupl(nGC_132)**2d0 - coupl(  &
                      nGC_148)**2d0 - 4d0*coupl(nGC_62)**2d0 - 4d0*coupl(nGC_82&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_9459) = coupl(nGC_144)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9586) = (Nc*cima*coupl(nGC_1)*coupl(nGC_78)**3d0 + Nc*cima*coupl(&
                      nGC_1)*coupl(nGC_82)**3d0 + Nc*cima*coupl(nGC_2)*coupl(  &
                      nGC_79)**3d0 + Nc*cima*coupl(nGC_2)*coupl(nGC_83)**3d0 - &
                      2d0*cima*coupl(nGC_266)*coupl(nGC_680)**3d0 - 2d0*cima*  &
                      coupl(nGC_3)*coupl(nGC_64)**3d0 + cima*coupl(nGC_4)*coupl&
                      (nGC_80)**3d0 + cima*coupl(nGC_4)*coupl(nGC_85)**3d0 +   &
                      cima*coupl(nGC_56)*coupl(nGC_77) + coupl(nGC_266)*coupl( &
                      nGC_56)*coupl(nGC_680) + coupl(nGC_3)*coupl(nGC_56)*coupl&
                      (nGC_64) + coupl(nGC_64)**2d0*coupl(nGC_77) + coupl(     &
                      nGC_680)**2d0*coupl(nGC_77))/(8d0*pi**2d0)
    coupl(nGC_9516) = (coupl(nGC_1022)*coupl(nGC_134)*coupl(nGC_80) + coupl(   &
                      nGC_135)**2d0*coupl(nGC_80) + 4d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_85) - 2d0*coupl(nGC_62)**2d0*coupl(nGC_64) + 4d0*   &
                      coupl(nGC_62)**2d0*coupl(nGC_86) + 4d0*coupl(nGC_85)**3d0&
                      )/(32d0*pi**2d0)
    coupl(nGC_14526) = coupl(nGC_14005) + coupl(nGC_14523)
    coupl(nGC_9514) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_1168)*  &
                      coupl(nGC_131)*coupl(nGC_82) + coupl(nGC_130)**2d0*coupl(&
                      nGC_83) + coupl(nGC_132)**2d0*coupl(nGC_82) + 4d0*coupl( &
                      nGC_78)**3d0)/(32d0*pi**2d0)
    coupl(nGC_20467) = coupl(nGC_20463) + coupl(nGC_9755)
    coupl(nGC_9453) = coupl(nGC_19)**2d0*coupl(nGC_686)*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9519) = (coupl(nGC_133)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)** &
                      2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85  &
                      ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_20464) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_14729) = coupl(nGC_62)*dZWMinus_QED2/2d0 + coupl(nGC_62)*        &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_62)*dZnu_muL_QED2/2d0 + &
                       coupl(nGC_9738)
    coupl(nGC_9660) = coupl(nGC_9231)*dZgs_QCD2
    coupl(nGC_9456) = (-coupl(nGC_124)*coupl(nGC_125)*coupl(nGC_142) - coupl(  &
                      nGC_143)**2d0*coupl(nGC_144) - coupl(nGC_144)*coupl(     &
                      nGC_656)**2d0 + 8d0*coupl(nGC_2)**2d0*coupl(nGC_656) +   &
                      8d0*coupl(nGC_656)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi &
                      **2d0)
    coupl(nGC_9454) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_127)*  &
                      coupl(nGC_139)*coupl(nGC_706) - coupl(nGC_140)**2d0*coupl&
                      (nGC_686) + 8d0*coupl(nGC_140)*coupl(nGC_78)*coupl(nGC_82&
                      ) - coupl(nGC_141)**2d0*coupl(nGC_686))/(32d0*pi**2d0)
    coupl(nGC_17020) = coupl(nGC_17018) + coupl(nGC_9750)
    coupl(nGC_14785) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_85)*dZZA_QED2/2d0 &
                        + coupl(nGC_9655)
    coupl(nGC_14095) = coupl(nGC_14089) + coupl(nGC_9698)
    coupl(nGC_14094) = -coupl(nGC_14089) - coupl(nGC_9698)
    coupl(nGC_15869) = coupl(nGC_148)*dZdL_QED2/2d0 + coupl(nGC_148)*dZuR_QED2/&
                       2d0 + coupl(nGC_9662)
    coupl(nGC_15868) = coupl(nGC_130)*dZdR_QCD2/2d0 + coupl(nGC_130)*dZuL_QCD2/&
                       2d0 + coupl(nGC_9663)
    coupl(nGC_14093) = coupl(nGC_14088) + coupl(nGC_9699)
    coupl(nGC_14092) = -coupl(nGC_14088) - coupl(nGC_9699)
    coupl(nGC_14154) = coupl(nGC_6)*dZA_QED2/2d0 + coupl(nGC_65)*dZZA_QED2/2d0 &
                        + coupl(nGC_9654)
    coupl(nGC_9609) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1168)*coupl( &
                      nGC_131) + coupl(nGC_125)*coupl(nGC_1368) + coupl(nGC_129&
                      )*coupl(nGC_706) + coupl(nGC_140)*coupl(nGC_686) + coupl(&
                      nGC_144)*coupl(nGC_656) + coupl(nGC_150)*coupl(nGC_780   &
                      ))/(16d0*pi**2d0*Nc)
    coupl(nGC_9608) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1168)*coupl(&
                      nGC_131) - coupl(nGC_125)*coupl(nGC_1368) - coupl(nGC_129&
                      )*coupl(nGC_706) - coupl(nGC_140)*coupl(nGC_686) - coupl(&
                      nGC_144)*coupl(nGC_656) - coupl(nGC_150)*coupl(nGC_780   &
                      ))/(16d0*pi**2d0)
    coupl(nGC_13976) = coupl(nGC_77)*dZZA_QED2
    coupl(nGC_9607) = -cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_9606) = cima*coupl(nGC_19)**2d0*coupl(nGC_62)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_9605) = (-8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)**2d0 +   &
                      10d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_78)*coupl(    &
                      nGC_82) - 8d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_82)**&
                      2d0 - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79)**2d0 &
                       + 10d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_79)*coupl( &
                      nGC_83) - 8d0*Nc*cima*coupl(nGC_128)**2d0*coupl(nGC_83)**&
                      2d0 - 8d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_78)**2d0 &
                       + 10d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_78)*coupl( &
                      nGC_82) - 8d0*Nc*cima*coupl(nGC_132)**2d0*coupl(nGC_82)**&
                      2d0 - 8d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_78)**2d0 &
                       + 10d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_78)*coupl( &
                      nGC_82) - 8d0*Nc*cima*coupl(nGC_141)**2d0*coupl(nGC_82)**&
                      2d0 - 8d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_79)**2d0 &
                       + 10d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_79)*coupl( &
                      nGC_83) - 8d0*Nc*cima*coupl(nGC_143)**2d0*coupl(nGC_83)**&
                      2d0 - 8d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_79)**2d0 &
                       + 10d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_79)*coupl( &
                      nGC_83) - 8d0*Nc*cima*coupl(nGC_149)**2d0*coupl(nGC_83)**&
                      2d0 - 8d0*cima*coupl(nGC_135)**2d0*coupl(nGC_80)**2d0 +  &
                      10d0*cima*coupl(nGC_135)**2d0*coupl(nGC_80)*coupl(nGC_85 &
                      ) - 8d0*cima*coupl(nGC_135)**2d0*coupl(nGC_85)**2d0 - 8d0&
                      *cima*coupl(nGC_138)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*&
                      coupl(nGC_138)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*   &
                      cima*coupl(nGC_138)**2d0*coupl(nGC_85)**2d0 - 8d0*cima*  &
                      coupl(nGC_147)**2d0*coupl(nGC_80)**2d0 + 10d0*cima*coupl(&
                      nGC_147)**2d0*coupl(nGC_80)*coupl(nGC_85) - 8d0*cima*    &
                      coupl(nGC_147)**2d0*coupl(nGC_85)**2d0 + 3d0*cima*coupl( &
                      nGC_47)*coupl(nGC_56) + 3d0*coupl(nGC_47)*coupl(nGC_64)**&
                      2d0 + 3d0*coupl(nGC_47)*coupl(nGC_680)**2d0)/(24d0*pi**  &
                      2d0)
    coupl(nGC_16015) = coupl(nGC_16009) + coupl(nGC_9754)
    coupl(nGC_14372) = coupl(nGC_14371) + coupl(nGC_9704)
    coupl(nGC_14373) = coupl(nGC_143)*dZH_QED2/2d0 + coupl(nGC_9705)
    coupl(nGC_14071) = coupl(nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/ &
                       2d0 + coupl(nGC_75)*dZZA_QED2/2d0 + coupl(nGC_9706)
  end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
