!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl14()
    coupl(nGC_14075) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_69)*dZA_QED2/2d0&
                        + coupl(nGC_69)*dZH_QED2/2d0 + coupl(nGC_69)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_9708)
    coupl(nGC_22193) = -coupl(nGC_9408)
    coupl(nGC_9619) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl( &
                      nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(128d0*pi**2d0)
    coupl(nGC_14664) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_17456) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_17457) = -coupl(nGC_17456)
    coupl(nGC_14471) = coupl(nGC_6)*dZWMinus_QED2/2d0 + coupl(nGC_9654)
    coupl(nGC_14576) = coupl(nGC_135)*dZH_QED2/2d0 + coupl(nGC_9691)
    coupl(nGC_14577) = coupl(nGC_14575) + coupl(nGC_14576)
    coupl(nGC_9500) = coupl(nGC_62)*(-coupl(nGC_3)*coupl(nGC_4) - coupl(nGC_64 &
                      )*coupl(nGC_85) - coupl(nGC_680)*coupl(nGC_86) + 2d0*    &
                      coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
    coupl(nGC_9501) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(    &
                      nGC_1)*coupl(nGC_786) - coupl(nGC_2)*coupl(nGC_4) - coupl&
                      (nGC_356)*coupl(nGC_82) - coupl(nGC_63)*coupl(nGC_83) +  &
                      2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0)
    coupl(nGC_9502) = coupl(nGC_62)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(    &
                      nGC_1)*coupl(nGC_4) + coupl(nGC_2)*coupl(nGC_786) + coupl&
                      (nGC_356)*coupl(nGC_83) + coupl(nGC_63)*coupl(nGC_82) +  &
                      2d0*coupl(nGC_82)*coupl(nGC_83))/(16d0*pi**2d0)
    coupl(nGC_9503) = coupl(nGC_62)*(-coupl(nGC_356)*coupl(nGC_85) - coupl(    &
                      nGC_4)*coupl(nGC_786) - coupl(nGC_63)*coupl(nGC_86) + 2d0&
                      *coupl(nGC_85)*coupl(nGC_86))/(16d0*pi**2d0)
    coupl(nGC_9504) = coupl(nGC_62)*(coupl(nGC_356)*coupl(nGC_86) + coupl(nGC_4&
                      )**2d0 + coupl(nGC_63)*coupl(nGC_85) + 2d0*coupl(nGC_85)*&
                      coupl(nGC_86))/(16d0*pi**2d0)
    coupl(nGC_9505) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_82) + coupl(nGC_125)*   &
                      coupl(nGC_1368)*coupl(nGC_78) + coupl(nGC_126)**2d0*coupl&
                      (nGC_78) + coupl(nGC_142)**2d0*coupl(nGC_79) + 2d0*coupl(&
                      nGC_62)**2d0*coupl(nGC_680) + 4d0*coupl(nGC_62)**2d0*    &
                      coupl(nGC_83) + 4d0*coupl(nGC_82)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9506) = coupl(nGC_19)**2d0*coupl(nGC_82)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9611) = (-3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)**2d0 + 9d0&
                      *Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_82)*coupl(nGC_83   &
                      ) - 3d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_83)**2d0 -  &
                      4d0*cima*coupl(nGC_266)*coupl(nGC_4)*coupl(nGC_64)**2d0  &
                       + 3d0*cima*coupl(nGC_55)**2d0 + 3d0*cima*coupl(nGC_562  &
                      )**2d0 - 3d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)**2d0  &
                       + 9d0*cima*coupl(nGC_62)**2d0*coupl(nGC_85)*coupl(nGC_86&
                      ) - 3d0*cima*coupl(nGC_62)**2d0*coupl(nGC_86)**2d0 - 4d0*&
                      cima*coupl(nGC_63)*coupl(nGC_64)**2d0*coupl(nGC_680) +   &
                      3d0*coupl(nGC_266)*coupl(nGC_562)*coupl(nGC_64) + 3d0*   &
                      coupl(nGC_4)*coupl(nGC_562)*coupl(nGC_64) + 3d0*coupl(   &
                      nGC_55)*coupl(nGC_63)*coupl(nGC_64) + 3d0*coupl(nGC_55)* &
                      coupl(nGC_64)*coupl(nGC_680))/(24d0*pi**2d0)
    coupl(nGC_9509) = (coupl(nGC_128)**2d0*coupl(nGC_79) + coupl(nGC_129)*coupl&
                      (nGC_706)*coupl(nGC_79) + coupl(nGC_139)**2d0*coupl(     &
                      nGC_78) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*coupl&
                      (nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*    &
                      coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**2d0)
    coupl(nGC_15007) = coupl(nGC_80)*dZZ_QED2/2d0 + coupl(nGC_80)*             &
                       dZtauMinusR_QED2 + coupl(nGC_9744)
    coupl(nGC_15488) = coupl(nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2  &
                        + coupl(nGC_64)*dZZA_QED2/2d0 + coupl(nGC_9712)
    coupl(nGC_9614) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_126)**2d0 - &
                      coupl(nGC_128)**2d0 - coupl(nGC_132)**2d0 - coupl(nGC_141&
                      )**2d0 - coupl(nGC_143)**2d0 - coupl(nGC_149)**2d0)/(16d0&
                      *pi**2d0)
    coupl(nGC_15008) = coupl(nGC_14077) + coupl(nGC_15007)
    coupl(nGC_14279) = coupl(nGC_96)*dZZ_QED2 + coupl(nGC_9730)
    coupl(nGC_14276) = coupl(nGC_110)*dZA_QED2/2d0 + coupl(nGC_110)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_9709) + coupl(nGC_99)*    &
                       dZZA_QED2/2d0
    coupl(nGC_9354) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_62)**2d0 - coupl(   &
                      nGC_83)**2d0)/(16d0*pi**2d0)
    coupl(nGC_15182) = 2d0*coupl(nGC_21)*dZg_QCD2 + coupl(nGC_9659)
    coupl(nGC_15183) = -coupl(nGC_15182)
    coupl(nGC_14858) = coupl(nGC_83)*dZZ_QED2/2d0 + coupl(nGC_83)*dZuL_QED2 +  &
                       coupl(nGC_9740)
    coupl(nGC_14805) = coupl(nGC_14212) + coupl(nGC_14803)
    coupl(nGC_14857) = coupl(nGC_79)*dZZ_QED2/2d0 + coupl(nGC_79)*dZuR_QED2 +  &
                       coupl(nGC_9739)
    coupl(nGC_15178) = coupl(nGC_3)*dZAZ_QED2/2d0 + coupl(nGC_64)*dZWMinus_QED2&
                        + coupl(nGC_64)*dZZ_QED2/2d0 + coupl(nGC_9721)
    coupl(nGC_9348) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_125)*coupl(nGC_1368) -  &
                      4d0*Nc*cMC**2d0*cima*coupl(nGC_129)*coupl(nGC_706) - 4d0*&
                      Nc*cMD**2d0*cima*coupl(nGC_1168)*coupl(nGC_131) - 4d0*Nc*&
                      cMS**2d0*cima*coupl(nGC_140)*coupl(nGC_686) - 4d0*Nc*cMT &
                      **2d0*cima*coupl(nGC_144)*coupl(nGC_656) - 4d0*Nc*cMU**  &
                      2d0*cima*coupl(nGC_150)*coupl(nGC_780) - 4d0*cME**2d0*   &
                      cima*coupl(nGC_1022)*coupl(nGC_134) - 4d0*cMM**2d0*cima* &
                      coupl(nGC_137)*coupl(nGC_724) - 4d0*cMTA**2d0*cima*coupl(&
                      nGC_146)*coupl(nGC_2514) - 2d0*cMW**2d0*coupl(nGC_47) -  &
                      cMZ**2d0*coupl(nGC_96))/(16d0*pi**2d0)
    coupl(nGC_9349) = cima*(-3d0*Nc*coupl(nGC_78)**2d0 - 3d0*Nc*coupl(nGC_79)**&
                      2d0 - 3d0*Nc*coupl(nGC_82)**2d0 - 3d0*Nc*coupl(nGC_83)** &
                      2d0 - coupl(nGC_64)**2d0 - coupl(nGC_680)**2d0 - 3d0*    &
                      coupl(nGC_80)**2d0 - 3d0*coupl(nGC_85)**2d0 - 3d0*coupl( &
                      nGC_86)**2d0)/(48d0*pi**2d0)
    coupl(nGC_9439) = (Nc*coupl(nGC_1168)*coupl(nGC_132)*coupl(nGC_78) - Nc*   &
                      coupl(nGC_1168)*coupl(nGC_132)*coupl(nGC_82) - Nc*coupl( &
                      nGC_125)*coupl(nGC_126)*coupl(nGC_78) + Nc*coupl(nGC_125 &
                      )*coupl(nGC_126)*coupl(nGC_82) + Nc*coupl(nGC_126)*coupl(&
                      nGC_1368)*coupl(nGC_78) - Nc*coupl(nGC_126)*coupl(       &
                      nGC_1368)*coupl(nGC_82) - Nc*coupl(nGC_128)*coupl(nGC_129&
                      )*coupl(nGC_79) + Nc*coupl(nGC_128)*coupl(nGC_129)*coupl(&
                      nGC_83) + Nc*coupl(nGC_128)*coupl(nGC_706)*coupl(nGC_79  &
                      ) - Nc*coupl(nGC_128)*coupl(nGC_706)*coupl(nGC_83) - Nc* &
                      coupl(nGC_131)*coupl(nGC_132)*coupl(nGC_78) + Nc*coupl(  &
                      nGC_131)*coupl(nGC_132)*coupl(nGC_82) - Nc*coupl(nGC_140 &
                      )*coupl(nGC_141)*coupl(nGC_78) + Nc*coupl(nGC_140)*coupl(&
                      nGC_141)*coupl(nGC_82) + Nc*coupl(nGC_141)*coupl(nGC_686 &
                      )*coupl(nGC_78) - Nc*coupl(nGC_141)*coupl(nGC_686)*coupl(&
                      nGC_82) - Nc*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_79  &
                      ) + Nc*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_83) + Nc* &
                      coupl(nGC_143)*coupl(nGC_656)*coupl(nGC_79) - Nc*coupl(  &
                      nGC_143)*coupl(nGC_656)*coupl(nGC_83) - Nc*coupl(nGC_149 &
                      )*coupl(nGC_150)*coupl(nGC_79) + Nc*coupl(nGC_149)*coupl(&
                      nGC_150)*coupl(nGC_83) + Nc*coupl(nGC_149)*coupl(nGC_780 &
                      )*coupl(nGC_79) - Nc*coupl(nGC_149)*coupl(nGC_780)*coupl(&
                      nGC_83) + coupl(nGC_1022)*coupl(nGC_135)*coupl(nGC_80) - &
                      coupl(nGC_1022)*coupl(nGC_135)*coupl(nGC_85) - coupl(    &
                      nGC_134)*coupl(nGC_135)*coupl(nGC_80) + coupl(nGC_134)*  &
                      coupl(nGC_135)*coupl(nGC_85) - coupl(nGC_137)*coupl(     &
                      nGC_138)*coupl(nGC_80) + coupl(nGC_137)*coupl(nGC_138)*  &
                      coupl(nGC_85) + coupl(nGC_138)*coupl(nGC_724)*coupl(     &
                      nGC_80) - coupl(nGC_138)*coupl(nGC_724)*coupl(nGC_85) -  &
                      coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_80) + coupl(     &
                      nGC_146)*coupl(nGC_147)*coupl(nGC_85) + coupl(nGC_147)*  &
                      coupl(nGC_2514)*coupl(nGC_80) - coupl(nGC_147)*coupl(    &
                      nGC_2514)*coupl(nGC_85))/(24d0*pi**2d0)
    coupl(nGC_9434) = (2d0*Nc*cMB*coupl(nGC_125)**2d0*coupl(nGC_126) + 8d0*Nc* &
                      cMB*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_1368) + 2d0* &
                      Nc*cMB*coupl(nGC_126)*coupl(nGC_1368)**2d0 + 2d0*Nc*cMC* &
                      coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_128)*coupl(nGC_129)*coupl(nGC_706) + 2d0*Nc*cMC*coupl&
                      (nGC_128)*coupl(nGC_706)**2d0 + 2d0*Nc*cMD*coupl(nGC_1168&
                      )**2d0*coupl(nGC_132) + 8d0*Nc*cMD*coupl(nGC_1168)*coupl(&
                      nGC_131)*coupl(nGC_132) + 2d0*Nc*cMD*coupl(nGC_131)**2d0*&
                      coupl(nGC_132) + 2d0*Nc*cMS*coupl(nGC_140)**2d0*coupl(   &
                      nGC_141) + 8d0*Nc*cMS*coupl(nGC_140)*coupl(nGC_141)*coupl&
                      (nGC_686) + 2d0*Nc*cMS*coupl(nGC_141)*coupl(nGC_686)**2d0&
                       + 2d0*Nc*cMT*coupl(nGC_143)*coupl(nGC_144)**2d0 + 8d0*Nc&
                      *cMT*coupl(nGC_143)*coupl(nGC_144)*coupl(nGC_656) + 2d0* &
                      Nc*cMT*coupl(nGC_143)*coupl(nGC_656)**2d0 + 2d0*Nc*cMU*  &
                      coupl(nGC_149)*coupl(nGC_150)**2d0 + 8d0*Nc*cMU*coupl(   &
                      nGC_149)*coupl(nGC_150)*coupl(nGC_780) + 2d0*Nc*cMU*coupl&
                      (nGC_149)*coupl(nGC_780)**2d0 + 2d0*cME*coupl(nGC_1022)**&
                      2d0*coupl(nGC_135) + 8d0*cME*coupl(nGC_1022)*coupl(      &
                      nGC_134)*coupl(nGC_135) + 2d0*cME*coupl(nGC_134)**2d0*   &
                      coupl(nGC_135) + 2d0*cMM*coupl(nGC_137)**2d0*coupl(      &
                      nGC_138) + 8d0*cMM*coupl(nGC_137)*coupl(nGC_138)*coupl(  &
                      nGC_724) + 2d0*cMM*coupl(nGC_138)*coupl(nGC_724)**2d0 +  &
                      2d0*cMTA*coupl(nGC_146)**2d0*coupl(nGC_147) + 8d0*cMTA*  &
                      coupl(nGC_146)*coupl(nGC_147)*coupl(nGC_2514) + 2d0*cMTA*&
                      coupl(nGC_147)*coupl(nGC_2514)**2d0 + 2d0*cima*coupl(    &
                      nGC_107)*coupl(nGC_47) + cima*coupl(nGC_123)*coupl(nGC_96&
                      ))/(16d0*pi**2d0)
    coupl(nGC_9435) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1368) - coupl(nGC_124)* &
                      coupl(nGC_142)*coupl(nGC_144) - coupl(nGC_125)*coupl(    &
                      nGC_126)**2d0 - coupl(nGC_125)*coupl(nGC_1368)**2d0 + 8d0&
                      *coupl(nGC_1368)*coupl(nGC_78)*coupl(nGC_82))/(32d0*pi** &
                      2d0)
    coupl(nGC_9436) = coupl(nGC_1368)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -   &
                      1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_9437) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_125) - coupl(nGC_124)*  &
                      coupl(nGC_142)*coupl(nGC_656) - coupl(nGC_125)**2d0*coupl&
                      (nGC_1368) + 8d0*coupl(nGC_125)*coupl(nGC_78)*coupl(     &
                      nGC_82) - coupl(nGC_126)**2d0*coupl(nGC_1368))/(32d0*pi**&
                      2d0)
    coupl(nGC_9346) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + Nc*cMB**  &
                      2d0*cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMC**2d0*cima*  &
                      coupl(nGC_2)*coupl(nGC_79) + Nc*cMC**2d0*cima*coupl(nGC_2&
                      )*coupl(nGC_83) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(   &
                      nGC_78) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(nGC_82) +  &
                      Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_78) + Nc*cMS**2d0&
                      *cima*coupl(nGC_1)*coupl(nGC_82) + Nc*cMT**2d0*cima*coupl&
                      (nGC_2)*coupl(nGC_79) + Nc*cMT**2d0*cima*coupl(nGC_2)*   &
                      coupl(nGC_83) + Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(     &
                      nGC_79) + Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_83) +  &
                      cME**2d0*cima*coupl(nGC_4)*coupl(nGC_80) + cME**2d0*cima*&
                      coupl(nGC_4)*coupl(nGC_85) + cMM**2d0*cima*coupl(nGC_4)* &
                      coupl(nGC_80) + cMM**2d0*cima*coupl(nGC_4)*coupl(nGC_85  &
                      ) + cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_80) + cMTA**2d0&
                      *cima*coupl(nGC_4)*coupl(nGC_85) + cMW**2d0*cima*coupl(  &
                      nGC_266)*coupl(nGC_680) + cMW**2d0*cima*coupl(nGC_3)*    &
                      coupl(nGC_64) - cMW**2d0*coupl(nGC_77))/(8d0*pi**2d0)
    coupl(nGC_9431) = (8d0*coupl(nGC_1)*coupl(nGC_139)*coupl(nGC_2) - coupl(   &
                      nGC_127)*coupl(nGC_128)*coupl(nGC_141) - coupl(nGC_127)* &
                      coupl(nGC_129)*coupl(nGC_140) + 8d0*coupl(nGC_139)*coupl(&
                      nGC_78)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_9344) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_78) - 3d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_82) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_79  &
                      ) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_83) - coupl(nGC_266)*  &
                      coupl(nGC_680) - coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl( &
                      nGC_4)*coupl(nGC_80) - 3d0*coupl(nGC_4)*coupl(nGC_85))/( &
                      48d0*pi**2d0)
    coupl(nGC_9345) = cima*(coupl(nGC_266)*coupl(nGC_680) + coupl(nGC_3)*coupl(&
                      nGC_64))/(48d0*pi**2d0)
    coupl(nGC_16014) = coupl(nGC_16008) + coupl(nGC_9753)
    coupl(nGC_9487) = (-coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) - coupl(  &
                      nGC_143)**3d0 + 8d0*coupl(nGC_143)*coupl(nGC_2)**2d0 -   &
                      coupl(nGC_143)*coupl(nGC_656)**2d0 + 8d0*coupl(nGC_143)* &
                      coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_21472) = -coupl(nGC_9439)
    coupl(nGC_14299) = coupl(nGC_16)*dZZA_QED2/2d0 + coupl(nGC_72)*dZA_QED2/2d0&
                        + coupl(nGC_72)*dZWMinus_QED2/2d0 + coupl(nGC_9642)
    coupl(nGC_14580) = coupl(nGC_86)*dZZ_QED2/2d0 + coupl(nGC_86)*dZnu_muL_QED2&
                        + coupl(nGC_9743)
    coupl(nGC_18196) = coupl(nGC_9767) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_9334) = cima*(-3d0*Nc*coupl(nGC_62)**2d0 - coupl(nGC_266)*coupl( &
                      nGC_4) - coupl(nGC_3)*coupl(nGC_786) - coupl(nGC_356)*   &
                      coupl(nGC_64) - 3d0*coupl(nGC_62)**2d0 - coupl(nGC_63)*  &
                      coupl(nGC_680))/(48d0*pi**2d0)
    coupl(nGC_14614) = coupl(nGC_57)*dZWMinus_QED2 + coupl(nGC_9717)
  end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
