!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl5()
    coupl(nGC_9332) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_62)**2d0 - coupl(   &
                      nGC_82)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9331) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_9330) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_14037) = coupl(nGC_46)*dZH_QED2 + coupl(nGC_9641)
    coupl(nGC_14032) = coupl(nGC_77)*dZA_QED2/2d0 + coupl(nGC_77)*dZWMinus_QED2&
                        + coupl(nGC_77)*dZZ_QED2/2d0 + coupl(nGC_9729)
    coupl(nGC_14031) = coupl(nGC_56)*dZZA_QED2/2d0
    coupl(nGC_14030) = coupl(nGC_55)*dZZA_QED2/2d0
    coupl(nGC_15524) = coupl(nGC_126)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_15523) = coupl(nGC_126)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_14559) = coupl(nGC_13)*dZZA_QED2/2d0 + coupl(nGC_68)*dZA_QED2/2d0&
                        + coupl(nGC_68)*dZWMinus_QED2/2d0 + coupl(nGC_9643)
    coupl(nGC_9654) = coupl(nGC_9252)*dZee_QED2
    coupl(nGC_9655) = coupl(nGC_9243)*dZee_QED2
    coupl(nGC_9656) = coupl(nGC_9202)*dZee_QED2 + coupl(nGC_9203)*dsw_QED2 +   &
                      coupl(nGC_9204)*dcw_QED2
    coupl(nGC_9657) = coupl(nGC_9167)*dZee_QED2 + coupl(nGC_9168)*dsw_QED2 +   &
                      coupl(nGC_9169)*dcw_QED2
    coupl(nGC_9650) = coupl(nGC_9110)*dsw_QED2 + coupl(nGC_9111)*dZee_QED2 +   &
                      coupl(nGC_9112)*dvev_QED1
    coupl(nGC_9651) = coupl(nGC_9130)*dsw_QED2 + coupl(nGC_9131)*dZee_QED2 +   &
                      coupl(nGC_9132)*dvev_QED1
    coupl(nGC_9652) = coupl(nGC_9232)*dZee_QED2
    coupl(nGC_9653) = coupl(nGC_9251)*dZee_QED2
    coupl(nGC_15450) = coupl(nGC_128)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_15451) = coupl(nGC_15450) + coupl(nGC_9702)
    coupl(nGC_9658) = coupl(nGC_9233)*dZgs_QCD2
    coupl(nGC_9659) = coupl(nGC_9257)*dZgs_QCD2
    coupl(nGC_14244) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_9652)
    coupl(nGC_14321) = coupl(nGC_134)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_14327) = coupl(nGC_83)*dZcL_QCD2
    coupl(nGC_14408) = coupl(nGC_19)*dZbR_QCD2
    coupl(nGC_14409) = coupl(nGC_19)*dZbL_QED2
    coupl(nGC_16817) = coupl(nGC_9766) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_14407) = coupl(nGC_19)*dZbR_QED2
    coupl(nGC_20462) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_9413) = coupl(nGC_142)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9356) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(nGC_82&
                      ))/(8d0*pi**2d0)
    coupl(nGC_9423) = coupl(nGC_136)*coupl(nGC_80)*coupl(nGC_86)/(4d0*pi**2d0)
    coupl(nGC_9470) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9472) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl(  &
                      nGC_128)**3d0 + 8d0*coupl(nGC_128)*coupl(nGC_2)**2d0 -   &
                      coupl(nGC_128)*coupl(nGC_706)**2d0 + 8d0*coupl(nGC_128)* &
                      coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_9473) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_141) - coupl(  &
                      nGC_128)**3d0 - coupl(nGC_128)*coupl(nGC_129)**2d0 + 8d0*&
                      coupl(nGC_128)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_128)*   &
                      coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_9474) = coupl(nGC_128)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9475) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_1168)**&
                      2d0*coupl(nGC_132) - coupl(nGC_130)*coupl(nGC_148)*coupl(&
                      nGC_149) - coupl(nGC_132)**3d0 + 8d0*coupl(nGC_132)*coupl&
                      (nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_9476) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_132) - coupl(nGC_130)*  &
                      coupl(nGC_148)*coupl(nGC_149) - coupl(nGC_131)**2d0*coupl&
                      (nGC_132) - coupl(nGC_132)**3d0 + 8d0*coupl(nGC_132)*    &
                      coupl(nGC_78)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_9477) = coupl(nGC_132)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9478) = coupl(nGC_135)*(-coupl(nGC_134)**2d0 - coupl(nGC_135)**  &
                      2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(   &
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_9479) = coupl(nGC_135)*(-coupl(nGC_1022)**2d0 - coupl(nGC_135)** &
                      2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(   &
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_9420) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl(   &
                      nGC_130)*coupl(nGC_131)*coupl(nGC_150) - coupl(nGC_130)* &
                      coupl(nGC_132)*coupl(nGC_149) + 8d0*coupl(nGC_148)*coupl(&
                      nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_14818) = coupl(nGC_62)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_9589) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_124)**2d0 - &
                      coupl(nGC_127)**2d0 - coupl(nGC_130)**2d0 - coupl(nGC_139&
                      )**2d0 - coupl(nGC_142)**2d0 - coupl(nGC_148)**2d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_9575) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_9574) = (2d0*Nc*cima*coupl(nGC_1)**4d0 + 2d0*Nc*cima*coupl(nGC_2 &
                      )**4d0 - 2d0*cima*coupl(nGC_266)**4d0 - 2d0*cima*coupl(  &
                      nGC_3)**4d0 + 2d0*cima*coupl(nGC_4)**4d0 + cima*coupl(   &
                      nGC_9)**2d0 + 2d0*coupl(nGC_266)**2d0*coupl(nGC_9) + 2d0*&
                      coupl(nGC_3)**2d0*coupl(nGC_9))/(8d0*pi**2d0)
    coupl(nGC_9576) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_16725) = coupl(nGC_138)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_18392) = 3d0*coupl(nGC_102)*dZH_QED2/2d0 + coupl(nGC_9649) +     &
                       coupl(nGC_HHH)
  end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
