!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl7()
    coupl(nGC_16009) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_9433) = (8d0*coupl(nGC_1)*coupl(nGC_148)*coupl(nGC_2) - coupl(   &
                      nGC_1168)*coupl(nGC_130)*coupl(nGC_780) - coupl(nGC_130)*&
                      coupl(nGC_132)*coupl(nGC_149) + 8d0*coupl(nGC_148)*coupl(&
                      nGC_79)*coupl(nGC_82))/(32d0*pi**2d0)
    coupl(nGC_14827) = coupl(nGC_136)*dZmuMinusR_QED2/2d0 + coupl(nGC_136)*    &
                       dZnu_muL_QED2/2d0 + coupl(nGC_9686)
    coupl(nGC_9408) = (Nc*coupl(nGC_124)**2d0*coupl(nGC_78) - Nc*coupl(nGC_124 &
                      )**2d0*coupl(nGC_83) - Nc*coupl(nGC_127)**2d0*coupl(     &
                      nGC_79) + Nc*coupl(nGC_127)**2d0*coupl(nGC_82) + Nc*coupl&
                      (nGC_130)**2d0*coupl(nGC_78) - Nc*coupl(nGC_130)**2d0*   &
                      coupl(nGC_83) + Nc*coupl(nGC_139)**2d0*coupl(nGC_78) - Nc&
                      *coupl(nGC_139)**2d0*coupl(nGC_83) - Nc*coupl(nGC_142)** &
                      2d0*coupl(nGC_79) + Nc*coupl(nGC_142)**2d0*coupl(nGC_82  &
                      ) - Nc*coupl(nGC_148)**2d0*coupl(nGC_79) + Nc*coupl(     &
                      nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_133)**2d0*coupl( &
                      nGC_80) - coupl(nGC_133)**2d0*coupl(nGC_86) + coupl(     &
                      nGC_136)**2d0*coupl(nGC_80) - coupl(nGC_136)**2d0*coupl( &
                      nGC_86) + coupl(nGC_145)**2d0*coupl(nGC_80) - coupl(     &
                      nGC_145)**2d0*coupl(nGC_86))/(24d0*pi**2d0)
    coupl(nGC_9600) = cima*(20d0*Nc*coupl(nGC_126)**4d0 + 20d0*Nc*coupl(nGC_128&
                      )**4d0 + 20d0*Nc*coupl(nGC_132)**4d0 + 20d0*Nc*coupl(    &
                      nGC_141)**4d0 + 20d0*Nc*coupl(nGC_143)**4d0 + 20d0*Nc*   &
                      coupl(nGC_149)**4d0 + 20d0*coupl(nGC_135)**4d0 + 20d0*   &
                      coupl(nGC_138)**4d0 + 20d0*coupl(nGC_147)**4d0 + 6d0*    &
                      coupl(nGC_47)**2d0 + 3d0*coupl(nGC_96)**2d0)/(16d0*pi**  &
                      2d0)
    coupl(nGC_17764) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_9400) = (coupl(nGC_1)*coupl(nGC_142)**2d0 + coupl(nGC_143)**2d0* &
                      coupl(nGC_2) + coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_656 &
                      ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_79&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_9403) = (coupl(nGC_1)*coupl(nGC_130)**2d0 + 4d0*coupl(nGC_1)*    &
                      coupl(nGC_62)**2d0 + coupl(nGC_149)**2d0*coupl(nGC_2) +  &
                      coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_780) + 4d0*coupl(  &
                      nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0* &
                      coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_9405) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_126) + Nc*   &
                      coupl(nGC_127)*coupl(nGC_128) - Nc*coupl(nGC_130)*coupl( &
                      nGC_132) - Nc*coupl(nGC_139)*coupl(nGC_141) + Nc*coupl(  &
                      nGC_142)*coupl(nGC_143) + Nc*coupl(nGC_148)*coupl(nGC_149&
                      ) - coupl(nGC_133)*coupl(nGC_135) - coupl(nGC_136)*coupl(&
                      nGC_138) - coupl(nGC_145)*coupl(nGC_147))/(24d0*pi**2d0)
    coupl(nGC_9404) = (coupl(nGC_1)*coupl(nGC_148)**2d0 + coupl(nGC_149)**2d0* &
                      coupl(nGC_2) + coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_780 &
                      ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_79&
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_9407) = (2d0*Nc*cMB*coupl(nGC_124)**2d0*coupl(nGC_126) + 2d0*Nc* &
                      cMB*coupl(nGC_124)*coupl(nGC_142)*coupl(nGC_143) + 2d0*Nc&
                      *cMB*coupl(nGC_126)*coupl(nGC_142)**2d0 + 2d0*Nc*cMC*    &
                      coupl(nGC_127)**2d0*coupl(nGC_128) + 2d0*Nc*cMC*coupl(   &
                      nGC_127)*coupl(nGC_139)*coupl(nGC_141) + 2d0*Nc*cMC*coupl&
                      (nGC_128)*coupl(nGC_139)**2d0 + 2d0*Nc*cMD*coupl(nGC_130 &
                      )**2d0*coupl(nGC_132) + 2d0*Nc*cMD*coupl(nGC_130)*coupl( &
                      nGC_148)*coupl(nGC_149) + 2d0*Nc*cMD*coupl(nGC_132)*coupl&
                      (nGC_148)**2d0 + 2d0*Nc*cMS*coupl(nGC_127)**2d0*coupl(   &
                      nGC_141) + 2d0*Nc*cMS*coupl(nGC_127)*coupl(nGC_128)*coupl&
                      (nGC_139) + 2d0*Nc*cMS*coupl(nGC_139)**2d0*coupl(nGC_141 &
                      ) + 2d0*Nc*cMT*coupl(nGC_124)**2d0*coupl(nGC_143) + 2d0* &
                      Nc*cMT*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_142) + 2d0&
                      *Nc*cMT*coupl(nGC_142)**2d0*coupl(nGC_143) + 2d0*Nc*cMU* &
                      coupl(nGC_130)**2d0*coupl(nGC_149) + 2d0*Nc*cMU*coupl(   &
                      nGC_130)*coupl(nGC_132)*coupl(nGC_148) + 2d0*Nc*cMU*coupl&
                      (nGC_148)**2d0*coupl(nGC_149) + 2d0*cME*coupl(nGC_133)** &
                      2d0*coupl(nGC_135) + 2d0*cMM*coupl(nGC_136)**2d0*coupl(  &
                      nGC_138) + 2d0*cMTA*coupl(nGC_145)**2d0*coupl(nGC_147) + &
                      2d0*cima*coupl(nGC_107)*coupl(nGC_47) + 4d0*cima*coupl(  &
                      nGC_110)*coupl(nGC_69) + cima*coupl(nGC_123)*coupl(nGC_95&
                      ) + 4d0*cima*coupl(nGC_14)*coupl(nGC_99))/(16d0*pi**2d0)
    coupl(nGC_9406) = coupl(nGC_62)*(-Nc*coupl(nGC_124)*coupl(nGC_125) + Nc*   &
                      coupl(nGC_127)*coupl(nGC_706) - Nc*coupl(nGC_130)*coupl( &
                      nGC_131) - Nc*coupl(nGC_139)*coupl(nGC_140) + Nc*coupl(  &
                      nGC_142)*coupl(nGC_656) + Nc*coupl(nGC_148)*coupl(nGC_780&
                      ) - coupl(nGC_133)*coupl(nGC_134) - coupl(nGC_136)*coupl(&
                      nGC_137) - coupl(nGC_145)*coupl(nGC_146))/(24d0*pi**2d0)
    coupl(nGC_15063) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_15062) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_15066) = coupl(nGC_15063) + coupl(nGC_9749)
    coupl(nGC_15065) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_15069) = coupl(nGC_106)*dZH_QED2/2d0 + coupl(nGC_9650)
    coupl(nGC_9638) = coupl(nGC_9253)*dlam_QED4
    coupl(nGC_9391) = (coupl(nGC_1022)*coupl(nGC_134)*coupl(nGC_4) + coupl(    &
                      nGC_135)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(     &
                      nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)* &
                      coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_9390) = coupl(nGC_4)*(coupl(nGC_1022)*coupl(nGC_134) + coupl(    &
                      nGC_135)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80 &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_9393) = (coupl(nGC_137)*coupl(nGC_4)*coupl(nGC_724) + coupl(     &
                      nGC_138)**2d0*coupl(nGC_4) - 2d0*coupl(nGC_3)*coupl(     &
                      nGC_62)**2d0 + 4d0*coupl(nGC_4)**3d0 + 4d0*coupl(nGC_4)* &
                      coupl(nGC_85)**2d0)/(32d0*pi**2d0)
    coupl(nGC_9392) = coupl(nGC_4)*(coupl(nGC_137)*coupl(nGC_724) + coupl(     &
                      nGC_138)**2d0 + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_80 &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_9394) = (coupl(nGC_133)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*    &
                      coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_9397) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*    &
                      coupl(nGC_686) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0* &
                      coupl(nGC_1)*coupl(nGC_82)**2d0 + coupl(nGC_127)**2d0*   &
                      coupl(nGC_2) + 4d0*coupl(nGC_2)*coupl(nGC_62)**2d0 + 2d0*&
                      coupl(nGC_266)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_9396) = (coupl(nGC_145)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*    &
                      coupl(nGC_62)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_62)**2d0 &
                      )/(32d0*pi**2d0)
    coupl(nGC_9399) = (coupl(nGC_1)*coupl(nGC_124)**2d0 + 4d0*coupl(nGC_1)*    &
                      coupl(nGC_62)**2d0 + coupl(nGC_143)**2d0*coupl(nGC_2) +  &
                      coupl(nGC_144)*coupl(nGC_2)*coupl(nGC_656) + 4d0*coupl(  &
                      nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_83)**2d0 + 2d0* &
                      coupl(nGC_3)*coupl(nGC_62)**2d0)/(32d0*pi**2d0)
    coupl(nGC_9398) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_140)*    &
                      coupl(nGC_686) + coupl(nGC_1)*coupl(nGC_141)**2d0 + 4d0* &
                      coupl(nGC_1)*coupl(nGC_78)**2d0 + coupl(nGC_139)**2d0*   &
                      coupl(nGC_2))/(32d0*pi**2d0)
    coupl(nGC_15687) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_78)*dZZA_QED2/2d0
    coupl(nGC_15686) = coupl(nGC_1)*dZsL_QED2 + coupl(nGC_82)*dZZA_QED2/2d0
    coupl(nGC_9715) = coupl(nGC_9133)*dZee_QED2 + coupl(nGC_9134)*dsw_QED2
    coupl(nGC_9717) = coupl(nGC_9237)*dZee_QED2 + coupl(nGC_9238)*dsw_QED2 +   &
                      coupl(nGC_9239)*dcw_QED2
    coupl(nGC_9716) = coupl(nGC_9157)*dZee_QED2 + coupl(nGC_9158)*dsw_QED2
    coupl(nGC_9711) = coupl(nGC_9219)*dZee_QED2 + coupl(nGC_9220)*dsw_QED2
    coupl(nGC_9710) = coupl(nGC_9224)*dZee_QED2 + coupl(nGC_9225)*dsw_QED2
    coupl(nGC_9713) = coupl(nGC_9073)*dZee_QED2 + coupl(nGC_9074)*dsw_QED2
    coupl(nGC_9712) = coupl(nGC_9244)*dZee_QED2
    coupl(nGC_14743) = coupl(nGC_82)*dZbL_QCD2
    coupl(nGC_14629) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_9719) = coupl(nGC_9119)*dsw_QED2 + coupl(nGC_9120)*dZee_QED2 +   &
                      coupl(nGC_9121)*dvev_QED1
    coupl(nGC_9718) = coupl(nGC_9270)*dZee_QED2 + coupl(nGC_9271)*dsw_QED2 +   &
                      coupl(nGC_9272)*dcw_QED2
    coupl(nGC_14747) = coupl(nGC_78)*dZbR_QCD2
    coupl(nGC_9329) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_78)*coupl(nGC_82&
                      ))/(8d0*pi**2d0)
    coupl(nGC_9496) = coupl(nGC_19)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9494) = coupl(nGC_149)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_9492) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl(  &
                      nGC_149)**3d0 + 8d0*coupl(nGC_149)*coupl(nGC_2)**2d0 -   &
                      coupl(nGC_149)*coupl(nGC_780)**2d0 + 8d0*coupl(nGC_149)* &
                      coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_9493) = (-coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_148) - coupl(  &
                      nGC_149)**3d0 - coupl(nGC_149)*coupl(nGC_150)**2d0 + 8d0*&
                      coupl(nGC_149)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_149)*   &
                      coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_9490) = coupl(nGC_147)*(-coupl(nGC_146)**2d0 - coupl(nGC_147)**  &
                      2d0 + 8d0*coupl(nGC_4)**2d0 + 8d0*coupl(nGC_80)*coupl(   &
                      nGC_85))/(32d0*pi**2d0)
    coupl(nGC_9706) = coupl(nGC_9254)*dZee_QED2
    coupl(nGC_14630) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_16547) = coupl(nGC_16542) + coupl(nGC_9674)
  end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
