!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:36             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl9()
    coupl(nGC_9368) = cima*(-coupl(nGC_62)**2d0 - coupl(nGC_86)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_9593) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_78) + coupl(nGC_1)*coupl(nGC_82) + coupl(nGC_2)*coupl&
                      (nGC_79) + coupl(nGC_2)*coupl(nGC_83))/(32d0*pi**2d0)
    coupl(nGC_9594) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_78) - coupl(nGC_1)*coupl(nGC_82) - coupl(nGC_2)*coupl&
                      (nGC_79) - coupl(nGC_2)*coupl(nGC_83))/(32d0*pi**2d0*Nc)
    coupl(nGC_14686) = coupl(nGC_83)*dZtL_QCD2
    coupl(nGC_14682) = coupl(nGC_62)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_9591) = (5d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126)*coupl(nGC_62)*&
                      coupl(nGC_78) - 4d0*Nc*cima*coupl(nGC_124)*coupl(nGC_126 &
                      )*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_124&
                      )*coupl(nGC_126)*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*   &
                      cima*coupl(nGC_127)*coupl(nGC_128)*coupl(nGC_62)*coupl(  &
                      nGC_79) - 4d0*Nc*cima*coupl(nGC_127)*coupl(nGC_128)*coupl&
                      (nGC_62)*coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_127)*coupl&
                      (nGC_128)*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl&
                      (nGC_130)*coupl(nGC_132)*coupl(nGC_62)*coupl(nGC_78) -   &
                      4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132)*coupl(nGC_62)* &
                      coupl(nGC_82) - 4d0*Nc*cima*coupl(nGC_130)*coupl(nGC_132 &
                      )*coupl(nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_139&
                      )*coupl(nGC_141)*coupl(nGC_62)*coupl(nGC_78) - 4d0*Nc*   &
                      cima*coupl(nGC_139)*coupl(nGC_141)*coupl(nGC_62)*coupl(  &
                      nGC_82) - 4d0*Nc*cima*coupl(nGC_139)*coupl(nGC_141)*coupl&
                      (nGC_62)*coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_142)*coupl&
                      (nGC_143)*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl&
                      (nGC_142)*coupl(nGC_143)*coupl(nGC_62)*coupl(nGC_82) -   &
                      4d0*Nc*cima*coupl(nGC_142)*coupl(nGC_143)*coupl(nGC_62)* &
                      coupl(nGC_83) + 5d0*Nc*cima*coupl(nGC_148)*coupl(nGC_149 &
                      )*coupl(nGC_62)*coupl(nGC_79) - 4d0*Nc*cima*coupl(nGC_148&
                      )*coupl(nGC_149)*coupl(nGC_62)*coupl(nGC_82) - 4d0*Nc*   &
                      cima*coupl(nGC_148)*coupl(nGC_149)*coupl(nGC_62)*coupl(  &
                      nGC_83) + 5d0*cima*coupl(nGC_133)*coupl(nGC_135)*coupl(  &
                      nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(nGC_133)*coupl(   &
                      nGC_135)*coupl(nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(   &
                      nGC_133)*coupl(nGC_135)*coupl(nGC_62)*coupl(nGC_86) + 5d0&
                      *cima*coupl(nGC_136)*coupl(nGC_138)*coupl(nGC_62)*coupl( &
                      nGC_80) - 4d0*cima*coupl(nGC_136)*coupl(nGC_138)*coupl(  &
                      nGC_62)*coupl(nGC_85) - 4d0*cima*coupl(nGC_136)*coupl(   &
                      nGC_138)*coupl(nGC_62)*coupl(nGC_86) + 6d0*cima*coupl(   &
                      nGC_14)*coupl(nGC_55) + 5d0*cima*coupl(nGC_145)*coupl(   &
                      nGC_147)*coupl(nGC_62)*coupl(nGC_80) - 4d0*cima*coupl(   &
                      nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl(nGC_85) - 4d0&
                      *cima*coupl(nGC_145)*coupl(nGC_147)*coupl(nGC_62)*coupl( &
                      nGC_86) + 6d0*cima*coupl(nGC_562)*coupl(nGC_69) + 6d0*   &
                      coupl(nGC_14)*coupl(nGC_63)*coupl(nGC_64) + 6d0*coupl(   &
                      nGC_4)*coupl(nGC_64)*coupl(nGC_69))/(48d0*pi**2d0)
    coupl(nGC_9627) = (6d0*Nc*cima*coupl(nGC_1026)*coupl(nGC_20) - Nc*cima*    &
                      coupl(nGC_1066)**4d0*sq2**4d0 - 3d0*Nc*coupl(nGC_1026)*  &
                      coupl(nGC_1066)**2d0*sq2**2d0 - 3d0*Nc*coupl(nGC_1066)** &
                      2d0*coupl(nGC_20)*sq2**2d0 + 9d0*cima*coupl(nGC_19)**4d0*&
                      sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_9590) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_124)**2d0 +  &
                      coupl(nGC_127)**2d0 + coupl(nGC_130)**2d0 + coupl(nGC_139&
                      )**2d0 + coupl(nGC_142)**2d0 + coupl(nGC_148)**2d0)/(32d0&
                      *pi**2d0*Nc)
    coupl(nGC_9621) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_78) + coupl( &
                      nGC_79) + coupl(nGC_82) + coupl(nGC_83))/(32d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_9620) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_78) - coupl(&
                      nGC_79) - coupl(nGC_82) - coupl(nGC_83))/(64d0*pi**2d0*Nc&
                      )
    coupl(nGC_9623) = (3d0*Nc*cima*coupl(nGC_1026)**2d0 - Nc*cima*coupl(       &
                      nGC_1066)**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_20)**2d0 &
                       - 3d0*Nc*coupl(nGC_1026)*coupl(nGC_1066)**2d0*sq2**2d0  &
                       - 3d0*Nc*coupl(nGC_1066)**2d0*coupl(nGC_20)*sq2**2d0 +  &
                      9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_9622) = cima*sq2**4d0*(-Nc*coupl(nGC_1066)**4d0 - 15d0*coupl(    &
                      nGC_19)**4d0)/(192d0*pi**2d0)
    coupl(nGC_14670) = coupl(nGC_14666) + coupl(nGC_9762)
    coupl(nGC_9629) = (6d0*Nc*cima*coupl(nGC_1026)*coupl(nGC_20) - Nc*cima*    &
                      coupl(nGC_1066)**4d0*sq2**4d0 - 6d0*Nc*coupl(nGC_1026)*  &
                      coupl(nGC_1066)**2d0*sq2**2d0 + 9d0*cima*coupl(nGC_19)** &
                      4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_9628) = (3d0*Nc*cima*coupl(nGC_1026)**2d0 - Nc*cima*coupl(       &
                      nGC_1066)**4d0*sq2**4d0 + 3d0*Nc*cima*coupl(nGC_20)**2d0 &
                       - 6d0*Nc*coupl(nGC_1066)**2d0*coupl(nGC_20)*sq2**2d0 +  &
                      9d0*cima*coupl(nGC_19)**4d0*sq2**4d0)/(192d0*pi**2d0)
    coupl(nGC_13957) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_13956) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_14398) = coupl(nGC_65)*dZWMinus_QED2/2d0 + coupl(nGC_9657)
    coupl(nGC_14777) = coupl(nGC_77)*dZAZ_QED2
    coupl(nGC_14778) = coupl(nGC_56)*dZWMinus_QED2 + coupl(nGC_56)*dZZ_QED2 +  &
                       coupl(nGC_9734)
    coupl(nGC_9744) = coupl(nGC_9298)*dZee_QED2 + coupl(nGC_9299)*dsw_QED2 +   &
                      coupl(nGC_9300)*dcw_QED2
    coupl(nGC_9742) = coupl(nGC_9279)*dZee_QED2 + coupl(nGC_9280)*dsw_QED2 +   &
                      coupl(nGC_9281)*dcw_QED2
    coupl(nGC_9743) = coupl(nGC_9304)*dZee_QED2 + coupl(nGC_9305)*dsw_QED2 +   &
                      coupl(nGC_9306)*dcw_QED2
    coupl(nGC_9740) = coupl(nGC_9317)*dZee_QED2 + coupl(nGC_9318)*dsw_QED2 +   &
                      coupl(nGC_9319)*dcw_QED2
    coupl(nGC_9741) = coupl(nGC_9313)*dZee_QED2 + coupl(nGC_9314)*dsw_QED2 +   &
                      coupl(nGC_9315)*dcw_QED2
    coupl(nGC_14056) = coupl(nGC_139)*dZcL_QCD2/2d0 + coupl(nGC_139)*dZsR_QCD2/&
                       2d0 + coupl(nGC_9665)
    coupl(nGC_14058) = coupl(nGC_139)*dZcL_QED2/2d0 + coupl(nGC_139)*dZsR_QED2/&
                       2d0 + coupl(nGC_9666)
    coupl(nGC_9647) = coupl(nGC_9159)*dsw_QED2 + coupl(nGC_9160)*dZee_QED2 +   &
                      coupl(nGC_9161)*dcw_QED2 + coupl(nGC_9162)*dvev_QED1
    coupl(nGC_16679) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_9442) = (-coupl(nGC_127)*coupl(nGC_139)*coupl(nGC_686) - coupl(  &
                      nGC_128)**2d0*coupl(nGC_706) - coupl(nGC_129)**2d0*coupl(&
                      nGC_706) + 8d0*coupl(nGC_129)*coupl(nGC_2)**2d0 + 8d0*   &
                      coupl(nGC_129)*coupl(nGC_79)*coupl(nGC_83))/(32d0*pi**2d0&
                      )
    coupl(nGC_14229) = coupl(nGC_142)*dZbL_QCD2/2d0 + coupl(nGC_142)*dZtR_QCD2/&
                       2d0 + coupl(nGC_9671)
    coupl(nGC_16493) = coupl(nGC_16489) + coupl(nGC_9696)
    coupl(nGC_16492) = -coupl(nGC_16489) - coupl(nGC_9696)
    coupl(nGC_16495) = coupl(nGC_16488) + coupl(nGC_9697)
    coupl(nGC_16494) = -coupl(nGC_16488) - coupl(nGC_9697)
    coupl(nGC_22199) = -coupl(nGC_9406)
    coupl(nGC_9528) = (coupl(nGC_130)**2d0*coupl(nGC_78) + coupl(nGC_149)**2d0*&
                      coupl(nGC_79) + coupl(nGC_150)*coupl(nGC_780)*coupl(     &
                      nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*coupl&
                      (nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*    &
                      coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9529) = (coupl(nGC_148)**2d0*coupl(nGC_82) + coupl(nGC_149)**2d0*&
                      coupl(nGC_83) + coupl(nGC_150)*coupl(nGC_780)*coupl(     &
                      nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*coupl&
                      (nGC_79)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9523) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_78) + coupl(nGC_139)**  &
                      2d0*coupl(nGC_83) + coupl(nGC_140)*coupl(nGC_686)*coupl( &
                      nGC_82) + coupl(nGC_141)**2d0*coupl(nGC_82) + 4d0*coupl( &
                      nGC_78)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9520) = (coupl(nGC_136)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)** &
                      2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85  &
                      ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9521) = (coupl(nGC_145)**2d0*coupl(nGC_80) + 2d0*coupl(nGC_62)** &
                      2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*coupl(nGC_85  &
                      ) + 4d0*coupl(nGC_86)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9524) = (coupl(nGC_124)**2d0*coupl(nGC_78) + coupl(nGC_143)**2d0*&
                      coupl(nGC_79) + coupl(nGC_144)*coupl(nGC_656)*coupl(     &
                      nGC_79) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_83) + 2d0*coupl&
                      (nGC_62)**2d0*coupl(nGC_64) + 4d0*coupl(nGC_62)**2d0*    &
                      coupl(nGC_82) + 4d0*coupl(nGC_83)**3d0)/(32d0*pi**2d0)
    coupl(nGC_9525) = (coupl(nGC_142)**2d0*coupl(nGC_82) + coupl(nGC_143)**2d0*&
                      coupl(nGC_83) + coupl(nGC_144)*coupl(nGC_656)*coupl(     &
                      nGC_83) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_79) + 4d0*coupl&
                      (nGC_79)**3d0)/(32d0*pi**2d0)
    coupl(nGC_14951) = coupl(nGC_86)*dZZA_QED2/2d0
    coupl(nGC_14291) = coupl(nGC_141)*dZH_QED2/2d0 + coupl(nGC_9682)
    coupl(nGC_14290) = coupl(nGC_14286) + coupl(nGC_9681)
    coupl(nGC_16013) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_16012) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_14295) = coupl(nGC_50)*dZWMinus_QED2 + coupl(nGC_9713)
    coupl(nGC_20465) = coupl(nGC_MI)*dZtR_QED2
  end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
