!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2015                                 |            !
!        |       | UFO version: 0.1                               |            !
!        |       | Generation date: 2020-07-29 15:35             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  implicit none
  contains
  subroutine fill_vertices_mdl10()
    use class_vertices
    use class_couplings
    allocate(vertices(2859)%branchR2(0:0))
    call avR2(2859, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9592])

    allocate(vertices(2375)%branchR2(0:1))
    call avR2(2375, 0, 18, 1, 0, SFFa0, 0, [0, 3], [nGC_9452, nGC_9454])

    call avR2(2375, 1, 18, 1, 0, SFFa0, 0, [2, 1], [nGC_9453, nGC_9455])

    allocate(vertices(3832)%branchR2(0:1))
    call avR2(3832, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_9333, nGC_9332, nGC_9356&
    , nGC_9356])

    call avR2(3832, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_9331, nGC_9331, nGC_9357&
    , nGC_9357])

    allocate(vertices(3314)%branchR2(0:1))
    call avR2(3314, 0, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_9416, nGC_9414])

    call avR2(3314, 1, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_9417, nGC_9415])

    allocate(vertices(1030)%branchR2(0:0))
    call avR2(1030, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_22211])

    allocate(vertices(2565)%branchR2(0:0))
    call avR2(2565, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9584])

    allocate(vertices(3820)%branchR2(0:0))
    call avR2(3820, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9582])

    allocate(vertices(3199)%branchR2(0:0))
    call avR2(3199, 0, 1, 1, 0, FaVF0, 0, [0, 3], [nGC_9392, nGC_9393])

    allocate(vertices(2139)%branchR2(0:0))
    call avR2(2139, 0, 1, 1, 0, FVFa1, 0, [0, 3], [nGC_9503])

    allocate(vertices(2281)%branchR2(0:0))
    call avR2(2281, 0, 1, 1, 0, FaVF1, 0, [0, 3], [nGC_9503])

    allocate(vertices(317)%branchR2(0:0))
    call avR2(317, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9610, nGC_9611, nGC_9611])

    allocate(vertices(2368)%branchR2(0:0))
    call avR2(2368, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9572])

    allocate(vertices(4003)%branchR2(0:0))
    call avR2(4003, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9386])

    allocate(vertices(4004)%branchR2(0:1))
    call avR2(4004, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9593, nGC_9593,        &
    nGC_9593])

    call avR2(4004, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9594, nGC_9594,        &
    nGC_9594])

    allocate(vertices(2641)%branchR2(0:0))
    call avR2(2641, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9426])

    allocate(vertices(4005)%branchR2(0:0))
    call avR2(4005, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9564])

    allocate(vertices(2057)%branchR2(0:3))
    call avR2(2057, 0, 22, 1, 0, FaFV0, 0, [1, 2], [nGC_9535, nGC_9533])

    call avR2(2057, 1, 22, 1, 0, FaFV0, 0, [3, 0], [nGC_9534, nGC_9534])

    call avR2(2057, 2, 23, 1, 0, FaFV0, 0, [1, 2], [nGC_9532, nGC_9530])

    call avR2(2057, 3, 23, 1, 0, FaFV0, 0, [3, 0], [nGC_9531, nGC_9531])

    allocate(vertices(3144)%branchR2(0:0))
    call avR2(3144, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9579, nGC_9577, nGC_9578&
    ])

    allocate(vertices(2752)%branchR2(0:1))
    call avR2(2752, 0, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_9400, nGC_9399])

    call avR2(2752, 1, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_9378, nGC_9378])

    allocate(vertices(1097)%branchR2(0:1))
    call avR2(1097, 0, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_9410, nGC_9412])

    call avR2(1097, 1, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9411, nGC_9413])

    allocate(vertices(1720)%branchR2(0:1))
    call avR2(1720, 0, 18, 1, 0, VFFa0, 0, [0, 3], [nGC_9389, nGC_9388])

    call avR2(1720, 1, 18, 1, 0, VFFa0, 0, [2, 1], [nGC_9381, nGC_9381])

    allocate(vertices(3321)%branchR2(0:0))
    call avR2(3321, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9598])

    allocate(vertices(112)%branchR2(0:0))
    call avR2(112, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9592])

    allocate(vertices(1680)%branchR2(0:0))
    call avR2(1680, 0, 1, 1, 0, SSS0, 0, [0, 3], [nGC_9434])

    allocate(vertices(3566)%branchR2(0:0))
    call avR2(3566, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9566])

    allocate(vertices(2726)%branchR2(0:0))
    call avR2(2726, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9592])

    allocate(vertices(1612)%branchR2(0:0))
    call avR2(1612, 0, 1, 1, 0, FFaS2, 0, [0, 3], [nGC_9423])

    allocate(vertices(3834)%branchR2(0:0))
    call avR2(3834, 0, 1, 1, 0, VFaF0, 0, [0, 3], [nGC_9396])

    allocate(vertices(2049)%branchR2(0:0))
    call avR2(2049, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22440])

    allocate(vertices(3580)%branchR2(0:0))
    call avR2(3580, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9599])

    allocate(vertices(743)%branchR2(0:0))
    call avR2(743, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9406])

    allocate(vertices(3806)%branchR2(0:0))
    call avR2(3806, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9588])

    allocate(vertices(4006)%branchR2(0:5))
    call avR2(4006, 0, 55, 1, 0, VVVV0, 0, [3, 1], [nGC_9602, nGC_9602,        &
    nGC_9602])

    call avR2(4006, 1, 56, 1, 0, VVVV0, 0, [3, 1], [nGC_9603, nGC_9603,        &
    nGC_9603])

    call avR2(4006, 2, 57, 1, 0, VVVV0, 0, [3, 1], [nGC_9603, nGC_9603,        &
    nGC_9603])

    call avR2(4006, 3, 58, 1, 0, VVVV0, 0, [3, 1], [nGC_9604, nGC_9604,        &
    nGC_9604])

    call avR2(4006, 4, 59, 1, 0, VVVV0, 0, [3, 1], [nGC_9603, nGC_9603,        &
    nGC_9603])

    call avR2(4006, 5, 60, 1, 0, VVVV0, 0, [3, 1], [nGC_9602, nGC_9602,        &
    nGC_9602])

    allocate(vertices(3816)%branchR2(0:1))
    call avR2(3816, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_9333, nGC_9332, nGC_9356&
    , nGC_9356])

    call avR2(3816, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_9331, nGC_9331, nGC_9357&
    , nGC_9357])

    allocate(vertices(844)%branchR2(0:3))
    call avR2(844, 0, 22, 1, 0, FaFV0, 0, [1, 2], [nGC_9543, nGC_9542])

    call avR2(844, 1, 22, 1, 0, FaFV0, 0, [3, 0], [nGC_9534, nGC_9534])

    call avR2(844, 2, 23, 1, 0, FaFV0, 0, [1, 2], [nGC_9541, nGC_9540])

    call avR2(844, 3, 23, 1, 0, FaFV0, 0, [3, 0], [nGC_9531, nGC_9531])

    allocate(vertices(776)%branchR2(0:0))
    call avR2(776, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_9383])

    allocate(vertices(1641)%branchR2(0:1))
    call avR2(1641, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_9381, nGC_9381])

    call avR2(1641, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_9398, nGC_9397])

    allocate(vertices(513)%branchR2(0:0))
    call avR2(513, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9591])

    allocate(vertices(4007)%branchR2(0:5))
    call avR2(4007, 0, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,        &
    nGC_9620])

    call avR2(4007, 1, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_9621, nGC_9621,        &
    nGC_9621])

    call avR2(4007, 2, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,        &
    nGC_9619])

    call avR2(4007, 3, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,        &
    nGC_9620])

    call avR2(4007, 4, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_9619, nGC_9619,        &
    nGC_9619])

    call avR2(4007, 5, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_9620, nGC_9620,        &
    nGC_9620])

    allocate(vertices(356)%branchR2(0:0))
    call avR2(356, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9585])

    allocate(vertices(4008)%branchR2(0:1))
    call avR2(4008, 0, 35, 1, 0, VVS0, 0, [2, 1], [nGC_9480])

    call avR2(4008, 1, 36, 1, 0, VVS0, 0, [2, 1], [nGC_9481])

    allocate(vertices(142)%branchR2(0:0))
    call avR2(142, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9566])

    allocate(vertices(3658)%branchR2(0:0))
    call avR2(3658, 0, 1, 1, 0, VVV1, 0, [0, 3], [nGC_9385])

    allocate(vertices(1877)%branchR2(0:0))
    call avR2(1877, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9578, nGC_9579, nGC_9577&
    ])

    allocate(vertices(2182)%branchR2(0:0))
    call avR2(2182, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9572])

    allocate(vertices(2209)%branchR2(0:0))
    call avR2(2209, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9591])

    allocate(vertices(1580)%branchR2(0:0))
    call avR2(1580, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9520])

    allocate(vertices(2351)%branchR2(0:0))
    call avR2(2351, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9572])

    allocate(vertices(3881)%branchR2(0:0))
    call avR2(3881, 0, 1, 1, 0, FFaV0, 0, [0, 3], [nGC_9396])

    allocate(vertices(2639)%branchR2(0:1))
    call avR2(2639, 0, 18, 1, 0, VFFa1, 0, [2, 1], [nGC_9496])

    call avR2(2639, 1, 18, 1, 0, VFFa1, 0, [0, 3], [nGC_9501])

    allocate(vertices(2983)%branchR2(0:0))
    call avR2(2983, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9572])

    allocate(vertices(4009)%branchR2(0:1))
    call avR2(4009, 0, 43, 1, 0, SSVV0, 0, [2, 2], [nGC_9589])

    call avR2(4009, 1, 44, 1, 0, SSVV0, 0, [2, 2], [nGC_9590])

    allocate(vertices(1730)%branchR2(0:0))
    call avR2(1730, 0, 1, 1, 0, VSS1, 0, [0, 3], [nGC_9405])

    allocate(vertices(3086)%branchR2(0:0))
    call avR2(3086, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9560])

    allocate(vertices(3728)%branchR2(0:1))
    call avR2(3728, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9404, nGC_9403])

    call avR2(3728, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9378, nGC_9378])

    allocate(vertices(1546)%branchR2(0:0))
    call avR2(1546, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9591])

    allocate(vertices(3747)%branchR2(0:0))
    call avR2(3747, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9580])

    allocate(vertices(1236)%branchR2(0:0))
    call avR2(1236, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9566])

    allocate(vertices(1087)%branchR2(0:1))
    call avR2(1087, 0, 20, 1, 0, FSFa0, 0, [2, 1], [nGC_9494, nGC_9494])

    call avR2(1087, 1, 20, 1, 0, FSFa0, 0, [0, 3], [nGC_9492, nGC_9493])

    allocate(vertices(2323)%branchR2(0:0))
    call avR2(2323, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9561, nGC_9563, nGC_9562&
    ])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 1, 1, 0, SSV1, 0, [0, 3], [nGC_22193])

    allocate(vertices(753)%branchR2(0:0))
    call avR2(753, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9597])

    allocate(vertices(3254)%branchR2(0:3))
    call avR2(3254, 0, 11, 1, 0, FFaV1, 0, [1, 2], [nGC_9548, nGC_9547])

    call avR2(3254, 1, 11, 1, 0, FFaV1, 0, [3, 0], [nGC_9549, nGC_9549])

    call avR2(3254, 2, 12, 1, 0, FFaV1, 0, [1, 2], [nGC_9545, nGC_9544])

    call avR2(3254, 3, 12, 1, 0, FFaV1, 0, [3, 0], [nGC_9546, nGC_9546])

    allocate(vertices(1975)%branchR2(0:0))
    call avR2(1975, 0, 1, 1, 0, FaSF0, 0, [0, 3], [nGC_9445, nGC_9444])

    allocate(vertices(2382)%branchR2(0:1))
    call avR2(2382, 0, 19, 1, 0, VFaF1, 0, [2, 1], [nGC_9512, nGC_9510])

    call avR2(2382, 1, 19, 1, 0, VFaF1, 0, [0, 3], [nGC_9529, nGC_9528])

    allocate(vertices(3128)%branchR2(0:0))
    call avR2(3128, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9568])

    allocate(vertices(1095)%branchR2(0:0))
    call avR2(1095, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9568])

    allocate(vertices(3630)%branchR2(0:1))
    call avR2(3630, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_9508, nGC_9506])

    call avR2(3630, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_9523, nGC_9522])

    allocate(vertices(1539)%branchR2(0:0))
    call avR2(1539, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9611, nGC_9610, nGC_9611&
    ])

    allocate(vertices(270)%branchR2(0:1))
    call avR2(270, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_9496])

    call avR2(270, 1, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_9501])

    allocate(vertices(363)%branchR2(0:0))
    call avR2(363, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9595])

    allocate(vertices(1936)%branchR2(0:1))
    call avR2(1936, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_9472, nGC_9473])

    call avR2(1936, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_9474, nGC_9474])

    allocate(vertices(2411)%branchR2(0:1))
    call avR2(2411, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_9511, nGC_9509])

    call avR2(2411, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_9512, nGC_9510])

    allocate(vertices(3755)%branchR2(0:1))
    call avR2(3755, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_9448, nGC_9450])

    call avR2(3755, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_9449, nGC_9451])

    allocate(vertices(4010)%branchR2(0:1))
    call avR2(4010, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_9593, nGC_9593,        &
    nGC_9593])

    call avR2(4010, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_9594, nGC_9594,        &
    nGC_9594])

    allocate(vertices(1238)%branchR2(0:0))
    call avR2(1238, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9595])

    allocate(vertices(3750)%branchR2(0:0))
    call avR2(3750, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_21449])

    allocate(vertices(3906)%branchR2(0:0))
    call avR2(3906, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9582])

    allocate(vertices(2966)%branchR2(0:3))
    call avR2(2966, 0, 24, 1, 0, VFaF1, 0, [1, 2], [nGC_9553, nGC_9552])

    call avR2(2966, 1, 24, 1, 0, VFaF1, 0, [3, 0], [nGC_9549, nGC_9549])

    call avR2(2966, 2, 25, 1, 0, VFaF1, 0, [1, 2], [nGC_9551, nGC_9550])

    call avR2(2966, 3, 25, 1, 0, VFaF1, 0, [3, 0], [nGC_9546, nGC_9546])

    allocate(vertices(4011)%branchR2(0:0))
    call avR2(4011, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9574, nGC_9574, nGC_9574&
    ])

    allocate(vertices(2527)%branchR2(0:0))
    call avR2(2527, 0, 1, 1, 0, FaSF1, 0, [0, 3], [nGC_9422])

    allocate(vertices(491)%branchR2(0:0))
    call avR2(491, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9588])

    allocate(vertices(2957)%branchR2(0:3))
    call avR2(2957, 0, 30, 1, 0, FaVF0, 0, [1, 2], [nGC_9548, nGC_9547])

    call avR2(2957, 1, 30, 1, 0, FaVF0, 0, [3, 0], [nGC_9549, nGC_9549])

    call avR2(2957, 2, 31, 1, 0, FaVF0, 0, [1, 2], [nGC_9545, nGC_9544])

    call avR2(2957, 3, 31, 1, 0, FaVF0, 0, [3, 0], [nGC_9546, nGC_9546])

    allocate(vertices(2451)%branchR2(0:0))
    call avR2(2451, 0, 1, 1, 0, SVS0, 0, [0, 3], [nGC_22490])

    allocate(vertices(1052)%branchR2(0:0))
    call avR2(1052, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9563, nGC_9562, nGC_9561&
    ])

    allocate(vertices(4012)%branchR2(0:1))
    call avR2(4012, 0, 43, 1, 0, VVVV0, 0, [2, 2], [nGC_9606, nGC_9606,        &
    nGC_9606])

    call avR2(4012, 1, 44, 1, 0, VVVV0, 0, [2, 2], [nGC_9607, nGC_9607,        &
    nGC_9607])

    allocate(vertices(2153)%branchR2(0:0))
    call avR2(2153, 0, 1, 1, 0, FFaS1, 0, [0, 3], [nGC_9483, nGC_9482])

    allocate(vertices(3897)%branchR2(0:1))
    call avR2(3897, 0, 32, 1, 0, FaF1, 0, [0, 2], [nGC_9355, nGC_9354, nGC_9371&
    , nGC_9371])

    call avR2(3897, 1, 32, 1, 0, FaF1, 0, [2, 0], [nGC_9331, nGC_9331, nGC_9372&
    , nGC_9372])

    allocate(vertices(243)%branchR2(0:0))
    call avR2(243, 0, 1, 1, 0, FSFa1, 0, [0, 3], [nGC_9422])

    allocate(vertices(2737)%branchR2(0:1))
    call avR2(2737, 0, 17, 1, 0, FaFS0, 0, [0, 3], [nGC_9435, nGC_9437])

    call avR2(2737, 1, 17, 1, 0, FaFS0, 0, [2, 1], [nGC_9436, nGC_9438])

    allocate(vertices(462)%branchR2(0:0))
    call avR2(462, 0, 1, 1, 0, VVS0, 0, [0, 3], [nGC_9466])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 0, 1, 0, VSVS0, 0, [0, 4], [nGC_9587])

    allocate(vertices(3421)%branchR2(0:0))
    call avR2(3421, 0, 0, 1, 0, SVSV0, 0, [0, 4], [nGC_9592])

    allocate(vertices(2345)%branchR2(0:0))
    call avR2(2345, 0, 1, 1, 0, SVV0, 0, [0, 3], [nGC_9409])

    allocate(vertices(3436)%branchR2(0:0))
    call avR2(3436, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9587])

    allocate(vertices(3842)%branchR2(0:0))
    call avR2(3842, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9583])

    allocate(vertices(1394)%branchR2(0:0))
    call avR2(1394, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9561, nGC_9562, nGC_9563&
    ])

    allocate(vertices(3579)%branchR2(0:1))
    call avR2(3579, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9474, nGC_9474])

    call avR2(3579, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_9472, nGC_9473])

    allocate(vertices(4013)%branchR2(0:1))
    call avR2(4013, 0, 45, 1, 0, VVVV0, 0, [2, 2], [nGC_9617, nGC_9617,        &
    nGC_9617])

    call avR2(4013, 1, 46, 1, 0, VVVV0, 0, [2, 2], [nGC_9618, nGC_9618,        &
    nGC_9618])

    allocate(vertices(2328)%branchR2(0:0))
    call avR2(2328, 0, 1, 1, 0, VSV0, 0, [0, 3], [nGC_9382])

    allocate(vertices(1684)%branchR2(0:0))
    call avR2(1684, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9579, nGC_9578, nGC_9577&
    ])

    allocate(vertices(2205)%branchR2(0:0))
    call avR2(2205, 0, 0, 1, 0, VVVV0, 0, [0, 4], [nGC_9578, nGC_9577, nGC_9579&
    ])

    allocate(vertices(2171)%branchR2(0:0))
    call avR2(2171, 0, 0, 1, 0, VSSV0, 0, [0, 4], [nGC_9591])

    allocate(vertices(2160)%branchR2(0:0))
    call avR2(2160, 0, 0, 1, 0, SVVS0, 0, [0, 4], [nGC_9567])

    allocate(vertices(2022)%branchR2(0:1))
    call avR2(2022, 0, 19, 1, 0, SFaF0, 0, [0, 3], [nGC_9440, nGC_9442])

    call avR2(2022, 1, 19, 1, 0, SFaF0, 0, [2, 1], [nGC_9441, nGC_9443])

    allocate(vertices(2998)%branchR2(0:0))
    call avR2(2998, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9566])

    allocate(vertices(989)%branchR2(0:1))
    call avR2(989, 0, 21, 1, 0, FaSF0, 0, [2, 1], [nGC_9486, nGC_9486])

    call avR2(989, 1, 21, 1, 0, FaSF0, 0, [0, 3], [nGC_9484, nGC_9485])

    allocate(vertices(1556)%branchR2(0:0))
    call avR2(1556, 0, 0, 1, 0, SSVV0, 0, [0, 4], [nGC_9592])

    allocate(vertices(4014)%branchR2(0:1))
    call avR2(4014, 0, 47, 1, 0, VVVV0, 0, [2, 2], [nGC_9575, nGC_9575,        &
    nGC_9575])

    call avR2(4014, 1, 48, 1, 0, VVVV0, 0, [2, 2], [nGC_9576, nGC_9576,        &
    nGC_9576])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 0, 1, 0, SSSS0, 0, [0, 4], [nGC_9598])

    allocate(vertices(2194)%branchR2(0:0))
    call avR2(2194, 0, 1, 1, 0, VFFa1, 0, [0, 3], [nGC_9520])

    allocate(vertices(1376)%branchR2(0:0))
    call avR2(1376, 0, 0, 1, 0, VVSS0, 0, [0, 4], [nGC_9568])

  end subroutine fill_vertices_mdl10
end module vertices_info10
